vtkAbstractPicker <- function(.me=environment()){
  .me <- vtkObject(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkAbstractPicker_GetClassName",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkAbstractPicker_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkAbstractPicker_IsA",.me$obj, .type,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkAbstractPicker_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkAbstractPicker(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkAbstractPicker_NewInstance",.me$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkAbstractPicker(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetRenderer <- function(){
    res<-.Call("R_vtkAbstractPicker_GetRenderer",.me$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkRenderer(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetSelectionPoint <- function(){
    res<-.Call("R_vtkAbstractPicker_GetSelectionPoint",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetSelectionPoint_v1 <- function( .data){
    res<-.Call("R_vtkAbstractPicker_GetSelectionPoint_v1",.me$obj, .data,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPickPosition <- function(){
    res<-.Call("R_vtkAbstractPicker_GetPickPosition",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPickPosition_v1 <- function( .data){
    res<-.Call("R_vtkAbstractPicker_GetPickPosition_v1",.me$obj, .data,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Pick <- function( .selectionX, .selectionY, .selectionZ, .renderer=vtkRenderer()){
    check.VTK(.renderer,"vtkRenderer")
    res<-.Call("R_vtkAbstractPicker_Pick",.me$obj, .selectionX, .selectionY, .selectionZ, .renderer$obj,PACKAGE="RVTK.Render")
    res$.renderer <- vtkRenderer(wrapenv(res$.renderer))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Pick_v1 <- function( .selectionPt, .ren=vtkRenderer()){
    check.VTK(.ren,"vtkRenderer")
    res<-.Call("R_vtkAbstractPicker_Pick_v1",.me$obj, .selectionPt, .ren$obj,PACKAGE="RVTK.Render")
    res$.ren <- vtkRenderer(wrapenv(res$.ren))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetPickFromList <- function( ._arg){
    res<-.Call("R_vtkAbstractPicker_SetPickFromList",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPickFromList <- function(){
    res<-.Call("R_vtkAbstractPicker_GetPickFromList",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$PickFromListOn <- function(){
    res<-.Call("R_vtkAbstractPicker_PickFromListOn",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$PickFromListOff <- function(){
    res<-.Call("R_vtkAbstractPicker_PickFromListOff",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$InitializePickList <- function(){
    res<-.Call("R_vtkAbstractPicker_InitializePickList",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$AddPickList <- function( .a=vtkProp()){
    check.VTK(.a,"vtkProp")
    res<-.Call("R_vtkAbstractPicker_AddPickList",.me$obj, .a$obj,PACKAGE="RVTK.Render")
    res$.a <- vtkProp(wrapenv(res$.a))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$DeletePickList <- function( .a=vtkProp()){
    check.VTK(.a,"vtkProp")
    res<-.Call("R_vtkAbstractPicker_DeletePickList",.me$obj, .a$obj,PACKAGE="RVTK.Render")
    res$.a <- vtkProp(wrapenv(res$.a))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPickList <- function(){
    res<-.Call("R_vtkAbstractPicker_GetPickList",.me$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkPropCollection(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  class(.me) <- c("vtkAbstractPicker",class(.me))
  return(.me)
}
