vtkActorCollection <- function(.me=environment()){
  .me <- vtkPropCollection(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkActorCollection_GetClassName",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkActorCollection_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkActorCollection_IsA",.me$obj, .type,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkActorCollection_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkActorCollection(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkActorCollection_NewInstance",.me$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkActorCollection(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$AddItem <- function( .a=vtkActor()){
    check.VTK(.a,"vtkActor")
    res<-.Call("R_vtkActorCollection_AddItem",.me$obj, .a$obj,PACKAGE="RVTK.Render")
    res$.a <- vtkActor(wrapenv(res$.a))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNextActor <- function(){
    res<-.Call("R_vtkActorCollection_GetNextActor",.me$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkActor(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetLastActor <- function(){
    res<-.Call("R_vtkActorCollection_GetLastActor",.me$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkActor(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNextItem <- function(){
    res<-.Call("R_vtkActorCollection_GetNextItem",.me$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkActor(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetLastItem <- function(){
    res<-.Call("R_vtkActorCollection_GetLastItem",.me$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkActor(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ApplyProperties <- function( .p=vtkProperty()){
    check.VTK(.p,"vtkProperty")
    res<-.Call("R_vtkActorCollection_ApplyProperties",.me$obj, .p$obj,PACKAGE="RVTK.Render")
    res$.p <- vtkProperty(wrapenv(res$.p))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkActorCollection_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkActorCollection",class(.me))
  return(.me)
}
