vtkCullerCollection <- function(.me=environment()){
  .me <- vtkCollection(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkCullerCollection_GetClassName",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkCullerCollection_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkCullerCollection_IsA",.me$obj, .type,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkCullerCollection_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkCullerCollection(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkCullerCollection_NewInstance",.me$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkCullerCollection(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$AddItem <- function( .a=vtkCuller()){
    check.VTK(.a,"vtkCuller")
    res<-.Call("R_vtkCullerCollection_AddItem",.me$obj, .a$obj,PACKAGE="RVTK.Render")
    res$.a <- vtkCuller(wrapenv(res$.a))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNextItem <- function(){
    res<-.Call("R_vtkCullerCollection_GetNextItem",.me$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkCuller(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetLastItem <- function(){
    res<-.Call("R_vtkCullerCollection_GetLastItem",.me$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkCuller(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkCullerCollection_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkCullerCollection",class(.me))
  return(.me)
}
