vtkDataSetMapper <- function(.me=environment()){
  .me <- vtkMapper(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkDataSetMapper_GetClassName",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkDataSetMapper_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkDataSetMapper_IsA",.me$obj, .type,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkDataSetMapper_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkDataSetMapper(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkDataSetMapper_NewInstance",.me$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkDataSetMapper(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Render <- function( .ren=vtkRenderer(), .act=vtkActor()){
    check.VTK(.ren,"vtkRenderer")
    check.VTK(.act,"vtkActor")
    res<-.Call("R_vtkDataSetMapper_Render",.me$obj, .ren$obj, .act$obj,PACKAGE="RVTK.Render")
    res$.ren <- vtkRenderer(wrapenv(res$.ren))
    res$.act <- vtkActor(wrapenv(res$.act))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPolyDataMapper <- function(){
    res<-.Call("R_vtkDataSetMapper_GetPolyDataMapper",.me$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkPolyDataMapper(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ReleaseGraphicsResources <- function( .renWin=vtkWindow()){
    check.VTK(.renWin,"vtkWindow")
    res<-.Call("R_vtkDataSetMapper_ReleaseGraphicsResources",.me$obj, .renWin$obj,PACKAGE="RVTK.Render")
    res$.renWin <- vtkWindow(wrapenv(res$.renWin))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMTime <- function(){
    res<-.Call("R_vtkDataSetMapper_GetMTime",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetInput <- function( .input=vtkDataSet()){
    check.VTK(.input,"vtkDataSet")
    res<-.Call("R_vtkDataSetMapper_SetInput",.me$obj, .input$obj,PACKAGE="RVTK.Render")
    res$.input <- vtkDataSet(wrapenv(res$.input))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetInput <- function(){
    res<-.Call("R_vtkDataSetMapper_GetInput",.me$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkDataSet(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkDataSetMapper_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkDataSetMapper",class(.me))
  return(.me)
}
