vtkEncodedGradientShader <- function(.me=environment()){
  .me <- vtkObject(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkEncodedGradientShader_GetClassName",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkEncodedGradientShader_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkEncodedGradientShader_IsA",.me$obj, .type,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkEncodedGradientShader_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkEncodedGradientShader(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkEncodedGradientShader_NewInstance",.me$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkEncodedGradientShader(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetZeroNormalDiffuseIntensity <- function( ._arg){
    res<-.Call("R_vtkEncodedGradientShader_SetZeroNormalDiffuseIntensity",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetZeroNormalDiffuseIntensityMinValue <- function(){
    res<-.Call("R_vtkEncodedGradientShader_GetZeroNormalDiffuseIntensityMinValue",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetZeroNormalDiffuseIntensityMaxValue <- function(){
    res<-.Call("R_vtkEncodedGradientShader_GetZeroNormalDiffuseIntensityMaxValue",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetZeroNormalDiffuseIntensity <- function(){
    res<-.Call("R_vtkEncodedGradientShader_GetZeroNormalDiffuseIntensity",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetZeroNormalSpecularIntensity <- function( ._arg){
    res<-.Call("R_vtkEncodedGradientShader_SetZeroNormalSpecularIntensity",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetZeroNormalSpecularIntensityMinValue <- function(){
    res<-.Call("R_vtkEncodedGradientShader_GetZeroNormalSpecularIntensityMinValue",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetZeroNormalSpecularIntensityMaxValue <- function(){
    res<-.Call("R_vtkEncodedGradientShader_GetZeroNormalSpecularIntensityMaxValue",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetZeroNormalSpecularIntensity <- function(){
    res<-.Call("R_vtkEncodedGradientShader_GetZeroNormalSpecularIntensity",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$UpdateShadingTable <- function( .ren=vtkRenderer(), .vol=vtkVolume(), .gradest=vtkEncodedGradientEstimator()){
    check.VTK(.ren,"vtkRenderer")
    check.VTK(.vol,"vtkVolume")
    check.VTK(.gradest,"vtkEncodedGradientEstimator")
    res<-.Call("R_vtkEncodedGradientShader_UpdateShadingTable",.me$obj, .ren$obj, .vol$obj, .gradest$obj,PACKAGE="RVTK.Render")
    res$.ren <- vtkRenderer(wrapenv(res$.ren))
    res$.vol <- vtkVolume(wrapenv(res$.vol))
    res$.gradest <- vtkEncodedGradientEstimator(wrapenv(res$.gradest))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetRedDiffuseShadingTable <- function( .vol=vtkVolume()){
    check.VTK(.vol,"vtkVolume")
    res<-.Call("R_vtkEncodedGradientShader_GetRedDiffuseShadingTable",.me$obj, .vol$obj,PACKAGE="RVTK.Render")
    res$.vol <- vtkVolume(wrapenv(res$.vol))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetGreenDiffuseShadingTable <- function( .vol=vtkVolume()){
    check.VTK(.vol,"vtkVolume")
    res<-.Call("R_vtkEncodedGradientShader_GetGreenDiffuseShadingTable",.me$obj, .vol$obj,PACKAGE="RVTK.Render")
    res$.vol <- vtkVolume(wrapenv(res$.vol))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetBlueDiffuseShadingTable <- function( .vol=vtkVolume()){
    check.VTK(.vol,"vtkVolume")
    res<-.Call("R_vtkEncodedGradientShader_GetBlueDiffuseShadingTable",.me$obj, .vol$obj,PACKAGE="RVTK.Render")
    res$.vol <- vtkVolume(wrapenv(res$.vol))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetRedSpecularShadingTable <- function( .vol=vtkVolume()){
    check.VTK(.vol,"vtkVolume")
    res<-.Call("R_vtkEncodedGradientShader_GetRedSpecularShadingTable",.me$obj, .vol$obj,PACKAGE="RVTK.Render")
    res$.vol <- vtkVolume(wrapenv(res$.vol))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetGreenSpecularShadingTable <- function( .vol=vtkVolume()){
    check.VTK(.vol,"vtkVolume")
    res<-.Call("R_vtkEncodedGradientShader_GetGreenSpecularShadingTable",.me$obj, .vol$obj,PACKAGE="RVTK.Render")
    res$.vol <- vtkVolume(wrapenv(res$.vol))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetBlueSpecularShadingTable <- function( .vol=vtkVolume()){
    check.VTK(.vol,"vtkVolume")
    res<-.Call("R_vtkEncodedGradientShader_GetBlueSpecularShadingTable",.me$obj, .vol$obj,PACKAGE="RVTK.Render")
    res$.vol <- vtkVolume(wrapenv(res$.vol))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetActiveComponent <- function( ._arg){
    res<-.Call("R_vtkEncodedGradientShader_SetActiveComponent",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetActiveComponentMinValue <- function(){
    res<-.Call("R_vtkEncodedGradientShader_GetActiveComponentMinValue",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetActiveComponentMaxValue <- function(){
    res<-.Call("R_vtkEncodedGradientShader_GetActiveComponentMaxValue",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetActiveComponent <- function(){
    res<-.Call("R_vtkEncodedGradientShader_GetActiveComponent",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkEncodedGradientShader_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkEncodedGradientShader",class(.me))
  return(.me)
}
