vtkImageViewer <- function(.me=environment()){
  .me <- vtkObject(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkImageViewer_GetClassName",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkImageViewer_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkImageViewer_IsA",.me$obj, .type,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkImageViewer_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkImageViewer(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkImageViewer_NewInstance",.me$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkImageViewer(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetWindowName <- function(){
    res<-.Call("R_vtkImageViewer_GetWindowName",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Render <- function(){
    res<-.Call("R_vtkImageViewer_Render",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetInput <- function( .in=vtkImageData()){
    check.VTK(.in,"vtkImageData")
    res<-.Call("R_vtkImageViewer_SetInput",.me$obj, .in$obj,PACKAGE="RVTK.Render")
    res$.in <- vtkImageData(wrapenv(res$.in))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetInput <- function(){
    res<-.Call("R_vtkImageViewer_GetInput",.me$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkImageData(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetWholeZMin <- function(){
    res<-.Call("R_vtkImageViewer_GetWholeZMin",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetWholeZMax <- function(){
    res<-.Call("R_vtkImageViewer_GetWholeZMax",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetZSlice <- function(){
    res<-.Call("R_vtkImageViewer_GetZSlice",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetZSlice <- function( .s){
    res<-.Call("R_vtkImageViewer_SetZSlice",.me$obj, .s,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetColorWindow <- function(){
    res<-.Call("R_vtkImageViewer_GetColorWindow",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetColorLevel <- function(){
    res<-.Call("R_vtkImageViewer_GetColorLevel",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetColorWindow <- function( .s){
    res<-.Call("R_vtkImageViewer_SetColorWindow",.me$obj, .s,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetColorLevel <- function( .s){
    res<-.Call("R_vtkImageViewer_SetColorLevel",.me$obj, .s,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetDisplayId <- function( .a){
    res<-.Call("R_vtkImageViewer_SetDisplayId",.me$obj, .a,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetWindowId <- function( .a){
    res<-.Call("R_vtkImageViewer_SetWindowId",.me$obj, .a,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetParentId <- function( .a){
    res<-.Call("R_vtkImageViewer_SetParentId",.me$obj, .a,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetGrayScaleHint <- function(){
    res<-.Call("R_vtkImageViewer_GetGrayScaleHint",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GrayScaleHintOn <- function(){
    res<-.Call("R_vtkImageViewer_GrayScaleHintOn",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GrayScaleHintOff <- function(){
    res<-.Call("R_vtkImageViewer_GrayScaleHintOff",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPosition <- function(){
    res<-.Call("R_vtkImageViewer_GetPosition",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetPosition <- function( .a, .b){
    res<-.Call("R_vtkImageViewer_SetPosition",.me$obj, .a, .b,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetPosition_v1 <- function( .a=as.integer(rep.int(1,2))){
    res<-.Call("R_vtkImageViewer_SetPosition_v1",.me$obj, .a,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetSize <- function(){
    res<-.Call("R_vtkImageViewer_GetSize",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetSize <- function( .a, .b){
    res<-.Call("R_vtkImageViewer_SetSize",.me$obj, .a, .b,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetSize_v1 <- function( .a=as.integer(rep.int(1,2))){
    res<-.Call("R_vtkImageViewer_SetSize_v1",.me$obj, .a,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetRenderWindow <- function(){
    res<-.Call("R_vtkImageViewer_GetRenderWindow",.me$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkRenderWindow(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetRenderer <- function(){
    res<-.Call("R_vtkImageViewer_GetRenderer",.me$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkRenderer(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetImageMapper <- function(){
    res<-.Call("R_vtkImageViewer_GetImageMapper",.me$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkImageMapper(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetActor2D <- function(){
    res<-.Call("R_vtkImageViewer_GetActor2D",.me$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkActor2D(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetupInteractor <- function( .rwi=vtkRenderWindowInteractor()){
    check.VTK(.rwi,"vtkRenderWindowInteractor")
    res<-.Call("R_vtkImageViewer_SetupInteractor",.me$obj, .rwi$obj,PACKAGE="RVTK.Render")
    res$.rwi <- vtkRenderWindowInteractor(wrapenv(res$.rwi))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetOffScreenRendering <- function( .i){
    res<-.Call("R_vtkImageViewer_SetOffScreenRendering",.me$obj, .i,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOffScreenRendering <- function(){
    res<-.Call("R_vtkImageViewer_GetOffScreenRendering",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$OffScreenRenderingOn <- function(){
    res<-.Call("R_vtkImageViewer_OffScreenRenderingOn",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$OffScreenRenderingOff <- function(){
    res<-.Call("R_vtkImageViewer_OffScreenRenderingOff",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkImageViewer_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkImageViewer",class(.me))
  return(.me)
}
