vtkInteractorEventRecorder <- function(.me=environment()){
  .me <- vtkInteractorObserver(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkInteractorEventRecorder_GetClassName",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkInteractorEventRecorder_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkInteractorEventRecorder_IsA",.me$obj, .type,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkInteractorEventRecorder_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkInteractorEventRecorder(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkInteractorEventRecorder_NewInstance",.me$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkInteractorEventRecorder(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetEnabled <- function( .enabling){
    res<-.Call("R_vtkInteractorEventRecorder_SetEnabled",.me$obj, .enabling,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetInteractor <- function( .i=vtkRenderWindowInteractor()){
    check.VTK(.i,"vtkRenderWindowInteractor")
    res<-.Call("R_vtkInteractorEventRecorder_SetInteractor",.me$obj, .i$obj,PACKAGE="RVTK.Render")
    res$.i <- vtkRenderWindowInteractor(wrapenv(res$.i))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetFileName <- function( ._arg){
    res<-.Call("R_vtkInteractorEventRecorder_SetFileName",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetFileName <- function(){
    res<-.Call("R_vtkInteractorEventRecorder_GetFileName",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Record <- function(){
    res<-.Call("R_vtkInteractorEventRecorder_Record",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Play <- function(){
    res<-.Call("R_vtkInteractorEventRecorder_Play",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Stop <- function(){
    res<-.Call("R_vtkInteractorEventRecorder_Stop",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Rewind <- function(){
    res<-.Call("R_vtkInteractorEventRecorder_Rewind",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetReadFromInputString <- function( ._arg){
    res<-.Call("R_vtkInteractorEventRecorder_SetReadFromInputString",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetReadFromInputString <- function(){
    res<-.Call("R_vtkInteractorEventRecorder_GetReadFromInputString",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ReadFromInputStringOn <- function(){
    res<-.Call("R_vtkInteractorEventRecorder_ReadFromInputStringOn",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ReadFromInputStringOff <- function(){
    res<-.Call("R_vtkInteractorEventRecorder_ReadFromInputStringOff",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetInputString <- function( ._arg){
    res<-.Call("R_vtkInteractorEventRecorder_SetInputString",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetInputString <- function(){
    res<-.Call("R_vtkInteractorEventRecorder_GetInputString",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkInteractorEventRecorder_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkInteractorEventRecorder",class(.me))
  return(.me)
}
