vtkInteractorStyle <- function(.me=environment()){
  .me <- vtkInteractorObserver(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkInteractorStyle_GetClassName",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkInteractorStyle_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkInteractorStyle_IsA",.me$obj, .type,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkInteractorStyle_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkInteractorStyle(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkInteractorStyle_NewInstance",.me$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkInteractorStyle(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetInteractor <- function( .i=vtkRenderWindowInteractor()){
    check.VTK(.i,"vtkRenderWindowInteractor")
    res<-.Call("R_vtkInteractorStyle_SetInteractor",.me$obj, .i$obj,PACKAGE="RVTK.Render")
    res$.i <- vtkRenderWindowInteractor(wrapenv(res$.i))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetEnabled <- function( .enabling){
    res<-.Call("R_vtkInteractorStyle_SetEnabled",.me$obj, .enabling,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetAutoAdjustCameraClippingRange <- function( ._arg){
    res<-.Call("R_vtkInteractorStyle_SetAutoAdjustCameraClippingRange",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetAutoAdjustCameraClippingRangeMinValue <- function(){
    res<-.Call("R_vtkInteractorStyle_GetAutoAdjustCameraClippingRangeMinValue",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetAutoAdjustCameraClippingRangeMaxValue <- function(){
    res<-.Call("R_vtkInteractorStyle_GetAutoAdjustCameraClippingRangeMaxValue",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetAutoAdjustCameraClippingRange <- function(){
    res<-.Call("R_vtkInteractorStyle_GetAutoAdjustCameraClippingRange",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$AutoAdjustCameraClippingRangeOn <- function(){
    res<-.Call("R_vtkInteractorStyle_AutoAdjustCameraClippingRangeOn",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$AutoAdjustCameraClippingRangeOff <- function(){
    res<-.Call("R_vtkInteractorStyle_AutoAdjustCameraClippingRangeOff",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$FindPokedRenderer <- function( .x, .y){
    res<-.Call("R_vtkInteractorStyle_FindPokedRenderer",.me$obj, .x, .y,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetState <- function(){
    res<-.Call("R_vtkInteractorStyle_GetState",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetUseTimers <- function(){
    res<-.Call("R_vtkInteractorStyle_GetUseTimers",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetUseTimers <- function( ._arg){
    res<-.Call("R_vtkInteractorStyle_SetUseTimers",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$UseTimersOn <- function(){
    res<-.Call("R_vtkInteractorStyle_UseTimersOn",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$UseTimersOff <- function(){
    res<-.Call("R_vtkInteractorStyle_UseTimersOff",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetHandleObservers <- function( ._arg){
    res<-.Call("R_vtkInteractorStyle_SetHandleObservers",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetHandleObservers <- function(){
    res<-.Call("R_vtkInteractorStyle_GetHandleObservers",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$HandleObserversOn <- function(){
    res<-.Call("R_vtkInteractorStyle_HandleObserversOn",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$HandleObserversOff <- function(){
    res<-.Call("R_vtkInteractorStyle_HandleObserversOff",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$OnMouseMove <- function(){
    res<-.Call("R_vtkInteractorStyle_OnMouseMove",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$OnLeftButtonDown <- function(){
    res<-.Call("R_vtkInteractorStyle_OnLeftButtonDown",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$OnLeftButtonUp <- function(){
    res<-.Call("R_vtkInteractorStyle_OnLeftButtonUp",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$OnMiddleButtonDown <- function(){
    res<-.Call("R_vtkInteractorStyle_OnMiddleButtonDown",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$OnMiddleButtonUp <- function(){
    res<-.Call("R_vtkInteractorStyle_OnMiddleButtonUp",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$OnRightButtonDown <- function(){
    res<-.Call("R_vtkInteractorStyle_OnRightButtonDown",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$OnRightButtonUp <- function(){
    res<-.Call("R_vtkInteractorStyle_OnRightButtonUp",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$OnChar <- function(){
    res<-.Call("R_vtkInteractorStyle_OnChar",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$OnKeyDown <- function(){
    res<-.Call("R_vtkInteractorStyle_OnKeyDown",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$OnKeyUp <- function(){
    res<-.Call("R_vtkInteractorStyle_OnKeyUp",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$OnKeyPress <- function(){
    res<-.Call("R_vtkInteractorStyle_OnKeyPress",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$OnKeyRelease <- function(){
    res<-.Call("R_vtkInteractorStyle_OnKeyRelease",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$OnExpose <- function(){
    res<-.Call("R_vtkInteractorStyle_OnExpose",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$OnConfigure <- function(){
    res<-.Call("R_vtkInteractorStyle_OnConfigure",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$OnEnter <- function(){
    res<-.Call("R_vtkInteractorStyle_OnEnter",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$OnLeave <- function(){
    res<-.Call("R_vtkInteractorStyle_OnLeave",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$OnTimer <- function(){
    res<-.Call("R_vtkInteractorStyle_OnTimer",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Rotate <- function(){
    res<-.Call("R_vtkInteractorStyle_Rotate",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Spin <- function(){
    res<-.Call("R_vtkInteractorStyle_Spin",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Pan <- function(){
    res<-.Call("R_vtkInteractorStyle_Pan",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Dolly <- function(){
    res<-.Call("R_vtkInteractorStyle_Dolly",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Zoom <- function(){
    res<-.Call("R_vtkInteractorStyle_Zoom",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$UniformScale <- function(){
    res<-.Call("R_vtkInteractorStyle_UniformScale",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$StartState <- function( .newstate){
    res<-.Call("R_vtkInteractorStyle_StartState",.me$obj, .newstate,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$StopState <- function(){
    res<-.Call("R_vtkInteractorStyle_StopState",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$StartAnimate <- function(){
    res<-.Call("R_vtkInteractorStyle_StartAnimate",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$StopAnimate <- function(){
    res<-.Call("R_vtkInteractorStyle_StopAnimate",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$StartRotate <- function(){
    res<-.Call("R_vtkInteractorStyle_StartRotate",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$EndRotate <- function(){
    res<-.Call("R_vtkInteractorStyle_EndRotate",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$StartZoom <- function(){
    res<-.Call("R_vtkInteractorStyle_StartZoom",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$EndZoom <- function(){
    res<-.Call("R_vtkInteractorStyle_EndZoom",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$StartPan <- function(){
    res<-.Call("R_vtkInteractorStyle_StartPan",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$EndPan <- function(){
    res<-.Call("R_vtkInteractorStyle_EndPan",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$StartSpin <- function(){
    res<-.Call("R_vtkInteractorStyle_StartSpin",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$EndSpin <- function(){
    res<-.Call("R_vtkInteractorStyle_EndSpin",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$StartDolly <- function(){
    res<-.Call("R_vtkInteractorStyle_StartDolly",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$EndDolly <- function(){
    res<-.Call("R_vtkInteractorStyle_EndDolly",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$StartUniformScale <- function(){
    res<-.Call("R_vtkInteractorStyle_StartUniformScale",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$EndUniformScale <- function(){
    res<-.Call("R_vtkInteractorStyle_EndUniformScale",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$StartTimer <- function(){
    res<-.Call("R_vtkInteractorStyle_StartTimer",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$EndTimer <- function(){
    res<-.Call("R_vtkInteractorStyle_EndTimer",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$HighlightProp <- function( .prop=vtkProp()){
    check.VTK(.prop,"vtkProp")
    res<-.Call("R_vtkInteractorStyle_HighlightProp",.me$obj, .prop$obj,PACKAGE="RVTK.Render")
    res$.prop <- vtkProp(wrapenv(res$.prop))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$HighlightActor2D <- function( .actor2D=vtkActor2D()){
    check.VTK(.actor2D,"vtkActor2D")
    res<-.Call("R_vtkInteractorStyle_HighlightActor2D",.me$obj, .actor2D$obj,PACKAGE="RVTK.Render")
    res$.actor2D <- vtkActor2D(wrapenv(res$.actor2D))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$HighlightProp3D <- function( .prop3D=vtkProp3D()){
    check.VTK(.prop3D,"vtkProp3D")
    res<-.Call("R_vtkInteractorStyle_HighlightProp3D",.me$obj, .prop3D$obj,PACKAGE="RVTK.Render")
    res$.prop3D <- vtkProp3D(wrapenv(res$.prop3D))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetPickColor <- function( ._arg1, ._arg2, ._arg3){
    res<-.Call("R_vtkInteractorStyle_SetPickColor",.me$obj, ._arg1, ._arg2, ._arg3,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetPickColor_v1 <- function( ._arg){
    res<-.Call("R_vtkInteractorStyle_SetPickColor_v1",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPickColor <- function(){
    res<-.Call("R_vtkInteractorStyle_GetPickColor",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPickColor_v1 <- function( .data){
    res<-.Call("R_vtkInteractorStyle_GetPickColor_v1",.me$obj, .data,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkInteractorStyle_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkInteractorStyle",class(.me))
  return(.me)
}
