vtkLabeledDataMapper <- function(.me=environment()){
  .me <- vtkMapper2D(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkLabeledDataMapper_GetClassName",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkLabeledDataMapper_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkLabeledDataMapper_IsA",.me$obj, .type,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkLabeledDataMapper_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkLabeledDataMapper(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkLabeledDataMapper_NewInstance",.me$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkLabeledDataMapper(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetLabelFormat <- function( ._arg){
    res<-.Call("R_vtkLabeledDataMapper_SetLabelFormat",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetLabelFormat <- function(){
    res<-.Call("R_vtkLabeledDataMapper_GetLabelFormat",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetLabeledComponent <- function( ._arg){
    res<-.Call("R_vtkLabeledDataMapper_SetLabeledComponent",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetLabeledComponent <- function(){
    res<-.Call("R_vtkLabeledDataMapper_GetLabeledComponent",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetFieldDataArray <- function( ._arg){
    res<-.Call("R_vtkLabeledDataMapper_SetFieldDataArray",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetFieldDataArrayMinValue <- function(){
    res<-.Call("R_vtkLabeledDataMapper_GetFieldDataArrayMinValue",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetFieldDataArrayMaxValue <- function(){
    res<-.Call("R_vtkLabeledDataMapper_GetFieldDataArrayMaxValue",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetFieldDataArray <- function(){
    res<-.Call("R_vtkLabeledDataMapper_GetFieldDataArray",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetInput <- function( ._arg=vtkDataSet()){
    check.VTK(._arg,"vtkDataSet")
    res<-.Call("R_vtkLabeledDataMapper_SetInput",.me$obj, ._arg$obj,PACKAGE="RVTK.Render")
    res$._arg <- vtkDataSet(wrapenv(res$._arg))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetInput <- function(){
    res<-.Call("R_vtkLabeledDataMapper_GetInput",.me$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkDataSet(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetLabelMode <- function( ._arg){
    res<-.Call("R_vtkLabeledDataMapper_SetLabelMode",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetLabelMode <- function(){
    res<-.Call("R_vtkLabeledDataMapper_GetLabelMode",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetLabelModeToLabelIds <- function(){
    res<-.Call("R_vtkLabeledDataMapper_SetLabelModeToLabelIds",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetLabelModeToLabelScalars <- function(){
    res<-.Call("R_vtkLabeledDataMapper_SetLabelModeToLabelScalars",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetLabelModeToLabelVectors <- function(){
    res<-.Call("R_vtkLabeledDataMapper_SetLabelModeToLabelVectors",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetLabelModeToLabelNormals <- function(){
    res<-.Call("R_vtkLabeledDataMapper_SetLabelModeToLabelNormals",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetLabelModeToLabelTCoords <- function(){
    res<-.Call("R_vtkLabeledDataMapper_SetLabelModeToLabelTCoords",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetLabelModeToLabelTensors <- function(){
    res<-.Call("R_vtkLabeledDataMapper_SetLabelModeToLabelTensors",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetLabelModeToLabelFieldData <- function(){
    res<-.Call("R_vtkLabeledDataMapper_SetLabelModeToLabelFieldData",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetLabelTextProperty <- function( ._arg=vtkTextProperty()){
    check.VTK(._arg,"vtkTextProperty")
    res<-.Call("R_vtkLabeledDataMapper_SetLabelTextProperty",.me$obj, ._arg$obj,PACKAGE="RVTK.Render")
    res$._arg <- vtkTextProperty(wrapenv(res$._arg))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetLabelTextProperty <- function(){
    res<-.Call("R_vtkLabeledDataMapper_GetLabelTextProperty",.me$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkTextProperty(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RenderOpaqueGeometry <- function( .viewport=vtkViewport(), .actor=vtkActor2D()){
    check.VTK(.viewport,"vtkViewport")
    check.VTK(.actor,"vtkActor2D")
    res<-.Call("R_vtkLabeledDataMapper_RenderOpaqueGeometry",.me$obj, .viewport$obj, .actor$obj,PACKAGE="RVTK.Render")
    res$.viewport <- vtkViewport(wrapenv(res$.viewport))
    res$.actor <- vtkActor2D(wrapenv(res$.actor))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RenderOverlay <- function( .viewport=vtkViewport(), .actor=vtkActor2D()){
    check.VTK(.viewport,"vtkViewport")
    check.VTK(.actor,"vtkActor2D")
    res<-.Call("R_vtkLabeledDataMapper_RenderOverlay",.me$obj, .viewport$obj, .actor$obj,PACKAGE="RVTK.Render")
    res$.viewport <- vtkViewport(wrapenv(res$.viewport))
    res$.actor <- vtkActor2D(wrapenv(res$.actor))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ReleaseGraphicsResources <- function( .win=vtkWindow()){
    check.VTK(.win,"vtkWindow")
    res<-.Call("R_vtkLabeledDataMapper_ReleaseGraphicsResources",.me$obj, .win$obj,PACKAGE="RVTK.Render")
    res$.win <- vtkWindow(wrapenv(res$.win))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkLabeledDataMapper_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkLabeledDataMapper",class(.me))
  return(.me)
}
