vtkLight <- function(.me=environment()){
  .me <- vtkObject(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkLight_GetClassName",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkLight_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkLight_IsA",.me$obj, .type,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkLight_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkLight(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkLight_NewInstance",.me$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkLight(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetAmbientColor <- function( ._arg1, ._arg2, ._arg3){
    res<-.Call("R_vtkLight_SetAmbientColor",.me$obj, ._arg1, ._arg2, ._arg3,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetAmbientColor_v1 <- function( ._arg){
    res<-.Call("R_vtkLight_SetAmbientColor_v1",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetAmbientColor <- function(){
    res<-.Call("R_vtkLight_GetAmbientColor",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetAmbientColor_v1 <- function( .data){
    res<-.Call("R_vtkLight_GetAmbientColor_v1",.me$obj, .data,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetDiffuseColor <- function( ._arg1, ._arg2, ._arg3){
    res<-.Call("R_vtkLight_SetDiffuseColor",.me$obj, ._arg1, ._arg2, ._arg3,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetDiffuseColor_v1 <- function( ._arg){
    res<-.Call("R_vtkLight_SetDiffuseColor_v1",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDiffuseColor <- function(){
    res<-.Call("R_vtkLight_GetDiffuseColor",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDiffuseColor_v1 <- function( .data){
    res<-.Call("R_vtkLight_GetDiffuseColor_v1",.me$obj, .data,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetSpecularColor <- function( ._arg1, ._arg2, ._arg3){
    res<-.Call("R_vtkLight_SetSpecularColor",.me$obj, ._arg1, ._arg2, ._arg3,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetSpecularColor_v1 <- function( ._arg){
    res<-.Call("R_vtkLight_SetSpecularColor_v1",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetSpecularColor <- function(){
    res<-.Call("R_vtkLight_GetSpecularColor",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetSpecularColor_v1 <- function( .data){
    res<-.Call("R_vtkLight_GetSpecularColor_v1",.me$obj, .data,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetColor <- function( .R, .G, .B){
    res<-.Call("R_vtkLight_SetColor",.me$obj, .R, .G, .B,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetColor_v1 <- function( .a=as.double(rep.int(1,3))){
    res<-.Call("R_vtkLight_SetColor_v1",.me$obj, .a,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetColor <- function( .rgb=as.double(rep.int(1,3))){
    res<-.Call("R_vtkLight_GetColor",.me$obj, .rgb,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetColor_v1 <- function(){
    res<-.Call("R_vtkLight_GetColor_v1",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetPosition <- function( ._arg1, ._arg2, ._arg3){
    res<-.Call("R_vtkLight_SetPosition",.me$obj, ._arg1, ._arg2, ._arg3,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetPosition_v1 <- function( ._arg){
    res<-.Call("R_vtkLight_SetPosition_v1",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPosition <- function(){
    res<-.Call("R_vtkLight_GetPosition",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPosition_v1 <- function( .data){
    res<-.Call("R_vtkLight_GetPosition_v1",.me$obj, .data,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetPosition_v2 <- function( .a){
    res<-.Call("R_vtkLight_SetPosition_v2",.me$obj, .a,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetFocalPoint <- function( ._arg1, ._arg2, ._arg3){
    res<-.Call("R_vtkLight_SetFocalPoint",.me$obj, ._arg1, ._arg2, ._arg3,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetFocalPoint_v1 <- function( ._arg){
    res<-.Call("R_vtkLight_SetFocalPoint_v1",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetFocalPoint <- function(){
    res<-.Call("R_vtkLight_GetFocalPoint",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetFocalPoint_v1 <- function( .data){
    res<-.Call("R_vtkLight_GetFocalPoint_v1",.me$obj, .data,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetFocalPoint_v2 <- function( .a){
    res<-.Call("R_vtkLight_SetFocalPoint_v2",.me$obj, .a,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetIntensity <- function( ._arg){
    res<-.Call("R_vtkLight_SetIntensity",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetIntensity <- function(){
    res<-.Call("R_vtkLight_GetIntensity",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetSwitch <- function( ._arg){
    res<-.Call("R_vtkLight_SetSwitch",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetSwitch <- function(){
    res<-.Call("R_vtkLight_GetSwitch",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SwitchOn <- function(){
    res<-.Call("R_vtkLight_SwitchOn",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SwitchOff <- function(){
    res<-.Call("R_vtkLight_SwitchOff",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetPositional <- function( ._arg){
    res<-.Call("R_vtkLight_SetPositional",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPositional <- function(){
    res<-.Call("R_vtkLight_GetPositional",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$PositionalOn <- function(){
    res<-.Call("R_vtkLight_PositionalOn",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$PositionalOff <- function(){
    res<-.Call("R_vtkLight_PositionalOff",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetExponent <- function( ._arg){
    res<-.Call("R_vtkLight_SetExponent",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetExponent <- function(){
    res<-.Call("R_vtkLight_GetExponent",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetConeAngle <- function( ._arg){
    res<-.Call("R_vtkLight_SetConeAngle",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetConeAngle <- function(){
    res<-.Call("R_vtkLight_GetConeAngle",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetAttenuationValues <- function( ._arg1, ._arg2, ._arg3){
    res<-.Call("R_vtkLight_SetAttenuationValues",.me$obj, ._arg1, ._arg2, ._arg3,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetAttenuationValues_v1 <- function( ._arg){
    res<-.Call("R_vtkLight_SetAttenuationValues_v1",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetAttenuationValues <- function(){
    res<-.Call("R_vtkLight_GetAttenuationValues",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetAttenuationValues_v1 <- function( .data){
    res<-.Call("R_vtkLight_GetAttenuationValues_v1",.me$obj, .data,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetTransformMatrix <- function( ._arg=vtkMatrix4x4()){
    check.VTK(._arg,"vtkMatrix4x4")
    res<-.Call("R_vtkLight_SetTransformMatrix",.me$obj, ._arg$obj,PACKAGE="RVTK.Render")
    res$._arg <- vtkMatrix4x4(wrapenv(res$._arg))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetTransformMatrix <- function(){
    res<-.Call("R_vtkLight_GetTransformMatrix",.me$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkMatrix4x4(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetTransformedPosition <- function( .x=as.double(rep.int(1,1)), .y=as.double(rep.int(1,1)), .z=as.double(rep.int(1,1))){
    res<-.Call("R_vtkLight_GetTransformedPosition",.me$obj, .x, .y, .z,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetTransformedPosition_v1 <- function( .a=as.double(rep.int(1,3))){
    res<-.Call("R_vtkLight_GetTransformedPosition_v1",.me$obj, .a,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetTransformedPosition_v2 <- function(){
    res<-.Call("R_vtkLight_GetTransformedPosition_v2",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetTransformedFocalPoint <- function( .x=as.double(rep.int(1,1)), .y=as.double(rep.int(1,1)), .z=as.double(rep.int(1,1))){
    res<-.Call("R_vtkLight_GetTransformedFocalPoint",.me$obj, .x, .y, .z,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetTransformedFocalPoint_v1 <- function( .a=as.double(rep.int(1,3))){
    res<-.Call("R_vtkLight_GetTransformedFocalPoint_v1",.me$obj, .a,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetTransformedFocalPoint_v2 <- function(){
    res<-.Call("R_vtkLight_GetTransformedFocalPoint_v2",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetDirectionAngle <- function( .elevation, .azimuth){
    res<-.Call("R_vtkLight_SetDirectionAngle",.me$obj, .elevation, .azimuth,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetDirectionAngle_v1 <- function( .ang=as.double(rep.int(1,2))){
    res<-.Call("R_vtkLight_SetDirectionAngle_v1",.me$obj, .ang,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$DeepCopy <- function( .light=vtkLight()){
    check.VTK(.light,"vtkLight")
    res<-.Call("R_vtkLight_DeepCopy",.me$obj, .light$obj,PACKAGE="RVTK.Render")
    res$.light <- vtkLight(wrapenv(res$.light))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetLightType <- function( ._arg){
    res<-.Call("R_vtkLight_SetLightType",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetLightType <- function(){
    res<-.Call("R_vtkLight_GetLightType",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetLightTypeToHeadlight <- function(){
    res<-.Call("R_vtkLight_SetLightTypeToHeadlight",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetLightTypeToSceneLight <- function(){
    res<-.Call("R_vtkLight_SetLightTypeToSceneLight",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetLightTypeToCameraLight <- function(){
    res<-.Call("R_vtkLight_SetLightTypeToCameraLight",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$LightTypeIsHeadlight <- function(){
    res<-.Call("R_vtkLight_LightTypeIsHeadlight",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$LightTypeIsSceneLight <- function(){
    res<-.Call("R_vtkLight_LightTypeIsSceneLight",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$LightTypeIsCameraLight <- function(){
    res<-.Call("R_vtkLight_LightTypeIsCameraLight",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkLight_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkLight",class(.me))
  return(.me)
}
