vtkLightKit <- function(.me=environment()){
  .me <- vtkObject(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkLightKit_GetClassName",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkLightKit_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkLightKit_IsA",.me$obj, .type,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkLightKit_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkLightKit(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkLightKit_NewInstance",.me$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkLightKit(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetKeyLightIntensity <- function( ._arg){
    res<-.Call("R_vtkLightKit_SetKeyLightIntensity",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetKeyLightIntensity <- function(){
    res<-.Call("R_vtkLightKit_GetKeyLightIntensity",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetKeyToFillRatio <- function( ._arg){
    res<-.Call("R_vtkLightKit_SetKeyToFillRatio",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetKeyToFillRatioMinValue <- function(){
    res<-.Call("R_vtkLightKit_GetKeyToFillRatioMinValue",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetKeyToFillRatioMaxValue <- function(){
    res<-.Call("R_vtkLightKit_GetKeyToFillRatioMaxValue",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetKeyToFillRatio <- function(){
    res<-.Call("R_vtkLightKit_GetKeyToFillRatio",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetKeyToHeadRatio <- function( ._arg){
    res<-.Call("R_vtkLightKit_SetKeyToHeadRatio",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetKeyToHeadRatioMinValue <- function(){
    res<-.Call("R_vtkLightKit_GetKeyToHeadRatioMinValue",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetKeyToHeadRatioMaxValue <- function(){
    res<-.Call("R_vtkLightKit_GetKeyToHeadRatioMaxValue",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetKeyToHeadRatio <- function(){
    res<-.Call("R_vtkLightKit_GetKeyToHeadRatio",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetKeyToBackRatio <- function( ._arg){
    res<-.Call("R_vtkLightKit_SetKeyToBackRatio",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetKeyToBackRatioMinValue <- function(){
    res<-.Call("R_vtkLightKit_GetKeyToBackRatioMinValue",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetKeyToBackRatioMaxValue <- function(){
    res<-.Call("R_vtkLightKit_GetKeyToBackRatioMaxValue",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetKeyToBackRatio <- function(){
    res<-.Call("R_vtkLightKit_GetKeyToBackRatio",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetKeyLightWarmth <- function( ._arg){
    res<-.Call("R_vtkLightKit_SetKeyLightWarmth",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetKeyLightWarmth <- function(){
    res<-.Call("R_vtkLightKit_GetKeyLightWarmth",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetFillLightWarmth <- function( ._arg){
    res<-.Call("R_vtkLightKit_SetFillLightWarmth",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetFillLightWarmth <- function(){
    res<-.Call("R_vtkLightKit_GetFillLightWarmth",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetHeadlightWarmth <- function( ._arg){
    res<-.Call("R_vtkLightKit_SetHeadlightWarmth",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetHeadlightWarmth <- function(){
    res<-.Call("R_vtkLightKit_GetHeadlightWarmth",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetBackLightWarmth <- function( ._arg){
    res<-.Call("R_vtkLightKit_SetBackLightWarmth",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetBackLightWarmth <- function(){
    res<-.Call("R_vtkLightKit_GetBackLightWarmth",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetKeyLightColor <- function(){
    res<-.Call("R_vtkLightKit_GetKeyLightColor",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetKeyLightColor_v1 <- function( .data){
    res<-.Call("R_vtkLightKit_GetKeyLightColor_v1",.me$obj, .data,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetFillLightColor <- function(){
    res<-.Call("R_vtkLightKit_GetFillLightColor",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetFillLightColor_v1 <- function( .data){
    res<-.Call("R_vtkLightKit_GetFillLightColor_v1",.me$obj, .data,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetHeadlightColor <- function(){
    res<-.Call("R_vtkLightKit_GetHeadlightColor",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetHeadlightColor_v1 <- function( .data){
    res<-.Call("R_vtkLightKit_GetHeadlightColor_v1",.me$obj, .data,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetBackLightColor <- function(){
    res<-.Call("R_vtkLightKit_GetBackLightColor",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetBackLightColor_v1 <- function( .data){
    res<-.Call("R_vtkLightKit_GetBackLightColor_v1",.me$obj, .data,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$MaintainLuminanceOn <- function(){
    res<-.Call("R_vtkLightKit_MaintainLuminanceOn",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$MaintainLuminanceOff <- function(){
    res<-.Call("R_vtkLightKit_MaintainLuminanceOff",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMaintainLuminance <- function(){
    res<-.Call("R_vtkLightKit_GetMaintainLuminance",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetMaintainLuminance <- function( ._arg){
    res<-.Call("R_vtkLightKit_SetMaintainLuminance",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetKeyLightAngle <- function( .elevation, .azimuth){
    res<-.Call("R_vtkLightKit_SetKeyLightAngle",.me$obj, .elevation, .azimuth,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetKeyLightAngle_v1 <- function( .angle=as.double(rep.int(1,2))){
    res<-.Call("R_vtkLightKit_SetKeyLightAngle_v1",.me$obj, .angle,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetKeyLightElevation <- function( .x){
    res<-.Call("R_vtkLightKit_SetKeyLightElevation",.me$obj, .x,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetKeyLightAzimuth <- function( .x){
    res<-.Call("R_vtkLightKit_SetKeyLightAzimuth",.me$obj, .x,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetKeyLightAngle <- function(){
    res<-.Call("R_vtkLightKit_GetKeyLightAngle",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetKeyLightAngle_v1 <- function( .data){
    res<-.Call("R_vtkLightKit_GetKeyLightAngle_v1",.me$obj, .data,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetKeyLightElevation <- function(){
    res<-.Call("R_vtkLightKit_GetKeyLightElevation",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetKeyLightAzimuth <- function(){
    res<-.Call("R_vtkLightKit_GetKeyLightAzimuth",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetFillLightAngle <- function( .elevation, .azimuth){
    res<-.Call("R_vtkLightKit_SetFillLightAngle",.me$obj, .elevation, .azimuth,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetFillLightAngle_v1 <- function( .angle=as.double(rep.int(1,2))){
    res<-.Call("R_vtkLightKit_SetFillLightAngle_v1",.me$obj, .angle,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetFillLightElevation <- function( .x){
    res<-.Call("R_vtkLightKit_SetFillLightElevation",.me$obj, .x,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetFillLightAzimuth <- function( .x){
    res<-.Call("R_vtkLightKit_SetFillLightAzimuth",.me$obj, .x,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetFillLightAngle <- function(){
    res<-.Call("R_vtkLightKit_GetFillLightAngle",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetFillLightAngle_v1 <- function( .data){
    res<-.Call("R_vtkLightKit_GetFillLightAngle_v1",.me$obj, .data,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetFillLightElevation <- function(){
    res<-.Call("R_vtkLightKit_GetFillLightElevation",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetFillLightAzimuth <- function(){
    res<-.Call("R_vtkLightKit_GetFillLightAzimuth",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetBackLightAngle <- function( .elevation, .azimuth){
    res<-.Call("R_vtkLightKit_SetBackLightAngle",.me$obj, .elevation, .azimuth,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetBackLightAngle_v1 <- function( .angle=as.double(rep.int(1,2))){
    res<-.Call("R_vtkLightKit_SetBackLightAngle_v1",.me$obj, .angle,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetBackLightElevation <- function( .x){
    res<-.Call("R_vtkLightKit_SetBackLightElevation",.me$obj, .x,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetBackLightAzimuth <- function( .x){
    res<-.Call("R_vtkLightKit_SetBackLightAzimuth",.me$obj, .x,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetBackLightAngle <- function(){
    res<-.Call("R_vtkLightKit_GetBackLightAngle",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetBackLightAngle_v1 <- function( .data){
    res<-.Call("R_vtkLightKit_GetBackLightAngle_v1",.me$obj, .data,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetBackLightElevation <- function(){
    res<-.Call("R_vtkLightKit_GetBackLightElevation",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetBackLightAzimuth <- function(){
    res<-.Call("R_vtkLightKit_GetBackLightAzimuth",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$AddLightsToRenderer <- function( .renderer=vtkRenderer()){
    check.VTK(.renderer,"vtkRenderer")
    res<-.Call("R_vtkLightKit_AddLightsToRenderer",.me$obj, .renderer$obj,PACKAGE="RVTK.Render")
    res$.renderer <- vtkRenderer(wrapenv(res$.renderer))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RemoveLightsFromRenderer <- function( .renderer=vtkRenderer()){
    check.VTK(.renderer,"vtkRenderer")
    res<-.Call("R_vtkLightKit_RemoveLightsFromRenderer",.me$obj, .renderer$obj,PACKAGE="RVTK.Render")
    res$.renderer <- vtkRenderer(wrapenv(res$.renderer))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$DeepCopy <- function( .k=vtkLightKit()){
    check.VTK(.k,"vtkLightKit")
    res<-.Call("R_vtkLightKit_DeepCopy",.me$obj, .k$obj,PACKAGE="RVTK.Render")
    res$.k <- vtkLightKit(wrapenv(res$.k))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Modified <- function(){
    res<-.Call("R_vtkLightKit_Modified",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Update <- function(){
    res<-.Call("R_vtkLightKit_Update",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkLightKit_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkLightKit",class(.me))
  return(.me)
}
