vtkMapper <- function(.me=environment()){
  .me <- vtkAbstractMapper3D(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkMapper_GetClassName",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkMapper_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkMapper_IsA",.me$obj, .type,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkMapper_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkMapper(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkMapper_NewInstance",.me$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkMapper(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ShallowCopy <- function( .mapper=vtkAbstractMapper()){
    check.VTK(.mapper,"vtkAbstractMapper")
    res<-.Call("R_vtkMapper_ShallowCopy",.me$obj, .mapper$obj,PACKAGE="RVTK.Render")
    res$.mapper <- vtkAbstractMapper(wrapenv(res$.mapper))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMTime <- function(){
    res<-.Call("R_vtkMapper_GetMTime",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Render <- function( .ren=vtkRenderer(), .a=vtkActor()){
    check.VTK(.ren,"vtkRenderer")
    check.VTK(.a,"vtkActor")
    res<-.Call("R_vtkMapper_Render",.me$obj, .ren$obj, .a$obj,PACKAGE="RVTK.Render")
    res$.ren <- vtkRenderer(wrapenv(res$.ren))
    res$.a <- vtkActor(wrapenv(res$.a))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetLookupTable <- function( .lut=vtkScalarsToColors()){
    check.VTK(.lut,"vtkScalarsToColors")
    res<-.Call("R_vtkMapper_SetLookupTable",.me$obj, .lut$obj,PACKAGE="RVTK.Render")
    res$.lut <- vtkScalarsToColors(wrapenv(res$.lut))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetLookupTable <- function(){
    res<-.Call("R_vtkMapper_GetLookupTable",.me$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkScalarsToColors(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$CreateDefaultLookupTable <- function(){
    res<-.Call("R_vtkMapper_CreateDefaultLookupTable",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetScalarVisibility <- function( ._arg){
    res<-.Call("R_vtkMapper_SetScalarVisibility",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetScalarVisibility <- function(){
    res<-.Call("R_vtkMapper_GetScalarVisibility",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ScalarVisibilityOn <- function(){
    res<-.Call("R_vtkMapper_ScalarVisibilityOn",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ScalarVisibilityOff <- function(){
    res<-.Call("R_vtkMapper_ScalarVisibilityOff",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetColorMode <- function( ._arg){
    res<-.Call("R_vtkMapper_SetColorMode",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetColorMode <- function(){
    res<-.Call("R_vtkMapper_GetColorMode",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetColorModeToDefault <- function(){
    res<-.Call("R_vtkMapper_SetColorModeToDefault",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetColorModeToMapScalars <- function(){
    res<-.Call("R_vtkMapper_SetColorModeToMapScalars",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetColorModeAsString <- function(){
    res<-.Call("R_vtkMapper_GetColorModeAsString",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetUseLookupTableScalarRange <- function( ._arg){
    res<-.Call("R_vtkMapper_SetUseLookupTableScalarRange",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetUseLookupTableScalarRange <- function(){
    res<-.Call("R_vtkMapper_GetUseLookupTableScalarRange",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$UseLookupTableScalarRangeOn <- function(){
    res<-.Call("R_vtkMapper_UseLookupTableScalarRangeOn",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$UseLookupTableScalarRangeOff <- function(){
    res<-.Call("R_vtkMapper_UseLookupTableScalarRangeOff",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetScalarRange <- function( ._arg1, ._arg2){
    res<-.Call("R_vtkMapper_SetScalarRange",.me$obj, ._arg1, ._arg2,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetScalarRange_v1 <- function( ._arg){
    res<-.Call("R_vtkMapper_SetScalarRange_v1",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetScalarRange <- function(){
    res<-.Call("R_vtkMapper_GetScalarRange",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetScalarRange_v1 <- function( .data){
    res<-.Call("R_vtkMapper_GetScalarRange_v1",.me$obj, .data,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetImmediateModeRendering <- function( ._arg){
    res<-.Call("R_vtkMapper_SetImmediateModeRendering",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetImmediateModeRendering <- function(){
    res<-.Call("R_vtkMapper_GetImmediateModeRendering",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ImmediateModeRenderingOn <- function(){
    res<-.Call("R_vtkMapper_ImmediateModeRenderingOn",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ImmediateModeRenderingOff <- function(){
    res<-.Call("R_vtkMapper_ImmediateModeRenderingOff",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetGlobalImmediateModeRendering <- function( .val){
    res<-.Call("R_vtkMapper_SetGlobalImmediateModeRendering",.me$obj, .val,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GlobalImmediateModeRenderingOn <- function(){
    res<-.Call("R_vtkMapper_GlobalImmediateModeRenderingOn",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GlobalImmediateModeRenderingOff <- function(){
    res<-.Call("R_vtkMapper_GlobalImmediateModeRenderingOff",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetGlobalImmediateModeRendering <- function(){
    res<-.Call("R_vtkMapper_GetGlobalImmediateModeRendering",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetScalarMode <- function( ._arg){
    res<-.Call("R_vtkMapper_SetScalarMode",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetScalarMode <- function(){
    res<-.Call("R_vtkMapper_GetScalarMode",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetScalarModeToDefault <- function(){
    res<-.Call("R_vtkMapper_SetScalarModeToDefault",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetScalarModeToUsePointData <- function(){
    res<-.Call("R_vtkMapper_SetScalarModeToUsePointData",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetScalarModeToUseCellData <- function(){
    res<-.Call("R_vtkMapper_SetScalarModeToUseCellData",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetScalarModeToUsePointFieldData <- function(){
    res<-.Call("R_vtkMapper_SetScalarModeToUsePointFieldData",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetScalarModeToUseCellFieldData <- function(){
    res<-.Call("R_vtkMapper_SetScalarModeToUseCellFieldData",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SelectColorArray <- function( .arrayNum){
    res<-.Call("R_vtkMapper_SelectColorArray",.me$obj, .arrayNum,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SelectColorArray_v1 <- function( .arrayName){
    res<-.Call("R_vtkMapper_SelectColorArray_v1",.me$obj, .arrayName,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ColorByArrayComponent <- function( .arrayNum, .component){
    res<-.Call("R_vtkMapper_ColorByArrayComponent",.me$obj, .arrayNum, .component,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ColorByArrayComponent_v1 <- function( .arrayName, .component){
    res<-.Call("R_vtkMapper_ColorByArrayComponent_v1",.me$obj, .arrayName, .component,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetArrayName <- function(){
    res<-.Call("R_vtkMapper_GetArrayName",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetArrayId <- function(){
    res<-.Call("R_vtkMapper_GetArrayId",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetArrayAccessMode <- function(){
    res<-.Call("R_vtkMapper_GetArrayAccessMode",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetArrayComponent <- function(){
    res<-.Call("R_vtkMapper_GetArrayComponent",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetScalarModeAsString <- function(){
    res<-.Call("R_vtkMapper_GetScalarModeAsString",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetResolveCoincidentTopology <- function( .val){
    res<-.Call("R_vtkMapper_SetResolveCoincidentTopology",.me$obj, .val,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetResolveCoincidentTopology <- function(){
    res<-.Call("R_vtkMapper_GetResolveCoincidentTopology",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetResolveCoincidentTopologyToDefault <- function(){
    res<-.Call("R_vtkMapper_SetResolveCoincidentTopologyToDefault",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetResolveCoincidentTopologyToOff <- function(){
    res<-.Call("R_vtkMapper_SetResolveCoincidentTopologyToOff",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetResolveCoincidentTopologyToPolygonOffset <- function(){
    res<-.Call("R_vtkMapper_SetResolveCoincidentTopologyToPolygonOffset",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetResolveCoincidentTopologyToShiftZBuffer <- function(){
    res<-.Call("R_vtkMapper_SetResolveCoincidentTopologyToShiftZBuffer",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetResolveCoincidentTopologyPolygonOffsetParameters <- function( .factor, .units){
    res<-.Call("R_vtkMapper_SetResolveCoincidentTopologyPolygonOffsetParameters",.me$obj, .factor, .units,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetResolveCoincidentTopologyPolygonOffsetParameters <- function( .factor=as.double(rep.int(1,1)), .units=as.double(rep.int(1,1))){
    res<-.Call("R_vtkMapper_GetResolveCoincidentTopologyPolygonOffsetParameters",.me$obj, .factor, .units,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetResolveCoincidentTopologyZShift <- function( .val){
    res<-.Call("R_vtkMapper_SetResolveCoincidentTopologyZShift",.me$obj, .val,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetResolveCoincidentTopologyZShift <- function(){
    res<-.Call("R_vtkMapper_GetResolveCoincidentTopologyZShift",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetBounds <- function(){
    res<-.Call("R_vtkMapper_GetBounds",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetBounds_v1 <- function( .bounds){
    res<-.Call("R_vtkMapper_GetBounds_v1",.me$obj, .bounds,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetRenderTime <- function( .time){
    res<-.Call("R_vtkMapper_SetRenderTime",.me$obj, .time,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetRenderTime <- function(){
    res<-.Call("R_vtkMapper_GetRenderTime",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetInput <- function(){
    res<-.Call("R_vtkMapper_GetInput",.me$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkDataSet(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetInputAsDataSet <- function(){
    res<-.Call("R_vtkMapper_GetInputAsDataSet",.me$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkDataSet(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$MapScalars <- function( .alpha){
    res<-.Call("R_vtkMapper_MapScalars",.me$obj, .alpha,PACKAGE="RVTK.Render")
    res$ret.val <- vtkUnsignedCharArray(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Update <- function(){
    res<-.Call("R_vtkMapper_Update",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetScalarMaterialMode <- function( ._arg){
    res<-.Call("R_vtkMapper_SetScalarMaterialMode",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetScalarMaterialMode <- function(){
    res<-.Call("R_vtkMapper_GetScalarMaterialMode",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetScalarMaterialModeToDefault <- function(){
    res<-.Call("R_vtkMapper_SetScalarMaterialModeToDefault",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetScalarMaterialModeToAmbient <- function(){
    res<-.Call("R_vtkMapper_SetScalarMaterialModeToAmbient",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetScalarMaterialModeToDiffuse <- function(){
    res<-.Call("R_vtkMapper_SetScalarMaterialModeToDiffuse",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetScalarMaterialModeToAmbientAndDiffuse <- function(){
    res<-.Call("R_vtkMapper_SetScalarMaterialModeToAmbientAndDiffuse",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetScalarMaterialModeAsString <- function(){
    res<-.Call("R_vtkMapper_GetScalarMaterialModeAsString",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  class(.me) <- c("vtkMapper",class(.me))
  return(.me)
}
