vtkOBJExporter <- function(.me=environment()){
  .me <- vtkExporter(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkOBJExporter_GetClassName",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkOBJExporter_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkOBJExporter_IsA",.me$obj, .type,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkOBJExporter_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkOBJExporter(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkOBJExporter_NewInstance",.me$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkOBJExporter(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetFilePrefix <- function( ._arg){
    res<-.Call("R_vtkOBJExporter_SetFilePrefix",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetFilePrefix <- function(){
    res<-.Call("R_vtkOBJExporter_GetFilePrefix",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkOBJExporter_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkOBJExporter",class(.me))
  return(.me)
}
