vtkOpenGLActor <- function(.me=environment()){
  .me <- vtkActor(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkOpenGLActor_GetClassName",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkOpenGLActor_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkOpenGLActor_IsA",.me$obj, .type,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkOpenGLActor_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkOpenGLActor(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkOpenGLActor_NewInstance",.me$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkOpenGLActor(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Render <- function( .ren=vtkRenderer(), .mapper=vtkMapper()){
    check.VTK(.ren,"vtkRenderer")
    check.VTK(.mapper,"vtkMapper")
    res<-.Call("R_vtkOpenGLActor_Render",.me$obj, .ren$obj, .mapper$obj,PACKAGE="RVTK.Render")
    res$.ren <- vtkRenderer(wrapenv(res$.ren))
    res$.mapper <- vtkMapper(wrapenv(res$.mapper))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkOpenGLActor_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkOpenGLActor",class(.me))
  return(.me)
}
