vtkProperty <- function(.me=environment()){
  .me <- vtkObject(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkProperty_GetClassName",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkProperty_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkProperty_IsA",.me$obj, .type,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkProperty_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkProperty(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkProperty_NewInstance",.me$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkProperty(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$DeepCopy <- function( .p=vtkProperty()){
    check.VTK(.p,"vtkProperty")
    res<-.Call("R_vtkProperty_DeepCopy",.me$obj, .p$obj,PACKAGE="RVTK.Render")
    res$.p <- vtkProperty(wrapenv(res$.p))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetInterpolation <- function( ._arg){
    res<-.Call("R_vtkProperty_SetInterpolation",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetInterpolationMinValue <- function(){
    res<-.Call("R_vtkProperty_GetInterpolationMinValue",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetInterpolationMaxValue <- function(){
    res<-.Call("R_vtkProperty_GetInterpolationMaxValue",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetInterpolation <- function(){
    res<-.Call("R_vtkProperty_GetInterpolation",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetInterpolationToFlat <- function(){
    res<-.Call("R_vtkProperty_SetInterpolationToFlat",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetInterpolationToGouraud <- function(){
    res<-.Call("R_vtkProperty_SetInterpolationToGouraud",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetInterpolationToPhong <- function(){
    res<-.Call("R_vtkProperty_SetInterpolationToPhong",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetInterpolationAsString <- function(){
    res<-.Call("R_vtkProperty_GetInterpolationAsString",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetRepresentation <- function( ._arg){
    res<-.Call("R_vtkProperty_SetRepresentation",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetRepresentationMinValue <- function(){
    res<-.Call("R_vtkProperty_GetRepresentationMinValue",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetRepresentationMaxValue <- function(){
    res<-.Call("R_vtkProperty_GetRepresentationMaxValue",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetRepresentation <- function(){
    res<-.Call("R_vtkProperty_GetRepresentation",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetRepresentationToPoints <- function(){
    res<-.Call("R_vtkProperty_SetRepresentationToPoints",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetRepresentationToWireframe <- function(){
    res<-.Call("R_vtkProperty_SetRepresentationToWireframe",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetRepresentationToSurface <- function(){
    res<-.Call("R_vtkProperty_SetRepresentationToSurface",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetRepresentationAsString <- function(){
    res<-.Call("R_vtkProperty_GetRepresentationAsString",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetColor <- function( .R, .G, .B){
    res<-.Call("R_vtkProperty_SetColor",.me$obj, .R, .G, .B,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetColor_v1 <- function( .a=as.double(rep.int(1,3))){
    res<-.Call("R_vtkProperty_SetColor_v1",.me$obj, .a,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetColor <- function(){
    res<-.Call("R_vtkProperty_GetColor",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetColor_v1 <- function( .rgb){
    res<-.Call("R_vtkProperty_GetColor_v1",.me$obj, .rgb,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetAmbient <- function( ._arg){
    res<-.Call("R_vtkProperty_SetAmbient",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetAmbientMinValue <- function(){
    res<-.Call("R_vtkProperty_GetAmbientMinValue",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetAmbientMaxValue <- function(){
    res<-.Call("R_vtkProperty_GetAmbientMaxValue",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetAmbient <- function(){
    res<-.Call("R_vtkProperty_GetAmbient",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetDiffuse <- function( ._arg){
    res<-.Call("R_vtkProperty_SetDiffuse",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDiffuseMinValue <- function(){
    res<-.Call("R_vtkProperty_GetDiffuseMinValue",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDiffuseMaxValue <- function(){
    res<-.Call("R_vtkProperty_GetDiffuseMaxValue",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDiffuse <- function(){
    res<-.Call("R_vtkProperty_GetDiffuse",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetSpecular <- function( ._arg){
    res<-.Call("R_vtkProperty_SetSpecular",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetSpecularMinValue <- function(){
    res<-.Call("R_vtkProperty_GetSpecularMinValue",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetSpecularMaxValue <- function(){
    res<-.Call("R_vtkProperty_GetSpecularMaxValue",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetSpecular <- function(){
    res<-.Call("R_vtkProperty_GetSpecular",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetSpecularPower <- function( ._arg){
    res<-.Call("R_vtkProperty_SetSpecularPower",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetSpecularPowerMinValue <- function(){
    res<-.Call("R_vtkProperty_GetSpecularPowerMinValue",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetSpecularPowerMaxValue <- function(){
    res<-.Call("R_vtkProperty_GetSpecularPowerMaxValue",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetSpecularPower <- function(){
    res<-.Call("R_vtkProperty_GetSpecularPower",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetOpacity <- function( ._arg){
    res<-.Call("R_vtkProperty_SetOpacity",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOpacityMinValue <- function(){
    res<-.Call("R_vtkProperty_GetOpacityMinValue",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOpacityMaxValue <- function(){
    res<-.Call("R_vtkProperty_GetOpacityMaxValue",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOpacity <- function(){
    res<-.Call("R_vtkProperty_GetOpacity",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetAmbientColor <- function( ._arg1, ._arg2, ._arg3){
    res<-.Call("R_vtkProperty_SetAmbientColor",.me$obj, ._arg1, ._arg2, ._arg3,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetAmbientColor_v1 <- function( ._arg){
    res<-.Call("R_vtkProperty_SetAmbientColor_v1",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetAmbientColor <- function(){
    res<-.Call("R_vtkProperty_GetAmbientColor",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetAmbientColor_v1 <- function( .data){
    res<-.Call("R_vtkProperty_GetAmbientColor_v1",.me$obj, .data,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetDiffuseColor <- function( ._arg1, ._arg2, ._arg3){
    res<-.Call("R_vtkProperty_SetDiffuseColor",.me$obj, ._arg1, ._arg2, ._arg3,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetDiffuseColor_v1 <- function( ._arg){
    res<-.Call("R_vtkProperty_SetDiffuseColor_v1",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDiffuseColor <- function(){
    res<-.Call("R_vtkProperty_GetDiffuseColor",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDiffuseColor_v1 <- function( .data){
    res<-.Call("R_vtkProperty_GetDiffuseColor_v1",.me$obj, .data,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetSpecularColor <- function( ._arg1, ._arg2, ._arg3){
    res<-.Call("R_vtkProperty_SetSpecularColor",.me$obj, ._arg1, ._arg2, ._arg3,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetSpecularColor_v1 <- function( ._arg){
    res<-.Call("R_vtkProperty_SetSpecularColor_v1",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetSpecularColor <- function(){
    res<-.Call("R_vtkProperty_GetSpecularColor",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetSpecularColor_v1 <- function( .data){
    res<-.Call("R_vtkProperty_GetSpecularColor_v1",.me$obj, .data,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetEdgeVisibility <- function(){
    res<-.Call("R_vtkProperty_GetEdgeVisibility",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetEdgeVisibility <- function( ._arg){
    res<-.Call("R_vtkProperty_SetEdgeVisibility",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$EdgeVisibilityOn <- function(){
    res<-.Call("R_vtkProperty_EdgeVisibilityOn",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$EdgeVisibilityOff <- function(){
    res<-.Call("R_vtkProperty_EdgeVisibilityOff",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetEdgeColor <- function( ._arg1, ._arg2, ._arg3){
    res<-.Call("R_vtkProperty_SetEdgeColor",.me$obj, ._arg1, ._arg2, ._arg3,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetEdgeColor_v1 <- function( ._arg){
    res<-.Call("R_vtkProperty_SetEdgeColor_v1",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetEdgeColor <- function(){
    res<-.Call("R_vtkProperty_GetEdgeColor",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetEdgeColor_v1 <- function( .data){
    res<-.Call("R_vtkProperty_GetEdgeColor_v1",.me$obj, .data,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetLineWidth <- function( ._arg){
    res<-.Call("R_vtkProperty_SetLineWidth",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetLineWidthMinValue <- function(){
    res<-.Call("R_vtkProperty_GetLineWidthMinValue",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetLineWidthMaxValue <- function(){
    res<-.Call("R_vtkProperty_GetLineWidthMaxValue",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetLineWidth <- function(){
    res<-.Call("R_vtkProperty_GetLineWidth",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetLineStipplePattern <- function( ._arg){
    res<-.Call("R_vtkProperty_SetLineStipplePattern",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetLineStipplePattern <- function(){
    res<-.Call("R_vtkProperty_GetLineStipplePattern",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetLineStippleRepeatFactor <- function( ._arg){
    res<-.Call("R_vtkProperty_SetLineStippleRepeatFactor",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetLineStippleRepeatFactorMinValue <- function(){
    res<-.Call("R_vtkProperty_GetLineStippleRepeatFactorMinValue",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetLineStippleRepeatFactorMaxValue <- function(){
    res<-.Call("R_vtkProperty_GetLineStippleRepeatFactorMaxValue",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetLineStippleRepeatFactor <- function(){
    res<-.Call("R_vtkProperty_GetLineStippleRepeatFactor",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetPointSize <- function( ._arg){
    res<-.Call("R_vtkProperty_SetPointSize",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPointSizeMinValue <- function(){
    res<-.Call("R_vtkProperty_GetPointSizeMinValue",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPointSizeMaxValue <- function(){
    res<-.Call("R_vtkProperty_GetPointSizeMaxValue",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPointSize <- function(){
    res<-.Call("R_vtkProperty_GetPointSize",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetBackfaceCulling <- function(){
    res<-.Call("R_vtkProperty_GetBackfaceCulling",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetBackfaceCulling <- function( ._arg){
    res<-.Call("R_vtkProperty_SetBackfaceCulling",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$BackfaceCullingOn <- function(){
    res<-.Call("R_vtkProperty_BackfaceCullingOn",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$BackfaceCullingOff <- function(){
    res<-.Call("R_vtkProperty_BackfaceCullingOff",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetFrontfaceCulling <- function(){
    res<-.Call("R_vtkProperty_GetFrontfaceCulling",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetFrontfaceCulling <- function( ._arg){
    res<-.Call("R_vtkProperty_SetFrontfaceCulling",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$FrontfaceCullingOn <- function(){
    res<-.Call("R_vtkProperty_FrontfaceCullingOn",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$FrontfaceCullingOff <- function(){
    res<-.Call("R_vtkProperty_FrontfaceCullingOff",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkProperty_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkProperty",class(.me))
  return(.me)
}
