vtkRayCastImageDisplayHelper <- function(.me=environment()){
  .me <- vtkObject(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkRayCastImageDisplayHelper_GetClassName",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkRayCastImageDisplayHelper_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkRayCastImageDisplayHelper_IsA",.me$obj, .type,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkRayCastImageDisplayHelper_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkRayCastImageDisplayHelper(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkRayCastImageDisplayHelper_NewInstance",.me$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkRayCastImageDisplayHelper(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RenderTexture <- function( .vol=vtkVolume(), .ren=vtkRenderer(), .imageMemorySize=as.integer(rep.int(1,2)), .imageViewportSize=as.integer(rep.int(1,2)), .imageInUseSize=as.integer(rep.int(1,2)), .imageOrigin=as.integer(rep.int(1,2)), .requestedDepth, .image){
    check.VTK(.vol,"vtkVolume")
    check.VTK(.ren,"vtkRenderer")
    res<-.Call("R_vtkRayCastImageDisplayHelper_RenderTexture",.me$obj, .vol$obj, .ren$obj, .imageMemorySize, .imageViewportSize, .imageInUseSize, .imageOrigin, .requestedDepth, .image,PACKAGE="RVTK.Render")
    res$.vol <- vtkVolume(wrapenv(res$.vol))
    res$.ren <- vtkRenderer(wrapenv(res$.ren))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkRayCastImageDisplayHelper_New")
  .me<-wrapvtkclass(.me$obj,.me$GetClassName())
  reg.finalizer(.me, .me$Delete)
  return(.me)
  }
  class(.me) <- c("vtkRayCastImageDisplayHelper",class(.me))
  return(.me)
}
