vtkRenderWindow <- function(.me=environment()){
  .me <- vtkWindow(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkRenderWindow_GetClassName",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkRenderWindow_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkRenderWindow_IsA",.me$obj, .type,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkRenderWindow_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkRenderWindow(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkRenderWindow_NewInstance",.me$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkRenderWindow(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$AddRenderer <- function( .ren=vtkRenderer()){
    check.VTK(.ren,"vtkRenderer")
    res<-.Call("R_vtkRenderWindow_AddRenderer",.me$obj, .ren$obj,PACKAGE="RVTK.Render")
    res$.ren <- vtkRenderer(wrapenv(res$.ren))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RemoveRenderer <- function( .ren=vtkRenderer()){
    check.VTK(.ren,"vtkRenderer")
    res<-.Call("R_vtkRenderWindow_RemoveRenderer",.me$obj, .ren$obj,PACKAGE="RVTK.Render")
    res$.ren <- vtkRenderer(wrapenv(res$.ren))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetRenderLibrary <- function(){
    res<-.Call("R_vtkRenderWindow_GetRenderLibrary",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetRenderers <- function(){
    res<-.Call("R_vtkRenderWindow_GetRenderers",.me$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkRendererCollection(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Render <- function(){
    res<-.Call("R_vtkRenderWindow_Render",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Start <- function(){
    res<-.Call("R_vtkRenderWindow_Start",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Frame <- function(){
    res<-.Call("R_vtkRenderWindow_Frame",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$CopyResultFrame <- function(){
    res<-.Call("R_vtkRenderWindow_CopyResultFrame",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$MakeRenderWindowInteractor <- function(){
    res<-.Call("R_vtkRenderWindow_MakeRenderWindowInteractor",.me$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkRenderWindowInteractor(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$HideCursor <- function(){
    res<-.Call("R_vtkRenderWindow_HideCursor",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ShowCursor <- function(){
    res<-.Call("R_vtkRenderWindow_ShowCursor",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetCurrentCursor <- function( ._arg){
    res<-.Call("R_vtkRenderWindow_SetCurrentCursor",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCurrentCursor <- function(){
    res<-.Call("R_vtkRenderWindow_GetCurrentCursor",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetFullScreen <- function(){
    res<-.Call("R_vtkRenderWindow_GetFullScreen",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$FullScreenOn <- function(){
    res<-.Call("R_vtkRenderWindow_FullScreenOn",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$FullScreenOff <- function(){
    res<-.Call("R_vtkRenderWindow_FullScreenOff",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetBorders <- function( ._arg){
    res<-.Call("R_vtkRenderWindow_SetBorders",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetBorders <- function(){
    res<-.Call("R_vtkRenderWindow_GetBorders",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$BordersOn <- function(){
    res<-.Call("R_vtkRenderWindow_BordersOn",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$BordersOff <- function(){
    res<-.Call("R_vtkRenderWindow_BordersOff",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetStereoCapableWindow <- function(){
    res<-.Call("R_vtkRenderWindow_GetStereoCapableWindow",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$StereoCapableWindowOn <- function(){
    res<-.Call("R_vtkRenderWindow_StereoCapableWindowOn",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$StereoCapableWindowOff <- function(){
    res<-.Call("R_vtkRenderWindow_StereoCapableWindowOff",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetStereoCapableWindow <- function( .capable){
    res<-.Call("R_vtkRenderWindow_SetStereoCapableWindow",.me$obj, .capable,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetStereoRender <- function(){
    res<-.Call("R_vtkRenderWindow_GetStereoRender",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetStereoRender <- function( .stereo){
    res<-.Call("R_vtkRenderWindow_SetStereoRender",.me$obj, .stereo,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$StereoRenderOn <- function(){
    res<-.Call("R_vtkRenderWindow_StereoRenderOn",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$StereoRenderOff <- function(){
    res<-.Call("R_vtkRenderWindow_StereoRenderOff",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetAlphaBitPlanes <- function( ._arg){
    res<-.Call("R_vtkRenderWindow_SetAlphaBitPlanes",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetAlphaBitPlanes <- function(){
    res<-.Call("R_vtkRenderWindow_GetAlphaBitPlanes",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$AlphaBitPlanesOn <- function(){
    res<-.Call("R_vtkRenderWindow_AlphaBitPlanesOn",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$AlphaBitPlanesOff <- function(){
    res<-.Call("R_vtkRenderWindow_AlphaBitPlanesOff",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetPointSmoothing <- function( ._arg){
    res<-.Call("R_vtkRenderWindow_SetPointSmoothing",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPointSmoothing <- function(){
    res<-.Call("R_vtkRenderWindow_GetPointSmoothing",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$PointSmoothingOn <- function(){
    res<-.Call("R_vtkRenderWindow_PointSmoothingOn",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$PointSmoothingOff <- function(){
    res<-.Call("R_vtkRenderWindow_PointSmoothingOff",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetLineSmoothing <- function( ._arg){
    res<-.Call("R_vtkRenderWindow_SetLineSmoothing",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetLineSmoothing <- function(){
    res<-.Call("R_vtkRenderWindow_GetLineSmoothing",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$LineSmoothingOn <- function(){
    res<-.Call("R_vtkRenderWindow_LineSmoothingOn",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$LineSmoothingOff <- function(){
    res<-.Call("R_vtkRenderWindow_LineSmoothingOff",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetPolygonSmoothing <- function( ._arg){
    res<-.Call("R_vtkRenderWindow_SetPolygonSmoothing",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPolygonSmoothing <- function(){
    res<-.Call("R_vtkRenderWindow_GetPolygonSmoothing",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$PolygonSmoothingOn <- function(){
    res<-.Call("R_vtkRenderWindow_PolygonSmoothingOn",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$PolygonSmoothingOff <- function(){
    res<-.Call("R_vtkRenderWindow_PolygonSmoothingOff",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetStereoType <- function(){
    res<-.Call("R_vtkRenderWindow_GetStereoType",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetStereoType <- function( ._arg){
    res<-.Call("R_vtkRenderWindow_SetStereoType",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetStereoTypeToCrystalEyes <- function(){
    res<-.Call("R_vtkRenderWindow_SetStereoTypeToCrystalEyes",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetStereoTypeToRedBlue <- function(){
    res<-.Call("R_vtkRenderWindow_SetStereoTypeToRedBlue",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetStereoTypeToInterlaced <- function(){
    res<-.Call("R_vtkRenderWindow_SetStereoTypeToInterlaced",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetStereoTypeToLeft <- function(){
    res<-.Call("R_vtkRenderWindow_SetStereoTypeToLeft",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetStereoTypeToRight <- function(){
    res<-.Call("R_vtkRenderWindow_SetStereoTypeToRight",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetStereoTypeToDresden <- function(){
    res<-.Call("R_vtkRenderWindow_SetStereoTypeToDresden",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetStereoTypeAsString <- function(){
    res<-.Call("R_vtkRenderWindow_GetStereoTypeAsString",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$StereoUpdate <- function(){
    res<-.Call("R_vtkRenderWindow_StereoUpdate",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$StereoMidpoint <- function(){
    res<-.Call("R_vtkRenderWindow_StereoMidpoint",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$StereoRenderComplete <- function(){
    res<-.Call("R_vtkRenderWindow_StereoRenderComplete",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$WindowRemap <- function(){
    res<-.Call("R_vtkRenderWindow_WindowRemap",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetSwapBuffers <- function( ._arg){
    res<-.Call("R_vtkRenderWindow_SetSwapBuffers",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetSwapBuffers <- function(){
    res<-.Call("R_vtkRenderWindow_GetSwapBuffers",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SwapBuffersOn <- function(){
    res<-.Call("R_vtkRenderWindow_SwapBuffersOn",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SwapBuffersOff <- function(){
    res<-.Call("R_vtkRenderWindow_SwapBuffersOff",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ReleaseRGBAPixelData <- function( .data){
    res<-.Call("R_vtkRenderWindow_ReleaseRGBAPixelData",.me$obj, .data,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetAAFrames <- function(){
    res<-.Call("R_vtkRenderWindow_GetAAFrames",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetAAFrames <- function( ._arg){
    res<-.Call("R_vtkRenderWindow_SetAAFrames",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetFDFrames <- function(){
    res<-.Call("R_vtkRenderWindow_GetFDFrames",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetFDFrames <- function( ._arg){
    res<-.Call("R_vtkRenderWindow_SetFDFrames",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetSubFrames <- function(){
    res<-.Call("R_vtkRenderWindow_GetSubFrames",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetSubFrames <- function( .subFrames){
    res<-.Call("R_vtkRenderWindow_SetSubFrames",.me$obj, .subFrames,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNeverRendered <- function(){
    res<-.Call("R_vtkRenderWindow_GetNeverRendered",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetAbortRender <- function(){
    res<-.Call("R_vtkRenderWindow_GetAbortRender",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetAbortRender <- function( ._arg){
    res<-.Call("R_vtkRenderWindow_SetAbortRender",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetInAbortCheck <- function(){
    res<-.Call("R_vtkRenderWindow_GetInAbortCheck",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetInAbortCheck <- function( ._arg){
    res<-.Call("R_vtkRenderWindow_SetInAbortCheck",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$CheckAbortStatus <- function(){
    res<-.Call("R_vtkRenderWindow_CheckAbortStatus",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetIsPicking <- function(){
    res<-.Call("R_vtkRenderWindow_GetIsPicking",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetIsPicking <- function( ._arg){
    res<-.Call("R_vtkRenderWindow_SetIsPicking",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsPickingOn <- function(){
    res<-.Call("R_vtkRenderWindow_IsPickingOn",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsPickingOff <- function(){
    res<-.Call("R_vtkRenderWindow_IsPickingOff",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetEventPending <- function(){
    res<-.Call("R_vtkRenderWindow_GetEventPending",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$CheckInRenderStatus <- function(){
    res<-.Call("R_vtkRenderWindow_CheckInRenderStatus",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ClearInRenderStatus <- function(){
    res<-.Call("R_vtkRenderWindow_ClearInRenderStatus",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetDesiredUpdateRate <- function( .rate){
    res<-.Call("R_vtkRenderWindow_SetDesiredUpdateRate",.me$obj, .rate,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDesiredUpdateRate <- function(){
    res<-.Call("R_vtkRenderWindow_GetDesiredUpdateRate",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfLayers <- function(){
    res<-.Call("R_vtkRenderWindow_GetNumberOfLayers",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetNumberOfLayers <- function( ._arg){
    res<-.Call("R_vtkRenderWindow_SetNumberOfLayers",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfLayersMinValue <- function(){
    res<-.Call("R_vtkRenderWindow_GetNumberOfLayersMinValue",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfLayersMaxValue <- function(){
    res<-.Call("R_vtkRenderWindow_GetNumberOfLayersMaxValue",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetInteractor <- function(){
    res<-.Call("R_vtkRenderWindow_GetInteractor",.me$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkRenderWindowInteractor(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetInteractor <- function( .rwi=vtkRenderWindowInteractor()){
    check.VTK(.rwi,"vtkRenderWindowInteractor")
    res<-.Call("R_vtkRenderWindow_SetInteractor",.me$obj, .rwi$obj,PACKAGE="RVTK.Render")
    res$.rwi <- vtkRenderWindowInteractor(wrapenv(res$.rwi))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$UnRegister <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkRenderWindow_UnRegister",.me$obj, .o$obj,PACKAGE="RVTK.Render")
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetGenericDisplayId <- function(){
    res<-.Call("R_vtkRenderWindow_GetGenericDisplayId",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetGenericWindowId <- function(){
    res<-.Call("R_vtkRenderWindow_GetGenericWindowId",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetGenericParentId <- function(){
    res<-.Call("R_vtkRenderWindow_GetGenericParentId",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetGenericContext <- function(){
    res<-.Call("R_vtkRenderWindow_GetGenericContext",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetGenericDrawable <- function(){
    res<-.Call("R_vtkRenderWindow_GetGenericDrawable",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$MakeCurrent <- function(){
    res<-.Call("R_vtkRenderWindow_MakeCurrent",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetForceMakeCurrent <- function(){
    res<-.Call("R_vtkRenderWindow_SetForceMakeCurrent",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ReportCapabilities <- function(){
    res<-.Call("R_vtkRenderWindow_ReportCapabilities",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SupportsOpenGL <- function(){
    res<-.Call("R_vtkRenderWindow_SupportsOpenGL",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsDirect <- function(){
    res<-.Call("R_vtkRenderWindow_IsDirect",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDepthBufferSize <- function(){
    res<-.Call("R_vtkRenderWindow_GetDepthBufferSize",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkRenderWindow_New")
  .me<-wrapvtkclass(.me$obj,.me$GetClassName())
  reg.finalizer(.me, .me$Delete)
  return(.me)
  }
  class(.me) <- c("vtkRenderWindow",class(.me))
  return(.me)
}
