vtkRenderWindowCollection <- function(.me=environment()){
  .me <- vtkCollection(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkRenderWindowCollection_GetClassName",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkRenderWindowCollection_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkRenderWindowCollection_IsA",.me$obj, .type,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkRenderWindowCollection_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkRenderWindowCollection(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkRenderWindowCollection_NewInstance",.me$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkRenderWindowCollection(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$AddItem <- function( .a=vtkRenderWindow()){
    check.VTK(.a,"vtkRenderWindow")
    res<-.Call("R_vtkRenderWindowCollection_AddItem",.me$obj, .a$obj,PACKAGE="RVTK.Render")
    res$.a <- vtkRenderWindow(wrapenv(res$.a))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNextItem <- function(){
    res<-.Call("R_vtkRenderWindowCollection_GetNextItem",.me$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkRenderWindow(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkRenderWindowCollection_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkRenderWindowCollection",class(.me))
  return(.me)
}
