vtkRenderWindowInteractor <- function(.me=environment()){
  .me <- vtkObject(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkRenderWindowInteractor_GetClassName",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkRenderWindowInteractor_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkRenderWindowInteractor_IsA",.me$obj, .type,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkRenderWindowInteractor_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkRenderWindowInteractor(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkRenderWindowInteractor_NewInstance",.me$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkRenderWindowInteractor(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Initialize <- function(){
    res<-.Call("R_vtkRenderWindowInteractor_Initialize",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ReInitialize <- function(){
    res<-.Call("R_vtkRenderWindowInteractor_ReInitialize",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$UnRegister <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkRenderWindowInteractor_UnRegister",.me$obj, .o$obj,PACKAGE="RVTK.Render")
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Start <- function(){
    res<-.Call("R_vtkRenderWindowInteractor_Start",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Enable <- function(){
    res<-.Call("R_vtkRenderWindowInteractor_Enable",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Disable <- function(){
    res<-.Call("R_vtkRenderWindowInteractor_Disable",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetEnabled <- function(){
    res<-.Call("R_vtkRenderWindowInteractor_GetEnabled",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetRenderWindow <- function( .aren=vtkRenderWindow()){
    check.VTK(.aren,"vtkRenderWindow")
    res<-.Call("R_vtkRenderWindowInteractor_SetRenderWindow",.me$obj, .aren$obj,PACKAGE="RVTK.Render")
    res$.aren <- vtkRenderWindow(wrapenv(res$.aren))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetRenderWindow <- function(){
    res<-.Call("R_vtkRenderWindowInteractor_GetRenderWindow",.me$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkRenderWindow(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$UpdateSize <- function( .x, .y){
    res<-.Call("R_vtkRenderWindowInteractor_UpdateSize",.me$obj, .x, .y,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$DestroyTimer <- function(){
    res<-.Call("R_vtkRenderWindowInteractor_DestroyTimer",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$TerminateApp <- function(){
    res<-.Call("R_vtkRenderWindowInteractor_TerminateApp",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetInteractorStyle <- function( .style=vtkInteractorObserver()){
    check.VTK(.style,"vtkInteractorObserver")
    res<-.Call("R_vtkRenderWindowInteractor_SetInteractorStyle",.me$obj, .style$obj,PACKAGE="RVTK.Render")
    res$.style <- vtkInteractorObserver(wrapenv(res$.style))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetInteractorStyle <- function(){
    res<-.Call("R_vtkRenderWindowInteractor_GetInteractorStyle",.me$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkInteractorObserver(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetLightFollowCamera <- function( ._arg){
    res<-.Call("R_vtkRenderWindowInteractor_SetLightFollowCamera",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetLightFollowCamera <- function(){
    res<-.Call("R_vtkRenderWindowInteractor_GetLightFollowCamera",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$LightFollowCameraOn <- function(){
    res<-.Call("R_vtkRenderWindowInteractor_LightFollowCameraOn",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$LightFollowCameraOff <- function(){
    res<-.Call("R_vtkRenderWindowInteractor_LightFollowCameraOff",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetDesiredUpdateRate <- function( ._arg){
    res<-.Call("R_vtkRenderWindowInteractor_SetDesiredUpdateRate",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDesiredUpdateRateMinValue <- function(){
    res<-.Call("R_vtkRenderWindowInteractor_GetDesiredUpdateRateMinValue",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDesiredUpdateRateMaxValue <- function(){
    res<-.Call("R_vtkRenderWindowInteractor_GetDesiredUpdateRateMaxValue",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDesiredUpdateRate <- function(){
    res<-.Call("R_vtkRenderWindowInteractor_GetDesiredUpdateRate",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetStillUpdateRate <- function( ._arg){
    res<-.Call("R_vtkRenderWindowInteractor_SetStillUpdateRate",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetStillUpdateRateMinValue <- function(){
    res<-.Call("R_vtkRenderWindowInteractor_GetStillUpdateRateMinValue",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetStillUpdateRateMaxValue <- function(){
    res<-.Call("R_vtkRenderWindowInteractor_GetStillUpdateRateMaxValue",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetStillUpdateRate <- function(){
    res<-.Call("R_vtkRenderWindowInteractor_GetStillUpdateRate",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetInitialized <- function(){
    res<-.Call("R_vtkRenderWindowInteractor_GetInitialized",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetPicker <- function( ._arg=vtkAbstractPicker()){
    check.VTK(._arg,"vtkAbstractPicker")
    res<-.Call("R_vtkRenderWindowInteractor_SetPicker",.me$obj, ._arg$obj,PACKAGE="RVTK.Render")
    res$._arg <- vtkAbstractPicker(wrapenv(res$._arg))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPicker <- function(){
    res<-.Call("R_vtkRenderWindowInteractor_GetPicker",.me$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkAbstractPicker(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$CreateDefaultPicker <- function(){
    res<-.Call("R_vtkRenderWindowInteractor_CreateDefaultPicker",.me$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkAbstractPropPicker(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ExitCallback <- function(){
    res<-.Call("R_vtkRenderWindowInteractor_ExitCallback",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$UserCallback <- function(){
    res<-.Call("R_vtkRenderWindowInteractor_UserCallback",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$StartPickCallback <- function(){
    res<-.Call("R_vtkRenderWindowInteractor_StartPickCallback",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$EndPickCallback <- function(){
    res<-.Call("R_vtkRenderWindowInteractor_EndPickCallback",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMousePosition <- function( .x, .y){
    res<-.Call("R_vtkRenderWindowInteractor_GetMousePosition",.me$obj, .x, .y,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$HideCursor <- function(){
    res<-.Call("R_vtkRenderWindowInteractor_HideCursor",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ShowCursor <- function(){
    res<-.Call("R_vtkRenderWindowInteractor_ShowCursor",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Render <- function(){
    res<-.Call("R_vtkRenderWindowInteractor_Render",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$FlyTo <- function( .ren=vtkRenderer(), .x, .y, .z){
    check.VTK(.ren,"vtkRenderer")
    res<-.Call("R_vtkRenderWindowInteractor_FlyTo",.me$obj, .ren$obj, .x, .y, .z,PACKAGE="RVTK.Render")
    res$.ren <- vtkRenderer(wrapenv(res$.ren))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$FlyTo_v1 <- function( .ren=vtkRenderer(), .x){
    check.VTK(.ren,"vtkRenderer")
    res<-.Call("R_vtkRenderWindowInteractor_FlyTo_v1",.me$obj, .ren$obj, .x,PACKAGE="RVTK.Render")
    res$.ren <- vtkRenderer(wrapenv(res$.ren))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$FlyToImage <- function( .ren=vtkRenderer(), .x, .y){
    check.VTK(.ren,"vtkRenderer")
    res<-.Call("R_vtkRenderWindowInteractor_FlyToImage",.me$obj, .ren$obj, .x, .y,PACKAGE="RVTK.Render")
    res$.ren <- vtkRenderer(wrapenv(res$.ren))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$FlyToImage_v1 <- function( .ren=vtkRenderer(), .x){
    check.VTK(.ren,"vtkRenderer")
    res<-.Call("R_vtkRenderWindowInteractor_FlyToImage_v1",.me$obj, .ren$obj, .x,PACKAGE="RVTK.Render")
    res$.ren <- vtkRenderer(wrapenv(res$.ren))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetNumberOfFlyFrames <- function( ._arg){
    res<-.Call("R_vtkRenderWindowInteractor_SetNumberOfFlyFrames",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfFlyFramesMinValue <- function(){
    res<-.Call("R_vtkRenderWindowInteractor_GetNumberOfFlyFramesMinValue",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfFlyFramesMaxValue <- function(){
    res<-.Call("R_vtkRenderWindowInteractor_GetNumberOfFlyFramesMaxValue",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfFlyFrames <- function(){
    res<-.Call("R_vtkRenderWindowInteractor_GetNumberOfFlyFrames",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetDolly <- function( ._arg){
    res<-.Call("R_vtkRenderWindowInteractor_SetDolly",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDolly <- function(){
    res<-.Call("R_vtkRenderWindowInteractor_GetDolly",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetEventPosition <- function(){
    res<-.Call("R_vtkRenderWindowInteractor_GetEventPosition",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetEventPosition_v1 <- function( ._arg1=as.integer(rep.int(1,1)), ._arg2=as.integer(rep.int(1,1))){
    res<-.Call("R_vtkRenderWindowInteractor_GetEventPosition_v1",.me$obj, ._arg1, ._arg2,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetEventPosition_v2 <- function( ._arg){
    res<-.Call("R_vtkRenderWindowInteractor_GetEventPosition_v2",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetLastEventPosition <- function(){
    res<-.Call("R_vtkRenderWindowInteractor_GetLastEventPosition",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetLastEventPosition_v1 <- function( ._arg1=as.integer(rep.int(1,1)), ._arg2=as.integer(rep.int(1,1))){
    res<-.Call("R_vtkRenderWindowInteractor_GetLastEventPosition_v1",.me$obj, ._arg1, ._arg2,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetLastEventPosition_v2 <- function( ._arg){
    res<-.Call("R_vtkRenderWindowInteractor_GetLastEventPosition_v2",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetEventPosition <- function( .x, .y){
    res<-.Call("R_vtkRenderWindowInteractor_SetEventPosition",.me$obj, .x, .y,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetEventPosition_v1 <- function( .pos=as.integer(rep.int(1,2))){
    res<-.Call("R_vtkRenderWindowInteractor_SetEventPosition_v1",.me$obj, .pos,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetEventPositionFlipY <- function( .x, .y){
    res<-.Call("R_vtkRenderWindowInteractor_SetEventPositionFlipY",.me$obj, .x, .y,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetEventPositionFlipY_v1 <- function( .pos=as.integer(rep.int(1,2))){
    res<-.Call("R_vtkRenderWindowInteractor_SetEventPositionFlipY_v1",.me$obj, .pos,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetControlKey <- function( ._arg){
    res<-.Call("R_vtkRenderWindowInteractor_SetControlKey",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetControlKey <- function(){
    res<-.Call("R_vtkRenderWindowInteractor_GetControlKey",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetShiftKey <- function( ._arg){
    res<-.Call("R_vtkRenderWindowInteractor_SetShiftKey",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetShiftKey <- function(){
    res<-.Call("R_vtkRenderWindowInteractor_GetShiftKey",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetKeyCode <- function( ._arg){
    res<-.Call("R_vtkRenderWindowInteractor_SetKeyCode",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetKeyCode <- function(){
    res<-.Call("R_vtkRenderWindowInteractor_GetKeyCode",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetRepeatCount <- function( ._arg){
    res<-.Call("R_vtkRenderWindowInteractor_SetRepeatCount",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetRepeatCount <- function(){
    res<-.Call("R_vtkRenderWindowInteractor_GetRepeatCount",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetKeySym <- function( ._arg){
    res<-.Call("R_vtkRenderWindowInteractor_SetKeySym",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetKeySym <- function(){
    res<-.Call("R_vtkRenderWindowInteractor_GetKeySym",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetEventInformation <- function( .x, .y, .ctrl, .shift, .keycode, .repeatcount, .keysym){
    res<-.Call("R_vtkRenderWindowInteractor_SetEventInformation",.me$obj, .x, .y, .ctrl, .shift, .keycode, .repeatcount, .keysym,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetEventInformationFlipY <- function( .x, .y, .ctrl, .shift, .keycode, .repeatcount, .keysym){
    res<-.Call("R_vtkRenderWindowInteractor_SetEventInformationFlipY",.me$obj, .x, .y, .ctrl, .shift, .keycode, .repeatcount, .keysym,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetKeyEventInformation <- function( .ctrl, .shift, .keycode, .repeatcount, .keysym){
    res<-.Call("R_vtkRenderWindowInteractor_SetKeyEventInformation",.me$obj, .ctrl, .shift, .keycode, .repeatcount, .keysym,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetSize <- function( ._arg1, ._arg2){
    res<-.Call("R_vtkRenderWindowInteractor_SetSize",.me$obj, ._arg1, ._arg2,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetSize_v1 <- function( ._arg){
    res<-.Call("R_vtkRenderWindowInteractor_SetSize_v1",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetSize <- function(){
    res<-.Call("R_vtkRenderWindowInteractor_GetSize",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetSize_v1 <- function( ._arg1=as.integer(rep.int(1,1)), ._arg2=as.integer(rep.int(1,1))){
    res<-.Call("R_vtkRenderWindowInteractor_GetSize_v1",.me$obj, ._arg1, ._arg2,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetSize_v2 <- function( ._arg){
    res<-.Call("R_vtkRenderWindowInteractor_GetSize_v2",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetEventSize <- function( ._arg1, ._arg2){
    res<-.Call("R_vtkRenderWindowInteractor_SetEventSize",.me$obj, ._arg1, ._arg2,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetEventSize_v1 <- function( ._arg){
    res<-.Call("R_vtkRenderWindowInteractor_SetEventSize_v1",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetEventSize <- function(){
    res<-.Call("R_vtkRenderWindowInteractor_GetEventSize",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetEventSize_v1 <- function( ._arg1=as.integer(rep.int(1,1)), ._arg2=as.integer(rep.int(1,1))){
    res<-.Call("R_vtkRenderWindowInteractor_GetEventSize_v1",.me$obj, ._arg1, ._arg2,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetEventSize_v2 <- function( ._arg){
    res<-.Call("R_vtkRenderWindowInteractor_GetEventSize_v2",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$FindPokedRenderer <- function( .x, .y){
    res<-.Call("R_vtkRenderWindowInteractor_FindPokedRenderer",.me$obj, .x, .y,PACKAGE="RVTK.Render")
    res$ret.val <- vtkRenderer(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkRenderWindowInteractor_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkRenderWindowInteractor",class(.me))
  return(.me)
}
