vtkRenderer <- function(.me=environment()){
  .me <- vtkViewport(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkRenderer_GetClassName",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkRenderer_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkRenderer_IsA",.me$obj, .type,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkRenderer_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkRenderer(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkRenderer_NewInstance",.me$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkRenderer(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$AddActor <- function( .p=vtkProp()){
    check.VTK(.p,"vtkProp")
    res<-.Call("R_vtkRenderer_AddActor",.me$obj, .p$obj,PACKAGE="RVTK.Render")
    res$.p <- vtkProp(wrapenv(res$.p))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$AddVolume <- function( .p=vtkProp()){
    check.VTK(.p,"vtkProp")
    res<-.Call("R_vtkRenderer_AddVolume",.me$obj, .p$obj,PACKAGE="RVTK.Render")
    res$.p <- vtkProp(wrapenv(res$.p))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RemoveActor <- function( .p=vtkProp()){
    check.VTK(.p,"vtkProp")
    res<-.Call("R_vtkRenderer_RemoveActor",.me$obj, .p$obj,PACKAGE="RVTK.Render")
    res$.p <- vtkProp(wrapenv(res$.p))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RemoveVolume <- function( .p=vtkProp()){
    check.VTK(.p,"vtkProp")
    res<-.Call("R_vtkRenderer_RemoveVolume",.me$obj, .p$obj,PACKAGE="RVTK.Render")
    res$.p <- vtkProp(wrapenv(res$.p))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$AddLight <- function( .light=vtkLight()){
    check.VTK(.light,"vtkLight")
    res<-.Call("R_vtkRenderer_AddLight",.me$obj, .light$obj,PACKAGE="RVTK.Render")
    res$.light <- vtkLight(wrapenv(res$.light))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RemoveLight <- function( .light=vtkLight()){
    check.VTK(.light,"vtkLight")
    res<-.Call("R_vtkRenderer_RemoveLight",.me$obj, .light$obj,PACKAGE="RVTK.Render")
    res$.light <- vtkLight(wrapenv(res$.light))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetLights <- function(){
    res<-.Call("R_vtkRenderer_GetLights",.me$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkLightCollection(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$CreateLight <- function(){
    res<-.Call("R_vtkRenderer_CreateLight",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$MakeLight <- function(){
    res<-.Call("R_vtkRenderer_MakeLight",.me$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkLight(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetTwoSidedLighting <- function(){
    res<-.Call("R_vtkRenderer_GetTwoSidedLighting",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetTwoSidedLighting <- function( ._arg){
    res<-.Call("R_vtkRenderer_SetTwoSidedLighting",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$TwoSidedLightingOn <- function(){
    res<-.Call("R_vtkRenderer_TwoSidedLightingOn",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$TwoSidedLightingOff <- function(){
    res<-.Call("R_vtkRenderer_TwoSidedLightingOff",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetLightFollowCamera <- function( ._arg){
    res<-.Call("R_vtkRenderer_SetLightFollowCamera",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetLightFollowCamera <- function(){
    res<-.Call("R_vtkRenderer_GetLightFollowCamera",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$LightFollowCameraOn <- function(){
    res<-.Call("R_vtkRenderer_LightFollowCameraOn",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$LightFollowCameraOff <- function(){
    res<-.Call("R_vtkRenderer_LightFollowCameraOff",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetAutomaticLightCreation <- function(){
    res<-.Call("R_vtkRenderer_GetAutomaticLightCreation",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetAutomaticLightCreation <- function( ._arg){
    res<-.Call("R_vtkRenderer_SetAutomaticLightCreation",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$AutomaticLightCreationOn <- function(){
    res<-.Call("R_vtkRenderer_AutomaticLightCreationOn",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$AutomaticLightCreationOff <- function(){
    res<-.Call("R_vtkRenderer_AutomaticLightCreationOff",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$UpdateLightsGeometryToFollowCamera <- function(){
    res<-.Call("R_vtkRenderer_UpdateLightsGeometryToFollowCamera",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetVolumes <- function(){
    res<-.Call("R_vtkRenderer_GetVolumes",.me$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkVolumeCollection(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetActors <- function(){
    res<-.Call("R_vtkRenderer_GetActors",.me$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkActorCollection(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetActiveCamera <- function( .cam=vtkCamera()){
    check.VTK(.cam,"vtkCamera")
    res<-.Call("R_vtkRenderer_SetActiveCamera",.me$obj, .cam$obj,PACKAGE="RVTK.Render")
    res$.cam <- vtkCamera(wrapenv(res$.cam))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetActiveCamera <- function(){
    res<-.Call("R_vtkRenderer_GetActiveCamera",.me$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkCamera(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$MakeCamera <- function(){
    res<-.Call("R_vtkRenderer_MakeCamera",.me$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkCamera(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$AddCuller <- function( .culler=vtkCuller()){
    check.VTK(.culler,"vtkCuller")
    res<-.Call("R_vtkRenderer_AddCuller",.me$obj, .culler$obj,PACKAGE="RVTK.Render")
    res$.culler <- vtkCuller(wrapenv(res$.culler))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RemoveCuller <- function( .culler=vtkCuller()){
    check.VTK(.culler,"vtkCuller")
    res<-.Call("R_vtkRenderer_RemoveCuller",.me$obj, .culler$obj,PACKAGE="RVTK.Render")
    res$.culler <- vtkCuller(wrapenv(res$.culler))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCullers <- function(){
    res<-.Call("R_vtkRenderer_GetCullers",.me$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkCullerCollection(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetAmbient <- function( ._arg1, ._arg2, ._arg3){
    res<-.Call("R_vtkRenderer_SetAmbient",.me$obj, ._arg1, ._arg2, ._arg3,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetAmbient_v1 <- function( ._arg){
    res<-.Call("R_vtkRenderer_SetAmbient_v1",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetAmbient <- function(){
    res<-.Call("R_vtkRenderer_GetAmbient",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetAmbient_v1 <- function( .data){
    res<-.Call("R_vtkRenderer_GetAmbient_v1",.me$obj, .data,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetAllocatedRenderTime <- function( ._arg){
    res<-.Call("R_vtkRenderer_SetAllocatedRenderTime",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetAllocatedRenderTime <- function(){
    res<-.Call("R_vtkRenderer_GetAllocatedRenderTime",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetTimeFactor <- function(){
    res<-.Call("R_vtkRenderer_GetTimeFactor",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Render <- function(){
    res<-.Call("R_vtkRenderer_Render",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$DeviceRender <- function(){
    res<-.Call("R_vtkRenderer_DeviceRender",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Clear <- function(){
    res<-.Call("R_vtkRenderer_Clear",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$VisibleActorCount <- function(){
    res<-.Call("R_vtkRenderer_VisibleActorCount",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$VisibleVolumeCount <- function(){
    res<-.Call("R_vtkRenderer_VisibleVolumeCount",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ComputeVisiblePropBounds <- function( .allBounds=as.double(rep.int(1,6))){
    res<-.Call("R_vtkRenderer_ComputeVisiblePropBounds",.me$obj, .allBounds,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ComputeVisiblePropBounds_v1 <- function(){
    res<-.Call("R_vtkRenderer_ComputeVisiblePropBounds_v1",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ResetCameraClippingRange <- function(){
    res<-.Call("R_vtkRenderer_ResetCameraClippingRange",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ResetCameraClippingRange_v1 <- function( .bounds=as.double(rep.int(1,6))){
    res<-.Call("R_vtkRenderer_ResetCameraClippingRange_v1",.me$obj, .bounds,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ResetCameraClippingRange_v2 <- function( .xmin, .xmax, .ymin, .ymax, .zmin, .zmax){
    res<-.Call("R_vtkRenderer_ResetCameraClippingRange_v2",.me$obj, .xmin, .xmax, .ymin, .ymax, .zmin, .zmax,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetNearClippingPlaneTolerance <- function( ._arg){
    res<-.Call("R_vtkRenderer_SetNearClippingPlaneTolerance",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNearClippingPlaneTolerance <- function(){
    res<-.Call("R_vtkRenderer_GetNearClippingPlaneTolerance",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ResetCamera <- function(){
    res<-.Call("R_vtkRenderer_ResetCamera",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ResetCamera_v1 <- function( .bounds=as.double(rep.int(1,6))){
    res<-.Call("R_vtkRenderer_ResetCamera_v1",.me$obj, .bounds,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ResetCamera_v2 <- function( .xmin, .xmax, .ymin, .ymax, .zmin, .zmax){
    res<-.Call("R_vtkRenderer_ResetCamera_v2",.me$obj, .xmin, .xmax, .ymin, .ymax, .zmin, .zmax,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetRenderWindow <- function( .renwin=vtkRenderWindow()){
    check.VTK(.renwin,"vtkRenderWindow")
    res<-.Call("R_vtkRenderer_SetRenderWindow",.me$obj, .renwin$obj,PACKAGE="RVTK.Render")
    res$.renwin <- vtkRenderWindow(wrapenv(res$.renwin))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetRenderWindow <- function(){
    res<-.Call("R_vtkRenderer_GetRenderWindow",.me$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkRenderWindow(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetVTKWindow <- function(){
    res<-.Call("R_vtkRenderer_GetVTKWindow",.me$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkWindow(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetBackingStore <- function( ._arg){
    res<-.Call("R_vtkRenderer_SetBackingStore",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetBackingStore <- function(){
    res<-.Call("R_vtkRenderer_GetBackingStore",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$BackingStoreOn <- function(){
    res<-.Call("R_vtkRenderer_BackingStoreOn",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$BackingStoreOff <- function(){
    res<-.Call("R_vtkRenderer_BackingStoreOff",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetInteractive <- function( ._arg){
    res<-.Call("R_vtkRenderer_SetInteractive",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetInteractive <- function(){
    res<-.Call("R_vtkRenderer_GetInteractive",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$InteractiveOn <- function(){
    res<-.Call("R_vtkRenderer_InteractiveOn",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$InteractiveOff <- function(){
    res<-.Call("R_vtkRenderer_InteractiveOff",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetLayer <- function( ._arg){
    res<-.Call("R_vtkRenderer_SetLayer",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetLayer <- function(){
    res<-.Call("R_vtkRenderer_GetLayer",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Transparent <- function(){
    res<-.Call("R_vtkRenderer_Transparent",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$WorldToView <- function(){
    res<-.Call("R_vtkRenderer_WorldToView",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ViewToWorld <- function(){
    res<-.Call("R_vtkRenderer_ViewToWorld",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ViewToWorld_v1 <- function( .x=as.double(rep.int(1,1)), .y=as.double(rep.int(1,1)), .z=as.double(rep.int(1,1))){
    res<-.Call("R_vtkRenderer_ViewToWorld_v1",.me$obj, .x, .y, .z,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$WorldToView_v1 <- function( .x=as.double(rep.int(1,1)), .y=as.double(rep.int(1,1)), .z=as.double(rep.int(1,1))){
    res<-.Call("R_vtkRenderer_WorldToView_v1",.me$obj, .x, .y, .z,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetZ <- function( .x, .y){
    res<-.Call("R_vtkRenderer_GetZ",.me$obj, .x, .y,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMTime <- function(){
    res<-.Call("R_vtkRenderer_GetMTime",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetLastRenderTimeInSeconds <- function(){
    res<-.Call("R_vtkRenderer_GetLastRenderTimeInSeconds",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfPropsRendered <- function(){
    res<-.Call("R_vtkRenderer_GetNumberOfPropsRendered",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$PickProp <- function( .selectionX, .selectionY){
    res<-.Call("R_vtkRenderer_PickProp",.me$obj, .selectionX, .selectionY,PACKAGE="RVTK.Render")
    res$ret.val <- vtkAssemblyPath(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkRenderer_New")
  .me<-wrapvtkclass(.me$obj,.me$GetClassName())
  reg.finalizer(.me, .me$Delete)
  return(.me)
  }
  class(.me) <- c("vtkRenderer",class(.me))
  return(.me)
}
