vtkTesting <- function(.me=environment()){
  .me <- vtkObject(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkTesting_GetClassName",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkTesting_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkTesting_IsA",.me$obj, .type,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkTesting_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkTesting(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkTesting_NewInstance",.me$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkTesting(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetFrontBuffer <- function( ._arg){
    res<-.Call("R_vtkTesting_SetFrontBuffer",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetFrontBufferMinValue <- function(){
    res<-.Call("R_vtkTesting_GetFrontBufferMinValue",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetFrontBufferMaxValue <- function(){
    res<-.Call("R_vtkTesting_GetFrontBufferMaxValue",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$FrontBufferOn <- function(){
    res<-.Call("R_vtkTesting_FrontBufferOn",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$FrontBufferOff <- function(){
    res<-.Call("R_vtkTesting_FrontBufferOff",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetFrontBuffer <- function(){
    res<-.Call("R_vtkTesting_GetFrontBuffer",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RegressionTest <- function( .thresh){
    res<-.Call("R_vtkTesting_RegressionTest",.me$obj, .thresh,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetRenderWindow <- function( ._arg=vtkRenderWindow()){
    check.VTK(._arg,"vtkRenderWindow")
    res<-.Call("R_vtkTesting_SetRenderWindow",.me$obj, ._arg$obj,PACKAGE="RVTK.Render")
    res$._arg <- vtkRenderWindow(wrapenv(res$._arg))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetRenderWindow <- function(){
    res<-.Call("R_vtkTesting_GetRenderWindow",.me$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkRenderWindow(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetDataFileName <- function( ._arg){
    res<-.Call("R_vtkTesting_SetDataFileName",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDataFileName <- function(){
    res<-.Call("R_vtkTesting_GetDataFileName",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkTesting_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkTesting",class(.me))
  return(.me)
}
