vtkTextActor <- function(.me=environment()){
  .me <- vtkActor2D(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkTextActor_GetClassName",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkTextActor_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkTextActor_IsA",.me$obj, .type,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkTextActor_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkTextActor(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkTextActor_NewInstance",.me$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkTextActor(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ShallowCopy <- function( .prop=vtkProp()){
    check.VTK(.prop,"vtkProp")
    res<-.Call("R_vtkTextActor_ShallowCopy",.me$obj, .prop$obj,PACKAGE="RVTK.Render")
    res$.prop <- vtkProp(wrapenv(res$.prop))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetMapper <- function( .mapper=vtkTextMapper()){
    check.VTK(.mapper,"vtkTextMapper")
    res<-.Call("R_vtkTextActor_SetMapper",.me$obj, .mapper$obj,PACKAGE="RVTK.Render")
    res$.mapper <- vtkTextMapper(wrapenv(res$.mapper))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetInput <- function( .input){
    res<-.Call("R_vtkTextActor_SetInput",.me$obj, .input,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetInput <- function(){
    res<-.Call("R_vtkTextActor_GetInput",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetMinimumSize <- function( ._arg1, ._arg2){
    res<-.Call("R_vtkTextActor_SetMinimumSize",.me$obj, ._arg1, ._arg2,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetMinimumSize_v1 <- function( ._arg){
    res<-.Call("R_vtkTextActor_SetMinimumSize_v1",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMinimumSize <- function(){
    res<-.Call("R_vtkTextActor_GetMinimumSize",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMinimumSize_v1 <- function( ._arg1=as.integer(rep.int(1,1)), ._arg2=as.integer(rep.int(1,1))){
    res<-.Call("R_vtkTextActor_GetMinimumSize_v1",.me$obj, ._arg1, ._arg2,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMinimumSize_v2 <- function( ._arg){
    res<-.Call("R_vtkTextActor_GetMinimumSize_v2",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetMaximumLineHeight <- function( ._arg){
    res<-.Call("R_vtkTextActor_SetMaximumLineHeight",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMaximumLineHeight <- function(){
    res<-.Call("R_vtkTextActor_GetMaximumLineHeight",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetScaledText <- function( ._arg){
    res<-.Call("R_vtkTextActor_SetScaledText",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetScaledText <- function(){
    res<-.Call("R_vtkTextActor_GetScaledText",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ScaledTextOn <- function(){
    res<-.Call("R_vtkTextActor_ScaledTextOn",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ScaledTextOff <- function(){
    res<-.Call("R_vtkTextActor_ScaledTextOff",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetAlignmentPoint <- function( ._arg){
    res<-.Call("R_vtkTextActor_SetAlignmentPoint",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetAlignmentPointMinValue <- function(){
    res<-.Call("R_vtkTextActor_GetAlignmentPointMinValue",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetAlignmentPointMaxValue <- function(){
    res<-.Call("R_vtkTextActor_GetAlignmentPointMaxValue",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetAlignmentPoint <- function(){
    res<-.Call("R_vtkTextActor_GetAlignmentPoint",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetActualPositionCoordinate <- function(){
    res<-.Call("R_vtkTextActor_GetActualPositionCoordinate",.me$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkCoordinate(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetTextProperty <- function( ._arg=vtkTextProperty()){
    check.VTK(._arg,"vtkTextProperty")
    res<-.Call("R_vtkTextActor_SetTextProperty",.me$obj, ._arg$obj,PACKAGE="RVTK.Render")
    res$._arg <- vtkTextProperty(wrapenv(res$._arg))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetTextProperty <- function(){
    res<-.Call("R_vtkTextActor_GetTextProperty",.me$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkTextProperty(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetNonLinearFontScale <- function( .exp, .tgt){
    res<-.Call("R_vtkTextActor_SetNonLinearFontScale",.me$obj, .exp, .tgt,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ReleaseGraphicsResources <- function( .win=vtkWindow()){
    check.VTK(.win,"vtkWindow")
    res<-.Call("R_vtkTextActor_ReleaseGraphicsResources",.me$obj, .win$obj,PACKAGE="RVTK.Render")
    res$.win <- vtkWindow(wrapenv(res$.win))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RenderOpaqueGeometry <- function( .viewport=vtkViewport()){
    check.VTK(.viewport,"vtkViewport")
    res<-.Call("R_vtkTextActor_RenderOpaqueGeometry",.me$obj, .viewport$obj,PACKAGE="RVTK.Render")
    res$.viewport <- vtkViewport(wrapenv(res$.viewport))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RenderOverlay <- function( .viewport=vtkViewport()){
    check.VTK(.viewport,"vtkViewport")
    res<-.Call("R_vtkTextActor_RenderOverlay",.me$obj, .viewport$obj,PACKAGE="RVTK.Render")
    res$.viewport <- vtkViewport(wrapenv(res$.viewport))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkTextActor_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkTextActor",class(.me))
  return(.me)
}
