vtkTextMapper <- function(.me=environment()){
  .me <- vtkMapper2D(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkTextMapper_GetClassName",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkTextMapper_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkTextMapper_IsA",.me$obj, .type,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkTextMapper_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkTextMapper(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkTextMapper_NewInstance",.me$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkTextMapper(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetWidth <- function( .viewport=vtkViewport()){
    check.VTK(.viewport,"vtkViewport")
    res<-.Call("R_vtkTextMapper_GetWidth",.me$obj, .viewport$obj,PACKAGE="RVTK.Render")
    res$.viewport <- vtkViewport(wrapenv(res$.viewport))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetHeight <- function( .viewport=vtkViewport()){
    check.VTK(.viewport,"vtkViewport")
    res<-.Call("R_vtkTextMapper_GetHeight",.me$obj, .viewport$obj,PACKAGE="RVTK.Render")
    res$.viewport <- vtkViewport(wrapenv(res$.viewport))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetInput <- function( .input){
    res<-.Call("R_vtkTextMapper_SetInput",.me$obj, .input,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetInput <- function(){
    res<-.Call("R_vtkTextMapper_GetInput",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetTextProperty <- function( ._arg=vtkTextProperty()){
    check.VTK(._arg,"vtkTextProperty")
    res<-.Call("R_vtkTextMapper_SetTextProperty",.me$obj, ._arg$obj,PACKAGE="RVTK.Render")
    res$._arg <- vtkTextProperty(wrapenv(res$._arg))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetTextProperty <- function(){
    res<-.Call("R_vtkTextMapper_GetTextProperty",.me$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkTextProperty(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfLines <- function(){
    res<-.Call("R_vtkTextMapper_GetNumberOfLines",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ShallowCopy <- function( .tm=vtkTextMapper()){
    check.VTK(.tm,"vtkTextMapper")
    res<-.Call("R_vtkTextMapper_ShallowCopy",.me$obj, .tm$obj,PACKAGE="RVTK.Render")
    res$.tm <- vtkTextMapper(wrapenv(res$.tm))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfLines_v1 <- function( .input){
    res<-.Call("R_vtkTextMapper_GetNumberOfLines_v1",.me$obj, .input,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetConstrainedFontSize <- function( .viewport=vtkViewport(), .targetWidth, .targetHeight){
    check.VTK(.viewport,"vtkViewport")
    res<-.Call("R_vtkTextMapper_SetConstrainedFontSize",.me$obj, .viewport$obj, .targetWidth, .targetHeight,PACKAGE="RVTK.Render")
    res$.viewport <- vtkViewport(wrapenv(res$.viewport))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetSystemFontSize <- function( .size){
    res<-.Call("R_vtkTextMapper_GetSystemFontSize",.me$obj, .size,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkTextMapper_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkTextMapper",class(.me))
  return(.me)
}
