vtkTexture <- function(.me=environment()){
  .me <- vtkProcessObject(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkTexture_GetClassName",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkTexture_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkTexture_IsA",.me$obj, .type,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkTexture_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkTexture(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkTexture_NewInstance",.me$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkTexture(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Render <- function( .ren=vtkRenderer()){
    check.VTK(.ren,"vtkRenderer")
    res<-.Call("R_vtkTexture_Render",.me$obj, .ren$obj,PACKAGE="RVTK.Render")
    res$.ren <- vtkRenderer(wrapenv(res$.ren))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetRepeat <- function(){
    res<-.Call("R_vtkTexture_GetRepeat",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetRepeat <- function( ._arg){
    res<-.Call("R_vtkTexture_SetRepeat",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RepeatOn <- function(){
    res<-.Call("R_vtkTexture_RepeatOn",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RepeatOff <- function(){
    res<-.Call("R_vtkTexture_RepeatOff",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetInterpolate <- function(){
    res<-.Call("R_vtkTexture_GetInterpolate",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetInterpolate <- function( ._arg){
    res<-.Call("R_vtkTexture_SetInterpolate",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$InterpolateOn <- function(){
    res<-.Call("R_vtkTexture_InterpolateOn",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$InterpolateOff <- function(){
    res<-.Call("R_vtkTexture_InterpolateOff",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetQuality <- function( ._arg){
    res<-.Call("R_vtkTexture_SetQuality",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetQuality <- function(){
    res<-.Call("R_vtkTexture_GetQuality",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetQualityToDefault <- function(){
    res<-.Call("R_vtkTexture_SetQualityToDefault",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetQualityTo16Bit <- function(){
    res<-.Call("R_vtkTexture_SetQualityTo16Bit",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetQualityTo32Bit <- function(){
    res<-.Call("R_vtkTexture_SetQualityTo32Bit",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMapColorScalarsThroughLookupTable <- function(){
    res<-.Call("R_vtkTexture_GetMapColorScalarsThroughLookupTable",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetMapColorScalarsThroughLookupTable <- function( ._arg){
    res<-.Call("R_vtkTexture_SetMapColorScalarsThroughLookupTable",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$MapColorScalarsThroughLookupTableOn <- function(){
    res<-.Call("R_vtkTexture_MapColorScalarsThroughLookupTableOn",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$MapColorScalarsThroughLookupTableOff <- function(){
    res<-.Call("R_vtkTexture_MapColorScalarsThroughLookupTableOff",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetInput <- function( .input=vtkImageData()){
    check.VTK(.input,"vtkImageData")
    res<-.Call("R_vtkTexture_SetInput",.me$obj, .input$obj,PACKAGE="RVTK.Render")
    res$.input <- vtkImageData(wrapenv(res$.input))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetInput <- function(){
    res<-.Call("R_vtkTexture_GetInput",.me$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkImageData(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetLookupTable <- function( .lut=vtkLookupTable()){
    check.VTK(.lut,"vtkLookupTable")
    res<-.Call("R_vtkTexture_SetLookupTable",.me$obj, .lut$obj,PACKAGE="RVTK.Render")
    res$.lut <- vtkLookupTable(wrapenv(res$.lut))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetLookupTable <- function(){
    res<-.Call("R_vtkTexture_GetLookupTable",.me$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkLookupTable(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMappedScalars <- function(){
    res<-.Call("R_vtkTexture_GetMappedScalars",.me$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkUnsignedCharArray(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$MapScalarsToColors <- function( .scalars=vtkDataArray()){
    check.VTK(.scalars,"vtkDataArray")
    res<-.Call("R_vtkTexture_MapScalarsToColors",.me$obj, .scalars$obj,PACKAGE="RVTK.Render")
    res$.scalars <- vtkDataArray(wrapenv(res$.scalars))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkTexture_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkTexture",class(.me))
  return(.me)
}
