vtkVolumeRayCastMapper <- function(.me=environment()){
  .me <- vtkVolumeMapper(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkVolumeRayCastMapper_GetClassName",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkVolumeRayCastMapper_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkVolumeRayCastMapper_IsA",.me$obj, .type,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkVolumeRayCastMapper_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkVolumeRayCastMapper(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkVolumeRayCastMapper_NewInstance",.me$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkVolumeRayCastMapper(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetSampleDistance <- function( ._arg){
    res<-.Call("R_vtkVolumeRayCastMapper_SetSampleDistance",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetSampleDistance <- function(){
    res<-.Call("R_vtkVolumeRayCastMapper_GetSampleDistance",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetVolumeRayCastFunction <- function( ._arg=vtkVolumeRayCastFunction()){
    check.VTK(._arg,"vtkVolumeRayCastFunction")
    res<-.Call("R_vtkVolumeRayCastMapper_SetVolumeRayCastFunction",.me$obj, ._arg$obj,PACKAGE="RVTK.Render")
    res$._arg <- vtkVolumeRayCastFunction(wrapenv(res$._arg))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetVolumeRayCastFunction <- function(){
    res<-.Call("R_vtkVolumeRayCastMapper_GetVolumeRayCastFunction",.me$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkVolumeRayCastFunction(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetGradientEstimator <- function( .gradest=vtkEncodedGradientEstimator()){
    check.VTK(.gradest,"vtkEncodedGradientEstimator")
    res<-.Call("R_vtkVolumeRayCastMapper_SetGradientEstimator",.me$obj, .gradest$obj,PACKAGE="RVTK.Render")
    res$.gradest <- vtkEncodedGradientEstimator(wrapenv(res$.gradest))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetGradientEstimator <- function(){
    res<-.Call("R_vtkVolumeRayCastMapper_GetGradientEstimator",.me$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkEncodedGradientEstimator(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetGradientShader <- function(){
    res<-.Call("R_vtkVolumeRayCastMapper_GetGradientShader",.me$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkEncodedGradientShader(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetImageSampleDistance <- function( ._arg){
    res<-.Call("R_vtkVolumeRayCastMapper_SetImageSampleDistance",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetImageSampleDistanceMinValue <- function(){
    res<-.Call("R_vtkVolumeRayCastMapper_GetImageSampleDistanceMinValue",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetImageSampleDistanceMaxValue <- function(){
    res<-.Call("R_vtkVolumeRayCastMapper_GetImageSampleDistanceMaxValue",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetImageSampleDistance <- function(){
    res<-.Call("R_vtkVolumeRayCastMapper_GetImageSampleDistance",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetMinimumImageSampleDistance <- function( ._arg){
    res<-.Call("R_vtkVolumeRayCastMapper_SetMinimumImageSampleDistance",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMinimumImageSampleDistanceMinValue <- function(){
    res<-.Call("R_vtkVolumeRayCastMapper_GetMinimumImageSampleDistanceMinValue",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMinimumImageSampleDistanceMaxValue <- function(){
    res<-.Call("R_vtkVolumeRayCastMapper_GetMinimumImageSampleDistanceMaxValue",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMinimumImageSampleDistance <- function(){
    res<-.Call("R_vtkVolumeRayCastMapper_GetMinimumImageSampleDistance",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetMaximumImageSampleDistance <- function( ._arg){
    res<-.Call("R_vtkVolumeRayCastMapper_SetMaximumImageSampleDistance",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMaximumImageSampleDistanceMinValue <- function(){
    res<-.Call("R_vtkVolumeRayCastMapper_GetMaximumImageSampleDistanceMinValue",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMaximumImageSampleDistanceMaxValue <- function(){
    res<-.Call("R_vtkVolumeRayCastMapper_GetMaximumImageSampleDistanceMaxValue",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMaximumImageSampleDistance <- function(){
    res<-.Call("R_vtkVolumeRayCastMapper_GetMaximumImageSampleDistance",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetAutoAdjustSampleDistances <- function( ._arg){
    res<-.Call("R_vtkVolumeRayCastMapper_SetAutoAdjustSampleDistances",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetAutoAdjustSampleDistancesMinValue <- function(){
    res<-.Call("R_vtkVolumeRayCastMapper_GetAutoAdjustSampleDistancesMinValue",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetAutoAdjustSampleDistancesMaxValue <- function(){
    res<-.Call("R_vtkVolumeRayCastMapper_GetAutoAdjustSampleDistancesMaxValue",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetAutoAdjustSampleDistances <- function(){
    res<-.Call("R_vtkVolumeRayCastMapper_GetAutoAdjustSampleDistances",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$AutoAdjustSampleDistancesOn <- function(){
    res<-.Call("R_vtkVolumeRayCastMapper_AutoAdjustSampleDistancesOn",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$AutoAdjustSampleDistancesOff <- function(){
    res<-.Call("R_vtkVolumeRayCastMapper_AutoAdjustSampleDistancesOff",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetNumberOfThreads <- function( .num){
    res<-.Call("R_vtkVolumeRayCastMapper_SetNumberOfThreads",.me$obj, .num,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfThreads <- function(){
    res<-.Call("R_vtkVolumeRayCastMapper_GetNumberOfThreads",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetIntermixIntersectingGeometry <- function( ._arg){
    res<-.Call("R_vtkVolumeRayCastMapper_SetIntermixIntersectingGeometry",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetIntermixIntersectingGeometryMinValue <- function(){
    res<-.Call("R_vtkVolumeRayCastMapper_GetIntermixIntersectingGeometryMinValue",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetIntermixIntersectingGeometryMaxValue <- function(){
    res<-.Call("R_vtkVolumeRayCastMapper_GetIntermixIntersectingGeometryMaxValue",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetIntermixIntersectingGeometry <- function(){
    res<-.Call("R_vtkVolumeRayCastMapper_GetIntermixIntersectingGeometry",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IntermixIntersectingGeometryOn <- function(){
    res<-.Call("R_vtkVolumeRayCastMapper_IntermixIntersectingGeometryOn",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IntermixIntersectingGeometryOff <- function(){
    res<-.Call("R_vtkVolumeRayCastMapper_IntermixIntersectingGeometryOff",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Render <- function( .ren=vtkRenderer(), .vol=vtkVolume()){
    check.VTK(.ren,"vtkRenderer")
    check.VTK(.vol,"vtkVolume")
    res<-.Call("R_vtkVolumeRayCastMapper_Render",.me$obj, .ren$obj, .vol$obj,PACKAGE="RVTK.Render")
    res$.ren <- vtkRenderer(wrapenv(res$.ren))
    res$.vol <- vtkVolume(wrapenv(res$.vol))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetZeroOpacityThreshold <- function( .vol=vtkVolume()){
    check.VTK(.vol,"vtkVolume")
    res<-.Call("R_vtkVolumeRayCastMapper_GetZeroOpacityThreshold",.me$obj, .vol$obj,PACKAGE="RVTK.Render")
    res$.vol <- vtkVolume(wrapenv(res$.vol))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetGradientMagnitudeScale <- function(){
    res<-.Call("R_vtkVolumeRayCastMapper_GetGradientMagnitudeScale",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetGradientMagnitudeBias <- function(){
    res<-.Call("R_vtkVolumeRayCastMapper_GetGradientMagnitudeBias",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkVolumeRayCastMapper_New")
  .me<-wrapvtkclass(.me$obj,.me$GetClassName())
  reg.finalizer(.me, .me$Delete)
  return(.me)
  }
  class(.me) <- c("vtkVolumeRayCastMapper",class(.me))
  return(.me)
}
