vtkWindowToImageFilter <- function(.me=environment()){
  .me <- vtkImageSource(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkWindowToImageFilter_GetClassName",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkWindowToImageFilter_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkWindowToImageFilter_IsA",.me$obj, .type,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkWindowToImageFilter_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkWindowToImageFilter(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkWindowToImageFilter_NewInstance",.me$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkWindowToImageFilter(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetInput <- function( .input=vtkWindow()){
    check.VTK(.input,"vtkWindow")
    res<-.Call("R_vtkWindowToImageFilter_SetInput",.me$obj, .input$obj,PACKAGE="RVTK.Render")
    res$.input <- vtkWindow(wrapenv(res$.input))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetInput <- function(){
    res<-.Call("R_vtkWindowToImageFilter_GetInput",.me$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkWindow(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetMagnification <- function( ._arg){
    res<-.Call("R_vtkWindowToImageFilter_SetMagnification",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMagnificationMinValue <- function(){
    res<-.Call("R_vtkWindowToImageFilter_GetMagnificationMinValue",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMagnificationMaxValue <- function(){
    res<-.Call("R_vtkWindowToImageFilter_GetMagnificationMaxValue",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMagnification <- function(){
    res<-.Call("R_vtkWindowToImageFilter_GetMagnification",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ReadFrontBufferOn <- function(){
    res<-.Call("R_vtkWindowToImageFilter_ReadFrontBufferOn",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ReadFrontBufferOff <- function(){
    res<-.Call("R_vtkWindowToImageFilter_ReadFrontBufferOff",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetReadFrontBuffer <- function(){
    res<-.Call("R_vtkWindowToImageFilter_GetReadFrontBuffer",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetReadFrontBuffer <- function( ._arg){
    res<-.Call("R_vtkWindowToImageFilter_SetReadFrontBuffer",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkWindowToImageFilter_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkWindowToImageFilter",class(.me))
  return(.me)
}
