vtkXOpenGLRenderWindow <- function(.me=environment()){
  .me <- vtkOpenGLRenderWindow(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkXOpenGLRenderWindow_GetClassName",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkXOpenGLRenderWindow_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkXOpenGLRenderWindow_IsA",.me$obj, .type,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkXOpenGLRenderWindow_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkXOpenGLRenderWindow(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkXOpenGLRenderWindow_NewInstance",.me$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkXOpenGLRenderWindow(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Start <- function(){
    res<-.Call("R_vtkXOpenGLRenderWindow_Start",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Frame <- function(){
    res<-.Call("R_vtkXOpenGLRenderWindow_Frame",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$WindowInitialize <- function(){
    res<-.Call("R_vtkXOpenGLRenderWindow_WindowInitialize",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Initialize <- function(){
    res<-.Call("R_vtkXOpenGLRenderWindow_Initialize",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Finalize <- function(){
    res<-.Call("R_vtkXOpenGLRenderWindow_Finalize",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetFullScreen <- function( .arg){
    res<-.Call("R_vtkXOpenGLRenderWindow_SetFullScreen",.me$obj, .arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$WindowRemap <- function(){
    res<-.Call("R_vtkXOpenGLRenderWindow_WindowRemap",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$PrefFullScreen <- function(){
    res<-.Call("R_vtkXOpenGLRenderWindow_PrefFullScreen",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetSize <- function( .x, .y){
    res<-.Call("R_vtkXOpenGLRenderWindow_SetSize",.me$obj, .x, .y,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetSize_v1 <- function( .a=as.integer(rep.int(1,2))){
    res<-.Call("R_vtkXOpenGLRenderWindow_SetSize_v1",.me$obj, .a,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDesiredColormap <- function(){
    res<-.Call("R_vtkXOpenGLRenderWindow_GetDesiredColormap",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDesiredVisual <- function(){
    res<-.Call("R_vtkXOpenGLRenderWindow_GetDesiredVisual",.me$obj,PACKAGE="RVTK.Render")
    res$ret.val <- Visual(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDesiredVisualInfo <- function(){
    res<-.Call("R_vtkXOpenGLRenderWindow_GetDesiredVisualInfo",.me$obj,PACKAGE="RVTK.Render")
    res$ret.val <- XVisualInfo(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDesiredDepth <- function(){
    res<-.Call("R_vtkXOpenGLRenderWindow_GetDesiredDepth",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetStereoCapableWindow <- function( .capable){
    res<-.Call("R_vtkXOpenGLRenderWindow_SetStereoCapableWindow",.me$obj, .capable,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$MakeCurrent <- function(){
    res<-.Call("R_vtkXOpenGLRenderWindow_MakeCurrent",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetForceMakeCurrent <- function(){
    res<-.Call("R_vtkXOpenGLRenderWindow_SetForceMakeCurrent",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ReportCapabilities <- function(){
    res<-.Call("R_vtkXOpenGLRenderWindow_ReportCapabilities",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SupportsOpenGL <- function(){
    res<-.Call("R_vtkXOpenGLRenderWindow_SupportsOpenGL",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsDirect <- function(){
    res<-.Call("R_vtkXOpenGLRenderWindow_IsDirect",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetGenericDisplayId <- function(){
    res<-.Call("R_vtkXOpenGLRenderWindow_GetGenericDisplayId",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetGenericWindowId <- function(){
    res<-.Call("R_vtkXOpenGLRenderWindow_GetGenericWindowId",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetGenericParentId <- function(){
    res<-.Call("R_vtkXOpenGLRenderWindow_GetGenericParentId",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetGenericContext <- function(){
    res<-.Call("R_vtkXOpenGLRenderWindow_GetGenericContext",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetGenericDrawable <- function(){
    res<-.Call("R_vtkXOpenGLRenderWindow_GetGenericDrawable",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetScreenSize <- function(){
    res<-.Call("R_vtkXOpenGLRenderWindow_GetScreenSize",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPosition <- function(){
    res<-.Call("R_vtkXOpenGLRenderWindow_GetPosition",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetParentId <- function(){
    res<-.Call("R_vtkXOpenGLRenderWindow_GetParentId",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetParentId <- function( .arg){
    res<-.Call("R_vtkXOpenGLRenderWindow_SetParentId",.me$obj, .arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetParentId_v1 <- function( .arg){
    res<-.Call("R_vtkXOpenGLRenderWindow_SetParentId_v1",.me$obj, .arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetWindowId <- function(){
    res<-.Call("R_vtkXOpenGLRenderWindow_GetWindowId",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetWindowId <- function( .arg){
    res<-.Call("R_vtkXOpenGLRenderWindow_SetWindowId",.me$obj, .arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetWindowId_v1 <- function( .arg){
    res<-.Call("R_vtkXOpenGLRenderWindow_SetWindowId_v1",.me$obj, .arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetNextWindowId <- function( .arg){
    res<-.Call("R_vtkXOpenGLRenderWindow_SetNextWindowId",.me$obj, .arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetNextWindowId_v1 <- function( .arg){
    res<-.Call("R_vtkXOpenGLRenderWindow_SetNextWindowId_v1",.me$obj, .arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetWindowName <- function( .cname){
    res<-.Call("R_vtkXOpenGLRenderWindow_SetWindowName",.me$obj, .cname,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetPosition <- function( .x, .y){
    res<-.Call("R_vtkXOpenGLRenderWindow_SetPosition",.me$obj, .x, .y,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetPosition_v1 <- function( .a=as.integer(rep.int(1,2))){
    res<-.Call("R_vtkXOpenGLRenderWindow_SetPosition_v1",.me$obj, .a,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$HideCursor <- function(){
    res<-.Call("R_vtkXOpenGLRenderWindow_HideCursor",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ShowCursor <- function(){
    res<-.Call("R_vtkXOpenGLRenderWindow_ShowCursor",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetCurrentCursor <- function( .shape){
    res<-.Call("R_vtkXOpenGLRenderWindow_SetCurrentCursor",.me$obj, .shape,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetEventPending <- function(){
    res<-.Call("R_vtkXOpenGLRenderWindow_GetEventPending",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetWindowInfo <- function( .info){
    res<-.Call("R_vtkXOpenGLRenderWindow_SetWindowInfo",.me$obj, .info,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetNextWindowInfo <- function( .info){
    res<-.Call("R_vtkXOpenGLRenderWindow_SetNextWindowInfo",.me$obj, .info,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetParentInfo <- function( .info){
    res<-.Call("R_vtkXOpenGLRenderWindow_SetParentInfo",.me$obj, .info,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Render <- function(){
    res<-.Call("R_vtkXOpenGLRenderWindow_Render",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetOffScreenRendering <- function( .i){
    res<-.Call("R_vtkXOpenGLRenderWindow_SetOffScreenRendering",.me$obj, .i,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkXOpenGLRenderWindow_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkXOpenGLRenderWindow",class(.me))
  return(.me)
}
