#include <vtk/vtkAbstractPicker.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
  SEXP R_vtkAbstractPicker_GetClassName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAbstractPicker * _obj = (vtkAbstractPicker * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetClassName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAbstractPicker_IsTypeOf( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkAbstractPicker * _obj = (vtkAbstractPicker * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAbstractPicker_IsA( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkAbstractPicker * _obj = (vtkAbstractPicker * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAbstractPicker_SafeDownCast( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkAbstractPicker * _obj = (vtkAbstractPicker * ) SexpToVtk(obj);
    vtkAbstractPicker *  _res =( vtkAbstractPicker * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkAbstractPicker");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAbstractPicker_NewInstance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAbstractPicker * _obj = (vtkAbstractPicker * ) SexpToVtk(obj);
    vtkAbstractPicker *  _res =( vtkAbstractPicker * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkAbstractPicker");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAbstractPicker_GetRenderer( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAbstractPicker * _obj = (vtkAbstractPicker * ) SexpToVtk(obj);
    vtkRenderer *  _res =( vtkRenderer * )_obj->GetRenderer();
    res=VtkToSexp(_res,"vtkRenderer");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAbstractPicker_GetSelectionPoint( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAbstractPicker * _obj = (vtkAbstractPicker * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetSelectionPoint();
    res=doubleToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAbstractPicker_GetSelectionPoint_v1( SEXP obj, SEXP data){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  _data =  SexpTodouble(data);
    vtkAbstractPicker * _obj = (vtkAbstractPicker * ) SexpToVtk(obj);
    _obj->GetSelectionPoint(_data);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_data,LENGTH(data)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".data",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAbstractPicker_GetPickPosition( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAbstractPicker * _obj = (vtkAbstractPicker * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetPickPosition();
    res=doubleToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAbstractPicker_GetPickPosition_v1( SEXP obj, SEXP data){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  _data =  SexpTodouble(data);
    vtkAbstractPicker * _obj = (vtkAbstractPicker * ) SexpToVtk(obj);
    _obj->GetPickPosition(_data);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_data,LENGTH(data)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".data",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAbstractPicker_Pick( SEXP obj, SEXP selectionX, SEXP selectionY, SEXP selectionZ, SEXP renderer){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(selectionX,1);
     double  *  _selectionX =  SexpTodouble(selectionX);
    SET_LENGTH(selectionY,1);
     double  *  _selectionY =  SexpTodouble(selectionY);
    SET_LENGTH(selectionZ,1);
     double  *  _selectionZ =  SexpTodouble(selectionZ);
     vtkRenderer  *  _renderer = (vtkRenderer * )  SexpToVtk(renderer);
    vtkAbstractPicker * _obj = (vtkAbstractPicker * ) SexpToVtk(obj);
    int _res =_obj->Pick( * _selectionX,  * _selectionY,  * _selectionZ, _renderer);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_renderer,"vtkRenderer"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".renderer",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAbstractPicker_Pick_v1( SEXP obj, SEXP selectionPt, SEXP ren){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  _selectionPt =  SexpTodouble(selectionPt);
     vtkRenderer  *  _ren = (vtkRenderer * )  SexpToVtk(ren);
    vtkAbstractPicker * _obj = (vtkAbstractPicker * ) SexpToVtk(obj);
    int _res =_obj->Pick(_selectionPt, _ren);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_selectionPt,LENGTH(selectionPt)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".selectionPt",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_ren,"vtkRenderer"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".ren",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAbstractPicker_SetPickFromList( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkAbstractPicker * _obj = (vtkAbstractPicker * ) SexpToVtk(obj);
    _obj->SetPickFromList( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAbstractPicker_GetPickFromList( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAbstractPicker * _obj = (vtkAbstractPicker * ) SexpToVtk(obj);
    int _res =_obj->GetPickFromList();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAbstractPicker_PickFromListOn( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAbstractPicker * _obj = (vtkAbstractPicker * ) SexpToVtk(obj);
    _obj->PickFromListOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAbstractPicker_PickFromListOff( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAbstractPicker * _obj = (vtkAbstractPicker * ) SexpToVtk(obj);
    _obj->PickFromListOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAbstractPicker_InitializePickList( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAbstractPicker * _obj = (vtkAbstractPicker * ) SexpToVtk(obj);
    _obj->InitializePickList();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAbstractPicker_AddPickList( SEXP obj, SEXP a){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkProp  *  _a = (vtkProp * )  SexpToVtk(a);
    vtkAbstractPicker * _obj = (vtkAbstractPicker * ) SexpToVtk(obj);
    _obj->AddPickList(_a);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_a,"vtkProp"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".a",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAbstractPicker_DeletePickList( SEXP obj, SEXP a){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkProp  *  _a = (vtkProp * )  SexpToVtk(a);
    vtkAbstractPicker * _obj = (vtkAbstractPicker * ) SexpToVtk(obj);
    _obj->DeletePickList(_a);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_a,"vtkProp"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".a",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkAbstractPicker_GetPickList( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkAbstractPicker * _obj = (vtkAbstractPicker * ) SexpToVtk(obj);
    vtkPropCollection *  _res =( vtkPropCollection * )_obj->GetPickList();
    res=VtkToSexp(_res,"vtkPropCollection");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
}
