#include <vtk/vtkActor.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
  SEXP R_vtkActor_GetClassName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkActor * _obj = (vtkActor * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetClassName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkActor_IsTypeOf( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkActor * _obj = (vtkActor * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkActor_IsA( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkActor * _obj = (vtkActor * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkActor_SafeDownCast( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkActor * _obj = (vtkActor * ) SexpToVtk(obj);
    vtkActor *  _res =( vtkActor * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkActor");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkActor_NewInstance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkActor * _obj = (vtkActor * ) SexpToVtk(obj);
    vtkActor *  _res =( vtkActor * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkActor");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkActor_GetActors( SEXP obj, SEXP ac){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkPropCollection  *  _ac = (vtkPropCollection * )  SexpToVtk(ac);
    vtkActor * _obj = (vtkActor * ) SexpToVtk(obj);
    _obj->GetActors(_ac);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_ac,"vtkPropCollection"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".ac",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkActor_RenderOpaqueGeometry( SEXP obj, SEXP vp){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkViewport  *  _vp = (vtkViewport * )  SexpToVtk(vp);
    vtkActor * _obj = (vtkActor * ) SexpToVtk(obj);
    int _res =_obj->RenderOpaqueGeometry(_vp);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_vp,"vtkViewport"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".vp",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkActor_RenderTranslucentGeometry( SEXP obj, SEXP vp){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkViewport  *  _vp = (vtkViewport * )  SexpToVtk(vp);
    vtkActor * _obj = (vtkActor * ) SexpToVtk(obj);
    int _res =_obj->RenderTranslucentGeometry(_vp);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_vp,"vtkViewport"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".vp",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkActor_ShallowCopy( SEXP obj, SEXP prop){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkProp  *  _prop = (vtkProp * )  SexpToVtk(prop);
    vtkActor * _obj = (vtkActor * ) SexpToVtk(obj);
    _obj->ShallowCopy(_prop);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_prop,"vtkProp"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".prop",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkActor_ReleaseGraphicsResources( SEXP obj, SEXP win){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkWindow  *  _win = (vtkWindow * )  SexpToVtk(win);
    vtkActor * _obj = (vtkActor * ) SexpToVtk(obj);
    _obj->ReleaseGraphicsResources(_win);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_win,"vtkWindow"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".win",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkActor_SetProperty( SEXP obj, SEXP lut){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkProperty  *  _lut = (vtkProperty * )  SexpToVtk(lut);
    vtkActor * _obj = (vtkActor * ) SexpToVtk(obj);
    _obj->SetProperty(_lut);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_lut,"vtkProperty"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".lut",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkActor_GetProperty( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkActor * _obj = (vtkActor * ) SexpToVtk(obj);
    vtkProperty *  _res =( vtkProperty * )_obj->GetProperty();
    res=VtkToSexp(_res,"vtkProperty");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkActor_MakeProperty( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkActor * _obj = (vtkActor * ) SexpToVtk(obj);
    vtkProperty *  _res =( vtkProperty * )_obj->MakeProperty();
    res=VtkToSexp(_res,"vtkProperty");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkActor_SetBackfaceProperty( SEXP obj, SEXP lut){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkProperty  *  _lut = (vtkProperty * )  SexpToVtk(lut);
    vtkActor * _obj = (vtkActor * ) SexpToVtk(obj);
    _obj->SetBackfaceProperty(_lut);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_lut,"vtkProperty"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".lut",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkActor_GetBackfaceProperty( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkActor * _obj = (vtkActor * ) SexpToVtk(obj);
    vtkProperty *  _res =( vtkProperty * )_obj->GetBackfaceProperty();
    res=VtkToSexp(_res,"vtkProperty");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkActor_SetTexture( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkTexture  *  __arg = (vtkTexture * )  SexpToVtk(_arg);
    vtkActor * _obj = (vtkActor * ) SexpToVtk(obj);
    _obj->SetTexture(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(__arg,"vtkTexture"));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkActor_GetTexture( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkActor * _obj = (vtkActor * ) SexpToVtk(obj);
    vtkTexture *  _res =( vtkTexture * )_obj->GetTexture();
    res=VtkToSexp(_res,"vtkTexture");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkActor_SetMapper( SEXP obj, SEXP args){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkMapper  *  _args = (vtkMapper * )  SexpToVtk(args);
    vtkActor * _obj = (vtkActor * ) SexpToVtk(obj);
    _obj->SetMapper(_args);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_args,"vtkMapper"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".args",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkActor_GetMapper( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkActor * _obj = (vtkActor * ) SexpToVtk(obj);
    vtkMapper *  _res =( vtkMapper * )_obj->GetMapper();
    res=VtkToSexp(_res,"vtkMapper");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkActor_GetBounds( SEXP obj, SEXP bounds){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(bounds,6);
     double  *  _bounds =  SexpTodouble(bounds);
    vtkActor * _obj = (vtkActor * ) SexpToVtk(obj);
    _obj->GetBounds(_bounds);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_bounds,6));
    SET_VECTOR_ELT(res_names,1,charToSexp(".bounds",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkActor_GetBounds_v1( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkActor * _obj = (vtkActor * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetBounds();
    res=doubleToSexp(_res,6);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkActor_ApplyProperties( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkActor * _obj = (vtkActor * ) SexpToVtk(obj);
    _obj->ApplyProperties();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkActor_GetMTime( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkActor * _obj = (vtkActor * ) SexpToVtk(obj);
    long unsigned int _res =_obj->GetMTime();
    res=long_unsigned_intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkActor_GetRedrawMTime( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkActor * _obj = (vtkActor * ) SexpToVtk(obj);
    long unsigned int _res =_obj->GetRedrawMTime();
    res=long_unsigned_intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkActor_InitPartTraversal( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkActor * _obj = (vtkActor * ) SexpToVtk(obj);
    _obj->InitPartTraversal();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkActor_GetNextPart( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkActor * _obj = (vtkActor * ) SexpToVtk(obj);
    vtkActor *  _res =( vtkActor * )_obj->GetNextPart();
    res=VtkToSexp(_res,"vtkActor");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkActor_GetNumberOfParts( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkActor * _obj = (vtkActor * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfParts();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkActor_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkActor * res= ( vtkActor * ) vtkActor::New();
    R_res=toRPointer(res,"vtkActor");
    return(R_res);
  }
}
