#include <vtk/vtkActorCollection.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
  SEXP R_vtkActorCollection_GetClassName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkActorCollection * _obj = (vtkActorCollection * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetClassName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkActorCollection_IsTypeOf( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkActorCollection * _obj = (vtkActorCollection * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkActorCollection_IsA( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkActorCollection * _obj = (vtkActorCollection * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkActorCollection_SafeDownCast( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkActorCollection * _obj = (vtkActorCollection * ) SexpToVtk(obj);
    vtkActorCollection *  _res =( vtkActorCollection * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkActorCollection");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkActorCollection_NewInstance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkActorCollection * _obj = (vtkActorCollection * ) SexpToVtk(obj);
    vtkActorCollection *  _res =( vtkActorCollection * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkActorCollection");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkActorCollection_AddItem( SEXP obj, SEXP a){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkActor  *  _a = (vtkActor * )  SexpToVtk(a);
    vtkActorCollection * _obj = (vtkActorCollection * ) SexpToVtk(obj);
    _obj->AddItem(_a);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_a,"vtkActor"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".a",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkActorCollection_GetNextActor( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkActorCollection * _obj = (vtkActorCollection * ) SexpToVtk(obj);
    vtkActor *  _res =( vtkActor * )_obj->GetNextActor();
    res=VtkToSexp(_res,"vtkActor");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkActorCollection_GetLastActor( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkActorCollection * _obj = (vtkActorCollection * ) SexpToVtk(obj);
    vtkActor *  _res =( vtkActor * )_obj->GetLastActor();
    res=VtkToSexp(_res,"vtkActor");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkActorCollection_GetNextItem( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkActorCollection * _obj = (vtkActorCollection * ) SexpToVtk(obj);
    vtkActor *  _res =( vtkActor * )_obj->GetNextItem();
    res=VtkToSexp(_res,"vtkActor");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkActorCollection_GetLastItem( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkActorCollection * _obj = (vtkActorCollection * ) SexpToVtk(obj);
    vtkActor *  _res =( vtkActor * )_obj->GetLastItem();
    res=VtkToSexp(_res,"vtkActor");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkActorCollection_ApplyProperties( SEXP obj, SEXP p){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkProperty  *  _p = (vtkProperty * )  SexpToVtk(p);
    vtkActorCollection * _obj = (vtkActorCollection * ) SexpToVtk(obj);
    _obj->ApplyProperties(_p);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_p,"vtkProperty"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".p",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkActorCollection_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkActorCollection * res= ( vtkActorCollection * ) vtkActorCollection
::New();
    R_res=toRPointer(res,"vtkActorCollection");
    return(R_res);
  }
}
