#include <vtk/vtkImageViewer2.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
  SEXP R_vtkImageViewer2_GetClassName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageViewer2 * _obj = (vtkImageViewer2 * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetClassName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageViewer2_IsTypeOf( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkImageViewer2 * _obj = (vtkImageViewer2 * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageViewer2_IsA( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkImageViewer2 * _obj = (vtkImageViewer2 * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageViewer2_SafeDownCast( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkImageViewer2 * _obj = (vtkImageViewer2 * ) SexpToVtk(obj);
    vtkImageViewer2 *  _res =( vtkImageViewer2 * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkImageViewer2");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageViewer2_NewInstance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageViewer2 * _obj = (vtkImageViewer2 * ) SexpToVtk(obj);
    vtkImageViewer2 *  _res =( vtkImageViewer2 * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkImageViewer2");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageViewer2_GetWindowName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageViewer2 * _obj = (vtkImageViewer2 * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetWindowName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageViewer2_Render( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageViewer2 * _obj = (vtkImageViewer2 * ) SexpToVtk(obj);
    _obj->Render();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageViewer2_SetInput( SEXP obj, SEXP in){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkImageData  *  _in = (vtkImageData * )  SexpToVtk(in);
    vtkImageViewer2 * _obj = (vtkImageViewer2 * ) SexpToVtk(obj);
    _obj->SetInput(_in);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_in,"vtkImageData"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".in",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageViewer2_GetInput( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageViewer2 * _obj = (vtkImageViewer2 * ) SexpToVtk(obj);
    vtkImageData *  _res =( vtkImageData * )_obj->GetInput();
    res=VtkToSexp(_res,"vtkImageData");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageViewer2_GetWholeZMin( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageViewer2 * _obj = (vtkImageViewer2 * ) SexpToVtk(obj);
    int _res =_obj->GetWholeZMin();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageViewer2_GetWholeZMax( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageViewer2 * _obj = (vtkImageViewer2 * ) SexpToVtk(obj);
    int _res =_obj->GetWholeZMax();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageViewer2_GetZSlice( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageViewer2 * _obj = (vtkImageViewer2 * ) SexpToVtk(obj);
    int _res =_obj->GetZSlice();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageViewer2_SetZSlice( SEXP obj, SEXP s){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(s,1);
     int  *  _s =  SexpToint(s);
    vtkImageViewer2 * _obj = (vtkImageViewer2 * ) SexpToVtk(obj);
    _obj->SetZSlice( * _s);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageViewer2_GetColorWindow( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageViewer2 * _obj = (vtkImageViewer2 * ) SexpToVtk(obj);
    double _res =_obj->GetColorWindow();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageViewer2_GetColorLevel( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageViewer2 * _obj = (vtkImageViewer2 * ) SexpToVtk(obj);
    double _res =_obj->GetColorLevel();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageViewer2_SetColorWindow( SEXP obj, SEXP s){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(s,1);
     double  *  _s =  SexpTodouble(s);
    vtkImageViewer2 * _obj = (vtkImageViewer2 * ) SexpToVtk(obj);
    _obj->SetColorWindow( * _s);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageViewer2_SetColorLevel( SEXP obj, SEXP s){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(s,1);
     double  *  _s =  SexpTodouble(s);
    vtkImageViewer2 * _obj = (vtkImageViewer2 * ) SexpToVtk(obj);
    _obj->SetColorLevel( * _s);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageViewer2_SetDisplayId( SEXP obj, SEXP a){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     void  *  _a =  SexpTovoid(a);
    vtkImageViewer2 * _obj = (vtkImageViewer2 * ) SexpToVtk(obj);
    _obj->SetDisplayId(_a);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,voidToSexp(_a,LENGTH(a)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".a",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageViewer2_SetWindowId( SEXP obj, SEXP a){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     void  *  _a =  SexpTovoid(a);
    vtkImageViewer2 * _obj = (vtkImageViewer2 * ) SexpToVtk(obj);
    _obj->SetWindowId(_a);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,voidToSexp(_a,LENGTH(a)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".a",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageViewer2_SetParentId( SEXP obj, SEXP a){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     void  *  _a =  SexpTovoid(a);
    vtkImageViewer2 * _obj = (vtkImageViewer2 * ) SexpToVtk(obj);
    _obj->SetParentId(_a);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,voidToSexp(_a,LENGTH(a)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".a",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageViewer2_GetPosition( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageViewer2 * _obj = (vtkImageViewer2 * ) SexpToVtk(obj);
    int *  _res =( int * )_obj->GetPosition();
    res=intToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageViewer2_SetPosition( SEXP obj, SEXP a, SEXP b){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(a,1);
     int  *  _a =  SexpToint(a);
    SET_LENGTH(b,1);
     int  *  _b =  SexpToint(b);
    vtkImageViewer2 * _obj = (vtkImageViewer2 * ) SexpToVtk(obj);
    _obj->SetPosition( * _a,  * _b);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageViewer2_SetPosition_v1( SEXP obj, SEXP a){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(a,2);
     int  *  _a =  SexpToint(a);
    vtkImageViewer2 * _obj = (vtkImageViewer2 * ) SexpToVtk(obj);
    _obj->SetPosition(_a);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(_a,2));
    SET_VECTOR_ELT(res_names,1,charToSexp(".a",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageViewer2_GetSize( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageViewer2 * _obj = (vtkImageViewer2 * ) SexpToVtk(obj);
    int *  _res =( int * )_obj->GetSize();
    res=intToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageViewer2_SetSize( SEXP obj, SEXP a, SEXP b){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(a,1);
     int  *  _a =  SexpToint(a);
    SET_LENGTH(b,1);
     int  *  _b =  SexpToint(b);
    vtkImageViewer2 * _obj = (vtkImageViewer2 * ) SexpToVtk(obj);
    _obj->SetSize( * _a,  * _b);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageViewer2_SetSize_v1( SEXP obj, SEXP a){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(a,2);
     int  *  _a =  SexpToint(a);
    vtkImageViewer2 * _obj = (vtkImageViewer2 * ) SexpToVtk(obj);
    _obj->SetSize(_a);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(_a,2));
    SET_VECTOR_ELT(res_names,1,charToSexp(".a",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageViewer2_GetRenderWindow( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageViewer2 * _obj = (vtkImageViewer2 * ) SexpToVtk(obj);
    vtkRenderWindow *  _res =( vtkRenderWindow * )_obj->GetRenderWindow();
    res=VtkToSexp(_res,"vtkRenderWindow");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageViewer2_GetRenderer( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageViewer2 * _obj = (vtkImageViewer2 * ) SexpToVtk(obj);
    vtkRenderer *  _res =( vtkRenderer * )_obj->GetRenderer();
    res=VtkToSexp(_res,"vtkRenderer");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageViewer2_GetImageActor( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageViewer2 * _obj = (vtkImageViewer2 * ) SexpToVtk(obj);
    vtkImageActor *  _res =( vtkImageActor * )_obj->GetImageActor();
    res=VtkToSexp(_res,"vtkImageActor");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageViewer2_GetWindowLevel( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageViewer2 * _obj = (vtkImageViewer2 * ) SexpToVtk(obj);
    vtkImageMapToWindowLevelColors *  _res =( vtkImageMapToWindowLevelColors * )_obj->GetWindowLevel();
    res=VtkToSexp(_res,"vtkImageMapToWindowLevelColors");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageViewer2_SetupInteractor( SEXP obj, SEXP rwi){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkRenderWindowInteractor  *  _rwi = (vtkRenderWindowInteractor * )  
SexpToVtk(rwi);
    vtkImageViewer2 * _obj = (vtkImageViewer2 * ) SexpToVtk(obj);
    _obj->SetupInteractor(_rwi);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_rwi,"vtkRenderWindowInteractor"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".rwi",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageViewer2_SetOffScreenRendering( SEXP obj, SEXP i){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(i,1);
     int  *  _i =  SexpToint(i);
    vtkImageViewer2 * _obj = (vtkImageViewer2 * ) SexpToVtk(obj);
    _obj->SetOffScreenRendering( * _i);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageViewer2_GetOffScreenRendering( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageViewer2 * _obj = (vtkImageViewer2 * ) SexpToVtk(obj);
    int _res =_obj->GetOffScreenRendering();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageViewer2_OffScreenRenderingOn( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageViewer2 * _obj = (vtkImageViewer2 * ) SexpToVtk(obj);
    _obj->OffScreenRenderingOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageViewer2_OffScreenRenderingOff( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageViewer2 * _obj = (vtkImageViewer2 * ) SexpToVtk(obj);
    _obj->OffScreenRenderingOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageViewer2_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkImageViewer2 * res= ( vtkImageViewer2 * ) vtkImageViewer2::New();
    R_res=toRPointer(res,"vtkImageViewer2");
    return(R_res);
  }
}
