#include <vtk/vtkMapperCollection.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
  SEXP R_vtkMapperCollection_GetClassName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMapperCollection * _obj = (vtkMapperCollection * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetClassName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMapperCollection_IsTypeOf( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkMapperCollection * _obj = (vtkMapperCollection * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMapperCollection_IsA( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkMapperCollection * _obj = (vtkMapperCollection * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMapperCollection_SafeDownCast( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkMapperCollection * _obj = (vtkMapperCollection * ) SexpToVtk(obj);
    vtkMapperCollection *  _res =( vtkMapperCollection * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkMapperCollection");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMapperCollection_NewInstance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMapperCollection * _obj = (vtkMapperCollection * ) SexpToVtk(obj);
    vtkMapperCollection *  _res =( vtkMapperCollection * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkMapperCollection");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMapperCollection_AddItem( SEXP obj, SEXP a){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkMapper  *  _a = (vtkMapper * )  SexpToVtk(a);
    vtkMapperCollection * _obj = (vtkMapperCollection * ) SexpToVtk(obj);
    _obj->AddItem(_a);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_a,"vtkMapper"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".a",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMapperCollection_GetNextItem( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMapperCollection * _obj = (vtkMapperCollection * ) SexpToVtk(obj);
    vtkMapper *  _res =( vtkMapper * )_obj->GetNextItem();
    res=VtkToSexp(_res,"vtkMapper");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMapperCollection_GetLastItem( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkMapperCollection * _obj = (vtkMapperCollection * ) SexpToVtk(obj);
    vtkMapper *  _res =( vtkMapper * )_obj->GetLastItem();
    res=VtkToSexp(_res,"vtkMapper");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkMapperCollection_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkMapperCollection * res= ( vtkMapperCollection * ) vtkMapperCollection
::New();
    R_res=toRPointer(res,"vtkMapperCollection");
    return(R_res);
  }
}
