#include <vtk/vtkOpenGLPolyDataMapper.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
  SEXP R_vtkOpenGLPolyDataMapper_GetClassName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkOpenGLPolyDataMapper * _obj = (vtkOpenGLPolyDataMapper
 * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetClassName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOpenGLPolyDataMapper_IsTypeOf( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkOpenGLPolyDataMapper * _obj = (vtkOpenGLPolyDataMapper
 * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOpenGLPolyDataMapper_IsA( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkOpenGLPolyDataMapper * _obj = (vtkOpenGLPolyDataMapper
 * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOpenGLPolyDataMapper_SafeDownCast( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkOpenGLPolyDataMapper * _obj = (vtkOpenGLPolyDataMapper
 * ) SexpToVtk(obj);
    vtkOpenGLPolyDataMapper *  _res =( vtkOpenGLPolyDataMapper * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkOpenGLPolyDataMapper");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOpenGLPolyDataMapper_NewInstance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkOpenGLPolyDataMapper * _obj = (vtkOpenGLPolyDataMapper
 * ) SexpToVtk(obj);
    vtkOpenGLPolyDataMapper *  _res =( vtkOpenGLPolyDataMapper * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkOpenGLPolyDataMapper");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOpenGLPolyDataMapper_RenderPiece( SEXP obj, SEXP ren, SEXP act){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkRenderer  *  _ren = (vtkRenderer * )  SexpToVtk(ren);
     vtkActor  *  _act = (vtkActor * )  SexpToVtk(act);
    vtkOpenGLPolyDataMapper * _obj = (vtkOpenGLPolyDataMapper
 * ) SexpToVtk(obj);
    _obj->RenderPiece(_ren, _act);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_ren,"vtkRenderer"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".ren",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_act,"vtkActor"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".act",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOpenGLPolyDataMapper_ReleaseGraphicsResources( SEXP obj, SEXP win){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkWindow  *  _win = (vtkWindow * )  SexpToVtk(win);
    vtkOpenGLPolyDataMapper * _obj = (vtkOpenGLPolyDataMapper
 * ) SexpToVtk(obj);
    _obj->ReleaseGraphicsResources(_win);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_win,"vtkWindow"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".win",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOpenGLPolyDataMapper_Draw( SEXP obj, SEXP aren, SEXP act){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkRenderer  *  _aren = (vtkRenderer * )  SexpToVtk(aren);
     vtkActor  *  _act = (vtkActor * )  SexpToVtk(act);
    vtkOpenGLPolyDataMapper * _obj = (vtkOpenGLPolyDataMapper
 * ) SexpToVtk(obj);
    int _res =_obj->Draw(_aren, _act);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_aren,"vtkRenderer"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".aren",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_act,"vtkActor"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".act",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOpenGLPolyDataMapper_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkOpenGLPolyDataMapper * res= ( vtkOpenGLPolyDataMapper * ) 
vtkOpenGLPolyDataMapper::New();
    R_res=toRPointer(res,"vtkOpenGLPolyDataMapper");
    return(R_res);
  }
}
