#include <vtk/vtkOpenGLRayCastImageDisplayHelper.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
  SEXP R_vtkOpenGLRayCastImageDisplayHelper_GetClassName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkOpenGLRayCastImageDisplayHelper * _obj = (
vtkOpenGLRayCastImageDisplayHelper * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetClassName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOpenGLRayCastImageDisplayHelper_IsTypeOf( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkOpenGLRayCastImageDisplayHelper * _obj = (
vtkOpenGLRayCastImageDisplayHelper * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOpenGLRayCastImageDisplayHelper_IsA( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkOpenGLRayCastImageDisplayHelper * _obj = (
vtkOpenGLRayCastImageDisplayHelper * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOpenGLRayCastImageDisplayHelper_SafeDownCast( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkOpenGLRayCastImageDisplayHelper * _obj = (
vtkOpenGLRayCastImageDisplayHelper * ) SexpToVtk(obj);
    vtkOpenGLRayCastImageDisplayHelper *  _res =( vtkOpenGLRayCastImageDisplayHelper * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkOpenGLRayCastImageDisplayHelper");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOpenGLRayCastImageDisplayHelper_NewInstance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkOpenGLRayCastImageDisplayHelper * _obj = (
vtkOpenGLRayCastImageDisplayHelper * ) SexpToVtk(obj);
    vtkOpenGLRayCastImageDisplayHelper *  _res =( vtkOpenGLRayCastImageDisplayHelper * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkOpenGLRayCastImageDisplayHelper");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOpenGLRayCastImageDisplayHelper_RenderTexture( SEXP obj, SEXP vol, SEXP ren, SEXP imageMemorySize, SEXP imageViewportSize, SEXP imageInUseSize, SEXP imageOrigin, SEXP requestedDepth, SEXP image){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkVolume  *  _vol = (vtkVolume * )  SexpToVtk(vol);
     vtkRenderer  *  _ren = (vtkRenderer * )  SexpToVtk(ren);
    SET_LENGTH(imageMemorySize,2);
     int  *  _imageMemorySize =  SexpToint(imageMemorySize);
    SET_LENGTH(imageViewportSize,2);
     int  *  _imageViewportSize =  SexpToint(imageViewportSize);
    SET_LENGTH(imageInUseSize,2);
     int  *  _imageInUseSize =  SexpToint(imageInUseSize);
    SET_LENGTH(imageOrigin,2);
     int  *  _imageOrigin =  SexpToint(imageOrigin);
    SET_LENGTH(requestedDepth,1);
     float  *  _requestedDepth =  SexpTofloat(requestedDepth);
     unsigned char  *  _image =  SexpTounsigned_char(image);
    vtkOpenGLRayCastImageDisplayHelper * _obj = (
vtkOpenGLRayCastImageDisplayHelper * ) SexpToVtk(obj);
    _obj->RenderTexture(_vol, _ren, _imageMemorySize, _imageViewportSize, _imageInUseSize, _imageOrigin,  * _requestedDepth, _image);
    PROTECT(ans = allocVector(VECSXP,8));
    PROTECT(res_names = allocVector(VECSXP,8));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_vol,"vtkVolume"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".vol",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_ren,"vtkRenderer"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".ren",0));
    SET_VECTOR_ELT(ans,3,intToSexp(_imageMemorySize,2));
    SET_VECTOR_ELT(res_names,3,charToSexp(".imageMemorySize",0));
    SET_VECTOR_ELT(ans,4,intToSexp(_imageViewportSize,2));
    SET_VECTOR_ELT(res_names,4,charToSexp(".imageViewportSize",0));
    SET_VECTOR_ELT(ans,5,intToSexp(_imageInUseSize,2));
    SET_VECTOR_ELT(res_names,5,charToSexp(".imageInUseSize",0));
    SET_VECTOR_ELT(ans,6,intToSexp(_imageOrigin,2));
    SET_VECTOR_ELT(res_names,6,charToSexp(".imageOrigin",0));
    SET_VECTOR_ELT(ans,7,unsigned_charToSexp(_image,LENGTH(image)));
    SET_VECTOR_ELT(res_names,7,charToSexp(".image",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOpenGLRayCastImageDisplayHelper_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkOpenGLRayCastImageDisplayHelper * res= ( 
vtkOpenGLRayCastImageDisplayHelper * ) vtkOpenGLRayCastImageDisplayHelper
::New();
    R_res=toRPointer(res,"vtkOpenGLRayCastImageDisplayHelper");
    return(R_res);
  }
}
