#include <vtk/vtkOpenGLRenderWindow.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
  SEXP R_vtkOpenGLRenderWindow_GetClassName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkOpenGLRenderWindow * _obj = (vtkOpenGLRenderWindow * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetClassName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOpenGLRenderWindow_IsTypeOf( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkOpenGLRenderWindow * _obj = (vtkOpenGLRenderWindow * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOpenGLRenderWindow_IsA( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkOpenGLRenderWindow * _obj = (vtkOpenGLRenderWindow * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOpenGLRenderWindow_SafeDownCast( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkOpenGLRenderWindow * _obj = (vtkOpenGLRenderWindow * ) SexpToVtk(obj);
    vtkOpenGLRenderWindow *  _res =( vtkOpenGLRenderWindow * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkOpenGLRenderWindow");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOpenGLRenderWindow_NewInstance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkOpenGLRenderWindow * _obj = (vtkOpenGLRenderWindow * ) SexpToVtk(obj);
    vtkOpenGLRenderWindow *  _res =( vtkOpenGLRenderWindow * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkOpenGLRenderWindow");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOpenGLRenderWindow_SetGlobalMaximumNumberOfMultiSamples( SEXP obj, SEXP val){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(val,1);
     int  *  _val =  SexpToint(val);
    vtkOpenGLRenderWindow * _obj = (vtkOpenGLRenderWindow * ) SexpToVtk(obj);
    _obj->SetGlobalMaximumNumberOfMultiSamples( * _val);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOpenGLRenderWindow_GetGlobalMaximumNumberOfMultiSamples( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkOpenGLRenderWindow * _obj = (vtkOpenGLRenderWindow * ) SexpToVtk(obj);
    int _res =_obj->GetGlobalMaximumNumberOfMultiSamples();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOpenGLRenderWindow_SetMultiSamples( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkOpenGLRenderWindow * _obj = (vtkOpenGLRenderWindow * ) SexpToVtk(obj);
    _obj->SetMultiSamples( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOpenGLRenderWindow_GetMultiSamples( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkOpenGLRenderWindow * _obj = (vtkOpenGLRenderWindow * ) SexpToVtk(obj);
    int _res =_obj->GetMultiSamples();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOpenGLRenderWindow_StereoUpdate( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkOpenGLRenderWindow * _obj = (vtkOpenGLRenderWindow * ) SexpToVtk(obj);
    _obj->StereoUpdate();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOpenGLRenderWindow_GetPixelData( SEXP obj, SEXP x1, SEXP y1, SEXP x2, SEXP y2, SEXP front){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x1,1);
     int  *  _x1 =  SexpToint(x1);
    SET_LENGTH(y1,1);
     int  *  _y1 =  SexpToint(y1);
    SET_LENGTH(x2,1);
     int  *  _x2 =  SexpToint(x2);
    SET_LENGTH(y2,1);
     int  *  _y2 =  SexpToint(y2);
    SET_LENGTH(front,1);
     int  *  _front =  SexpToint(front);
    vtkOpenGLRenderWindow * _obj = (vtkOpenGLRenderWindow * ) SexpToVtk(obj);
    unsigned char *  _res =( unsigned char * )_obj->GetPixelData( * _x1,  * _y1,  * _x2,  * _y2,  * _front);
    res=unsigned_charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOpenGLRenderWindow_GetPixelData_v1( SEXP obj, SEXP x1, SEXP y1, SEXP x2, SEXP y2, SEXP front, SEXP data){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x1,1);
     int  *  _x1 =  SexpToint(x1);
    SET_LENGTH(y1,1);
     int  *  _y1 =  SexpToint(y1);
    SET_LENGTH(x2,1);
     int  *  _x2 =  SexpToint(x2);
    SET_LENGTH(y2,1);
     int  *  _y2 =  SexpToint(y2);
    SET_LENGTH(front,1);
     int  *  _front =  SexpToint(front);
     vtkUnsignedCharArray  *  _data = (vtkUnsignedCharArray * )  
SexpToVtk(data);
    vtkOpenGLRenderWindow * _obj = (vtkOpenGLRenderWindow * ) SexpToVtk(obj);
    int _res =_obj->GetPixelData( * _x1,  * _y1,  * _x2,  * _y2,  * _front, _data);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_data,"vtkUnsignedCharArray"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".data",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOpenGLRenderWindow_SetPixelData( SEXP obj, SEXP x1, SEXP y1, SEXP x2, SEXP y2, SEXP data, SEXP front){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x1,1);
     int  *  _x1 =  SexpToint(x1);
    SET_LENGTH(y1,1);
     int  *  _y1 =  SexpToint(y1);
    SET_LENGTH(x2,1);
     int  *  _x2 =  SexpToint(x2);
    SET_LENGTH(y2,1);
     int  *  _y2 =  SexpToint(y2);
     unsigned char  *  _data =  SexpTounsigned_char(data);
    SET_LENGTH(front,1);
     int  *  _front =  SexpToint(front);
    vtkOpenGLRenderWindow * _obj = (vtkOpenGLRenderWindow * ) SexpToVtk(obj);
    int _res =_obj->SetPixelData( * _x1,  * _y1,  * _x2,  * _y2, _data,  * _front);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,unsigned_charToSexp(_data,LENGTH(data)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".data",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOpenGLRenderWindow_SetPixelData_v1( SEXP obj, SEXP x1, SEXP y1, SEXP x2, SEXP y2, SEXP data, SEXP front){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x1,1);
     int  *  _x1 =  SexpToint(x1);
    SET_LENGTH(y1,1);
     int  *  _y1 =  SexpToint(y1);
    SET_LENGTH(x2,1);
     int  *  _x2 =  SexpToint(x2);
    SET_LENGTH(y2,1);
     int  *  _y2 =  SexpToint(y2);
     vtkUnsignedCharArray  *  _data = (vtkUnsignedCharArray * )  
SexpToVtk(data);
    SET_LENGTH(front,1);
     int  *  _front =  SexpToint(front);
    vtkOpenGLRenderWindow * _obj = (vtkOpenGLRenderWindow * ) SexpToVtk(obj);
    int _res =_obj->SetPixelData( * _x1,  * _y1,  * _x2,  * _y2, _data,  * _front);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_data,"vtkUnsignedCharArray"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".data",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOpenGLRenderWindow_GetRGBAPixelData( SEXP obj, SEXP x1, SEXP y1, SEXP x2, SEXP y2, SEXP front){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x1,1);
     int  *  _x1 =  SexpToint(x1);
    SET_LENGTH(y1,1);
     int  *  _y1 =  SexpToint(y1);
    SET_LENGTH(x2,1);
     int  *  _x2 =  SexpToint(x2);
    SET_LENGTH(y2,1);
     int  *  _y2 =  SexpToint(y2);
    SET_LENGTH(front,1);
     int  *  _front =  SexpToint(front);
    vtkOpenGLRenderWindow * _obj = (vtkOpenGLRenderWindow * ) SexpToVtk(obj);
    float *  _res =( float * )_obj->GetRGBAPixelData( * _x1,  * _y1,  * _x2,  * _y2,  * _front);
    res=floatToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOpenGLRenderWindow_GetRGBAPixelData_v1( SEXP obj, SEXP x1, SEXP y1, SEXP x2, SEXP y2, SEXP front, SEXP data){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x1,1);
     int  *  _x1 =  SexpToint(x1);
    SET_LENGTH(y1,1);
     int  *  _y1 =  SexpToint(y1);
    SET_LENGTH(x2,1);
     int  *  _x2 =  SexpToint(x2);
    SET_LENGTH(y2,1);
     int  *  _y2 =  SexpToint(y2);
    SET_LENGTH(front,1);
     int  *  _front =  SexpToint(front);
     vtkFloatArray  *  _data = (vtkFloatArray * )  SexpToVtk(data);
    vtkOpenGLRenderWindow * _obj = (vtkOpenGLRenderWindow * ) SexpToVtk(obj);
    int _res =_obj->GetRGBAPixelData( * _x1,  * _y1,  * _x2,  * _y2,  * _front, _data);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_data,"vtkFloatArray"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".data",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOpenGLRenderWindow_SetRGBAPixelData( SEXP obj, SEXP x1, SEXP y1, SEXP x2, SEXP y2, SEXP data, SEXP front, SEXP blend){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x1,1);
     int  *  _x1 =  SexpToint(x1);
    SET_LENGTH(y1,1);
     int  *  _y1 =  SexpToint(y1);
    SET_LENGTH(x2,1);
     int  *  _x2 =  SexpToint(x2);
    SET_LENGTH(y2,1);
     int  *  _y2 =  SexpToint(y2);
     float  *  _data =  SexpTofloat(data);
    SET_LENGTH(front,1);
     int  *  _front =  SexpToint(front);
    SET_LENGTH(blend,1);
     int  *  _blend =  SexpToint(blend);
    vtkOpenGLRenderWindow * _obj = (vtkOpenGLRenderWindow * ) SexpToVtk(obj);
    int _res =_obj->SetRGBAPixelData( * _x1,  * _y1,  * _x2,  * _y2, _data,  * _front,  * _blend);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,floatToSexp(_data,LENGTH(data)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".data",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOpenGLRenderWindow_SetRGBAPixelData_v1( SEXP obj, SEXP x1, SEXP y1, SEXP x2, SEXP y2, SEXP data, SEXP front, SEXP blend){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x1,1);
     int  *  _x1 =  SexpToint(x1);
    SET_LENGTH(y1,1);
     int  *  _y1 =  SexpToint(y1);
    SET_LENGTH(x2,1);
     int  *  _x2 =  SexpToint(x2);
    SET_LENGTH(y2,1);
     int  *  _y2 =  SexpToint(y2);
     vtkFloatArray  *  _data = (vtkFloatArray * )  SexpToVtk(data);
    SET_LENGTH(front,1);
     int  *  _front =  SexpToint(front);
    SET_LENGTH(blend,1);
     int  *  _blend =  SexpToint(blend);
    vtkOpenGLRenderWindow * _obj = (vtkOpenGLRenderWindow * ) SexpToVtk(obj);
    int _res =_obj->SetRGBAPixelData( * _x1,  * _y1,  * _x2,  * _y2, _data,  * _front,  * _blend);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_data,"vtkFloatArray"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".data",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOpenGLRenderWindow_ReleaseRGBAPixelData( SEXP obj, SEXP data){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     float  *  _data =  SexpTofloat(data);
    vtkOpenGLRenderWindow * _obj = (vtkOpenGLRenderWindow * ) SexpToVtk(obj);
    _obj->ReleaseRGBAPixelData(_data);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,floatToSexp(_data,LENGTH(data)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".data",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOpenGLRenderWindow_GetRGBACharPixelData( SEXP obj, SEXP x1, SEXP y1, SEXP x2, SEXP y2, SEXP front){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x1,1);
     int  *  _x1 =  SexpToint(x1);
    SET_LENGTH(y1,1);
     int  *  _y1 =  SexpToint(y1);
    SET_LENGTH(x2,1);
     int  *  _x2 =  SexpToint(x2);
    SET_LENGTH(y2,1);
     int  *  _y2 =  SexpToint(y2);
    SET_LENGTH(front,1);
     int  *  _front =  SexpToint(front);
    vtkOpenGLRenderWindow * _obj = (vtkOpenGLRenderWindow * ) SexpToVtk(obj);
    unsigned char *  _res =( unsigned char * )_obj->GetRGBACharPixelData( * _x1,  * _y1,  * _x2,  * _y2,  * _front);
    res=unsigned_charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOpenGLRenderWindow_GetRGBACharPixelData_v1( SEXP obj, SEXP x1, SEXP y1, SEXP x2, SEXP y2, SEXP front, SEXP data){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x1,1);
     int  *  _x1 =  SexpToint(x1);
    SET_LENGTH(y1,1);
     int  *  _y1 =  SexpToint(y1);
    SET_LENGTH(x2,1);
     int  *  _x2 =  SexpToint(x2);
    SET_LENGTH(y2,1);
     int  *  _y2 =  SexpToint(y2);
    SET_LENGTH(front,1);
     int  *  _front =  SexpToint(front);
     vtkUnsignedCharArray  *  _data = (vtkUnsignedCharArray * )  
SexpToVtk(data);
    vtkOpenGLRenderWindow * _obj = (vtkOpenGLRenderWindow * ) SexpToVtk(obj);
    int _res =_obj->GetRGBACharPixelData( * _x1,  * _y1,  * _x2,  * _y2,  * _front, _data);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_data,"vtkUnsignedCharArray"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".data",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOpenGLRenderWindow_SetRGBACharPixelData( SEXP obj, SEXP x1, SEXP y1, SEXP x2, SEXP y2, SEXP data, SEXP front, SEXP blend){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x1,1);
     int  *  _x1 =  SexpToint(x1);
    SET_LENGTH(y1,1);
     int  *  _y1 =  SexpToint(y1);
    SET_LENGTH(x2,1);
     int  *  _x2 =  SexpToint(x2);
    SET_LENGTH(y2,1);
     int  *  _y2 =  SexpToint(y2);
     unsigned char  *  _data =  SexpTounsigned_char(data);
    SET_LENGTH(front,1);
     int  *  _front =  SexpToint(front);
    SET_LENGTH(blend,1);
     int  *  _blend =  SexpToint(blend);
    vtkOpenGLRenderWindow * _obj = (vtkOpenGLRenderWindow * ) SexpToVtk(obj);
    int _res =_obj->SetRGBACharPixelData( * _x1,  * _y1,  * _x2,  * _y2, _data,  * _front,  * _blend);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,unsigned_charToSexp(_data,LENGTH(data)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".data",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOpenGLRenderWindow_SetRGBACharPixelData_v1( SEXP obj, SEXP x1, SEXP y1, SEXP x2, SEXP y2, SEXP data, SEXP front, SEXP blend){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x1,1);
     int  *  _x1 =  SexpToint(x1);
    SET_LENGTH(y1,1);
     int  *  _y1 =  SexpToint(y1);
    SET_LENGTH(x2,1);
     int  *  _x2 =  SexpToint(x2);
    SET_LENGTH(y2,1);
     int  *  _y2 =  SexpToint(y2);
     vtkUnsignedCharArray  *  _data = (vtkUnsignedCharArray * )  
SexpToVtk(data);
    SET_LENGTH(front,1);
     int  *  _front =  SexpToint(front);
    SET_LENGTH(blend,1);
     int  *  _blend =  SexpToint(blend);
    vtkOpenGLRenderWindow * _obj = (vtkOpenGLRenderWindow * ) SexpToVtk(obj);
    int _res =_obj->SetRGBACharPixelData( * _x1,  * _y1,  * _x2,  * _y2, _data,  * _front,  * _blend);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_data,"vtkUnsignedCharArray"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".data",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOpenGLRenderWindow_GetZbufferData( SEXP obj, SEXP x1, SEXP y1, SEXP x2, SEXP y2){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x1,1);
     int  *  _x1 =  SexpToint(x1);
    SET_LENGTH(y1,1);
     int  *  _y1 =  SexpToint(y1);
    SET_LENGTH(x2,1);
     int  *  _x2 =  SexpToint(x2);
    SET_LENGTH(y2,1);
     int  *  _y2 =  SexpToint(y2);
    vtkOpenGLRenderWindow * _obj = (vtkOpenGLRenderWindow * ) SexpToVtk(obj);
    float *  _res =( float * )_obj->GetZbufferData( * _x1,  * _y1,  * _x2,  * _y2);
    res=floatToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOpenGLRenderWindow_GetZbufferData_v1( SEXP obj, SEXP x1, SEXP y1, SEXP x2, SEXP y2, SEXP buffer){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x1,1);
     int  *  _x1 =  SexpToint(x1);
    SET_LENGTH(y1,1);
     int  *  _y1 =  SexpToint(y1);
    SET_LENGTH(x2,1);
     int  *  _x2 =  SexpToint(x2);
    SET_LENGTH(y2,1);
     int  *  _y2 =  SexpToint(y2);
     vtkFloatArray  *  _buffer = (vtkFloatArray * )  SexpToVtk(buffer);
    vtkOpenGLRenderWindow * _obj = (vtkOpenGLRenderWindow * ) SexpToVtk(obj);
    int _res =_obj->GetZbufferData( * _x1,  * _y1,  * _x2,  * _y2, _buffer);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_buffer,"vtkFloatArray"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".buffer",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOpenGLRenderWindow_SetZbufferData( SEXP obj, SEXP x1, SEXP y1, SEXP x2, SEXP y2, SEXP buffer){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x1,1);
     int  *  _x1 =  SexpToint(x1);
    SET_LENGTH(y1,1);
     int  *  _y1 =  SexpToint(y1);
    SET_LENGTH(x2,1);
     int  *  _x2 =  SexpToint(x2);
    SET_LENGTH(y2,1);
     int  *  _y2 =  SexpToint(y2);
     float  *  _buffer =  SexpTofloat(buffer);
    vtkOpenGLRenderWindow * _obj = (vtkOpenGLRenderWindow * ) SexpToVtk(obj);
    int _res =_obj->SetZbufferData( * _x1,  * _y1,  * _x2,  * _y2, _buffer);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,floatToSexp(_buffer,LENGTH(buffer)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".buffer",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOpenGLRenderWindow_SetZbufferData_v1( SEXP obj, SEXP x1, SEXP y1, SEXP x2, SEXP y2, SEXP buffer){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x1,1);
     int  *  _x1 =  SexpToint(x1);
    SET_LENGTH(y1,1);
     int  *  _y1 =  SexpToint(y1);
    SET_LENGTH(x2,1);
     int  *  _x2 =  SexpToint(x2);
    SET_LENGTH(y2,1);
     int  *  _y2 =  SexpToint(y2);
     vtkFloatArray  *  _buffer = (vtkFloatArray * )  SexpToVtk(buffer);
    vtkOpenGLRenderWindow * _obj = (vtkOpenGLRenderWindow * ) SexpToVtk(obj);
    int _res =_obj->SetZbufferData( * _x1,  * _y1,  * _x2,  * _y2, _buffer);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_buffer,"vtkFloatArray"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".buffer",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOpenGLRenderWindow_MakeCurrent( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkOpenGLRenderWindow * _obj = (vtkOpenGLRenderWindow * ) SexpToVtk(obj);
    _obj->MakeCurrent();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOpenGLRenderWindow_RegisterTextureResource( SEXP obj, SEXP id){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(id,1);
     unsigned int  *  _id =  SexpTounsigned_int(id);
    vtkOpenGLRenderWindow * _obj = (vtkOpenGLRenderWindow * ) SexpToVtk(obj);
    _obj->RegisterTextureResource( * _id);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOpenGLRenderWindow_GetDepthBufferSize( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkOpenGLRenderWindow * _obj = (vtkOpenGLRenderWindow * ) SexpToVtk(obj);
    int _res =_obj->GetDepthBufferSize();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOpenGLRenderWindow_OpenGLInit( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkOpenGLRenderWindow * _obj = (vtkOpenGLRenderWindow * ) SexpToVtk(obj);
    _obj->OpenGLInit();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
}
