#include <vtk/vtkRenderWindow.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
  SEXP R_vtkRenderWindow_GetClassName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRenderWindow * _obj = (vtkRenderWindow * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetClassName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderWindow_IsTypeOf( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkRenderWindow * _obj = (vtkRenderWindow * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderWindow_IsA( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkRenderWindow * _obj = (vtkRenderWindow * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderWindow_SafeDownCast( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkRenderWindow * _obj = (vtkRenderWindow * ) SexpToVtk(obj);
    vtkRenderWindow *  _res =( vtkRenderWindow * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkRenderWindow");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderWindow_NewInstance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRenderWindow * _obj = (vtkRenderWindow * ) SexpToVtk(obj);
    vtkRenderWindow *  _res =( vtkRenderWindow * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkRenderWindow");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderWindow_AddRenderer( SEXP obj, SEXP ren){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkRenderer  *  _ren = (vtkRenderer * )  SexpToVtk(ren);
    vtkRenderWindow * _obj = (vtkRenderWindow * ) SexpToVtk(obj);
    _obj->AddRenderer(_ren);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_ren,"vtkRenderer"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".ren",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderWindow_RemoveRenderer( SEXP obj, SEXP ren){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkRenderer  *  _ren = (vtkRenderer * )  SexpToVtk(ren);
    vtkRenderWindow * _obj = (vtkRenderWindow * ) SexpToVtk(obj);
    _obj->RemoveRenderer(_ren);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_ren,"vtkRenderer"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".ren",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderWindow_GetRenderLibrary( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRenderWindow * _obj = (vtkRenderWindow * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetRenderLibrary();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderWindow_GetRenderers( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRenderWindow * _obj = (vtkRenderWindow * ) SexpToVtk(obj);
    vtkRendererCollection *  _res =( vtkRendererCollection * )_obj->GetRenderers();
    res=VtkToSexp(_res,"vtkRendererCollection");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderWindow_Render( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRenderWindow * _obj = (vtkRenderWindow * ) SexpToVtk(obj);
    _obj->Render();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderWindow_Start( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRenderWindow * _obj = (vtkRenderWindow * ) SexpToVtk(obj);
    _obj->Start();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderWindow_Frame( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRenderWindow * _obj = (vtkRenderWindow * ) SexpToVtk(obj);
    _obj->Frame();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderWindow_CopyResultFrame( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRenderWindow * _obj = (vtkRenderWindow * ) SexpToVtk(obj);
    _obj->CopyResultFrame();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderWindow_MakeRenderWindowInteractor( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRenderWindow * _obj = (vtkRenderWindow * ) SexpToVtk(obj);
    vtkRenderWindowInteractor *  _res =( vtkRenderWindowInteractor * )_obj->MakeRenderWindowInteractor();
    res=VtkToSexp(_res,"vtkRenderWindowInteractor");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderWindow_HideCursor( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRenderWindow * _obj = (vtkRenderWindow * ) SexpToVtk(obj);
    _obj->HideCursor();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderWindow_ShowCursor( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRenderWindow * _obj = (vtkRenderWindow * ) SexpToVtk(obj);
    _obj->ShowCursor();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderWindow_SetCurrentCursor( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkRenderWindow * _obj = (vtkRenderWindow * ) SexpToVtk(obj);
    _obj->SetCurrentCursor( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderWindow_GetCurrentCursor( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRenderWindow * _obj = (vtkRenderWindow * ) SexpToVtk(obj);
    int _res =_obj->GetCurrentCursor();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderWindow_GetFullScreen( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRenderWindow * _obj = (vtkRenderWindow * ) SexpToVtk(obj);
    int _res =_obj->GetFullScreen();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderWindow_FullScreenOn( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRenderWindow * _obj = (vtkRenderWindow * ) SexpToVtk(obj);
    _obj->FullScreenOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderWindow_FullScreenOff( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRenderWindow * _obj = (vtkRenderWindow * ) SexpToVtk(obj);
    _obj->FullScreenOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderWindow_SetBorders( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkRenderWindow * _obj = (vtkRenderWindow * ) SexpToVtk(obj);
    _obj->SetBorders( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderWindow_GetBorders( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRenderWindow * _obj = (vtkRenderWindow * ) SexpToVtk(obj);
    int _res =_obj->GetBorders();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderWindow_BordersOn( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRenderWindow * _obj = (vtkRenderWindow * ) SexpToVtk(obj);
    _obj->BordersOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderWindow_BordersOff( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRenderWindow * _obj = (vtkRenderWindow * ) SexpToVtk(obj);
    _obj->BordersOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderWindow_GetStereoCapableWindow( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRenderWindow * _obj = (vtkRenderWindow * ) SexpToVtk(obj);
    int _res =_obj->GetStereoCapableWindow();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderWindow_StereoCapableWindowOn( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRenderWindow * _obj = (vtkRenderWindow * ) SexpToVtk(obj);
    _obj->StereoCapableWindowOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderWindow_StereoCapableWindowOff( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRenderWindow * _obj = (vtkRenderWindow * ) SexpToVtk(obj);
    _obj->StereoCapableWindowOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderWindow_SetStereoCapableWindow( SEXP obj, SEXP capable){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(capable,1);
     int  *  _capable =  SexpToint(capable);
    vtkRenderWindow * _obj = (vtkRenderWindow * ) SexpToVtk(obj);
    _obj->SetStereoCapableWindow( * _capable);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderWindow_GetStereoRender( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRenderWindow * _obj = (vtkRenderWindow * ) SexpToVtk(obj);
    int _res =_obj->GetStereoRender();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderWindow_SetStereoRender( SEXP obj, SEXP stereo){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(stereo,1);
     int  *  _stereo =  SexpToint(stereo);
    vtkRenderWindow * _obj = (vtkRenderWindow * ) SexpToVtk(obj);
    _obj->SetStereoRender( * _stereo);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderWindow_StereoRenderOn( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRenderWindow * _obj = (vtkRenderWindow * ) SexpToVtk(obj);
    _obj->StereoRenderOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderWindow_StereoRenderOff( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRenderWindow * _obj = (vtkRenderWindow * ) SexpToVtk(obj);
    _obj->StereoRenderOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderWindow_SetAlphaBitPlanes( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkRenderWindow * _obj = (vtkRenderWindow * ) SexpToVtk(obj);
    _obj->SetAlphaBitPlanes( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderWindow_GetAlphaBitPlanes( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRenderWindow * _obj = (vtkRenderWindow * ) SexpToVtk(obj);
    int _res =_obj->GetAlphaBitPlanes();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderWindow_AlphaBitPlanesOn( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRenderWindow * _obj = (vtkRenderWindow * ) SexpToVtk(obj);
    _obj->AlphaBitPlanesOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderWindow_AlphaBitPlanesOff( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRenderWindow * _obj = (vtkRenderWindow * ) SexpToVtk(obj);
    _obj->AlphaBitPlanesOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderWindow_SetPointSmoothing( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkRenderWindow * _obj = (vtkRenderWindow * ) SexpToVtk(obj);
    _obj->SetPointSmoothing( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderWindow_GetPointSmoothing( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRenderWindow * _obj = (vtkRenderWindow * ) SexpToVtk(obj);
    int _res =_obj->GetPointSmoothing();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderWindow_PointSmoothingOn( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRenderWindow * _obj = (vtkRenderWindow * ) SexpToVtk(obj);
    _obj->PointSmoothingOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderWindow_PointSmoothingOff( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRenderWindow * _obj = (vtkRenderWindow * ) SexpToVtk(obj);
    _obj->PointSmoothingOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderWindow_SetLineSmoothing( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkRenderWindow * _obj = (vtkRenderWindow * ) SexpToVtk(obj);
    _obj->SetLineSmoothing( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderWindow_GetLineSmoothing( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRenderWindow * _obj = (vtkRenderWindow * ) SexpToVtk(obj);
    int _res =_obj->GetLineSmoothing();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderWindow_LineSmoothingOn( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRenderWindow * _obj = (vtkRenderWindow * ) SexpToVtk(obj);
    _obj->LineSmoothingOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderWindow_LineSmoothingOff( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRenderWindow * _obj = (vtkRenderWindow * ) SexpToVtk(obj);
    _obj->LineSmoothingOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderWindow_SetPolygonSmoothing( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkRenderWindow * _obj = (vtkRenderWindow * ) SexpToVtk(obj);
    _obj->SetPolygonSmoothing( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderWindow_GetPolygonSmoothing( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRenderWindow * _obj = (vtkRenderWindow * ) SexpToVtk(obj);
    int _res =_obj->GetPolygonSmoothing();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderWindow_PolygonSmoothingOn( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRenderWindow * _obj = (vtkRenderWindow * ) SexpToVtk(obj);
    _obj->PolygonSmoothingOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderWindow_PolygonSmoothingOff( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRenderWindow * _obj = (vtkRenderWindow * ) SexpToVtk(obj);
    _obj->PolygonSmoothingOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderWindow_GetStereoType( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRenderWindow * _obj = (vtkRenderWindow * ) SexpToVtk(obj);
    int _res =_obj->GetStereoType();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderWindow_SetStereoType( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkRenderWindow * _obj = (vtkRenderWindow * ) SexpToVtk(obj);
    _obj->SetStereoType( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderWindow_SetStereoTypeToCrystalEyes( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRenderWindow * _obj = (vtkRenderWindow * ) SexpToVtk(obj);
    _obj->SetStereoTypeToCrystalEyes();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderWindow_SetStereoTypeToRedBlue( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRenderWindow * _obj = (vtkRenderWindow * ) SexpToVtk(obj);
    _obj->SetStereoTypeToRedBlue();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderWindow_SetStereoTypeToInterlaced( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRenderWindow * _obj = (vtkRenderWindow * ) SexpToVtk(obj);
    _obj->SetStereoTypeToInterlaced();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderWindow_SetStereoTypeToLeft( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRenderWindow * _obj = (vtkRenderWindow * ) SexpToVtk(obj);
    _obj->SetStereoTypeToLeft();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderWindow_SetStereoTypeToRight( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRenderWindow * _obj = (vtkRenderWindow * ) SexpToVtk(obj);
    _obj->SetStereoTypeToRight();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderWindow_SetStereoTypeToDresden( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRenderWindow * _obj = (vtkRenderWindow * ) SexpToVtk(obj);
    _obj->SetStereoTypeToDresden();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderWindow_GetStereoTypeAsString( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRenderWindow * _obj = (vtkRenderWindow * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetStereoTypeAsString();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderWindow_StereoUpdate( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRenderWindow * _obj = (vtkRenderWindow * ) SexpToVtk(obj);
    _obj->StereoUpdate();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderWindow_StereoMidpoint( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRenderWindow * _obj = (vtkRenderWindow * ) SexpToVtk(obj);
    _obj->StereoMidpoint();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderWindow_StereoRenderComplete( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRenderWindow * _obj = (vtkRenderWindow * ) SexpToVtk(obj);
    _obj->StereoRenderComplete();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderWindow_WindowRemap( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRenderWindow * _obj = (vtkRenderWindow * ) SexpToVtk(obj);
    _obj->WindowRemap();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderWindow_SetSwapBuffers( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkRenderWindow * _obj = (vtkRenderWindow * ) SexpToVtk(obj);
    _obj->SetSwapBuffers( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderWindow_GetSwapBuffers( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRenderWindow * _obj = (vtkRenderWindow * ) SexpToVtk(obj);
    int _res =_obj->GetSwapBuffers();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderWindow_SwapBuffersOn( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRenderWindow * _obj = (vtkRenderWindow * ) SexpToVtk(obj);
    _obj->SwapBuffersOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderWindow_SwapBuffersOff( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRenderWindow * _obj = (vtkRenderWindow * ) SexpToVtk(obj);
    _obj->SwapBuffersOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderWindow_ReleaseRGBAPixelData( SEXP obj, SEXP data){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     float  *  _data =  SexpTofloat(data);
    vtkRenderWindow * _obj = (vtkRenderWindow * ) SexpToVtk(obj);
    _obj->ReleaseRGBAPixelData(_data);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,floatToSexp(_data,LENGTH(data)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".data",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderWindow_GetAAFrames( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRenderWindow * _obj = (vtkRenderWindow * ) SexpToVtk(obj);
    int _res =_obj->GetAAFrames();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderWindow_SetAAFrames( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkRenderWindow * _obj = (vtkRenderWindow * ) SexpToVtk(obj);
    _obj->SetAAFrames( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderWindow_GetFDFrames( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRenderWindow * _obj = (vtkRenderWindow * ) SexpToVtk(obj);
    int _res =_obj->GetFDFrames();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderWindow_SetFDFrames( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkRenderWindow * _obj = (vtkRenderWindow * ) SexpToVtk(obj);
    _obj->SetFDFrames( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderWindow_GetSubFrames( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRenderWindow * _obj = (vtkRenderWindow * ) SexpToVtk(obj);
    int _res =_obj->GetSubFrames();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderWindow_SetSubFrames( SEXP obj, SEXP subFrames){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(subFrames,1);
     int  *  _subFrames =  SexpToint(subFrames);
    vtkRenderWindow * _obj = (vtkRenderWindow * ) SexpToVtk(obj);
    _obj->SetSubFrames( * _subFrames);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderWindow_GetNeverRendered( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRenderWindow * _obj = (vtkRenderWindow * ) SexpToVtk(obj);
    int _res =_obj->GetNeverRendered();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderWindow_GetAbortRender( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRenderWindow * _obj = (vtkRenderWindow * ) SexpToVtk(obj);
    int _res =_obj->GetAbortRender();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderWindow_SetAbortRender( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkRenderWindow * _obj = (vtkRenderWindow * ) SexpToVtk(obj);
    _obj->SetAbortRender( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderWindow_GetInAbortCheck( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRenderWindow * _obj = (vtkRenderWindow * ) SexpToVtk(obj);
    int _res =_obj->GetInAbortCheck();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderWindow_SetInAbortCheck( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkRenderWindow * _obj = (vtkRenderWindow * ) SexpToVtk(obj);
    _obj->SetInAbortCheck( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderWindow_CheckAbortStatus( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRenderWindow * _obj = (vtkRenderWindow * ) SexpToVtk(obj);
    int _res =_obj->CheckAbortStatus();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderWindow_GetIsPicking( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRenderWindow * _obj = (vtkRenderWindow * ) SexpToVtk(obj);
    int _res =_obj->GetIsPicking();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderWindow_SetIsPicking( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkRenderWindow * _obj = (vtkRenderWindow * ) SexpToVtk(obj);
    _obj->SetIsPicking( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderWindow_IsPickingOn( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRenderWindow * _obj = (vtkRenderWindow * ) SexpToVtk(obj);
    _obj->IsPickingOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderWindow_IsPickingOff( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRenderWindow * _obj = (vtkRenderWindow * ) SexpToVtk(obj);
    _obj->IsPickingOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderWindow_GetEventPending( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRenderWindow * _obj = (vtkRenderWindow * ) SexpToVtk(obj);
    int _res =_obj->GetEventPending();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderWindow_CheckInRenderStatus( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRenderWindow * _obj = (vtkRenderWindow * ) SexpToVtk(obj);
    int _res =_obj->CheckInRenderStatus();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderWindow_ClearInRenderStatus( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRenderWindow * _obj = (vtkRenderWindow * ) SexpToVtk(obj);
    _obj->ClearInRenderStatus();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderWindow_SetDesiredUpdateRate( SEXP obj, SEXP rate){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(rate,1);
     double  *  _rate =  SexpTodouble(rate);
    vtkRenderWindow * _obj = (vtkRenderWindow * ) SexpToVtk(obj);
    _obj->SetDesiredUpdateRate( * _rate);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderWindow_GetDesiredUpdateRate( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRenderWindow * _obj = (vtkRenderWindow * ) SexpToVtk(obj);
    double _res =_obj->GetDesiredUpdateRate();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderWindow_GetNumberOfLayers( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRenderWindow * _obj = (vtkRenderWindow * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfLayers();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderWindow_SetNumberOfLayers( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkRenderWindow * _obj = (vtkRenderWindow * ) SexpToVtk(obj);
    _obj->SetNumberOfLayers( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderWindow_GetNumberOfLayersMinValue( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRenderWindow * _obj = (vtkRenderWindow * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfLayersMinValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderWindow_GetNumberOfLayersMaxValue( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRenderWindow * _obj = (vtkRenderWindow * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfLayersMaxValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderWindow_GetInteractor( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRenderWindow * _obj = (vtkRenderWindow * ) SexpToVtk(obj);
    vtkRenderWindowInteractor *  _res =( vtkRenderWindowInteractor * )_obj->GetInteractor();
    res=VtkToSexp(_res,"vtkRenderWindowInteractor");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderWindow_SetInteractor( SEXP obj, SEXP rwi){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkRenderWindowInteractor  *  _rwi = (vtkRenderWindowInteractor * )  
SexpToVtk(rwi);
    vtkRenderWindow * _obj = (vtkRenderWindow * ) SexpToVtk(obj);
    _obj->SetInteractor(_rwi);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_rwi,"vtkRenderWindowInteractor"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".rwi",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderWindow_UnRegister( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkRenderWindow * _obj = (vtkRenderWindow * ) SexpToVtk(obj);
    _obj->UnRegister(_o);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderWindow_GetGenericDisplayId( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRenderWindow * _obj = (vtkRenderWindow * ) SexpToVtk(obj);
    void *  _res =_obj->GetGenericDisplayId();
    res=voidToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderWindow_GetGenericWindowId( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRenderWindow * _obj = (vtkRenderWindow * ) SexpToVtk(obj);
    void *  _res =_obj->GetGenericWindowId();
    res=voidToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderWindow_GetGenericParentId( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRenderWindow * _obj = (vtkRenderWindow * ) SexpToVtk(obj);
    void *  _res =_obj->GetGenericParentId();
    res=voidToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderWindow_GetGenericContext( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRenderWindow * _obj = (vtkRenderWindow * ) SexpToVtk(obj);
    void *  _res =_obj->GetGenericContext();
    res=voidToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderWindow_GetGenericDrawable( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRenderWindow * _obj = (vtkRenderWindow * ) SexpToVtk(obj);
    void *  _res =_obj->GetGenericDrawable();
    res=voidToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderWindow_MakeCurrent( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRenderWindow * _obj = (vtkRenderWindow * ) SexpToVtk(obj);
    _obj->MakeCurrent();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderWindow_SetForceMakeCurrent( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRenderWindow * _obj = (vtkRenderWindow * ) SexpToVtk(obj);
    _obj->SetForceMakeCurrent();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderWindow_ReportCapabilities( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRenderWindow * _obj = (vtkRenderWindow * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->ReportCapabilities();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderWindow_SupportsOpenGL( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRenderWindow * _obj = (vtkRenderWindow * ) SexpToVtk(obj);
    int _res =_obj->SupportsOpenGL();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderWindow_IsDirect( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRenderWindow * _obj = (vtkRenderWindow * ) SexpToVtk(obj);
    int _res =_obj->IsDirect();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderWindow_GetDepthBufferSize( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRenderWindow * _obj = (vtkRenderWindow * ) SexpToVtk(obj);
    int _res =_obj->GetDepthBufferSize();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderWindow_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkRenderWindow * res= ( vtkRenderWindow * ) vtkRenderWindow::New();
    R_res=toRPointer(res,"vtkRenderWindow");
    return(R_res);
  }
}
