#include <vtk/vtkRenderer.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
  SEXP R_vtkRenderer_GetClassName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRenderer * _obj = (vtkRenderer * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetClassName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderer_IsTypeOf( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkRenderer * _obj = (vtkRenderer * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderer_IsA( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkRenderer * _obj = (vtkRenderer * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderer_SafeDownCast( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkRenderer * _obj = (vtkRenderer * ) SexpToVtk(obj);
    vtkRenderer *  _res =( vtkRenderer * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkRenderer");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderer_NewInstance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRenderer * _obj = (vtkRenderer * ) SexpToVtk(obj);
    vtkRenderer *  _res =( vtkRenderer * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkRenderer");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderer_AddActor( SEXP obj, SEXP p){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkProp  *  _p = (vtkProp * )  SexpToVtk(p);
    vtkRenderer * _obj = (vtkRenderer * ) SexpToVtk(obj);
    _obj->AddActor(_p);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_p,"vtkProp"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".p",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderer_AddVolume( SEXP obj, SEXP p){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkProp  *  _p = (vtkProp * )  SexpToVtk(p);
    vtkRenderer * _obj = (vtkRenderer * ) SexpToVtk(obj);
    _obj->AddVolume(_p);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_p,"vtkProp"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".p",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderer_RemoveActor( SEXP obj, SEXP p){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkProp  *  _p = (vtkProp * )  SexpToVtk(p);
    vtkRenderer * _obj = (vtkRenderer * ) SexpToVtk(obj);
    _obj->RemoveActor(_p);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_p,"vtkProp"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".p",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderer_RemoveVolume( SEXP obj, SEXP p){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkProp  *  _p = (vtkProp * )  SexpToVtk(p);
    vtkRenderer * _obj = (vtkRenderer * ) SexpToVtk(obj);
    _obj->RemoveVolume(_p);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_p,"vtkProp"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".p",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderer_AddLight( SEXP obj, SEXP light){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkLight  *  _light = (vtkLight * )  SexpToVtk(light);
    vtkRenderer * _obj = (vtkRenderer * ) SexpToVtk(obj);
    _obj->AddLight(_light);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_light,"vtkLight"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".light",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderer_RemoveLight( SEXP obj, SEXP light){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkLight  *  _light = (vtkLight * )  SexpToVtk(light);
    vtkRenderer * _obj = (vtkRenderer * ) SexpToVtk(obj);
    _obj->RemoveLight(_light);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_light,"vtkLight"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".light",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderer_GetLights( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRenderer * _obj = (vtkRenderer * ) SexpToVtk(obj);
    vtkLightCollection *  _res =( vtkLightCollection * )_obj->GetLights();
    res=VtkToSexp(_res,"vtkLightCollection");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderer_CreateLight( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRenderer * _obj = (vtkRenderer * ) SexpToVtk(obj);
    _obj->CreateLight();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderer_MakeLight( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRenderer * _obj = (vtkRenderer * ) SexpToVtk(obj);
    vtkLight *  _res =( vtkLight * )_obj->MakeLight();
    res=VtkToSexp(_res,"vtkLight");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderer_GetTwoSidedLighting( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRenderer * _obj = (vtkRenderer * ) SexpToVtk(obj);
    int _res =_obj->GetTwoSidedLighting();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderer_SetTwoSidedLighting( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkRenderer * _obj = (vtkRenderer * ) SexpToVtk(obj);
    _obj->SetTwoSidedLighting( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderer_TwoSidedLightingOn( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRenderer * _obj = (vtkRenderer * ) SexpToVtk(obj);
    _obj->TwoSidedLightingOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderer_TwoSidedLightingOff( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRenderer * _obj = (vtkRenderer * ) SexpToVtk(obj);
    _obj->TwoSidedLightingOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderer_SetLightFollowCamera( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkRenderer * _obj = (vtkRenderer * ) SexpToVtk(obj);
    _obj->SetLightFollowCamera( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderer_GetLightFollowCamera( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRenderer * _obj = (vtkRenderer * ) SexpToVtk(obj);
    int _res =_obj->GetLightFollowCamera();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderer_LightFollowCameraOn( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRenderer * _obj = (vtkRenderer * ) SexpToVtk(obj);
    _obj->LightFollowCameraOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderer_LightFollowCameraOff( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRenderer * _obj = (vtkRenderer * ) SexpToVtk(obj);
    _obj->LightFollowCameraOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderer_GetAutomaticLightCreation( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRenderer * _obj = (vtkRenderer * ) SexpToVtk(obj);
    int _res =_obj->GetAutomaticLightCreation();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderer_SetAutomaticLightCreation( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkRenderer * _obj = (vtkRenderer * ) SexpToVtk(obj);
    _obj->SetAutomaticLightCreation( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderer_AutomaticLightCreationOn( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRenderer * _obj = (vtkRenderer * ) SexpToVtk(obj);
    _obj->AutomaticLightCreationOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderer_AutomaticLightCreationOff( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRenderer * _obj = (vtkRenderer * ) SexpToVtk(obj);
    _obj->AutomaticLightCreationOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderer_UpdateLightsGeometryToFollowCamera( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRenderer * _obj = (vtkRenderer * ) SexpToVtk(obj);
    int _res =_obj->UpdateLightsGeometryToFollowCamera();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderer_GetVolumes( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRenderer * _obj = (vtkRenderer * ) SexpToVtk(obj);
    vtkVolumeCollection *  _res =( vtkVolumeCollection * )_obj->GetVolumes();
    res=VtkToSexp(_res,"vtkVolumeCollection");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderer_GetActors( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRenderer * _obj = (vtkRenderer * ) SexpToVtk(obj);
    vtkActorCollection *  _res =( vtkActorCollection * )_obj->GetActors();
    res=VtkToSexp(_res,"vtkActorCollection");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderer_SetActiveCamera( SEXP obj, SEXP cam){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkCamera  *  _cam = (vtkCamera * )  SexpToVtk(cam);
    vtkRenderer * _obj = (vtkRenderer * ) SexpToVtk(obj);
    _obj->SetActiveCamera(_cam);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_cam,"vtkCamera"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".cam",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderer_GetActiveCamera( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRenderer * _obj = (vtkRenderer * ) SexpToVtk(obj);
    vtkCamera *  _res =( vtkCamera * )_obj->GetActiveCamera();
    res=VtkToSexp(_res,"vtkCamera");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderer_MakeCamera( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRenderer * _obj = (vtkRenderer * ) SexpToVtk(obj);
    vtkCamera *  _res =( vtkCamera * )_obj->MakeCamera();
    res=VtkToSexp(_res,"vtkCamera");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderer_AddCuller( SEXP obj, SEXP culler){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkCuller  *  _culler = (vtkCuller * )  SexpToVtk(culler);
    vtkRenderer * _obj = (vtkRenderer * ) SexpToVtk(obj);
    _obj->AddCuller(_culler);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_culler,"vtkCuller"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".culler",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderer_RemoveCuller( SEXP obj, SEXP culler){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkCuller  *  _culler = (vtkCuller * )  SexpToVtk(culler);
    vtkRenderer * _obj = (vtkRenderer * ) SexpToVtk(obj);
    _obj->RemoveCuller(_culler);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_culler,"vtkCuller"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".culler",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderer_GetCullers( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRenderer * _obj = (vtkRenderer * ) SexpToVtk(obj);
    vtkCullerCollection *  _res =( vtkCullerCollection * )_obj->GetCullers();
    res=VtkToSexp(_res,"vtkCullerCollection");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderer_SetAmbient( SEXP obj, SEXP _arg1, SEXP _arg2, SEXP _arg3){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg1,1);
     double  *  __arg1 =  SexpTodouble(_arg1);
    SET_LENGTH(_arg2,1);
     double  *  __arg2 =  SexpTodouble(_arg2);
    SET_LENGTH(_arg3,1);
     double  *  __arg3 =  SexpTodouble(_arg3);
    vtkRenderer * _obj = (vtkRenderer * ) SexpToVtk(obj);
    _obj->SetAmbient( * __arg1,  * __arg2,  * __arg3);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderer_SetAmbient_v1( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  __arg =  SexpTodouble(_arg);
    vtkRenderer * _obj = (vtkRenderer * ) SexpToVtk(obj);
    _obj->SetAmbient(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(__arg,LENGTH(_arg)));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderer_GetAmbient( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRenderer * _obj = (vtkRenderer * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetAmbient();
    res=doubleToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderer_GetAmbient_v1( SEXP obj, SEXP data){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  _data =  SexpTodouble(data);
    vtkRenderer * _obj = (vtkRenderer * ) SexpToVtk(obj);
    _obj->GetAmbient(_data);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_data,LENGTH(data)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".data",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderer_SetAllocatedRenderTime( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     double  *  __arg =  SexpTodouble(_arg);
    vtkRenderer * _obj = (vtkRenderer * ) SexpToVtk(obj);
    _obj->SetAllocatedRenderTime( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderer_GetAllocatedRenderTime( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRenderer * _obj = (vtkRenderer * ) SexpToVtk(obj);
    double _res =_obj->GetAllocatedRenderTime();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderer_GetTimeFactor( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRenderer * _obj = (vtkRenderer * ) SexpToVtk(obj);
    double _res =_obj->GetTimeFactor();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderer_Render( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRenderer * _obj = (vtkRenderer * ) SexpToVtk(obj);
    _obj->Render();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderer_DeviceRender( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRenderer * _obj = (vtkRenderer * ) SexpToVtk(obj);
    _obj->DeviceRender();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderer_Clear( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRenderer * _obj = (vtkRenderer * ) SexpToVtk(obj);
    _obj->Clear();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderer_VisibleActorCount( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRenderer * _obj = (vtkRenderer * ) SexpToVtk(obj);
    int _res =_obj->VisibleActorCount();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderer_VisibleVolumeCount( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRenderer * _obj = (vtkRenderer * ) SexpToVtk(obj);
    int _res =_obj->VisibleVolumeCount();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderer_ComputeVisiblePropBounds( SEXP obj, SEXP allBounds){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(allBounds,6);
     double  *  _allBounds =  SexpTodouble(allBounds);
    vtkRenderer * _obj = (vtkRenderer * ) SexpToVtk(obj);
    _obj->ComputeVisiblePropBounds(_allBounds);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_allBounds,6));
    SET_VECTOR_ELT(res_names,1,charToSexp(".allBounds",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderer_ComputeVisiblePropBounds_v1( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRenderer * _obj = (vtkRenderer * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->ComputeVisiblePropBounds();
    res=doubleToSexp(_res,6);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderer_ResetCameraClippingRange( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRenderer * _obj = (vtkRenderer * ) SexpToVtk(obj);
    _obj->ResetCameraClippingRange();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderer_ResetCameraClippingRange_v1( SEXP obj, SEXP bounds){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(bounds,6);
     double  *  _bounds =  SexpTodouble(bounds);
    vtkRenderer * _obj = (vtkRenderer * ) SexpToVtk(obj);
    _obj->ResetCameraClippingRange(_bounds);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_bounds,6));
    SET_VECTOR_ELT(res_names,1,charToSexp(".bounds",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderer_ResetCameraClippingRange_v2( SEXP obj, SEXP xmin, SEXP xmax, SEXP ymin, SEXP ymax, SEXP zmin, SEXP zmax){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(xmin,1);
     double  *  _xmin =  SexpTodouble(xmin);
    SET_LENGTH(xmax,1);
     double  *  _xmax =  SexpTodouble(xmax);
    SET_LENGTH(ymin,1);
     double  *  _ymin =  SexpTodouble(ymin);
    SET_LENGTH(ymax,1);
     double  *  _ymax =  SexpTodouble(ymax);
    SET_LENGTH(zmin,1);
     double  *  _zmin =  SexpTodouble(zmin);
    SET_LENGTH(zmax,1);
     double  *  _zmax =  SexpTodouble(zmax);
    vtkRenderer * _obj = (vtkRenderer * ) SexpToVtk(obj);
    _obj->ResetCameraClippingRange( * _xmin,  * _xmax,  * _ymin,  * _ymax,  * _zmin,  * _zmax);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderer_SetNearClippingPlaneTolerance( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     double  *  __arg =  SexpTodouble(_arg);
    vtkRenderer * _obj = (vtkRenderer * ) SexpToVtk(obj);
    _obj->SetNearClippingPlaneTolerance( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderer_GetNearClippingPlaneTolerance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRenderer * _obj = (vtkRenderer * ) SexpToVtk(obj);
    double _res =_obj->GetNearClippingPlaneTolerance();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderer_ResetCamera( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRenderer * _obj = (vtkRenderer * ) SexpToVtk(obj);
    _obj->ResetCamera();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderer_ResetCamera_v1( SEXP obj, SEXP bounds){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(bounds,6);
     double  *  _bounds =  SexpTodouble(bounds);
    vtkRenderer * _obj = (vtkRenderer * ) SexpToVtk(obj);
    _obj->ResetCamera(_bounds);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_bounds,6));
    SET_VECTOR_ELT(res_names,1,charToSexp(".bounds",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderer_ResetCamera_v2( SEXP obj, SEXP xmin, SEXP xmax, SEXP ymin, SEXP ymax, SEXP zmin, SEXP zmax){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(xmin,1);
     double  *  _xmin =  SexpTodouble(xmin);
    SET_LENGTH(xmax,1);
     double  *  _xmax =  SexpTodouble(xmax);
    SET_LENGTH(ymin,1);
     double  *  _ymin =  SexpTodouble(ymin);
    SET_LENGTH(ymax,1);
     double  *  _ymax =  SexpTodouble(ymax);
    SET_LENGTH(zmin,1);
     double  *  _zmin =  SexpTodouble(zmin);
    SET_LENGTH(zmax,1);
     double  *  _zmax =  SexpTodouble(zmax);
    vtkRenderer * _obj = (vtkRenderer * ) SexpToVtk(obj);
    _obj->ResetCamera( * _xmin,  * _xmax,  * _ymin,  * _ymax,  * _zmin,  * _zmax);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderer_SetRenderWindow( SEXP obj, SEXP renwin){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkRenderWindow  *  _renwin = (vtkRenderWindow * )  SexpToVtk(renwin);
    vtkRenderer * _obj = (vtkRenderer * ) SexpToVtk(obj);
    _obj->SetRenderWindow(_renwin);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_renwin,"vtkRenderWindow"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".renwin",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderer_GetRenderWindow( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRenderer * _obj = (vtkRenderer * ) SexpToVtk(obj);
    vtkRenderWindow *  _res =( vtkRenderWindow * )_obj->GetRenderWindow();
    res=VtkToSexp(_res,"vtkRenderWindow");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderer_GetVTKWindow( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRenderer * _obj = (vtkRenderer * ) SexpToVtk(obj);
    vtkWindow *  _res =( vtkWindow * )_obj->GetVTKWindow();
    res=VtkToSexp(_res,"vtkWindow");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderer_SetBackingStore( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkRenderer * _obj = (vtkRenderer * ) SexpToVtk(obj);
    _obj->SetBackingStore( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderer_GetBackingStore( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRenderer * _obj = (vtkRenderer * ) SexpToVtk(obj);
    int _res =_obj->GetBackingStore();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderer_BackingStoreOn( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRenderer * _obj = (vtkRenderer * ) SexpToVtk(obj);
    _obj->BackingStoreOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderer_BackingStoreOff( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRenderer * _obj = (vtkRenderer * ) SexpToVtk(obj);
    _obj->BackingStoreOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderer_SetInteractive( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkRenderer * _obj = (vtkRenderer * ) SexpToVtk(obj);
    _obj->SetInteractive( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderer_GetInteractive( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRenderer * _obj = (vtkRenderer * ) SexpToVtk(obj);
    int _res =_obj->GetInteractive();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderer_InteractiveOn( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRenderer * _obj = (vtkRenderer * ) SexpToVtk(obj);
    _obj->InteractiveOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderer_InteractiveOff( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRenderer * _obj = (vtkRenderer * ) SexpToVtk(obj);
    _obj->InteractiveOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderer_SetLayer( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkRenderer * _obj = (vtkRenderer * ) SexpToVtk(obj);
    _obj->SetLayer( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderer_GetLayer( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRenderer * _obj = (vtkRenderer * ) SexpToVtk(obj);
    int _res =_obj->GetLayer();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderer_Transparent( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRenderer * _obj = (vtkRenderer * ) SexpToVtk(obj);
    int _res =_obj->Transparent();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderer_WorldToView( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRenderer * _obj = (vtkRenderer * ) SexpToVtk(obj);
    _obj->WorldToView();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderer_ViewToWorld( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRenderer * _obj = (vtkRenderer * ) SexpToVtk(obj);
    _obj->ViewToWorld();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderer_ViewToWorld_v1( SEXP obj, SEXP x, SEXP y, SEXP z){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,1);
     double  *  _x =  SexpTodouble(x);
    SET_LENGTH(y,1);
     double  *  _y =  SexpTodouble(y);
    SET_LENGTH(z,1);
     double  *  _z =  SexpTodouble(z);
    vtkRenderer * _obj = (vtkRenderer * ) SexpToVtk(obj);
    _obj->ViewToWorld( * _x,  * _y,  * _z);
    PROTECT(ans = allocVector(VECSXP,4));
    PROTECT(res_names = allocVector(VECSXP,4));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_x,1));
    SET_VECTOR_ELT(res_names,1,charToSexp(".x",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(_y,1));
    SET_VECTOR_ELT(res_names,2,charToSexp(".y",0));
    SET_VECTOR_ELT(ans,3,doubleToSexp(_z,1));
    SET_VECTOR_ELT(res_names,3,charToSexp(".z",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderer_WorldToView_v1( SEXP obj, SEXP x, SEXP y, SEXP z){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,1);
     double  *  _x =  SexpTodouble(x);
    SET_LENGTH(y,1);
     double  *  _y =  SexpTodouble(y);
    SET_LENGTH(z,1);
     double  *  _z =  SexpTodouble(z);
    vtkRenderer * _obj = (vtkRenderer * ) SexpToVtk(obj);
    _obj->WorldToView( * _x,  * _y,  * _z);
    PROTECT(ans = allocVector(VECSXP,4));
    PROTECT(res_names = allocVector(VECSXP,4));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_x,1));
    SET_VECTOR_ELT(res_names,1,charToSexp(".x",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(_y,1));
    SET_VECTOR_ELT(res_names,2,charToSexp(".y",0));
    SET_VECTOR_ELT(ans,3,doubleToSexp(_z,1));
    SET_VECTOR_ELT(res_names,3,charToSexp(".z",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderer_GetZ( SEXP obj, SEXP x, SEXP y){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,1);
     int  *  _x =  SexpToint(x);
    SET_LENGTH(y,1);
     int  *  _y =  SexpToint(y);
    vtkRenderer * _obj = (vtkRenderer * ) SexpToVtk(obj);
    double _res =_obj->GetZ( * _x,  * _y);
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderer_GetMTime( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRenderer * _obj = (vtkRenderer * ) SexpToVtk(obj);
    long unsigned int _res =_obj->GetMTime();
    res=long_unsigned_intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderer_GetLastRenderTimeInSeconds( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRenderer * _obj = (vtkRenderer * ) SexpToVtk(obj);
    double _res =_obj->GetLastRenderTimeInSeconds();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderer_GetNumberOfPropsRendered( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRenderer * _obj = (vtkRenderer * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfPropsRendered();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderer_PickProp( SEXP obj, SEXP selectionX, SEXP selectionY){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(selectionX,1);
     double  *  _selectionX =  SexpTodouble(selectionX);
    SET_LENGTH(selectionY,1);
     double  *  _selectionY =  SexpTodouble(selectionY);
    vtkRenderer * _obj = (vtkRenderer * ) SexpToVtk(obj);
    vtkAssemblyPath *  _res =( vtkAssemblyPath * )_obj->PickProp( * _selectionX,  * _selectionY);
    res=VtkToSexp(_res,"vtkAssemblyPath");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRenderer_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkRenderer * res= ( vtkRenderer * ) vtkRenderer::New();
    R_res=toRPointer(res,"vtkRenderer");
    return(R_res);
  }
}
