#include <vtk/vtkUnstructuredGridVolumeMapper.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
  SEXP R_vtkUnstructuredGridVolumeMapper_GetClassName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkUnstructuredGridVolumeMapper * _obj = (vtkUnstructuredGridVolumeMapper
 * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetClassName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUnstructuredGridVolumeMapper_IsTypeOf( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkUnstructuredGridVolumeMapper * _obj = (vtkUnstructuredGridVolumeMapper
 * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUnstructuredGridVolumeMapper_IsA( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkUnstructuredGridVolumeMapper * _obj = (vtkUnstructuredGridVolumeMapper
 * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUnstructuredGridVolumeMapper_SafeDownCast( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkUnstructuredGridVolumeMapper * _obj = (vtkUnstructuredGridVolumeMapper
 * ) SexpToVtk(obj);
    vtkUnstructuredGridVolumeMapper *  _res =( vtkUnstructuredGridVolumeMapper * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkUnstructuredGridVolumeMapper");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUnstructuredGridVolumeMapper_NewInstance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkUnstructuredGridVolumeMapper * _obj = (vtkUnstructuredGridVolumeMapper
 * ) SexpToVtk(obj);
    vtkUnstructuredGridVolumeMapper *  _res =( vtkUnstructuredGridVolumeMapper * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkUnstructuredGridVolumeMapper");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUnstructuredGridVolumeMapper_SetInput( SEXP obj, SEXP input){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkUnstructuredGrid  *  _input = (vtkUnstructuredGrid * )  
SexpToVtk(input);
    vtkUnstructuredGridVolumeMapper * _obj = (vtkUnstructuredGridVolumeMapper
 * ) SexpToVtk(obj);
    _obj->SetInput(_input);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_input,"vtkUnstructuredGrid"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".input",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUnstructuredGridVolumeMapper_SetInput_v1( SEXP obj, SEXP genericInput){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkDataSet  *  _genericInput = (vtkDataSet * )  SexpToVtk(genericInput);
    vtkUnstructuredGridVolumeMapper * _obj = (vtkUnstructuredGridVolumeMapper
 * ) SexpToVtk(obj);
    _obj->SetInput(_genericInput);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_genericInput,"vtkDataSet"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".genericInput",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUnstructuredGridVolumeMapper_GetInput( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkUnstructuredGridVolumeMapper * _obj = (vtkUnstructuredGridVolumeMapper
 * ) SexpToVtk(obj);
    vtkUnstructuredGrid *  _res =( vtkUnstructuredGrid * )_obj->GetInput();
    res=VtkToSexp(_res,"vtkUnstructuredGrid");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUnstructuredGridVolumeMapper_SetBlendMode( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkUnstructuredGridVolumeMapper * _obj = (vtkUnstructuredGridVolumeMapper
 * ) SexpToVtk(obj);
    _obj->SetBlendMode( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUnstructuredGridVolumeMapper_SetBlendModeToComposite( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkUnstructuredGridVolumeMapper * _obj = (vtkUnstructuredGridVolumeMapper
 * ) SexpToVtk(obj);
    _obj->SetBlendModeToComposite();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUnstructuredGridVolumeMapper_SetBlendModeToMaximumIntensity( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkUnstructuredGridVolumeMapper * _obj = (vtkUnstructuredGridVolumeMapper
 * ) SexpToVtk(obj);
    _obj->SetBlendModeToMaximumIntensity();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUnstructuredGridVolumeMapper_GetBlendMode( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkUnstructuredGridVolumeMapper * _obj = (vtkUnstructuredGridVolumeMapper
 * ) SexpToVtk(obj);
    int _res =_obj->GetBlendMode();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUnstructuredGridVolumeMapper_Render( SEXP obj, SEXP ren, SEXP vol){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkRenderer  *  _ren = (vtkRenderer * )  SexpToVtk(ren);
     vtkVolume  *  _vol = (vtkVolume * )  SexpToVtk(vol);
    vtkUnstructuredGridVolumeMapper * _obj = (vtkUnstructuredGridVolumeMapper
 * ) SexpToVtk(obj);
    _obj->Render(_ren, _vol);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_ren,"vtkRenderer"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".ren",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_vol,"vtkVolume"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".vol",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
}
