#include <vtk/vtkVolumeCollection.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
  SEXP R_vtkVolumeCollection_GetClassName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVolumeCollection * _obj = (vtkVolumeCollection * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetClassName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeCollection_IsTypeOf( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkVolumeCollection * _obj = (vtkVolumeCollection * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeCollection_IsA( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkVolumeCollection * _obj = (vtkVolumeCollection * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeCollection_SafeDownCast( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkVolumeCollection * _obj = (vtkVolumeCollection * ) SexpToVtk(obj);
    vtkVolumeCollection *  _res =( vtkVolumeCollection * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkVolumeCollection");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeCollection_NewInstance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVolumeCollection * _obj = (vtkVolumeCollection * ) SexpToVtk(obj);
    vtkVolumeCollection *  _res =( vtkVolumeCollection * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkVolumeCollection");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeCollection_AddItem( SEXP obj, SEXP a){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkVolume  *  _a = (vtkVolume * )  SexpToVtk(a);
    vtkVolumeCollection * _obj = (vtkVolumeCollection * ) SexpToVtk(obj);
    _obj->AddItem(_a);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_a,"vtkVolume"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".a",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeCollection_GetNextVolume( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVolumeCollection * _obj = (vtkVolumeCollection * ) SexpToVtk(obj);
    vtkVolume *  _res =( vtkVolume * )_obj->GetNextVolume();
    res=VtkToSexp(_res,"vtkVolume");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeCollection_GetNextItem( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVolumeCollection * _obj = (vtkVolumeCollection * ) SexpToVtk(obj);
    vtkVolume *  _res =( vtkVolume * )_obj->GetNextItem();
    res=VtkToSexp(_res,"vtkVolume");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeCollection_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkVolumeCollection * res= ( vtkVolumeCollection * ) vtkVolumeCollection
::New();
    R_res=toRPointer(res,"vtkVolumeCollection");
    return(R_res);
  }
}
