#include <vtk/vtkVolumeTextureMapper.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
  SEXP R_vtkVolumeTextureMapper_GetClassName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVolumeTextureMapper * _obj = (vtkVolumeTextureMapper * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetClassName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeTextureMapper_IsTypeOf( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkVolumeTextureMapper * _obj = (vtkVolumeTextureMapper * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeTextureMapper_IsA( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkVolumeTextureMapper * _obj = (vtkVolumeTextureMapper * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeTextureMapper_SafeDownCast( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkVolumeTextureMapper * _obj = (vtkVolumeTextureMapper * ) SexpToVtk(obj);
    vtkVolumeTextureMapper *  _res =( vtkVolumeTextureMapper * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkVolumeTextureMapper");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeTextureMapper_NewInstance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVolumeTextureMapper * _obj = (vtkVolumeTextureMapper * ) SexpToVtk(obj);
    vtkVolumeTextureMapper *  _res =( vtkVolumeTextureMapper * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkVolumeTextureMapper");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeTextureMapper_Update( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVolumeTextureMapper * _obj = (vtkVolumeTextureMapper * ) SexpToVtk(obj);
    _obj->Update();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeTextureMapper_SetGradientEstimator( SEXP obj, SEXP gradest){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkEncodedGradientEstimator  *  _gradest = 
(vtkEncodedGradientEstimator * )  SexpToVtk(gradest);
    vtkVolumeTextureMapper * _obj = (vtkVolumeTextureMapper * ) SexpToVtk(obj);
    _obj->SetGradientEstimator(_gradest);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_gradest,"vtkEncodedGradientEstimator"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".gradest",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeTextureMapper_GetGradientEstimator( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVolumeTextureMapper * _obj = (vtkVolumeTextureMapper * ) SexpToVtk(obj);
    vtkEncodedGradientEstimator *  _res =( vtkEncodedGradientEstimator * )_obj->GetGradientEstimator();
    res=VtkToSexp(_res,"vtkEncodedGradientEstimator");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeTextureMapper_GetGradientShader( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVolumeTextureMapper * _obj = (vtkVolumeTextureMapper * ) SexpToVtk(obj);
    vtkEncodedGradientShader *  _res =( vtkEncodedGradientShader * )_obj->GetGradientShader();
    res=VtkToSexp(_res,"vtkEncodedGradientShader");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeTextureMapper_GetGradientOpacityArray( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVolumeTextureMapper * _obj = (vtkVolumeTextureMapper * ) SexpToVtk(obj);
    float *  _res =( float * )_obj->GetGradientOpacityArray();
    res=floatToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeTextureMapper_GetRGBAArray( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVolumeTextureMapper * _obj = (vtkVolumeTextureMapper * ) SexpToVtk(obj);
    unsigned char *  _res =( unsigned char * )_obj->GetRGBAArray();
    res=unsigned_charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeTextureMapper_GetRedDiffuseShadingTable( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVolumeTextureMapper * _obj = (vtkVolumeTextureMapper * ) SexpToVtk(obj);
    float *  _res =( float * )_obj->GetRedDiffuseShadingTable();
    res=floatToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeTextureMapper_GetGreenDiffuseShadingTable( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVolumeTextureMapper * _obj = (vtkVolumeTextureMapper * ) SexpToVtk(obj);
    float *  _res =( float * )_obj->GetGreenDiffuseShadingTable();
    res=floatToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeTextureMapper_GetBlueDiffuseShadingTable( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVolumeTextureMapper * _obj = (vtkVolumeTextureMapper * ) SexpToVtk(obj);
    float *  _res =( float * )_obj->GetBlueDiffuseShadingTable();
    res=floatToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeTextureMapper_GetRedSpecularShadingTable( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVolumeTextureMapper * _obj = (vtkVolumeTextureMapper * ) SexpToVtk(obj);
    float *  _res =( float * )_obj->GetRedSpecularShadingTable();
    res=floatToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeTextureMapper_GetGreenSpecularShadingTable( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVolumeTextureMapper * _obj = (vtkVolumeTextureMapper * ) SexpToVtk(obj);
    float *  _res =( float * )_obj->GetGreenSpecularShadingTable();
    res=floatToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeTextureMapper_GetBlueSpecularShadingTable( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVolumeTextureMapper * _obj = (vtkVolumeTextureMapper * ) SexpToVtk(obj);
    float *  _res =( float * )_obj->GetBlueSpecularShadingTable();
    res=floatToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeTextureMapper_GetEncodedNormals( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVolumeTextureMapper * _obj = (vtkVolumeTextureMapper * ) SexpToVtk(obj);
    short unsigned int *  _res =( short unsigned int * )_obj->GetEncodedNormals();
    res=short_unsigned_intToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeTextureMapper_GetGradientMagnitudes( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVolumeTextureMapper * _obj = (vtkVolumeTextureMapper * ) SexpToVtk(obj);
    unsigned char *  _res =( unsigned char * )_obj->GetGradientMagnitudes();
    res=unsigned_charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeTextureMapper_GetShade( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVolumeTextureMapper * _obj = (vtkVolumeTextureMapper * ) SexpToVtk(obj);
    int _res =_obj->GetShade();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeTextureMapper_GetRenderWindow( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVolumeTextureMapper * _obj = (vtkVolumeTextureMapper * ) SexpToVtk(obj);
    vtkRenderWindow *  _res =( vtkRenderWindow * )_obj->GetRenderWindow();
    res=VtkToSexp(_res,"vtkRenderWindow");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeTextureMapper_GetDataOrigin( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVolumeTextureMapper * _obj = (vtkVolumeTextureMapper * ) SexpToVtk(obj);
    float *  _res =( float * )_obj->GetDataOrigin();
    res=floatToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeTextureMapper_GetDataOrigin_v1( SEXP obj, SEXP data){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     float  *  _data =  SexpTofloat(data);
    vtkVolumeTextureMapper * _obj = (vtkVolumeTextureMapper * ) SexpToVtk(obj);
    _obj->GetDataOrigin(_data);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,floatToSexp(_data,LENGTH(data)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".data",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeTextureMapper_GetDataSpacing( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVolumeTextureMapper * _obj = (vtkVolumeTextureMapper * ) SexpToVtk(obj);
    float *  _res =( float * )_obj->GetDataSpacing();
    res=floatToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeTextureMapper_GetDataSpacing_v1( SEXP obj, SEXP data){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     float  *  _data =  SexpTofloat(data);
    vtkVolumeTextureMapper * _obj = (vtkVolumeTextureMapper * ) SexpToVtk(obj);
    _obj->GetDataSpacing(_data);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,floatToSexp(_data,LENGTH(data)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".data",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeTextureMapper_Render( SEXP obj, SEXP ren, SEXP vol){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkRenderer  *  _ren = (vtkRenderer * )  SexpToVtk(ren);
     vtkVolume  *  _vol = (vtkVolume * )  SexpToVtk(vol);
    vtkVolumeTextureMapper * _obj = (vtkVolumeTextureMapper * ) SexpToVtk(obj);
    _obj->Render(_ren, _vol);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_ren,"vtkRenderer"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".ren",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_vol,"vtkVolume"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".vol",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeTextureMapper_GetGradientMagnitudeScale( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVolumeTextureMapper * _obj = (vtkVolumeTextureMapper * ) SexpToVtk(obj);
    float _res =_obj->GetGradientMagnitudeScale();
    res=floatToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeTextureMapper_GetGradientMagnitudeBias( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVolumeTextureMapper * _obj = (vtkVolumeTextureMapper * ) SexpToVtk(obj);
    float _res =_obj->GetGradientMagnitudeBias();
    res=floatToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
}
