vtkAssembly <- function(.me=environment()){
  .me <- vtkProp3D(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkAssembly_GetClassName",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkAssembly_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkAssembly_IsA",.me$obj, .type,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkAssembly_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkAssembly(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkAssembly_NewInstance",.me$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkAssembly(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$AddPart <- function( .prop=vtkProp3D()){
    check.VTK(.prop,"vtkProp3D")
    res<-.Call("R_vtkAssembly_AddPart",.me$obj, .prop$obj,PACKAGE="RVTK.Render")
    res$.prop <- vtkProp3D(wrapenv(res$.prop))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RemovePart <- function( .prop=vtkProp3D()){
    check.VTK(.prop,"vtkProp3D")
    res<-.Call("R_vtkAssembly_RemovePart",.me$obj, .prop$obj,PACKAGE="RVTK.Render")
    res$.prop <- vtkProp3D(wrapenv(res$.prop))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetParts <- function(){
    res<-.Call("R_vtkAssembly_GetParts",.me$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkProp3DCollection(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetActors <- function( .ac=vtkPropCollection()){
    check.VTK(.ac,"vtkPropCollection")
    res<-.Call("R_vtkAssembly_GetActors",.me$obj, .ac$obj,PACKAGE="RVTK.Render")
    res$.ac <- vtkPropCollection(wrapenv(res$.ac))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetVolumes <- function( .ac=vtkPropCollection()){
    check.VTK(.ac,"vtkPropCollection")
    res<-.Call("R_vtkAssembly_GetVolumes",.me$obj, .ac$obj,PACKAGE="RVTK.Render")
    res$.ac <- vtkPropCollection(wrapenv(res$.ac))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RenderOpaqueGeometry <- function( .ren=vtkViewport()){
    check.VTK(.ren,"vtkViewport")
    res<-.Call("R_vtkAssembly_RenderOpaqueGeometry",.me$obj, .ren$obj,PACKAGE="RVTK.Render")
    res$.ren <- vtkViewport(wrapenv(res$.ren))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RenderTranslucentGeometry <- function( .ren=vtkViewport()){
    check.VTK(.ren,"vtkViewport")
    res<-.Call("R_vtkAssembly_RenderTranslucentGeometry",.me$obj, .ren$obj,PACKAGE="RVTK.Render")
    res$.ren <- vtkViewport(wrapenv(res$.ren))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ReleaseGraphicsResources <- function( .renWin=vtkWindow()){
    check.VTK(.renWin,"vtkWindow")
    res<-.Call("R_vtkAssembly_ReleaseGraphicsResources",.me$obj, .renWin$obj,PACKAGE="RVTK.Render")
    res$.renWin <- vtkWindow(wrapenv(res$.renWin))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$InitPathTraversal <- function(){
    res<-.Call("R_vtkAssembly_InitPathTraversal",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNextPath <- function(){
    res<-.Call("R_vtkAssembly_GetNextPath",.me$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkAssemblyPath(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfPaths <- function(){
    res<-.Call("R_vtkAssembly_GetNumberOfPaths",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetBounds <- function( .bounds=as.double(rep.int(1,6))){
    res<-.Call("R_vtkAssembly_GetBounds",.me$obj, .bounds,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetBounds_v1 <- function(){
    res<-.Call("R_vtkAssembly_GetBounds_v1",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMTime <- function(){
    res<-.Call("R_vtkAssembly_GetMTime",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ShallowCopy <- function( .prop=vtkProp()){
    check.VTK(.prop,"vtkProp")
    res<-.Call("R_vtkAssembly_ShallowCopy",.me$obj, .prop$obj,PACKAGE="RVTK.Render")
    res$.prop <- vtkProp(wrapenv(res$.prop))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$BuildPaths <- function( .paths=vtkAssemblyPaths(), .path=vtkAssemblyPath()){
    check.VTK(.paths,"vtkAssemblyPaths")
    check.VTK(.path,"vtkAssemblyPath")
    res<-.Call("R_vtkAssembly_BuildPaths",.me$obj, .paths$obj, .path$obj,PACKAGE="RVTK.Render")
    res$.paths <- vtkAssemblyPaths(wrapenv(res$.paths))
    res$.path <- vtkAssemblyPath(wrapenv(res$.path))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkAssembly_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkAssembly",class(.me))
  return(.me)
}
