vtkFollower <- function(.me=environment()){
  .me <- vtkActor(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkFollower_GetClassName",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkFollower_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkFollower_IsA",.me$obj, .type,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkFollower_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkFollower(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkFollower_NewInstance",.me$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkFollower(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetCamera <- function( ._arg=vtkCamera()){
    check.VTK(._arg,"vtkCamera")
    res<-.Call("R_vtkFollower_SetCamera",.me$obj, ._arg$obj,PACKAGE="RVTK.Render")
    res$._arg <- vtkCamera(wrapenv(res$._arg))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCamera <- function(){
    res<-.Call("R_vtkFollower_GetCamera",.me$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkCamera(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RenderOpaqueGeometry <- function( .vp=vtkViewport()){
    check.VTK(.vp,"vtkViewport")
    res<-.Call("R_vtkFollower_RenderOpaqueGeometry",.me$obj, .vp$obj,PACKAGE="RVTK.Render")
    res$.vp <- vtkViewport(wrapenv(res$.vp))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RenderTranslucentGeometry <- function( .vp=vtkViewport()){
    check.VTK(.vp,"vtkViewport")
    res<-.Call("R_vtkFollower_RenderTranslucentGeometry",.me$obj, .vp$obj,PACKAGE="RVTK.Render")
    res$.vp <- vtkViewport(wrapenv(res$.vp))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Render <- function( .ren=vtkRenderer()){
    check.VTK(.ren,"vtkRenderer")
    res<-.Call("R_vtkFollower_Render",.me$obj, .ren$obj,PACKAGE="RVTK.Render")
    res$.ren <- vtkRenderer(wrapenv(res$.ren))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMatrix <- function( .result=vtkMatrix4x4()){
    check.VTK(.result,"vtkMatrix4x4")
    res<-.Call("R_vtkFollower_GetMatrix",.me$obj, .result$obj,PACKAGE="RVTK.Render")
    res$.result <- vtkMatrix4x4(wrapenv(res$.result))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMatrix_v1 <- function( .m){
    res<-.Call("R_vtkFollower_GetMatrix_v1",.me$obj, .m,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMatrix_v2 <- function(){
    res<-.Call("R_vtkFollower_GetMatrix_v2",.me$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkMatrix4x4(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ShallowCopy <- function( .prop=vtkProp()){
    check.VTK(.prop,"vtkProp")
    res<-.Call("R_vtkFollower_ShallowCopy",.me$obj, .prop$obj,PACKAGE="RVTK.Render")
    res$.prop <- vtkProp(wrapenv(res$.prop))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkFollower_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkFollower",class(.me))
  return(.me)
}
