vtkInteractorObserver <- function(.me=environment()){
  .me <- vtkObject(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkInteractorObserver_GetClassName",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkInteractorObserver_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkInteractorObserver_IsA",.me$obj, .type,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkInteractorObserver_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkInteractorObserver(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkInteractorObserver_NewInstance",.me$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkInteractorObserver(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetEnabled <- function(){
    res<-.Call("R_vtkInteractorObserver_GetEnabled",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$EnabledOn <- function(){
    res<-.Call("R_vtkInteractorObserver_EnabledOn",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$EnabledOff <- function(){
    res<-.Call("R_vtkInteractorObserver_EnabledOff",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$On <- function(){
    res<-.Call("R_vtkInteractorObserver_On",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Off <- function(){
    res<-.Call("R_vtkInteractorObserver_Off",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetInteractor <- function( .i=vtkRenderWindowInteractor()){
    check.VTK(.i,"vtkRenderWindowInteractor")
    res<-.Call("R_vtkInteractorObserver_SetInteractor",.me$obj, .i$obj,PACKAGE="RVTK.Render")
    res$.i <- vtkRenderWindowInteractor(wrapenv(res$.i))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetInteractor <- function(){
    res<-.Call("R_vtkInteractorObserver_GetInteractor",.me$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkRenderWindowInteractor(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetPriority <- function( ._arg){
    res<-.Call("R_vtkInteractorObserver_SetPriority",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPriorityMinValue <- function(){
    res<-.Call("R_vtkInteractorObserver_GetPriorityMinValue",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPriorityMaxValue <- function(){
    res<-.Call("R_vtkInteractorObserver_GetPriorityMaxValue",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPriority <- function(){
    res<-.Call("R_vtkInteractorObserver_GetPriority",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetKeyPressActivation <- function( ._arg){
    res<-.Call("R_vtkInteractorObserver_SetKeyPressActivation",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetKeyPressActivation <- function(){
    res<-.Call("R_vtkInteractorObserver_GetKeyPressActivation",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$KeyPressActivationOn <- function(){
    res<-.Call("R_vtkInteractorObserver_KeyPressActivationOn",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$KeyPressActivationOff <- function(){
    res<-.Call("R_vtkInteractorObserver_KeyPressActivationOff",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetKeyPressActivationValue <- function( ._arg){
    res<-.Call("R_vtkInteractorObserver_SetKeyPressActivationValue",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetKeyPressActivationValue <- function(){
    res<-.Call("R_vtkInteractorObserver_GetKeyPressActivationValue",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDefaultRenderer <- function(){
    res<-.Call("R_vtkInteractorObserver_GetDefaultRenderer",.me$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkRenderer(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetDefaultRenderer <- function( ._arg=vtkRenderer()){
    check.VTK(._arg,"vtkRenderer")
    res<-.Call("R_vtkInteractorObserver_SetDefaultRenderer",.me$obj, ._arg$obj,PACKAGE="RVTK.Render")
    res$._arg <- vtkRenderer(wrapenv(res$._arg))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCurrentRenderer <- function(){
    res<-.Call("R_vtkInteractorObserver_GetCurrentRenderer",.me$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkRenderer(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetCurrentRenderer <- function( ._arg=vtkRenderer()){
    check.VTK(._arg,"vtkRenderer")
    res<-.Call("R_vtkInteractorObserver_SetCurrentRenderer",.me$obj, ._arg$obj,PACKAGE="RVTK.Render")
    res$._arg <- vtkRenderer(wrapenv(res$._arg))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$OnChar <- function(){
    res<-.Call("R_vtkInteractorObserver_OnChar",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  class(.me) <- c("vtkInteractorObserver",class(.me))
  return(.me)
}
