vtkInteractorStyleSwitch <- function(.me=environment()){
  .me <- vtkInteractorStyle(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkInteractorStyleSwitch_GetClassName",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkInteractorStyleSwitch_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkInteractorStyleSwitch_IsA",.me$obj, .type,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkInteractorStyleSwitch_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkInteractorStyleSwitch(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkInteractorStyleSwitch_NewInstance",.me$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkInteractorStyleSwitch(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetInteractor <- function( .iren=vtkRenderWindowInteractor()){
    check.VTK(.iren,"vtkRenderWindowInteractor")
    res<-.Call("R_vtkInteractorStyleSwitch_SetInteractor",.me$obj, .iren$obj,PACKAGE="RVTK.Render")
    res$.iren <- vtkRenderWindowInteractor(wrapenv(res$.iren))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetAutoAdjustCameraClippingRange <- function( .value){
    res<-.Call("R_vtkInteractorStyleSwitch_SetAutoAdjustCameraClippingRange",.me$obj, .value,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCurrentStyle <- function(){
    res<-.Call("R_vtkInteractorStyleSwitch_GetCurrentStyle",.me$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkInteractorStyle(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetCurrentStyleToJoystickActor <- function(){
    res<-.Call("R_vtkInteractorStyleSwitch_SetCurrentStyleToJoystickActor",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetCurrentStyleToJoystickCamera <- function(){
    res<-.Call("R_vtkInteractorStyleSwitch_SetCurrentStyleToJoystickCamera",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetCurrentStyleToTrackballActor <- function(){
    res<-.Call("R_vtkInteractorStyleSwitch_SetCurrentStyleToTrackballActor",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetCurrentStyleToTrackballCamera <- function(){
    res<-.Call("R_vtkInteractorStyleSwitch_SetCurrentStyleToTrackballCamera",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$OnChar <- function(){
    res<-.Call("R_vtkInteractorStyleSwitch_OnChar",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkInteractorStyleSwitch_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkInteractorStyleSwitch",class(.me))
  return(.me)
}
