vtkOpenGLPolyDataMapper2D <- function(.me=environment()){
  .me <- vtkPolyDataMapper2D(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkOpenGLPolyDataMapper2D_GetClassName",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkOpenGLPolyDataMapper2D_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkOpenGLPolyDataMapper2D_IsA",.me$obj, .type,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkOpenGLPolyDataMapper2D_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkOpenGLPolyDataMapper2D(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkOpenGLPolyDataMapper2D_NewInstance",.me$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkOpenGLPolyDataMapper2D(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RenderOverlay <- function( .viewport=vtkViewport(), .actor=vtkActor2D()){
    check.VTK(.viewport,"vtkViewport")
    check.VTK(.actor,"vtkActor2D")
    res<-.Call("R_vtkOpenGLPolyDataMapper2D_RenderOverlay",.me$obj, .viewport$obj, .actor$obj,PACKAGE="RVTK.Render")
    res$.viewport <- vtkViewport(wrapenv(res$.viewport))
    res$.actor <- vtkActor2D(wrapenv(res$.actor))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkOpenGLPolyDataMapper2D_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkOpenGLPolyDataMapper2D",class(.me))
  return(.me)
}
