vtkPolyDataMapper2D <- function(.me=environment()){
  .me <- vtkMapper2D(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkPolyDataMapper2D_GetClassName",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkPolyDataMapper2D_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkPolyDataMapper2D_IsA",.me$obj, .type,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkPolyDataMapper2D_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkPolyDataMapper2D(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkPolyDataMapper2D_NewInstance",.me$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkPolyDataMapper2D(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetInput <- function( ._arg=vtkPolyData()){
    check.VTK(._arg,"vtkPolyData")
    res<-.Call("R_vtkPolyDataMapper2D_SetInput",.me$obj, ._arg$obj,PACKAGE="RVTK.Render")
    res$._arg <- vtkPolyData(wrapenv(res$._arg))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetInput <- function(){
    res<-.Call("R_vtkPolyDataMapper2D_GetInput",.me$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkPolyData(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetLookupTable <- function( .lut=vtkScalarsToColors()){
    check.VTK(.lut,"vtkScalarsToColors")
    res<-.Call("R_vtkPolyDataMapper2D_SetLookupTable",.me$obj, .lut$obj,PACKAGE="RVTK.Render")
    res$.lut <- vtkScalarsToColors(wrapenv(res$.lut))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetLookupTable <- function(){
    res<-.Call("R_vtkPolyDataMapper2D_GetLookupTable",.me$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkScalarsToColors(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$CreateDefaultLookupTable <- function(){
    res<-.Call("R_vtkPolyDataMapper2D_CreateDefaultLookupTable",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetScalarVisibility <- function( ._arg){
    res<-.Call("R_vtkPolyDataMapper2D_SetScalarVisibility",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetScalarVisibility <- function(){
    res<-.Call("R_vtkPolyDataMapper2D_GetScalarVisibility",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ScalarVisibilityOn <- function(){
    res<-.Call("R_vtkPolyDataMapper2D_ScalarVisibilityOn",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ScalarVisibilityOff <- function(){
    res<-.Call("R_vtkPolyDataMapper2D_ScalarVisibilityOff",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetColorMode <- function( ._arg){
    res<-.Call("R_vtkPolyDataMapper2D_SetColorMode",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetColorMode <- function(){
    res<-.Call("R_vtkPolyDataMapper2D_GetColorMode",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetColorModeToDefault <- function(){
    res<-.Call("R_vtkPolyDataMapper2D_SetColorModeToDefault",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetColorModeToMapScalars <- function(){
    res<-.Call("R_vtkPolyDataMapper2D_SetColorModeToMapScalars",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetColorModeAsString <- function(){
    res<-.Call("R_vtkPolyDataMapper2D_GetColorModeAsString",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetUseLookupTableScalarRange <- function( ._arg){
    res<-.Call("R_vtkPolyDataMapper2D_SetUseLookupTableScalarRange",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetUseLookupTableScalarRange <- function(){
    res<-.Call("R_vtkPolyDataMapper2D_GetUseLookupTableScalarRange",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$UseLookupTableScalarRangeOn <- function(){
    res<-.Call("R_vtkPolyDataMapper2D_UseLookupTableScalarRangeOn",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$UseLookupTableScalarRangeOff <- function(){
    res<-.Call("R_vtkPolyDataMapper2D_UseLookupTableScalarRangeOff",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetScalarRange <- function( ._arg1, ._arg2){
    res<-.Call("R_vtkPolyDataMapper2D_SetScalarRange",.me$obj, ._arg1, ._arg2,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetScalarRange_v1 <- function( ._arg){
    res<-.Call("R_vtkPolyDataMapper2D_SetScalarRange_v1",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetScalarRange <- function(){
    res<-.Call("R_vtkPolyDataMapper2D_GetScalarRange",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetScalarRange_v1 <- function( .data){
    res<-.Call("R_vtkPolyDataMapper2D_GetScalarRange_v1",.me$obj, .data,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetScalarMode <- function( ._arg){
    res<-.Call("R_vtkPolyDataMapper2D_SetScalarMode",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetScalarMode <- function(){
    res<-.Call("R_vtkPolyDataMapper2D_GetScalarMode",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetScalarModeToDefault <- function(){
    res<-.Call("R_vtkPolyDataMapper2D_SetScalarModeToDefault",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetScalarModeToUsePointData <- function(){
    res<-.Call("R_vtkPolyDataMapper2D_SetScalarModeToUsePointData",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetScalarModeToUseCellData <- function(){
    res<-.Call("R_vtkPolyDataMapper2D_SetScalarModeToUseCellData",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetScalarModeToUsePointFieldData <- function(){
    res<-.Call("R_vtkPolyDataMapper2D_SetScalarModeToUsePointFieldData",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetScalarModeToUseCellFieldData <- function(){
    res<-.Call("R_vtkPolyDataMapper2D_SetScalarModeToUseCellFieldData",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ColorByArrayComponent <- function( .arrayNum, .component){
    res<-.Call("R_vtkPolyDataMapper2D_ColorByArrayComponent",.me$obj, .arrayNum, .component,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ColorByArrayComponent_v1 <- function( .arrayName, .component){
    res<-.Call("R_vtkPolyDataMapper2D_ColorByArrayComponent_v1",.me$obj, .arrayName, .component,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetArrayName <- function(){
    res<-.Call("R_vtkPolyDataMapper2D_GetArrayName",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetArrayId <- function(){
    res<-.Call("R_vtkPolyDataMapper2D_GetArrayId",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetArrayAccessMode <- function(){
    res<-.Call("R_vtkPolyDataMapper2D_GetArrayAccessMode",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetArrayComponent <- function(){
    res<-.Call("R_vtkPolyDataMapper2D_GetArrayComponent",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMTime <- function(){
    res<-.Call("R_vtkPolyDataMapper2D_GetMTime",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetTransformCoordinate <- function( ._arg=vtkCoordinate()){
    check.VTK(._arg,"vtkCoordinate")
    res<-.Call("R_vtkPolyDataMapper2D_SetTransformCoordinate",.me$obj, ._arg$obj,PACKAGE="RVTK.Render")
    res$._arg <- vtkCoordinate(wrapenv(res$._arg))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetTransformCoordinate <- function(){
    res<-.Call("R_vtkPolyDataMapper2D_GetTransformCoordinate",.me$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkCoordinate(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$MapScalars <- function( .alpha){
    res<-.Call("R_vtkPolyDataMapper2D_MapScalars",.me$obj, .alpha,PACKAGE="RVTK.Render")
    res$ret.val <- vtkUnsignedCharArray(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ShallowCopy <- function( .mapper=vtkAbstractMapper()){
    check.VTK(.mapper,"vtkAbstractMapper")
    res<-.Call("R_vtkPolyDataMapper2D_ShallowCopy",.me$obj, .mapper$obj,PACKAGE="RVTK.Render")
    res$.mapper <- vtkAbstractMapper(wrapenv(res$.mapper))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkPolyDataMapper2D_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkPolyDataMapper2D",class(.me))
  return(.me)
}
