vtkProp3D <- function(.me=environment()){
  .me <- vtkProp(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkProp3D_GetClassName",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkProp3D_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkProp3D_IsA",.me$obj, .type,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkProp3D_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkProp3D(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkProp3D_NewInstance",.me$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkProp3D(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ShallowCopy <- function( .prop=vtkProp()){
    check.VTK(.prop,"vtkProp")
    res<-.Call("R_vtkProp3D_ShallowCopy",.me$obj, .prop$obj,PACKAGE="RVTK.Render")
    res$.prop <- vtkProp(wrapenv(res$.prop))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetPosition <- function( ._arg1, ._arg2, ._arg3){
    res<-.Call("R_vtkProp3D_SetPosition",.me$obj, ._arg1, ._arg2, ._arg3,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetPosition_v1 <- function( ._arg=as.double(rep.int(1,3))){
    res<-.Call("R_vtkProp3D_SetPosition_v1",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPosition <- function(){
    res<-.Call("R_vtkProp3D_GetPosition",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPosition_v1 <- function( .data){
    res<-.Call("R_vtkProp3D_GetPosition_v1",.me$obj, .data,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$AddPosition <- function( .deltaPosition=as.double(rep.int(1,3))){
    res<-.Call("R_vtkProp3D_AddPosition",.me$obj, .deltaPosition,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$AddPosition_v1 <- function( .deltaX, .deltaY, .deltaZ){
    res<-.Call("R_vtkProp3D_AddPosition_v1",.me$obj, .deltaX, .deltaY, .deltaZ,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetOrigin <- function( ._arg1, ._arg2, ._arg3){
    res<-.Call("R_vtkProp3D_SetOrigin",.me$obj, ._arg1, ._arg2, ._arg3,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetOrigin_v1 <- function( ._arg=as.double(rep.int(1,3))){
    res<-.Call("R_vtkProp3D_SetOrigin_v1",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOrigin <- function(){
    res<-.Call("R_vtkProp3D_GetOrigin",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOrigin_v1 <- function( .data){
    res<-.Call("R_vtkProp3D_GetOrigin_v1",.me$obj, .data,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetScale <- function( ._arg1, ._arg2, ._arg3){
    res<-.Call("R_vtkProp3D_SetScale",.me$obj, ._arg1, ._arg2, ._arg3,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetScale_v1 <- function( ._arg=as.double(rep.int(1,3))){
    res<-.Call("R_vtkProp3D_SetScale_v1",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetScale <- function(){
    res<-.Call("R_vtkProp3D_GetScale",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetScale_v1 <- function( .data){
    res<-.Call("R_vtkProp3D_GetScale_v1",.me$obj, .data,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetScale_v2 <- function( .s){
    res<-.Call("R_vtkProp3D_SetScale_v2",.me$obj, .s,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetUserTransform <- function( .transform=vtkLinearTransform()){
    check.VTK(.transform,"vtkLinearTransform")
    res<-.Call("R_vtkProp3D_SetUserTransform",.me$obj, .transform$obj,PACKAGE="RVTK.Render")
    res$.transform <- vtkLinearTransform(wrapenv(res$.transform))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetUserTransform <- function(){
    res<-.Call("R_vtkProp3D_GetUserTransform",.me$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkLinearTransform(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetUserMatrix <- function( .matrix=vtkMatrix4x4()){
    check.VTK(.matrix,"vtkMatrix4x4")
    res<-.Call("R_vtkProp3D_SetUserMatrix",.me$obj, .matrix$obj,PACKAGE="RVTK.Render")
    res$.matrix <- vtkMatrix4x4(wrapenv(res$.matrix))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetUserMatrix <- function(){
    res<-.Call("R_vtkProp3D_GetUserMatrix",.me$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkMatrix4x4(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMatrix <- function( .result=vtkMatrix4x4()){
    check.VTK(.result,"vtkMatrix4x4")
    res<-.Call("R_vtkProp3D_GetMatrix",.me$obj, .result$obj,PACKAGE="RVTK.Render")
    res$.result <- vtkMatrix4x4(wrapenv(res$.result))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMatrix_v1 <- function( .result=as.double(rep.int(1,16))){
    res<-.Call("R_vtkProp3D_GetMatrix_v1",.me$obj, .result,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetBounds <- function( .bounds=as.double(rep.int(1,6))){
    res<-.Call("R_vtkProp3D_GetBounds",.me$obj, .bounds,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetBounds_v1 <- function(){
    res<-.Call("R_vtkProp3D_GetBounds_v1",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCenter <- function(){
    res<-.Call("R_vtkProp3D_GetCenter",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetXRange <- function(){
    res<-.Call("R_vtkProp3D_GetXRange",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetYRange <- function(){
    res<-.Call("R_vtkProp3D_GetYRange",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetZRange <- function(){
    res<-.Call("R_vtkProp3D_GetZRange",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetLength <- function(){
    res<-.Call("R_vtkProp3D_GetLength",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RotateX <- function( .angle){
    res<-.Call("R_vtkProp3D_RotateX",.me$obj, .angle,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RotateY <- function( .angle){
    res<-.Call("R_vtkProp3D_RotateY",.me$obj, .angle,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RotateZ <- function( .angle){
    res<-.Call("R_vtkProp3D_RotateZ",.me$obj, .angle,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RotateWXYZ <- function( .degree, .x, .y, .z){
    res<-.Call("R_vtkProp3D_RotateWXYZ",.me$obj, .degree, .x, .y, .z,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetOrientation <- function( .x, .y, .z){
    res<-.Call("R_vtkProp3D_SetOrientation",.me$obj, .x, .y, .z,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetOrientation_v1 <- function( .a=as.double(rep.int(1,3))){
    res<-.Call("R_vtkProp3D_SetOrientation_v1",.me$obj, .a,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOrientation <- function(){
    res<-.Call("R_vtkProp3D_GetOrientation",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOrientation_v1 <- function( .o=as.double(rep.int(1,3))){
    res<-.Call("R_vtkProp3D_GetOrientation_v1",.me$obj, .o,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOrientationWXYZ <- function(){
    res<-.Call("R_vtkProp3D_GetOrientationWXYZ",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$AddOrientation <- function( .a1, .a2, .a3){
    res<-.Call("R_vtkProp3D_AddOrientation",.me$obj, .a1, .a2, .a3,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$AddOrientation_v1 <- function( .a=as.double(rep.int(1,3))){
    res<-.Call("R_vtkProp3D_AddOrientation_v1",.me$obj, .a,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$PokeMatrix <- function( .matrix=vtkMatrix4x4()){
    check.VTK(.matrix,"vtkMatrix4x4")
    res<-.Call("R_vtkProp3D_PokeMatrix",.me$obj, .matrix$obj,PACKAGE="RVTK.Render")
    res$.matrix <- vtkMatrix4x4(wrapenv(res$.matrix))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$InitPathTraversal <- function(){
    res<-.Call("R_vtkProp3D_InitPathTraversal",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMTime <- function(){
    res<-.Call("R_vtkProp3D_GetMTime",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetUserTransformMatrixMTime <- function(){
    res<-.Call("R_vtkProp3D_GetUserTransformMatrixMTime",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ComputeMatrix <- function(){
    res<-.Call("R_vtkProp3D_ComputeMatrix",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMatrix_v2 <- function(){
    res<-.Call("R_vtkProp3D_GetMatrix_v2",.me$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkMatrix4x4(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetIsIdentity <- function(){
    res<-.Call("R_vtkProp3D_GetIsIdentity",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  class(.me) <- c("vtkProp3D",class(.me))
  return(.me)
}
