vtkRecursiveSphereDirectionEncoder <- function(.me=environment()){
  .me <- vtkDirectionEncoder(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkRecursiveSphereDirectionEncoder_GetClassName",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkRecursiveSphereDirectionEncoder_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkRecursiveSphereDirectionEncoder_IsA",.me$obj, .type,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkRecursiveSphereDirectionEncoder_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkRecursiveSphereDirectionEncoder(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkRecursiveSphereDirectionEncoder_NewInstance",.me$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkRecursiveSphereDirectionEncoder(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetEncodedDirection <- function( .n=as.single(rep.int(1,3))){
    res<-.Call("R_vtkRecursiveSphereDirectionEncoder_GetEncodedDirection",.me$obj, .n,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDecodedGradient <- function( .value){
    res<-.Call("R_vtkRecursiveSphereDirectionEncoder_GetDecodedGradient",.me$obj, .value,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfEncodedDirections <- function(){
    res<-.Call("R_vtkRecursiveSphereDirectionEncoder_GetNumberOfEncodedDirections",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDecodedGradientTable <- function(){
    res<-.Call("R_vtkRecursiveSphereDirectionEncoder_GetDecodedGradientTable",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetRecursionDepth <- function( ._arg){
    res<-.Call("R_vtkRecursiveSphereDirectionEncoder_SetRecursionDepth",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetRecursionDepthMinValue <- function(){
    res<-.Call("R_vtkRecursiveSphereDirectionEncoder_GetRecursionDepthMinValue",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetRecursionDepthMaxValue <- function(){
    res<-.Call("R_vtkRecursiveSphereDirectionEncoder_GetRecursionDepthMaxValue",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetRecursionDepth <- function(){
    res<-.Call("R_vtkRecursiveSphereDirectionEncoder_GetRecursionDepth",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkRecursiveSphereDirectionEncoder_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkRecursiveSphereDirectionEncoder",class(.me))
  return(.me)
}
