vtkVolumeProperty <- function(.me=environment()){
  .me <- vtkObject(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkVolumeProperty_GetClassName",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkVolumeProperty_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkVolumeProperty_IsA",.me$obj, .type,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkVolumeProperty_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkVolumeProperty(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkVolumeProperty_NewInstance",.me$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkVolumeProperty(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetIndependentComponents <- function( ._arg){
    res<-.Call("R_vtkVolumeProperty_SetIndependentComponents",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetIndependentComponentsMinValue <- function(){
    res<-.Call("R_vtkVolumeProperty_GetIndependentComponentsMinValue",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetIndependentComponentsMaxValue <- function(){
    res<-.Call("R_vtkVolumeProperty_GetIndependentComponentsMaxValue",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetIndependentComponents <- function(){
    res<-.Call("R_vtkVolumeProperty_GetIndependentComponents",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IndependentComponentsOn <- function(){
    res<-.Call("R_vtkVolumeProperty_IndependentComponentsOn",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IndependentComponentsOff <- function(){
    res<-.Call("R_vtkVolumeProperty_IndependentComponentsOff",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetComponentWeight <- function( .index, .value){
    res<-.Call("R_vtkVolumeProperty_SetComponentWeight",.me$obj, .index, .value,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetComponentWeight <- function( .index){
    res<-.Call("R_vtkVolumeProperty_GetComponentWeight",.me$obj, .index,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetInterpolationType <- function( ._arg){
    res<-.Call("R_vtkVolumeProperty_SetInterpolationType",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetInterpolationTypeMinValue <- function(){
    res<-.Call("R_vtkVolumeProperty_GetInterpolationTypeMinValue",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetInterpolationTypeMaxValue <- function(){
    res<-.Call("R_vtkVolumeProperty_GetInterpolationTypeMaxValue",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetInterpolationType <- function(){
    res<-.Call("R_vtkVolumeProperty_GetInterpolationType",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetInterpolationTypeToNearest <- function(){
    res<-.Call("R_vtkVolumeProperty_SetInterpolationTypeToNearest",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetInterpolationTypeToLinear <- function(){
    res<-.Call("R_vtkVolumeProperty_SetInterpolationTypeToLinear",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetInterpolationTypeAsString <- function(){
    res<-.Call("R_vtkVolumeProperty_GetInterpolationTypeAsString",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetColor <- function( .index, .function=vtkPiecewiseFunction()){
    check.VTK(.function,"vtkPiecewiseFunction")
    res<-.Call("R_vtkVolumeProperty_SetColor",.me$obj, .index, .function$obj,PACKAGE="RVTK.Render")
    res$.function <- vtkPiecewiseFunction(wrapenv(res$.function))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetColor_v1 <- function( .f=vtkPiecewiseFunction()){
    check.VTK(.f,"vtkPiecewiseFunction")
    res<-.Call("R_vtkVolumeProperty_SetColor_v1",.me$obj, .f$obj,PACKAGE="RVTK.Render")
    res$.f <- vtkPiecewiseFunction(wrapenv(res$.f))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetColor_v2 <- function( .index, .function=vtkColorTransferFunction()){
    check.VTK(.function,"vtkColorTransferFunction")
    res<-.Call("R_vtkVolumeProperty_SetColor_v2",.me$obj, .index, .function$obj,PACKAGE="RVTK.Render")
    res$.function <- vtkColorTransferFunction(wrapenv(res$.function))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetColor_v3 <- function( .f=vtkColorTransferFunction()){
    check.VTK(.f,"vtkColorTransferFunction")
    res<-.Call("R_vtkVolumeProperty_SetColor_v3",.me$obj, .f$obj,PACKAGE="RVTK.Render")
    res$.f <- vtkColorTransferFunction(wrapenv(res$.f))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetColorChannels <- function( .index){
    res<-.Call("R_vtkVolumeProperty_GetColorChannels",.me$obj, .index,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetColorChannels_v1 <- function(){
    res<-.Call("R_vtkVolumeProperty_GetColorChannels_v1",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetGrayTransferFunction <- function( .index){
    res<-.Call("R_vtkVolumeProperty_GetGrayTransferFunction",.me$obj, .index,PACKAGE="RVTK.Render")
    res$ret.val <- vtkPiecewiseFunction(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetGrayTransferFunction_v1 <- function(){
    res<-.Call("R_vtkVolumeProperty_GetGrayTransferFunction_v1",.me$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkPiecewiseFunction(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetRGBTransferFunction <- function( .index){
    res<-.Call("R_vtkVolumeProperty_GetRGBTransferFunction",.me$obj, .index,PACKAGE="RVTK.Render")
    res$ret.val <- vtkColorTransferFunction(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetRGBTransferFunction_v1 <- function(){
    res<-.Call("R_vtkVolumeProperty_GetRGBTransferFunction_v1",.me$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkColorTransferFunction(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetScalarOpacity <- function( .index, .function=vtkPiecewiseFunction()){
    check.VTK(.function,"vtkPiecewiseFunction")
    res<-.Call("R_vtkVolumeProperty_SetScalarOpacity",.me$obj, .index, .function$obj,PACKAGE="RVTK.Render")
    res$.function <- vtkPiecewiseFunction(wrapenv(res$.function))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetScalarOpacity_v1 <- function( .f=vtkPiecewiseFunction()){
    check.VTK(.f,"vtkPiecewiseFunction")
    res<-.Call("R_vtkVolumeProperty_SetScalarOpacity_v1",.me$obj, .f$obj,PACKAGE="RVTK.Render")
    res$.f <- vtkPiecewiseFunction(wrapenv(res$.f))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetScalarOpacity <- function( .index){
    res<-.Call("R_vtkVolumeProperty_GetScalarOpacity",.me$obj, .index,PACKAGE="RVTK.Render")
    res$ret.val <- vtkPiecewiseFunction(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetScalarOpacity_v1 <- function(){
    res<-.Call("R_vtkVolumeProperty_GetScalarOpacity_v1",.me$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkPiecewiseFunction(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetScalarOpacityUnitDistance <- function( .index, .distance){
    res<-.Call("R_vtkVolumeProperty_SetScalarOpacityUnitDistance",.me$obj, .index, .distance,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetScalarOpacityUnitDistance_v1 <- function( .distance){
    res<-.Call("R_vtkVolumeProperty_SetScalarOpacityUnitDistance_v1",.me$obj, .distance,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetScalarOpacityUnitDistance <- function( .index){
    res<-.Call("R_vtkVolumeProperty_GetScalarOpacityUnitDistance",.me$obj, .index,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetScalarOpacityUnitDistance_v1 <- function(){
    res<-.Call("R_vtkVolumeProperty_GetScalarOpacityUnitDistance_v1",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetGradientOpacity <- function( .index, .function=vtkPiecewiseFunction()){
    check.VTK(.function,"vtkPiecewiseFunction")
    res<-.Call("R_vtkVolumeProperty_SetGradientOpacity",.me$obj, .index, .function$obj,PACKAGE="RVTK.Render")
    res$.function <- vtkPiecewiseFunction(wrapenv(res$.function))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetGradientOpacity_v1 <- function( .function=vtkPiecewiseFunction()){
    check.VTK(.function,"vtkPiecewiseFunction")
    res<-.Call("R_vtkVolumeProperty_SetGradientOpacity_v1",.me$obj, .function$obj,PACKAGE="RVTK.Render")
    res$.function <- vtkPiecewiseFunction(wrapenv(res$.function))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetGradientOpacity <- function( .index){
    res<-.Call("R_vtkVolumeProperty_GetGradientOpacity",.me$obj, .index,PACKAGE="RVTK.Render")
    res$ret.val <- vtkPiecewiseFunction(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetGradientOpacity_v1 <- function(){
    res<-.Call("R_vtkVolumeProperty_GetGradientOpacity_v1",.me$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkPiecewiseFunction(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetDisableGradientOpacity <- function( .index, .value){
    res<-.Call("R_vtkVolumeProperty_SetDisableGradientOpacity",.me$obj, .index, .value,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetDisableGradientOpacity_v1 <- function( .value){
    res<-.Call("R_vtkVolumeProperty_SetDisableGradientOpacity_v1",.me$obj, .value,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$DisableGradientOpacityOn <- function( .index){
    res<-.Call("R_vtkVolumeProperty_DisableGradientOpacityOn",.me$obj, .index,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$DisableGradientOpacityOn_v1 <- function(){
    res<-.Call("R_vtkVolumeProperty_DisableGradientOpacityOn_v1",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$DisableGradientOpacityOff <- function( .index){
    res<-.Call("R_vtkVolumeProperty_DisableGradientOpacityOff",.me$obj, .index,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$DisableGradientOpacityOff_v1 <- function(){
    res<-.Call("R_vtkVolumeProperty_DisableGradientOpacityOff_v1",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDisableGradientOpacity <- function( .index){
    res<-.Call("R_vtkVolumeProperty_GetDisableGradientOpacity",.me$obj, .index,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDisableGradientOpacity_v1 <- function(){
    res<-.Call("R_vtkVolumeProperty_GetDisableGradientOpacity_v1",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetStoredGradientOpacity <- function( .index){
    res<-.Call("R_vtkVolumeProperty_GetStoredGradientOpacity",.me$obj, .index,PACKAGE="RVTK.Render")
    res$ret.val <- vtkPiecewiseFunction(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetStoredGradientOpacity_v1 <- function(){
    res<-.Call("R_vtkVolumeProperty_GetStoredGradientOpacity_v1",.me$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkPiecewiseFunction(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetShade <- function( .index, .value){
    res<-.Call("R_vtkVolumeProperty_SetShade",.me$obj, .index, .value,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetShade_v1 <- function( .value){
    res<-.Call("R_vtkVolumeProperty_SetShade_v1",.me$obj, .value,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetShade <- function( .index){
    res<-.Call("R_vtkVolumeProperty_GetShade",.me$obj, .index,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetShade_v1 <- function(){
    res<-.Call("R_vtkVolumeProperty_GetShade_v1",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ShadeOn <- function( .index){
    res<-.Call("R_vtkVolumeProperty_ShadeOn",.me$obj, .index,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ShadeOn_v1 <- function(){
    res<-.Call("R_vtkVolumeProperty_ShadeOn_v1",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ShadeOff <- function( .index){
    res<-.Call("R_vtkVolumeProperty_ShadeOff",.me$obj, .index,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ShadeOff_v1 <- function(){
    res<-.Call("R_vtkVolumeProperty_ShadeOff_v1",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetAmbient <- function( .index, .value){
    res<-.Call("R_vtkVolumeProperty_SetAmbient",.me$obj, .index, .value,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetAmbient_v1 <- function( .value){
    res<-.Call("R_vtkVolumeProperty_SetAmbient_v1",.me$obj, .value,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetAmbient <- function( .index){
    res<-.Call("R_vtkVolumeProperty_GetAmbient",.me$obj, .index,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetAmbient_v1 <- function(){
    res<-.Call("R_vtkVolumeProperty_GetAmbient_v1",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetDiffuse <- function( .index, .value){
    res<-.Call("R_vtkVolumeProperty_SetDiffuse",.me$obj, .index, .value,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetDiffuse_v1 <- function( .value){
    res<-.Call("R_vtkVolumeProperty_SetDiffuse_v1",.me$obj, .value,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDiffuse <- function( .index){
    res<-.Call("R_vtkVolumeProperty_GetDiffuse",.me$obj, .index,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDiffuse_v1 <- function(){
    res<-.Call("R_vtkVolumeProperty_GetDiffuse_v1",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetSpecular <- function( .index, .value){
    res<-.Call("R_vtkVolumeProperty_SetSpecular",.me$obj, .index, .value,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetSpecular_v1 <- function( .value){
    res<-.Call("R_vtkVolumeProperty_SetSpecular_v1",.me$obj, .value,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetSpecular <- function( .index){
    res<-.Call("R_vtkVolumeProperty_GetSpecular",.me$obj, .index,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetSpecular_v1 <- function(){
    res<-.Call("R_vtkVolumeProperty_GetSpecular_v1",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetSpecularPower <- function( .index, .value){
    res<-.Call("R_vtkVolumeProperty_SetSpecularPower",.me$obj, .index, .value,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetSpecularPower_v1 <- function( .value){
    res<-.Call("R_vtkVolumeProperty_SetSpecularPower_v1",.me$obj, .value,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetSpecularPower <- function( .index){
    res<-.Call("R_vtkVolumeProperty_GetSpecularPower",.me$obj, .index,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetSpecularPower_v1 <- function(){
    res<-.Call("R_vtkVolumeProperty_GetSpecularPower_v1",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$UpdateMTimes <- function(){
    res<-.Call("R_vtkVolumeProperty_UpdateMTimes",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkVolumeProperty_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkVolumeProperty",class(.me))
  return(.me)
}
