vtkVolumeRayCastCompositeFunction <- function(.me=environment()){
  .me <- vtkVolumeRayCastFunction(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkVolumeRayCastCompositeFunction_GetClassName",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkVolumeRayCastCompositeFunction_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkVolumeRayCastCompositeFunction_IsA",.me$obj, .type,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkVolumeRayCastCompositeFunction_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkVolumeRayCastCompositeFunction(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkVolumeRayCastCompositeFunction_NewInstance",.me$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkVolumeRayCastCompositeFunction(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetCompositeMethod <- function( ._arg){
    res<-.Call("R_vtkVolumeRayCastCompositeFunction_SetCompositeMethod",.me$obj, ._arg,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCompositeMethodMinValue <- function(){
    res<-.Call("R_vtkVolumeRayCastCompositeFunction_GetCompositeMethodMinValue",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCompositeMethodMaxValue <- function(){
    res<-.Call("R_vtkVolumeRayCastCompositeFunction_GetCompositeMethodMaxValue",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCompositeMethod <- function(){
    res<-.Call("R_vtkVolumeRayCastCompositeFunction_GetCompositeMethod",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetCompositeMethodToInterpolateFirst <- function(){
    res<-.Call("R_vtkVolumeRayCastCompositeFunction_SetCompositeMethodToInterpolateFirst",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetCompositeMethodToClassifyFirst <- function(){
    res<-.Call("R_vtkVolumeRayCastCompositeFunction_SetCompositeMethodToClassifyFirst",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCompositeMethodAsString <- function(){
    res<-.Call("R_vtkVolumeRayCastCompositeFunction_GetCompositeMethodAsString",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$CastRay <- function( .dynamicInfo=vtkVolumeRayCastDynamicInfo(), .staticInfo=vtkVolumeRayCastStaticInfo()){
    check.VTK(.dynamicInfo,"vtkVolumeRayCastDynamicInfo")
    check.VTK(.staticInfo,"vtkVolumeRayCastStaticInfo")
    res<-.Call("R_vtkVolumeRayCastCompositeFunction_CastRay",.me$obj, .dynamicInfo$obj, .staticInfo$obj,PACKAGE="RVTK.Render")
    res$.dynamicInfo <- vtkVolumeRayCastDynamicInfo(wrapenv(res$.dynamicInfo))
    res$.staticInfo <- vtkVolumeRayCastStaticInfo(wrapenv(res$.staticInfo))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetZeroOpacityThreshold <- function( .vol=vtkVolume()){
    check.VTK(.vol,"vtkVolume")
    res<-.Call("R_vtkVolumeRayCastCompositeFunction_GetZeroOpacityThreshold",.me$obj, .vol$obj,PACKAGE="RVTK.Render")
    res$.vol <- vtkVolume(wrapenv(res$.vol))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkVolumeRayCastCompositeFunction_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkVolumeRayCastCompositeFunction",class(.me))
  return(.me)
}
