vtkVolumeTextureMapper <- function(.me=environment()){
  .me <- vtkVolumeMapper(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkVolumeTextureMapper_GetClassName",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkVolumeTextureMapper_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkVolumeTextureMapper_IsA",.me$obj, .type,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkVolumeTextureMapper_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkVolumeTextureMapper(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkVolumeTextureMapper_NewInstance",.me$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkVolumeTextureMapper(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Update <- function(){
    res<-.Call("R_vtkVolumeTextureMapper_Update",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetGradientEstimator <- function( .gradest=vtkEncodedGradientEstimator()){
    check.VTK(.gradest,"vtkEncodedGradientEstimator")
    res<-.Call("R_vtkVolumeTextureMapper_SetGradientEstimator",.me$obj, .gradest$obj,PACKAGE="RVTK.Render")
    res$.gradest <- vtkEncodedGradientEstimator(wrapenv(res$.gradest))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetGradientEstimator <- function(){
    res<-.Call("R_vtkVolumeTextureMapper_GetGradientEstimator",.me$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkEncodedGradientEstimator(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetGradientShader <- function(){
    res<-.Call("R_vtkVolumeTextureMapper_GetGradientShader",.me$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkEncodedGradientShader(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetGradientOpacityArray <- function(){
    res<-.Call("R_vtkVolumeTextureMapper_GetGradientOpacityArray",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetRGBAArray <- function(){
    res<-.Call("R_vtkVolumeTextureMapper_GetRGBAArray",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetRedDiffuseShadingTable <- function(){
    res<-.Call("R_vtkVolumeTextureMapper_GetRedDiffuseShadingTable",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetGreenDiffuseShadingTable <- function(){
    res<-.Call("R_vtkVolumeTextureMapper_GetGreenDiffuseShadingTable",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetBlueDiffuseShadingTable <- function(){
    res<-.Call("R_vtkVolumeTextureMapper_GetBlueDiffuseShadingTable",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetRedSpecularShadingTable <- function(){
    res<-.Call("R_vtkVolumeTextureMapper_GetRedSpecularShadingTable",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetGreenSpecularShadingTable <- function(){
    res<-.Call("R_vtkVolumeTextureMapper_GetGreenSpecularShadingTable",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetBlueSpecularShadingTable <- function(){
    res<-.Call("R_vtkVolumeTextureMapper_GetBlueSpecularShadingTable",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetEncodedNormals <- function(){
    res<-.Call("R_vtkVolumeTextureMapper_GetEncodedNormals",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetGradientMagnitudes <- function(){
    res<-.Call("R_vtkVolumeTextureMapper_GetGradientMagnitudes",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetShade <- function(){
    res<-.Call("R_vtkVolumeTextureMapper_GetShade",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetRenderWindow <- function(){
    res<-.Call("R_vtkVolumeTextureMapper_GetRenderWindow",.me$obj,PACKAGE="RVTK.Render")
    res$ret.val <- vtkRenderWindow(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDataOrigin <- function(){
    res<-.Call("R_vtkVolumeTextureMapper_GetDataOrigin",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDataOrigin_v1 <- function( .data){
    res<-.Call("R_vtkVolumeTextureMapper_GetDataOrigin_v1",.me$obj, .data,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDataSpacing <- function(){
    res<-.Call("R_vtkVolumeTextureMapper_GetDataSpacing",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDataSpacing_v1 <- function( .data){
    res<-.Call("R_vtkVolumeTextureMapper_GetDataSpacing_v1",.me$obj, .data,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Render <- function( .ren=vtkRenderer(), .vol=vtkVolume()){
    check.VTK(.ren,"vtkRenderer")
    check.VTK(.vol,"vtkVolume")
    res<-.Call("R_vtkVolumeTextureMapper_Render",.me$obj, .ren$obj, .vol$obj,PACKAGE="RVTK.Render")
    res$.ren <- vtkRenderer(wrapenv(res$.ren))
    res$.vol <- vtkVolume(wrapenv(res$.vol))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetGradientMagnitudeScale <- function(){
    res<-.Call("R_vtkVolumeTextureMapper_GetGradientMagnitudeScale",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetGradientMagnitudeBias <- function(){
    res<-.Call("R_vtkVolumeTextureMapper_GetGradientMagnitudeBias",.me$obj,PACKAGE="RVTK.Render")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  class(.me) <- c("vtkVolumeTextureMapper",class(.me))
  return(.me)
}
