Edges<-vtkPolyData()
vtkDoubleArray()->temp0
z <- rbind(c(1,0,0),c(1,1,0),c(1,0,1),c(1,1,1),c(0,1,1),c(0,1,0),c(0,0,1),c(0,0,0))
temp0[] <- z
Points<-vtkPoints()
Points$SetData(temp0)
Edges$SetPoints(Points)

cells<-vtkIdTypeArray()
cells[]<-c(2,0,1, 2,1,2, 2,2,3, 2,3,4, 2,2,5, 2,5,6, 2,2,7, 2,7,0, 2,5,0)

vtkCellArray()->l
l$SetCells(9, cells)

Edges$SetLines(l)

vtkTubeFilter()-> Tubes
	Tubes$SetInput(Edges)
	Tubes$SetRadius(.01)
	Tubes$SetNumberOfSides(6)
	Tubes$UseDefaultNormalOn()
	Tubes$SetDefaultNormal(.577,.577,.577)
vtkPolyDataMapper()-> TubeMapper
	TubeMapper$SetInput(Tubes$GetOutput())
vtkDataSetMapper()->dmap
dmap$SetInput(Edges)
vtkActor()->RLEdges
	RLEdges$SetMapper(TubeMapper)
	RLEdges$GetProperty()$SetDiffuseColor(0.1,0.2,0.3)
	RLEdges$GetProperty()$SetSpecular(.4)
	RLEdges$GetProperty()$SetSpecularPower(10)
vtkSphereSource()->Sphere
  Sphere$SetRadius( 0.04)
  Sphere$SetPhiResolution(20)
  Sphere$SetThetaResolution(20)
vtkGlyph3D() ->Vertices
  Vertices$SetInput(Edges)
  Vertices$SetSource(Sphere$GetOutput())
vtkPolyDataMapper()-> SphereMapper
  SphereMapper$SetInput(Vertices$GetOutput())
  SphereMapper$ScalarVisibilityOff()
vtkActor()->RLVertices
  RLVertices$SetMapper(SphereMapper)
  RLVertices$GetProperty()$SetDiffuseColor(0.5,0.6,0.7)

vtkRenderer()->ren1

ren1$AddActor(RLEdges)
ren1$AddActor(RLVertices)
.vtk$AddRenderer(ren1)
