vtkJPEGReader()->jr
    jr$SetFileName(system.file("demo/Rlogo.jpg",package="RVTK.Render"))
    jr$Update()
    jr$GetOutput()->jro

vtkImageDataGeometryFilter()->geom
    geom$SetInput(ImageData((jro[,c=1]+jro[,c=2]+jro[,c=3])/3))
gc()

vtkWarpScalar()->warp
    warp$SetInput(geom$GetOutput())
    warp$SetScaleFactor(-0.05)

vtkMergeFilter()->merge
    merge$SetGeometry(warp$GetOutput())
    merge$SetScalars(jro)

vtkDataSetMapper()->demMapper
    demMapper$SetInput(merge$GetOutput())
    demMapper$SetScalarRange(0,255)
    demMapper$ImmediateModeRenderingOff()                     

vtkActor()->actor
    actor$SetMapper(demMapper)

vtkRenderer()->ren
    ren$AddActor(actor)
    ren$SetBackground_v1(c(0.5,0.7,0.5))

.vtk$AddRenderer(ren)

#Output the picture as rasterized image
vtkWindowToImageFilter()->f
    f$SetInput(.vtk)
    f$Modified()

vtkPNGWriter()->png
    png$SetFileName("Rvtklogo.png")
    png$SetInput(f$GetOutput())
    png$Write()
