#include <vtk/vtkFrustumCoverageCuller.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
  SEXP R_vtkFrustumCoverageCuller_GetClassName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkFrustumCoverageCuller * _obj = (vtkFrustumCoverageCuller
 * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetClassName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFrustumCoverageCuller_IsTypeOf( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkFrustumCoverageCuller * _obj = (vtkFrustumCoverageCuller
 * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFrustumCoverageCuller_IsA( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkFrustumCoverageCuller * _obj = (vtkFrustumCoverageCuller
 * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFrustumCoverageCuller_SafeDownCast( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkFrustumCoverageCuller * _obj = (vtkFrustumCoverageCuller
 * ) SexpToVtk(obj);
    vtkFrustumCoverageCuller *  _res =( vtkFrustumCoverageCuller * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkFrustumCoverageCuller");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFrustumCoverageCuller_NewInstance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkFrustumCoverageCuller * _obj = (vtkFrustumCoverageCuller
 * ) SexpToVtk(obj);
    vtkFrustumCoverageCuller *  _res =( vtkFrustumCoverageCuller * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkFrustumCoverageCuller");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFrustumCoverageCuller_SetMinimumCoverage( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     double  *  __arg =  SexpTodouble(_arg);
    vtkFrustumCoverageCuller * _obj = (vtkFrustumCoverageCuller
 * ) SexpToVtk(obj);
    _obj->SetMinimumCoverage( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFrustumCoverageCuller_GetMinimumCoverage( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkFrustumCoverageCuller * _obj = (vtkFrustumCoverageCuller
 * ) SexpToVtk(obj);
    double _res =_obj->GetMinimumCoverage();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFrustumCoverageCuller_SetMaximumCoverage( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     double  *  __arg =  SexpTodouble(_arg);
    vtkFrustumCoverageCuller * _obj = (vtkFrustumCoverageCuller
 * ) SexpToVtk(obj);
    _obj->SetMaximumCoverage( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFrustumCoverageCuller_GetMaximumCoverage( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkFrustumCoverageCuller * _obj = (vtkFrustumCoverageCuller
 * ) SexpToVtk(obj);
    double _res =_obj->GetMaximumCoverage();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFrustumCoverageCuller_SetSortingStyle( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkFrustumCoverageCuller * _obj = (vtkFrustumCoverageCuller
 * ) SexpToVtk(obj);
    _obj->SetSortingStyle( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFrustumCoverageCuller_GetSortingStyleMinValue( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkFrustumCoverageCuller * _obj = (vtkFrustumCoverageCuller
 * ) SexpToVtk(obj);
    int _res =_obj->GetSortingStyleMinValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFrustumCoverageCuller_GetSortingStyleMaxValue( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkFrustumCoverageCuller * _obj = (vtkFrustumCoverageCuller
 * ) SexpToVtk(obj);
    int _res =_obj->GetSortingStyleMaxValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFrustumCoverageCuller_GetSortingStyle( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkFrustumCoverageCuller * _obj = (vtkFrustumCoverageCuller
 * ) SexpToVtk(obj);
    int _res =_obj->GetSortingStyle();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFrustumCoverageCuller_SetSortingStyleToNone( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkFrustumCoverageCuller * _obj = (vtkFrustumCoverageCuller
 * ) SexpToVtk(obj);
    _obj->SetSortingStyleToNone();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFrustumCoverageCuller_SetSortingStyleToBackToFront( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkFrustumCoverageCuller * _obj = (vtkFrustumCoverageCuller
 * ) SexpToVtk(obj);
    _obj->SetSortingStyleToBackToFront();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFrustumCoverageCuller_SetSortingStyleToFrontToBack( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkFrustumCoverageCuller * _obj = (vtkFrustumCoverageCuller
 * ) SexpToVtk(obj);
    _obj->SetSortingStyleToFrontToBack();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFrustumCoverageCuller_GetSortingStyleAsString( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkFrustumCoverageCuller * _obj = (vtkFrustumCoverageCuller
 * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetSortingStyleAsString();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkFrustumCoverageCuller_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkFrustumCoverageCuller * res= ( vtkFrustumCoverageCuller * ) 
vtkFrustumCoverageCuller::New();
    R_res=toRPointer(res,"vtkFrustumCoverageCuller");
    return(R_res);
  }
}
