#include <vtk/vtkInteractorStyle.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
  SEXP R_vtkInteractorStyle_GetClassName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyle * _obj = (vtkInteractorStyle * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetClassName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyle_IsTypeOf( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkInteractorStyle * _obj = (vtkInteractorStyle * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyle_IsA( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkInteractorStyle * _obj = (vtkInteractorStyle * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyle_SafeDownCast( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkInteractorStyle * _obj = (vtkInteractorStyle * ) SexpToVtk(obj);
    vtkInteractorStyle *  _res =( vtkInteractorStyle * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkInteractorStyle");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyle_NewInstance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyle * _obj = (vtkInteractorStyle * ) SexpToVtk(obj);
    vtkInteractorStyle *  _res =( vtkInteractorStyle * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkInteractorStyle");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyle_SetInteractor( SEXP obj, SEXP i){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkRenderWindowInteractor  *  _i = (vtkRenderWindowInteractor * )  
SexpToVtk(i);
    vtkInteractorStyle * _obj = (vtkInteractorStyle * ) SexpToVtk(obj);
    _obj->SetInteractor(_i);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_i,"vtkRenderWindowInteractor"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".i",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyle_SetEnabled( SEXP obj, SEXP enabling){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(enabling,1);
     int  *  _enabling =  SexpToint(enabling);
    vtkInteractorStyle * _obj = (vtkInteractorStyle * ) SexpToVtk(obj);
    _obj->SetEnabled( * _enabling);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyle_SetAutoAdjustCameraClippingRange( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkInteractorStyle * _obj = (vtkInteractorStyle * ) SexpToVtk(obj);
    _obj->SetAutoAdjustCameraClippingRange( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyle_GetAutoAdjustCameraClippingRangeMinValue( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyle * _obj = (vtkInteractorStyle * ) SexpToVtk(obj);
    int _res =_obj->GetAutoAdjustCameraClippingRangeMinValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyle_GetAutoAdjustCameraClippingRangeMaxValue( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyle * _obj = (vtkInteractorStyle * ) SexpToVtk(obj);
    int _res =_obj->GetAutoAdjustCameraClippingRangeMaxValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyle_GetAutoAdjustCameraClippingRange( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyle * _obj = (vtkInteractorStyle * ) SexpToVtk(obj);
    int _res =_obj->GetAutoAdjustCameraClippingRange();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyle_AutoAdjustCameraClippingRangeOn( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyle * _obj = (vtkInteractorStyle * ) SexpToVtk(obj);
    _obj->AutoAdjustCameraClippingRangeOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyle_AutoAdjustCameraClippingRangeOff( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyle * _obj = (vtkInteractorStyle * ) SexpToVtk(obj);
    _obj->AutoAdjustCameraClippingRangeOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyle_FindPokedRenderer( SEXP obj, SEXP x, SEXP y){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,1);
     int  *  _x =  SexpToint(x);
    SET_LENGTH(y,1);
     int  *  _y =  SexpToint(y);
    vtkInteractorStyle * _obj = (vtkInteractorStyle * ) SexpToVtk(obj);
    _obj->FindPokedRenderer( * _x,  * _y);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyle_GetState( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyle * _obj = (vtkInteractorStyle * ) SexpToVtk(obj);
    int _res =_obj->GetState();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyle_GetUseTimers( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyle * _obj = (vtkInteractorStyle * ) SexpToVtk(obj);
    int _res =_obj->GetUseTimers();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyle_SetUseTimers( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkInteractorStyle * _obj = (vtkInteractorStyle * ) SexpToVtk(obj);
    _obj->SetUseTimers( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyle_UseTimersOn( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyle * _obj = (vtkInteractorStyle * ) SexpToVtk(obj);
    _obj->UseTimersOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyle_UseTimersOff( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyle * _obj = (vtkInteractorStyle * ) SexpToVtk(obj);
    _obj->UseTimersOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyle_SetHandleObservers( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkInteractorStyle * _obj = (vtkInteractorStyle * ) SexpToVtk(obj);
    _obj->SetHandleObservers( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyle_GetHandleObservers( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyle * _obj = (vtkInteractorStyle * ) SexpToVtk(obj);
    int _res =_obj->GetHandleObservers();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyle_HandleObserversOn( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyle * _obj = (vtkInteractorStyle * ) SexpToVtk(obj);
    _obj->HandleObserversOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyle_HandleObserversOff( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyle * _obj = (vtkInteractorStyle * ) SexpToVtk(obj);
    _obj->HandleObserversOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyle_OnMouseMove( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyle * _obj = (vtkInteractorStyle * ) SexpToVtk(obj);
    _obj->OnMouseMove();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyle_OnLeftButtonDown( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyle * _obj = (vtkInteractorStyle * ) SexpToVtk(obj);
    _obj->OnLeftButtonDown();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyle_OnLeftButtonUp( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyle * _obj = (vtkInteractorStyle * ) SexpToVtk(obj);
    _obj->OnLeftButtonUp();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyle_OnMiddleButtonDown( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyle * _obj = (vtkInteractorStyle * ) SexpToVtk(obj);
    _obj->OnMiddleButtonDown();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyle_OnMiddleButtonUp( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyle * _obj = (vtkInteractorStyle * ) SexpToVtk(obj);
    _obj->OnMiddleButtonUp();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyle_OnRightButtonDown( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyle * _obj = (vtkInteractorStyle * ) SexpToVtk(obj);
    _obj->OnRightButtonDown();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyle_OnRightButtonUp( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyle * _obj = (vtkInteractorStyle * ) SexpToVtk(obj);
    _obj->OnRightButtonUp();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyle_OnChar( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyle * _obj = (vtkInteractorStyle * ) SexpToVtk(obj);
    _obj->OnChar();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyle_OnKeyDown( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyle * _obj = (vtkInteractorStyle * ) SexpToVtk(obj);
    _obj->OnKeyDown();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyle_OnKeyUp( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyle * _obj = (vtkInteractorStyle * ) SexpToVtk(obj);
    _obj->OnKeyUp();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyle_OnKeyPress( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyle * _obj = (vtkInteractorStyle * ) SexpToVtk(obj);
    _obj->OnKeyPress();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyle_OnKeyRelease( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyle * _obj = (vtkInteractorStyle * ) SexpToVtk(obj);
    _obj->OnKeyRelease();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyle_OnExpose( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyle * _obj = (vtkInteractorStyle * ) SexpToVtk(obj);
    _obj->OnExpose();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyle_OnConfigure( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyle * _obj = (vtkInteractorStyle * ) SexpToVtk(obj);
    _obj->OnConfigure();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyle_OnEnter( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyle * _obj = (vtkInteractorStyle * ) SexpToVtk(obj);
    _obj->OnEnter();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyle_OnLeave( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyle * _obj = (vtkInteractorStyle * ) SexpToVtk(obj);
    _obj->OnLeave();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyle_OnTimer( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyle * _obj = (vtkInteractorStyle * ) SexpToVtk(obj);
    _obj->OnTimer();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyle_Rotate( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyle * _obj = (vtkInteractorStyle * ) SexpToVtk(obj);
    _obj->Rotate();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyle_Spin( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyle * _obj = (vtkInteractorStyle * ) SexpToVtk(obj);
    _obj->Spin();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyle_Pan( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyle * _obj = (vtkInteractorStyle * ) SexpToVtk(obj);
    _obj->Pan();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyle_Dolly( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyle * _obj = (vtkInteractorStyle * ) SexpToVtk(obj);
    _obj->Dolly();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyle_Zoom( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyle * _obj = (vtkInteractorStyle * ) SexpToVtk(obj);
    _obj->Zoom();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyle_UniformScale( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyle * _obj = (vtkInteractorStyle * ) SexpToVtk(obj);
    _obj->UniformScale();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyle_StartState( SEXP obj, SEXP newstate){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(newstate,1);
     int  *  _newstate =  SexpToint(newstate);
    vtkInteractorStyle * _obj = (vtkInteractorStyle * ) SexpToVtk(obj);
    _obj->StartState( * _newstate);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyle_StopState( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyle * _obj = (vtkInteractorStyle * ) SexpToVtk(obj);
    _obj->StopState();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyle_StartAnimate( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyle * _obj = (vtkInteractorStyle * ) SexpToVtk(obj);
    _obj->StartAnimate();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyle_StopAnimate( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyle * _obj = (vtkInteractorStyle * ) SexpToVtk(obj);
    _obj->StopAnimate();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyle_StartRotate( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyle * _obj = (vtkInteractorStyle * ) SexpToVtk(obj);
    _obj->StartRotate();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyle_EndRotate( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyle * _obj = (vtkInteractorStyle * ) SexpToVtk(obj);
    _obj->EndRotate();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyle_StartZoom( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyle * _obj = (vtkInteractorStyle * ) SexpToVtk(obj);
    _obj->StartZoom();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyle_EndZoom( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyle * _obj = (vtkInteractorStyle * ) SexpToVtk(obj);
    _obj->EndZoom();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyle_StartPan( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyle * _obj = (vtkInteractorStyle * ) SexpToVtk(obj);
    _obj->StartPan();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyle_EndPan( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyle * _obj = (vtkInteractorStyle * ) SexpToVtk(obj);
    _obj->EndPan();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyle_StartSpin( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyle * _obj = (vtkInteractorStyle * ) SexpToVtk(obj);
    _obj->StartSpin();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyle_EndSpin( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyle * _obj = (vtkInteractorStyle * ) SexpToVtk(obj);
    _obj->EndSpin();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyle_StartDolly( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyle * _obj = (vtkInteractorStyle * ) SexpToVtk(obj);
    _obj->StartDolly();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyle_EndDolly( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyle * _obj = (vtkInteractorStyle * ) SexpToVtk(obj);
    _obj->EndDolly();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyle_StartUniformScale( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyle * _obj = (vtkInteractorStyle * ) SexpToVtk(obj);
    _obj->StartUniformScale();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyle_EndUniformScale( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyle * _obj = (vtkInteractorStyle * ) SexpToVtk(obj);
    _obj->EndUniformScale();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyle_StartTimer( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyle * _obj = (vtkInteractorStyle * ) SexpToVtk(obj);
    _obj->StartTimer();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyle_EndTimer( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyle * _obj = (vtkInteractorStyle * ) SexpToVtk(obj);
    _obj->EndTimer();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyle_HighlightProp( SEXP obj, SEXP prop){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkProp  *  _prop = (vtkProp * )  SexpToVtk(prop);
    vtkInteractorStyle * _obj = (vtkInteractorStyle * ) SexpToVtk(obj);
    _obj->HighlightProp(_prop);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_prop,"vtkProp"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".prop",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyle_HighlightActor2D( SEXP obj, SEXP actor2D){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkActor2D  *  _actor2D = (vtkActor2D * )  SexpToVtk(actor2D);
    vtkInteractorStyle * _obj = (vtkInteractorStyle * ) SexpToVtk(obj);
    _obj->HighlightActor2D(_actor2D);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_actor2D,"vtkActor2D"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".actor2D",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyle_HighlightProp3D( SEXP obj, SEXP prop3D){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkProp3D  *  _prop3D = (vtkProp3D * )  SexpToVtk(prop3D);
    vtkInteractorStyle * _obj = (vtkInteractorStyle * ) SexpToVtk(obj);
    _obj->HighlightProp3D(_prop3D);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_prop3D,"vtkProp3D"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".prop3D",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyle_SetPickColor( SEXP obj, SEXP _arg1, SEXP _arg2, SEXP _arg3){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg1,1);
     double  *  __arg1 =  SexpTodouble(_arg1);
    SET_LENGTH(_arg2,1);
     double  *  __arg2 =  SexpTodouble(_arg2);
    SET_LENGTH(_arg3,1);
     double  *  __arg3 =  SexpTodouble(_arg3);
    vtkInteractorStyle * _obj = (vtkInteractorStyle * ) SexpToVtk(obj);
    _obj->SetPickColor( * __arg1,  * __arg2,  * __arg3);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyle_SetPickColor_v1( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  __arg =  SexpTodouble(_arg);
    vtkInteractorStyle * _obj = (vtkInteractorStyle * ) SexpToVtk(obj);
    _obj->SetPickColor(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(__arg,LENGTH(_arg)));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyle_GetPickColor( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyle * _obj = (vtkInteractorStyle * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetPickColor();
    res=doubleToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyle_GetPickColor_v1( SEXP obj, SEXP data){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  _data =  SexpTodouble(data);
    vtkInteractorStyle * _obj = (vtkInteractorStyle * ) SexpToVtk(obj);
    _obj->GetPickColor(_data);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_data,LENGTH(data)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".data",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyle_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkInteractorStyle * res= ( vtkInteractorStyle * ) vtkInteractorStyle
::New();
    R_res=toRPointer(res,"vtkInteractorStyle");
    return(R_res);
  }
}
