#include <vtk/vtkInteractorStyleUnicam.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
  SEXP R_vtkInteractorStyleUnicam_GetClassName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyleUnicam * _obj = (vtkInteractorStyleUnicam
 * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetClassName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyleUnicam_IsTypeOf( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkInteractorStyleUnicam * _obj = (vtkInteractorStyleUnicam
 * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyleUnicam_IsA( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkInteractorStyleUnicam * _obj = (vtkInteractorStyleUnicam
 * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyleUnicam_SafeDownCast( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkInteractorStyleUnicam * _obj = (vtkInteractorStyleUnicam
 * ) SexpToVtk(obj);
    vtkInteractorStyleUnicam *  _res =( vtkInteractorStyleUnicam * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkInteractorStyleUnicam");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyleUnicam_NewInstance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyleUnicam * _obj = (vtkInteractorStyleUnicam
 * ) SexpToVtk(obj);
    vtkInteractorStyleUnicam *  _res =( vtkInteractorStyleUnicam * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkInteractorStyleUnicam");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyleUnicam_SetWorldUpVector( SEXP obj, SEXP a){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(a,3);
     double  *  _a =  SexpTodouble(a);
    vtkInteractorStyleUnicam * _obj = (vtkInteractorStyleUnicam
 * ) SexpToVtk(obj);
    _obj->SetWorldUpVector(_a);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_a,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".a",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyleUnicam_SetWorldUpVector_v1( SEXP obj, SEXP x, SEXP y, SEXP z){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,1);
     double  *  _x =  SexpTodouble(x);
    SET_LENGTH(y,1);
     double  *  _y =  SexpTodouble(y);
    SET_LENGTH(z,1);
     double  *  _z =  SexpTodouble(z);
    vtkInteractorStyleUnicam * _obj = (vtkInteractorStyleUnicam
 * ) SexpToVtk(obj);
    _obj->SetWorldUpVector( * _x,  * _y,  * _z);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyleUnicam_GetWorldUpVector( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyleUnicam * _obj = (vtkInteractorStyleUnicam
 * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetWorldUpVector();
    res=doubleToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyleUnicam_GetWorldUpVector_v1( SEXP obj, SEXP data){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  _data =  SexpTodouble(data);
    vtkInteractorStyleUnicam * _obj = (vtkInteractorStyleUnicam
 * ) SexpToVtk(obj);
    _obj->GetWorldUpVector(_data);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_data,LENGTH(data)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".data",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyleUnicam_OnMouseMove( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyleUnicam * _obj = (vtkInteractorStyleUnicam
 * ) SexpToVtk(obj);
    _obj->OnMouseMove();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyleUnicam_OnLeftButtonDown( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyleUnicam * _obj = (vtkInteractorStyleUnicam
 * ) SexpToVtk(obj);
    _obj->OnLeftButtonDown();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyleUnicam_OnLeftButtonUp( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyleUnicam * _obj = (vtkInteractorStyleUnicam
 * ) SexpToVtk(obj);
    _obj->OnLeftButtonUp();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyleUnicam_OnLeftButtonMove( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyleUnicam * _obj = (vtkInteractorStyleUnicam
 * ) SexpToVtk(obj);
    _obj->OnLeftButtonMove();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyleUnicam_OnTimer( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyleUnicam * _obj = (vtkInteractorStyleUnicam
 * ) SexpToVtk(obj);
    _obj->OnTimer();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyleUnicam_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkInteractorStyleUnicam * res= ( vtkInteractorStyleUnicam * ) 
vtkInteractorStyleUnicam::New();
    R_res=toRPointer(res,"vtkInteractorStyleUnicam");
    return(R_res);
  }
}
