#include <vtk/vtkInteractorStyleUser.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
  SEXP R_vtkInteractorStyleUser_GetClassName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyleUser * _obj = (vtkInteractorStyleUser * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetClassName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyleUser_IsTypeOf( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkInteractorStyleUser * _obj = (vtkInteractorStyleUser * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyleUser_IsA( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkInteractorStyleUser * _obj = (vtkInteractorStyleUser * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyleUser_SafeDownCast( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkInteractorStyleUser * _obj = (vtkInteractorStyleUser * ) SexpToVtk(obj);
    vtkInteractorStyleUser *  _res =( vtkInteractorStyleUser * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkInteractorStyleUser");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyleUser_NewInstance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyleUser * _obj = (vtkInteractorStyleUser * ) SexpToVtk(obj);
    vtkInteractorStyleUser *  _res =( vtkInteractorStyleUser * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkInteractorStyleUser");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyleUser_GetLastPos( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyleUser * _obj = (vtkInteractorStyleUser * ) SexpToVtk(obj);
    int *  _res =( int * )_obj->GetLastPos();
    res=intToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyleUser_GetLastPos_v1( SEXP obj, SEXP _arg1, SEXP _arg2){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg1,1);
     int  *  __arg1 =  SexpToint(_arg1);
    SET_LENGTH(_arg2,1);
     int  *  __arg2 =  SexpToint(_arg2);
    vtkInteractorStyleUser * _obj = (vtkInteractorStyleUser * ) SexpToVtk(obj);
    _obj->GetLastPos( * __arg1,  * __arg2);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(__arg1,1));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg1",0));
    SET_VECTOR_ELT(ans,2,intToSexp(__arg2,1));
    SET_VECTOR_ELT(res_names,2,charToSexp("._arg2",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyleUser_GetLastPos_v2( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     int  *  __arg =  SexpToint(_arg);
    vtkInteractorStyleUser * _obj = (vtkInteractorStyleUser * ) SexpToVtk(obj);
    _obj->GetLastPos(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(__arg,LENGTH(_arg)));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyleUser_GetOldPos( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyleUser * _obj = (vtkInteractorStyleUser * ) SexpToVtk(obj);
    int *  _res =( int * )_obj->GetOldPos();
    res=intToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyleUser_GetOldPos_v1( SEXP obj, SEXP _arg1, SEXP _arg2){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg1,1);
     int  *  __arg1 =  SexpToint(_arg1);
    SET_LENGTH(_arg2,1);
     int  *  __arg2 =  SexpToint(_arg2);
    vtkInteractorStyleUser * _obj = (vtkInteractorStyleUser * ) SexpToVtk(obj);
    _obj->GetOldPos( * __arg1,  * __arg2);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(__arg1,1));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg1",0));
    SET_VECTOR_ELT(ans,2,intToSexp(__arg2,1));
    SET_VECTOR_ELT(res_names,2,charToSexp("._arg2",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyleUser_GetOldPos_v2( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     int  *  __arg =  SexpToint(_arg);
    vtkInteractorStyleUser * _obj = (vtkInteractorStyleUser * ) SexpToVtk(obj);
    _obj->GetOldPos(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(__arg,LENGTH(_arg)));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyleUser_GetShiftKey( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyleUser * _obj = (vtkInteractorStyleUser * ) SexpToVtk(obj);
    int _res =_obj->GetShiftKey();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyleUser_GetCtrlKey( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyleUser * _obj = (vtkInteractorStyleUser * ) SexpToVtk(obj);
    int _res =_obj->GetCtrlKey();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyleUser_GetChar( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyleUser * _obj = (vtkInteractorStyleUser * ) SexpToVtk(obj);
    int _res =_obj->GetChar();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyleUser_GetKeySym( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyleUser * _obj = (vtkInteractorStyleUser * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetKeySym();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyleUser_GetButton( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyleUser * _obj = (vtkInteractorStyleUser * ) SexpToVtk(obj);
    int _res =_obj->GetButton();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyleUser_OnMouseMove( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyleUser * _obj = (vtkInteractorStyleUser * ) SexpToVtk(obj);
    _obj->OnMouseMove();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyleUser_OnLeftButtonDown( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyleUser * _obj = (vtkInteractorStyleUser * ) SexpToVtk(obj);
    _obj->OnLeftButtonDown();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyleUser_OnLeftButtonUp( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyleUser * _obj = (vtkInteractorStyleUser * ) SexpToVtk(obj);
    _obj->OnLeftButtonUp();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyleUser_OnMiddleButtonDown( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyleUser * _obj = (vtkInteractorStyleUser * ) SexpToVtk(obj);
    _obj->OnMiddleButtonDown();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyleUser_OnMiddleButtonUp( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyleUser * _obj = (vtkInteractorStyleUser * ) SexpToVtk(obj);
    _obj->OnMiddleButtonUp();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyleUser_OnRightButtonDown( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyleUser * _obj = (vtkInteractorStyleUser * ) SexpToVtk(obj);
    _obj->OnRightButtonDown();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyleUser_OnRightButtonUp( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyleUser * _obj = (vtkInteractorStyleUser * ) SexpToVtk(obj);
    _obj->OnRightButtonUp();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyleUser_OnChar( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyleUser * _obj = (vtkInteractorStyleUser * ) SexpToVtk(obj);
    _obj->OnChar();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyleUser_OnKeyPress( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyleUser * _obj = (vtkInteractorStyleUser * ) SexpToVtk(obj);
    _obj->OnKeyPress();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyleUser_OnKeyRelease( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyleUser * _obj = (vtkInteractorStyleUser * ) SexpToVtk(obj);
    _obj->OnKeyRelease();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyleUser_OnExpose( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyleUser * _obj = (vtkInteractorStyleUser * ) SexpToVtk(obj);
    _obj->OnExpose();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyleUser_OnConfigure( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyleUser * _obj = (vtkInteractorStyleUser * ) SexpToVtk(obj);
    _obj->OnConfigure();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyleUser_OnEnter( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyleUser * _obj = (vtkInteractorStyleUser * ) SexpToVtk(obj);
    _obj->OnEnter();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyleUser_OnLeave( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyleUser * _obj = (vtkInteractorStyleUser * ) SexpToVtk(obj);
    _obj->OnLeave();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyleUser_OnTimer( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkInteractorStyleUser * _obj = (vtkInteractorStyleUser * ) SexpToVtk(obj);
    _obj->OnTimer();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkInteractorStyleUser_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkInteractorStyleUser * res= ( vtkInteractorStyleUser * ) 
vtkInteractorStyleUser::New();
    R_res=toRPointer(res,"vtkInteractorStyleUser");
    return(R_res);
  }
}
