#include <vtk/vtkLODProp3D.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
  SEXP R_vtkLODProp3D_GetClassName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkLODProp3D * _obj = (vtkLODProp3D * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetClassName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLODProp3D_IsTypeOf( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkLODProp3D * _obj = (vtkLODProp3D * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLODProp3D_IsA( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkLODProp3D * _obj = (vtkLODProp3D * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLODProp3D_SafeDownCast( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkLODProp3D * _obj = (vtkLODProp3D * ) SexpToVtk(obj);
    vtkLODProp3D *  _res =( vtkLODProp3D * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkLODProp3D");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLODProp3D_NewInstance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkLODProp3D * _obj = (vtkLODProp3D * ) SexpToVtk(obj);
    vtkLODProp3D *  _res =( vtkLODProp3D * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkLODProp3D");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLODProp3D_GetBounds( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkLODProp3D * _obj = (vtkLODProp3D * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetBounds();
    res=doubleToSexp(_res,6);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLODProp3D_GetBounds_v1( SEXP obj, SEXP bounds){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(bounds,6);
     double  *  _bounds =  SexpTodouble(bounds);
    vtkLODProp3D * _obj = (vtkLODProp3D * ) SexpToVtk(obj);
    _obj->GetBounds(_bounds);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_bounds,6));
    SET_VECTOR_ELT(res_names,1,charToSexp(".bounds",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLODProp3D_AddLOD( SEXP obj, SEXP m, SEXP p, SEXP back, SEXP t, SEXP time){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkMapper  *  _m = (vtkMapper * )  SexpToVtk(m);
     vtkProperty  *  _p = (vtkProperty * )  SexpToVtk(p);
     vtkProperty  *  _back = (vtkProperty * )  SexpToVtk(back);
     vtkTexture  *  _t = (vtkTexture * )  SexpToVtk(t);
    SET_LENGTH(time,1);
     double  *  _time =  SexpTodouble(time);
    vtkLODProp3D * _obj = (vtkLODProp3D * ) SexpToVtk(obj);
    int _res =_obj->AddLOD(_m, _p, _back, _t,  * _time);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,5));
    PROTECT(res_names = allocVector(VECSXP,5));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_m,"vtkMapper"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".m",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_p,"vtkProperty"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".p",0));
    SET_VECTOR_ELT(ans,3,VtkToSexp(_back,"vtkProperty"));
    SET_VECTOR_ELT(res_names,3,charToSexp(".back",0));
    SET_VECTOR_ELT(ans,4,VtkToSexp(_t,"vtkTexture"));
    SET_VECTOR_ELT(res_names,4,charToSexp(".t",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLODProp3D_AddLOD_v1( SEXP obj, SEXP m, SEXP p, SEXP t, SEXP time){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkMapper  *  _m = (vtkMapper * )  SexpToVtk(m);
     vtkProperty  *  _p = (vtkProperty * )  SexpToVtk(p);
     vtkTexture  *  _t = (vtkTexture * )  SexpToVtk(t);
    SET_LENGTH(time,1);
     double  *  _time =  SexpTodouble(time);
    vtkLODProp3D * _obj = (vtkLODProp3D * ) SexpToVtk(obj);
    int _res =_obj->AddLOD(_m, _p, _t,  * _time);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,4));
    PROTECT(res_names = allocVector(VECSXP,4));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_m,"vtkMapper"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".m",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_p,"vtkProperty"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".p",0));
    SET_VECTOR_ELT(ans,3,VtkToSexp(_t,"vtkTexture"));
    SET_VECTOR_ELT(res_names,3,charToSexp(".t",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLODProp3D_AddLOD_v2( SEXP obj, SEXP m, SEXP p, SEXP back, SEXP time){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkMapper  *  _m = (vtkMapper * )  SexpToVtk(m);
     vtkProperty  *  _p = (vtkProperty * )  SexpToVtk(p);
     vtkProperty  *  _back = (vtkProperty * )  SexpToVtk(back);
    SET_LENGTH(time,1);
     double  *  _time =  SexpTodouble(time);
    vtkLODProp3D * _obj = (vtkLODProp3D * ) SexpToVtk(obj);
    int _res =_obj->AddLOD(_m, _p, _back,  * _time);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,4));
    PROTECT(res_names = allocVector(VECSXP,4));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_m,"vtkMapper"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".m",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_p,"vtkProperty"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".p",0));
    SET_VECTOR_ELT(ans,3,VtkToSexp(_back,"vtkProperty"));
    SET_VECTOR_ELT(res_names,3,charToSexp(".back",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLODProp3D_AddLOD_v3( SEXP obj, SEXP m, SEXP p, SEXP time){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkMapper  *  _m = (vtkMapper * )  SexpToVtk(m);
     vtkProperty  *  _p = (vtkProperty * )  SexpToVtk(p);
    SET_LENGTH(time,1);
     double  *  _time =  SexpTodouble(time);
    vtkLODProp3D * _obj = (vtkLODProp3D * ) SexpToVtk(obj);
    int _res =_obj->AddLOD(_m, _p,  * _time);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_m,"vtkMapper"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".m",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_p,"vtkProperty"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".p",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLODProp3D_AddLOD_v4( SEXP obj, SEXP m, SEXP t, SEXP time){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkMapper  *  _m = (vtkMapper * )  SexpToVtk(m);
     vtkTexture  *  _t = (vtkTexture * )  SexpToVtk(t);
    SET_LENGTH(time,1);
     double  *  _time =  SexpTodouble(time);
    vtkLODProp3D * _obj = (vtkLODProp3D * ) SexpToVtk(obj);
    int _res =_obj->AddLOD(_m, _t,  * _time);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_m,"vtkMapper"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".m",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_t,"vtkTexture"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".t",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLODProp3D_AddLOD_v5( SEXP obj, SEXP m, SEXP time){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkMapper  *  _m = (vtkMapper * )  SexpToVtk(m);
    SET_LENGTH(time,1);
     double  *  _time =  SexpTodouble(time);
    vtkLODProp3D * _obj = (vtkLODProp3D * ) SexpToVtk(obj);
    int _res =_obj->AddLOD(_m,  * _time);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_m,"vtkMapper"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".m",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLODProp3D_AddLOD_v6( SEXP obj, SEXP m, SEXP p, SEXP time){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkAbstractVolumeMapper  *  _m = (vtkAbstractVolumeMapper * )  
SexpToVtk(m);
     vtkVolumeProperty  *  _p = (vtkVolumeProperty * )  SexpToVtk(p);
    SET_LENGTH(time,1);
     double  *  _time =  SexpTodouble(time);
    vtkLODProp3D * _obj = (vtkLODProp3D * ) SexpToVtk(obj);
    int _res =_obj->AddLOD(_m, _p,  * _time);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_m,"vtkAbstractVolumeMapper"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".m",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_p,"vtkVolumeProperty"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".p",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLODProp3D_AddLOD_v7( SEXP obj, SEXP m, SEXP time){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkAbstractVolumeMapper  *  _m = (vtkAbstractVolumeMapper * )  
SexpToVtk(m);
    SET_LENGTH(time,1);
     double  *  _time =  SexpTodouble(time);
    vtkLODProp3D * _obj = (vtkLODProp3D * ) SexpToVtk(obj);
    int _res =_obj->AddLOD(_m,  * _time);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_m,"vtkAbstractVolumeMapper"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".m",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLODProp3D_GetNumberOfLODs( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkLODProp3D * _obj = (vtkLODProp3D * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfLODs();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLODProp3D_GetCurrentIndex( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkLODProp3D * _obj = (vtkLODProp3D * ) SexpToVtk(obj);
    int _res =_obj->GetCurrentIndex();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLODProp3D_RemoveLOD( SEXP obj, SEXP id){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(id,1);
     int  *  _id =  SexpToint(id);
    vtkLODProp3D * _obj = (vtkLODProp3D * ) SexpToVtk(obj);
    _obj->RemoveLOD( * _id);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLODProp3D_SetLODProperty( SEXP obj, SEXP id, SEXP p){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(id,1);
     int  *  _id =  SexpToint(id);
     vtkProperty  *  _p = (vtkProperty * )  SexpToVtk(p);
    vtkLODProp3D * _obj = (vtkLODProp3D * ) SexpToVtk(obj);
    _obj->SetLODProperty( * _id, _p);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_p,"vtkProperty"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".p",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLODProp3D_SetLODProperty_v1( SEXP obj, SEXP id, SEXP p){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(id,1);
     int  *  _id =  SexpToint(id);
     vtkVolumeProperty  *  _p = (vtkVolumeProperty * )  SexpToVtk(p);
    vtkLODProp3D * _obj = (vtkLODProp3D * ) SexpToVtk(obj);
    _obj->SetLODProperty( * _id, _p);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_p,"vtkVolumeProperty"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".p",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLODProp3D_SetLODMapper( SEXP obj, SEXP id, SEXP m){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(id,1);
     int  *  _id =  SexpToint(id);
     vtkMapper  *  _m = (vtkMapper * )  SexpToVtk(m);
    vtkLODProp3D * _obj = (vtkLODProp3D * ) SexpToVtk(obj);
    _obj->SetLODMapper( * _id, _m);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_m,"vtkMapper"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".m",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLODProp3D_SetLODMapper_v1( SEXP obj, SEXP id, SEXP m){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(id,1);
     int  *  _id =  SexpToint(id);
     vtkAbstractVolumeMapper  *  _m = (vtkAbstractVolumeMapper * )  
SexpToVtk(m);
    vtkLODProp3D * _obj = (vtkLODProp3D * ) SexpToVtk(obj);
    _obj->SetLODMapper( * _id, _m);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_m,"vtkAbstractVolumeMapper"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".m",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLODProp3D_GetLODMapper( SEXP obj, SEXP id){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(id,1);
     int  *  _id =  SexpToint(id);
    vtkLODProp3D * _obj = (vtkLODProp3D * ) SexpToVtk(obj);
    vtkAbstractMapper3D *  _res =( vtkAbstractMapper3D * )_obj->GetLODMapper( * _id);
    res=VtkToSexp(_res,"vtkAbstractMapper3D");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLODProp3D_SetLODBackfaceProperty( SEXP obj, SEXP id, SEXP t){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(id,1);
     int  *  _id =  SexpToint(id);
     vtkProperty  *  _t = (vtkProperty * )  SexpToVtk(t);
    vtkLODProp3D * _obj = (vtkLODProp3D * ) SexpToVtk(obj);
    _obj->SetLODBackfaceProperty( * _id, _t);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_t,"vtkProperty"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".t",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLODProp3D_SetLODTexture( SEXP obj, SEXP id, SEXP t){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(id,1);
     int  *  _id =  SexpToint(id);
     vtkTexture  *  _t = (vtkTexture * )  SexpToVtk(t);
    vtkLODProp3D * _obj = (vtkLODProp3D * ) SexpToVtk(obj);
    _obj->SetLODTexture( * _id, _t);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_t,"vtkTexture"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".t",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLODProp3D_EnableLOD( SEXP obj, SEXP id){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(id,1);
     int  *  _id =  SexpToint(id);
    vtkLODProp3D * _obj = (vtkLODProp3D * ) SexpToVtk(obj);
    _obj->EnableLOD( * _id);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLODProp3D_DisableLOD( SEXP obj, SEXP id){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(id,1);
     int  *  _id =  SexpToint(id);
    vtkLODProp3D * _obj = (vtkLODProp3D * ) SexpToVtk(obj);
    _obj->DisableLOD( * _id);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLODProp3D_IsLODEnabled( SEXP obj, SEXP id){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(id,1);
     int  *  _id =  SexpToint(id);
    vtkLODProp3D * _obj = (vtkLODProp3D * ) SexpToVtk(obj);
    int _res =_obj->IsLODEnabled( * _id);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLODProp3D_SetLODLevel( SEXP obj, SEXP id, SEXP level){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(id,1);
     int  *  _id =  SexpToint(id);
    SET_LENGTH(level,1);
     double  *  _level =  SexpTodouble(level);
    vtkLODProp3D * _obj = (vtkLODProp3D * ) SexpToVtk(obj);
    _obj->SetLODLevel( * _id,  * _level);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLODProp3D_GetLODLevel( SEXP obj, SEXP id){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(id,1);
     int  *  _id =  SexpToint(id);
    vtkLODProp3D * _obj = (vtkLODProp3D * ) SexpToVtk(obj);
    double _res =_obj->GetLODLevel( * _id);
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLODProp3D_GetLODIndexLevel( SEXP obj, SEXP index){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(index,1);
     int  *  _index =  SexpToint(index);
    vtkLODProp3D * _obj = (vtkLODProp3D * ) SexpToVtk(obj);
    double _res =_obj->GetLODIndexLevel( * _index);
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLODProp3D_GetLODEstimatedRenderTime( SEXP obj, SEXP id){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(id,1);
     int  *  _id =  SexpToint(id);
    vtkLODProp3D * _obj = (vtkLODProp3D * ) SexpToVtk(obj);
    double _res =_obj->GetLODEstimatedRenderTime( * _id);
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLODProp3D_GetLODIndexEstimatedRenderTime( SEXP obj, SEXP index){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(index,1);
     int  *  _index =  SexpToint(index);
    vtkLODProp3D * _obj = (vtkLODProp3D * ) SexpToVtk(obj);
    double _res =_obj->GetLODIndexEstimatedRenderTime( * _index);
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLODProp3D_SetAutomaticLODSelection( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkLODProp3D * _obj = (vtkLODProp3D * ) SexpToVtk(obj);
    _obj->SetAutomaticLODSelection( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLODProp3D_GetAutomaticLODSelectionMinValue( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkLODProp3D * _obj = (vtkLODProp3D * ) SexpToVtk(obj);
    int _res =_obj->GetAutomaticLODSelectionMinValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLODProp3D_GetAutomaticLODSelectionMaxValue( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkLODProp3D * _obj = (vtkLODProp3D * ) SexpToVtk(obj);
    int _res =_obj->GetAutomaticLODSelectionMaxValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLODProp3D_GetAutomaticLODSelection( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkLODProp3D * _obj = (vtkLODProp3D * ) SexpToVtk(obj);
    int _res =_obj->GetAutomaticLODSelection();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLODProp3D_AutomaticLODSelectionOn( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkLODProp3D * _obj = (vtkLODProp3D * ) SexpToVtk(obj);
    _obj->AutomaticLODSelectionOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLODProp3D_AutomaticLODSelectionOff( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkLODProp3D * _obj = (vtkLODProp3D * ) SexpToVtk(obj);
    _obj->AutomaticLODSelectionOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLODProp3D_SetSelectedLODID( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkLODProp3D * _obj = (vtkLODProp3D * ) SexpToVtk(obj);
    _obj->SetSelectedLODID( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLODProp3D_GetSelectedLODID( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkLODProp3D * _obj = (vtkLODProp3D * ) SexpToVtk(obj);
    int _res =_obj->GetSelectedLODID();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLODProp3D_GetLastRenderedLODID( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkLODProp3D * _obj = (vtkLODProp3D * ) SexpToVtk(obj);
    int _res =_obj->GetLastRenderedLODID();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLODProp3D_GetPickLODID( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkLODProp3D * _obj = (vtkLODProp3D * ) SexpToVtk(obj);
    int _res =_obj->GetPickLODID();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLODProp3D_GetActors( SEXP obj, SEXP ac){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkPropCollection  *  _ac = (vtkPropCollection * )  SexpToVtk(ac);
    vtkLODProp3D * _obj = (vtkLODProp3D * ) SexpToVtk(obj);
    _obj->GetActors(_ac);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_ac,"vtkPropCollection"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".ac",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLODProp3D_SetSelectedPickLODID( SEXP obj, SEXP id){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(id,1);
     int  *  _id =  SexpToint(id);
    vtkLODProp3D * _obj = (vtkLODProp3D * ) SexpToVtk(obj);
    _obj->SetSelectedPickLODID( * _id);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLODProp3D_GetSelectedPickLODID( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkLODProp3D * _obj = (vtkLODProp3D * ) SexpToVtk(obj);
    int _res =_obj->GetSelectedPickLODID();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLODProp3D_SetAutomaticPickLODSelection( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkLODProp3D * _obj = (vtkLODProp3D * ) SexpToVtk(obj);
    _obj->SetAutomaticPickLODSelection( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLODProp3D_GetAutomaticPickLODSelectionMinValue( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkLODProp3D * _obj = (vtkLODProp3D * ) SexpToVtk(obj);
    int _res =_obj->GetAutomaticPickLODSelectionMinValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLODProp3D_GetAutomaticPickLODSelectionMaxValue( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkLODProp3D * _obj = (vtkLODProp3D * ) SexpToVtk(obj);
    int _res =_obj->GetAutomaticPickLODSelectionMaxValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLODProp3D_GetAutomaticPickLODSelection( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkLODProp3D * _obj = (vtkLODProp3D * ) SexpToVtk(obj);
    int _res =_obj->GetAutomaticPickLODSelection();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLODProp3D_AutomaticPickLODSelectionOn( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkLODProp3D * _obj = (vtkLODProp3D * ) SexpToVtk(obj);
    _obj->AutomaticPickLODSelectionOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLODProp3D_AutomaticPickLODSelectionOff( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkLODProp3D * _obj = (vtkLODProp3D * ) SexpToVtk(obj);
    _obj->AutomaticPickLODSelectionOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLODProp3D_ShallowCopy( SEXP obj, SEXP prop){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkProp  *  _prop = (vtkProp * )  SexpToVtk(prop);
    vtkLODProp3D * _obj = (vtkLODProp3D * ) SexpToVtk(obj);
    _obj->ShallowCopy(_prop);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_prop,"vtkProp"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".prop",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLODProp3D_RenderOpaqueGeometry( SEXP obj, SEXP viewport){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkViewport  *  _viewport = (vtkViewport * )  SexpToVtk(viewport);
    vtkLODProp3D * _obj = (vtkLODProp3D * ) SexpToVtk(obj);
    int _res =_obj->RenderOpaqueGeometry(_viewport);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_viewport,"vtkViewport"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".viewport",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLODProp3D_RenderTranslucentGeometry( SEXP obj, SEXP viewport){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkViewport  *  _viewport = (vtkViewport * )  SexpToVtk(viewport);
    vtkLODProp3D * _obj = (vtkLODProp3D * ) SexpToVtk(obj);
    int _res =_obj->RenderTranslucentGeometry(_viewport);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_viewport,"vtkViewport"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".viewport",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLODProp3D_ReleaseGraphicsResources( SEXP obj, SEXP w){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkWindow  *  _w = (vtkWindow * )  SexpToVtk(w);
    vtkLODProp3D * _obj = (vtkLODProp3D * ) SexpToVtk(obj);
    _obj->ReleaseGraphicsResources(_w);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_w,"vtkWindow"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".w",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLODProp3D_SetAllocatedRenderTime( SEXP obj, SEXP t, SEXP vp){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(t,1);
     double  *  _t =  SexpTodouble(t);
     vtkViewport  *  _vp = (vtkViewport * )  SexpToVtk(vp);
    vtkLODProp3D * _obj = (vtkLODProp3D * ) SexpToVtk(obj);
    _obj->SetAllocatedRenderTime( * _t, _vp);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_vp,"vtkViewport"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".vp",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLODProp3D_RestoreEstimatedRenderTime( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkLODProp3D * _obj = (vtkLODProp3D * ) SexpToVtk(obj);
    _obj->RestoreEstimatedRenderTime();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLODProp3D_AddEstimatedRenderTime( SEXP obj, SEXP t, SEXP vp){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(t,1);
     double  *  _t =  SexpTodouble(t);
     vtkViewport  *  _vp = (vtkViewport * )  SexpToVtk(vp);
    vtkLODProp3D * _obj = (vtkLODProp3D * ) SexpToVtk(obj);
    _obj->AddEstimatedRenderTime( * _t, _vp);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_vp,"vtkViewport"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".vp",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLODProp3D_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkLODProp3D * res= ( vtkLODProp3D * ) vtkLODProp3D::New();
    R_res=toRPointer(res,"vtkLODProp3D");
    return(R_res);
  }
}
