#include <vtk/vtkLabeledDataMapper.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
  SEXP R_vtkLabeledDataMapper_GetClassName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkLabeledDataMapper * _obj = (vtkLabeledDataMapper * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetClassName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLabeledDataMapper_IsTypeOf( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkLabeledDataMapper * _obj = (vtkLabeledDataMapper * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLabeledDataMapper_IsA( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkLabeledDataMapper * _obj = (vtkLabeledDataMapper * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLabeledDataMapper_SafeDownCast( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkLabeledDataMapper * _obj = (vtkLabeledDataMapper * ) SexpToVtk(obj);
    vtkLabeledDataMapper *  _res =( vtkLabeledDataMapper * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkLabeledDataMapper");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLabeledDataMapper_NewInstance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkLabeledDataMapper * _obj = (vtkLabeledDataMapper * ) SexpToVtk(obj);
    vtkLabeledDataMapper *  _res =( vtkLabeledDataMapper * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkLabeledDataMapper");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLabeledDataMapper_SetLabelFormat( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  __arg =  SexpTochar(_arg);
    vtkLabeledDataMapper * _obj = (vtkLabeledDataMapper * ) SexpToVtk(obj);
    _obj->SetLabelFormat(__arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLabeledDataMapper_GetLabelFormat( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkLabeledDataMapper * _obj = (vtkLabeledDataMapper * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetLabelFormat();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLabeledDataMapper_SetLabeledComponent( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkLabeledDataMapper * _obj = (vtkLabeledDataMapper * ) SexpToVtk(obj);
    _obj->SetLabeledComponent( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLabeledDataMapper_GetLabeledComponent( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkLabeledDataMapper * _obj = (vtkLabeledDataMapper * ) SexpToVtk(obj);
    int _res =_obj->GetLabeledComponent();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLabeledDataMapper_SetFieldDataArray( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkLabeledDataMapper * _obj = (vtkLabeledDataMapper * ) SexpToVtk(obj);
    _obj->SetFieldDataArray( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLabeledDataMapper_GetFieldDataArrayMinValue( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkLabeledDataMapper * _obj = (vtkLabeledDataMapper * ) SexpToVtk(obj);
    int _res =_obj->GetFieldDataArrayMinValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLabeledDataMapper_GetFieldDataArrayMaxValue( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkLabeledDataMapper * _obj = (vtkLabeledDataMapper * ) SexpToVtk(obj);
    int _res =_obj->GetFieldDataArrayMaxValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLabeledDataMapper_GetFieldDataArray( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkLabeledDataMapper * _obj = (vtkLabeledDataMapper * ) SexpToVtk(obj);
    int _res =_obj->GetFieldDataArray();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLabeledDataMapper_SetInput( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkDataSet  *  __arg = (vtkDataSet * )  SexpToVtk(_arg);
    vtkLabeledDataMapper * _obj = (vtkLabeledDataMapper * ) SexpToVtk(obj);
    _obj->SetInput(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(__arg,"vtkDataSet"));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLabeledDataMapper_GetInput( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkLabeledDataMapper * _obj = (vtkLabeledDataMapper * ) SexpToVtk(obj);
    vtkDataSet *  _res =( vtkDataSet * )_obj->GetInput();
    res=VtkToSexp(_res,"vtkDataSet");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLabeledDataMapper_SetLabelMode( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkLabeledDataMapper * _obj = (vtkLabeledDataMapper * ) SexpToVtk(obj);
    _obj->SetLabelMode( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLabeledDataMapper_GetLabelMode( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkLabeledDataMapper * _obj = (vtkLabeledDataMapper * ) SexpToVtk(obj);
    int _res =_obj->GetLabelMode();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLabeledDataMapper_SetLabelModeToLabelIds( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkLabeledDataMapper * _obj = (vtkLabeledDataMapper * ) SexpToVtk(obj);
    _obj->SetLabelModeToLabelIds();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLabeledDataMapper_SetLabelModeToLabelScalars( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkLabeledDataMapper * _obj = (vtkLabeledDataMapper * ) SexpToVtk(obj);
    _obj->SetLabelModeToLabelScalars();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLabeledDataMapper_SetLabelModeToLabelVectors( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkLabeledDataMapper * _obj = (vtkLabeledDataMapper * ) SexpToVtk(obj);
    _obj->SetLabelModeToLabelVectors();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLabeledDataMapper_SetLabelModeToLabelNormals( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkLabeledDataMapper * _obj = (vtkLabeledDataMapper * ) SexpToVtk(obj);
    _obj->SetLabelModeToLabelNormals();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLabeledDataMapper_SetLabelModeToLabelTCoords( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkLabeledDataMapper * _obj = (vtkLabeledDataMapper * ) SexpToVtk(obj);
    _obj->SetLabelModeToLabelTCoords();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLabeledDataMapper_SetLabelModeToLabelTensors( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkLabeledDataMapper * _obj = (vtkLabeledDataMapper * ) SexpToVtk(obj);
    _obj->SetLabelModeToLabelTensors();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLabeledDataMapper_SetLabelModeToLabelFieldData( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkLabeledDataMapper * _obj = (vtkLabeledDataMapper * ) SexpToVtk(obj);
    _obj->SetLabelModeToLabelFieldData();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLabeledDataMapper_SetLabelTextProperty( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkTextProperty  *  __arg = (vtkTextProperty * )  SexpToVtk(_arg);
    vtkLabeledDataMapper * _obj = (vtkLabeledDataMapper * ) SexpToVtk(obj);
    _obj->SetLabelTextProperty(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(__arg,"vtkTextProperty"));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLabeledDataMapper_GetLabelTextProperty( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkLabeledDataMapper * _obj = (vtkLabeledDataMapper * ) SexpToVtk(obj);
    vtkTextProperty *  _res =( vtkTextProperty * )_obj->GetLabelTextProperty();
    res=VtkToSexp(_res,"vtkTextProperty");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLabeledDataMapper_RenderOpaqueGeometry( SEXP obj, SEXP viewport, SEXP actor){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkViewport  *  _viewport = (vtkViewport * )  SexpToVtk(viewport);
     vtkActor2D  *  _actor = (vtkActor2D * )  SexpToVtk(actor);
    vtkLabeledDataMapper * _obj = (vtkLabeledDataMapper * ) SexpToVtk(obj);
    _obj->RenderOpaqueGeometry(_viewport, _actor);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_viewport,"vtkViewport"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".viewport",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_actor,"vtkActor2D"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".actor",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLabeledDataMapper_RenderOverlay( SEXP obj, SEXP viewport, SEXP actor){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkViewport  *  _viewport = (vtkViewport * )  SexpToVtk(viewport);
     vtkActor2D  *  _actor = (vtkActor2D * )  SexpToVtk(actor);
    vtkLabeledDataMapper * _obj = (vtkLabeledDataMapper * ) SexpToVtk(obj);
    _obj->RenderOverlay(_viewport, _actor);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_viewport,"vtkViewport"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".viewport",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_actor,"vtkActor2D"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".actor",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLabeledDataMapper_ReleaseGraphicsResources( SEXP obj, SEXP win){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkWindow  *  _win = (vtkWindow * )  SexpToVtk(win);
    vtkLabeledDataMapper * _obj = (vtkLabeledDataMapper * ) SexpToVtk(obj);
    _obj->ReleaseGraphicsResources(_win);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_win,"vtkWindow"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".win",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLabeledDataMapper_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkLabeledDataMapper * res= ( vtkLabeledDataMapper * ) vtkLabeledDataMapper
::New();
    R_res=toRPointer(res,"vtkLabeledDataMapper");
    return(R_res);
  }
}
