#include <vtk/vtkLightKit.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
  SEXP R_vtkLightKit_GetClassName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkLightKit * _obj = (vtkLightKit * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetClassName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLightKit_IsTypeOf( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkLightKit * _obj = (vtkLightKit * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLightKit_IsA( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkLightKit * _obj = (vtkLightKit * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLightKit_SafeDownCast( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkLightKit * _obj = (vtkLightKit * ) SexpToVtk(obj);
    vtkLightKit *  _res =( vtkLightKit * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkLightKit");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLightKit_NewInstance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkLightKit * _obj = (vtkLightKit * ) SexpToVtk(obj);
    vtkLightKit *  _res =( vtkLightKit * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkLightKit");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLightKit_SetKeyLightIntensity( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     double  *  __arg =  SexpTodouble(_arg);
    vtkLightKit * _obj = (vtkLightKit * ) SexpToVtk(obj);
    _obj->SetKeyLightIntensity( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLightKit_GetKeyLightIntensity( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkLightKit * _obj = (vtkLightKit * ) SexpToVtk(obj);
    double _res =_obj->GetKeyLightIntensity();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLightKit_SetKeyToFillRatio( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     double  *  __arg =  SexpTodouble(_arg);
    vtkLightKit * _obj = (vtkLightKit * ) SexpToVtk(obj);
    _obj->SetKeyToFillRatio( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLightKit_GetKeyToFillRatioMinValue( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkLightKit * _obj = (vtkLightKit * ) SexpToVtk(obj);
    double _res =_obj->GetKeyToFillRatioMinValue();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLightKit_GetKeyToFillRatioMaxValue( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkLightKit * _obj = (vtkLightKit * ) SexpToVtk(obj);
    double _res =_obj->GetKeyToFillRatioMaxValue();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLightKit_GetKeyToFillRatio( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkLightKit * _obj = (vtkLightKit * ) SexpToVtk(obj);
    double _res =_obj->GetKeyToFillRatio();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLightKit_SetKeyToHeadRatio( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     double  *  __arg =  SexpTodouble(_arg);
    vtkLightKit * _obj = (vtkLightKit * ) SexpToVtk(obj);
    _obj->SetKeyToHeadRatio( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLightKit_GetKeyToHeadRatioMinValue( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkLightKit * _obj = (vtkLightKit * ) SexpToVtk(obj);
    double _res =_obj->GetKeyToHeadRatioMinValue();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLightKit_GetKeyToHeadRatioMaxValue( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkLightKit * _obj = (vtkLightKit * ) SexpToVtk(obj);
    double _res =_obj->GetKeyToHeadRatioMaxValue();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLightKit_GetKeyToHeadRatio( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkLightKit * _obj = (vtkLightKit * ) SexpToVtk(obj);
    double _res =_obj->GetKeyToHeadRatio();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLightKit_SetKeyToBackRatio( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     double  *  __arg =  SexpTodouble(_arg);
    vtkLightKit * _obj = (vtkLightKit * ) SexpToVtk(obj);
    _obj->SetKeyToBackRatio( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLightKit_GetKeyToBackRatioMinValue( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkLightKit * _obj = (vtkLightKit * ) SexpToVtk(obj);
    double _res =_obj->GetKeyToBackRatioMinValue();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLightKit_GetKeyToBackRatioMaxValue( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkLightKit * _obj = (vtkLightKit * ) SexpToVtk(obj);
    double _res =_obj->GetKeyToBackRatioMaxValue();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLightKit_GetKeyToBackRatio( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkLightKit * _obj = (vtkLightKit * ) SexpToVtk(obj);
    double _res =_obj->GetKeyToBackRatio();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLightKit_SetKeyLightWarmth( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     double  *  __arg =  SexpTodouble(_arg);
    vtkLightKit * _obj = (vtkLightKit * ) SexpToVtk(obj);
    _obj->SetKeyLightWarmth( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLightKit_GetKeyLightWarmth( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkLightKit * _obj = (vtkLightKit * ) SexpToVtk(obj);
    double _res =_obj->GetKeyLightWarmth();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLightKit_SetFillLightWarmth( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     double  *  __arg =  SexpTodouble(_arg);
    vtkLightKit * _obj = (vtkLightKit * ) SexpToVtk(obj);
    _obj->SetFillLightWarmth( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLightKit_GetFillLightWarmth( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkLightKit * _obj = (vtkLightKit * ) SexpToVtk(obj);
    double _res =_obj->GetFillLightWarmth();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLightKit_SetHeadlightWarmth( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     double  *  __arg =  SexpTodouble(_arg);
    vtkLightKit * _obj = (vtkLightKit * ) SexpToVtk(obj);
    _obj->SetHeadlightWarmth( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLightKit_GetHeadlightWarmth( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkLightKit * _obj = (vtkLightKit * ) SexpToVtk(obj);
    double _res =_obj->GetHeadlightWarmth();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLightKit_SetBackLightWarmth( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     double  *  __arg =  SexpTodouble(_arg);
    vtkLightKit * _obj = (vtkLightKit * ) SexpToVtk(obj);
    _obj->SetBackLightWarmth( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLightKit_GetBackLightWarmth( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkLightKit * _obj = (vtkLightKit * ) SexpToVtk(obj);
    double _res =_obj->GetBackLightWarmth();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLightKit_GetKeyLightColor( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkLightKit * _obj = (vtkLightKit * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetKeyLightColor();
    res=doubleToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLightKit_GetKeyLightColor_v1( SEXP obj, SEXP data){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  _data =  SexpTodouble(data);
    vtkLightKit * _obj = (vtkLightKit * ) SexpToVtk(obj);
    _obj->GetKeyLightColor(_data);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_data,LENGTH(data)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".data",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLightKit_GetFillLightColor( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkLightKit * _obj = (vtkLightKit * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetFillLightColor();
    res=doubleToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLightKit_GetFillLightColor_v1( SEXP obj, SEXP data){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  _data =  SexpTodouble(data);
    vtkLightKit * _obj = (vtkLightKit * ) SexpToVtk(obj);
    _obj->GetFillLightColor(_data);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_data,LENGTH(data)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".data",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLightKit_GetHeadlightColor( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkLightKit * _obj = (vtkLightKit * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetHeadlightColor();
    res=doubleToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLightKit_GetHeadlightColor_v1( SEXP obj, SEXP data){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  _data =  SexpTodouble(data);
    vtkLightKit * _obj = (vtkLightKit * ) SexpToVtk(obj);
    _obj->GetHeadlightColor(_data);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_data,LENGTH(data)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".data",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLightKit_GetBackLightColor( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkLightKit * _obj = (vtkLightKit * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetBackLightColor();
    res=doubleToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLightKit_GetBackLightColor_v1( SEXP obj, SEXP data){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  _data =  SexpTodouble(data);
    vtkLightKit * _obj = (vtkLightKit * ) SexpToVtk(obj);
    _obj->GetBackLightColor(_data);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_data,LENGTH(data)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".data",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLightKit_MaintainLuminanceOn( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkLightKit * _obj = (vtkLightKit * ) SexpToVtk(obj);
    _obj->MaintainLuminanceOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLightKit_MaintainLuminanceOff( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkLightKit * _obj = (vtkLightKit * ) SexpToVtk(obj);
    _obj->MaintainLuminanceOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLightKit_GetMaintainLuminance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkLightKit * _obj = (vtkLightKit * ) SexpToVtk(obj);
    int _res =_obj->GetMaintainLuminance();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLightKit_SetMaintainLuminance( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkLightKit * _obj = (vtkLightKit * ) SexpToVtk(obj);
    _obj->SetMaintainLuminance( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLightKit_SetKeyLightAngle( SEXP obj, SEXP elevation, SEXP azimuth){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(elevation,1);
     double  *  _elevation =  SexpTodouble(elevation);
    SET_LENGTH(azimuth,1);
     double  *  _azimuth =  SexpTodouble(azimuth);
    vtkLightKit * _obj = (vtkLightKit * ) SexpToVtk(obj);
    _obj->SetKeyLightAngle( * _elevation,  * _azimuth);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLightKit_SetKeyLightAngle_v1( SEXP obj, SEXP angle){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(angle,2);
     double  *  _angle =  SexpTodouble(angle);
    vtkLightKit * _obj = (vtkLightKit * ) SexpToVtk(obj);
    _obj->SetKeyLightAngle(_angle);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_angle,2));
    SET_VECTOR_ELT(res_names,1,charToSexp(".angle",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLightKit_SetKeyLightElevation( SEXP obj, SEXP x){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,1);
     double  *  _x =  SexpTodouble(x);
    vtkLightKit * _obj = (vtkLightKit * ) SexpToVtk(obj);
    _obj->SetKeyLightElevation( * _x);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLightKit_SetKeyLightAzimuth( SEXP obj, SEXP x){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,1);
     double  *  _x =  SexpTodouble(x);
    vtkLightKit * _obj = (vtkLightKit * ) SexpToVtk(obj);
    _obj->SetKeyLightAzimuth( * _x);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLightKit_GetKeyLightAngle( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkLightKit * _obj = (vtkLightKit * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetKeyLightAngle();
    res=doubleToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLightKit_GetKeyLightAngle_v1( SEXP obj, SEXP data){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  _data =  SexpTodouble(data);
    vtkLightKit * _obj = (vtkLightKit * ) SexpToVtk(obj);
    _obj->GetKeyLightAngle(_data);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_data,LENGTH(data)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".data",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLightKit_GetKeyLightElevation( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkLightKit * _obj = (vtkLightKit * ) SexpToVtk(obj);
    double _res =_obj->GetKeyLightElevation();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLightKit_GetKeyLightAzimuth( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkLightKit * _obj = (vtkLightKit * ) SexpToVtk(obj);
    double _res =_obj->GetKeyLightAzimuth();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLightKit_SetFillLightAngle( SEXP obj, SEXP elevation, SEXP azimuth){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(elevation,1);
     double  *  _elevation =  SexpTodouble(elevation);
    SET_LENGTH(azimuth,1);
     double  *  _azimuth =  SexpTodouble(azimuth);
    vtkLightKit * _obj = (vtkLightKit * ) SexpToVtk(obj);
    _obj->SetFillLightAngle( * _elevation,  * _azimuth);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLightKit_SetFillLightAngle_v1( SEXP obj, SEXP angle){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(angle,2);
     double  *  _angle =  SexpTodouble(angle);
    vtkLightKit * _obj = (vtkLightKit * ) SexpToVtk(obj);
    _obj->SetFillLightAngle(_angle);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_angle,2));
    SET_VECTOR_ELT(res_names,1,charToSexp(".angle",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLightKit_SetFillLightElevation( SEXP obj, SEXP x){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,1);
     double  *  _x =  SexpTodouble(x);
    vtkLightKit * _obj = (vtkLightKit * ) SexpToVtk(obj);
    _obj->SetFillLightElevation( * _x);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLightKit_SetFillLightAzimuth( SEXP obj, SEXP x){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,1);
     double  *  _x =  SexpTodouble(x);
    vtkLightKit * _obj = (vtkLightKit * ) SexpToVtk(obj);
    _obj->SetFillLightAzimuth( * _x);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLightKit_GetFillLightAngle( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkLightKit * _obj = (vtkLightKit * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetFillLightAngle();
    res=doubleToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLightKit_GetFillLightAngle_v1( SEXP obj, SEXP data){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  _data =  SexpTodouble(data);
    vtkLightKit * _obj = (vtkLightKit * ) SexpToVtk(obj);
    _obj->GetFillLightAngle(_data);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_data,LENGTH(data)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".data",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLightKit_GetFillLightElevation( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkLightKit * _obj = (vtkLightKit * ) SexpToVtk(obj);
    double _res =_obj->GetFillLightElevation();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLightKit_GetFillLightAzimuth( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkLightKit * _obj = (vtkLightKit * ) SexpToVtk(obj);
    double _res =_obj->GetFillLightAzimuth();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLightKit_SetBackLightAngle( SEXP obj, SEXP elevation, SEXP azimuth){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(elevation,1);
     double  *  _elevation =  SexpTodouble(elevation);
    SET_LENGTH(azimuth,1);
     double  *  _azimuth =  SexpTodouble(azimuth);
    vtkLightKit * _obj = (vtkLightKit * ) SexpToVtk(obj);
    _obj->SetBackLightAngle( * _elevation,  * _azimuth);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLightKit_SetBackLightAngle_v1( SEXP obj, SEXP angle){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(angle,2);
     double  *  _angle =  SexpTodouble(angle);
    vtkLightKit * _obj = (vtkLightKit * ) SexpToVtk(obj);
    _obj->SetBackLightAngle(_angle);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_angle,2));
    SET_VECTOR_ELT(res_names,1,charToSexp(".angle",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLightKit_SetBackLightElevation( SEXP obj, SEXP x){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,1);
     double  *  _x =  SexpTodouble(x);
    vtkLightKit * _obj = (vtkLightKit * ) SexpToVtk(obj);
    _obj->SetBackLightElevation( * _x);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLightKit_SetBackLightAzimuth( SEXP obj, SEXP x){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,1);
     double  *  _x =  SexpTodouble(x);
    vtkLightKit * _obj = (vtkLightKit * ) SexpToVtk(obj);
    _obj->SetBackLightAzimuth( * _x);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLightKit_GetBackLightAngle( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkLightKit * _obj = (vtkLightKit * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetBackLightAngle();
    res=doubleToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLightKit_GetBackLightAngle_v1( SEXP obj, SEXP data){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  _data =  SexpTodouble(data);
    vtkLightKit * _obj = (vtkLightKit * ) SexpToVtk(obj);
    _obj->GetBackLightAngle(_data);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_data,LENGTH(data)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".data",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLightKit_GetBackLightElevation( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkLightKit * _obj = (vtkLightKit * ) SexpToVtk(obj);
    double _res =_obj->GetBackLightElevation();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLightKit_GetBackLightAzimuth( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkLightKit * _obj = (vtkLightKit * ) SexpToVtk(obj);
    double _res =_obj->GetBackLightAzimuth();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLightKit_AddLightsToRenderer( SEXP obj, SEXP renderer){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkRenderer  *  _renderer = (vtkRenderer * )  SexpToVtk(renderer);
    vtkLightKit * _obj = (vtkLightKit * ) SexpToVtk(obj);
    _obj->AddLightsToRenderer(_renderer);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_renderer,"vtkRenderer"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".renderer",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLightKit_RemoveLightsFromRenderer( SEXP obj, SEXP renderer){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkRenderer  *  _renderer = (vtkRenderer * )  SexpToVtk(renderer);
    vtkLightKit * _obj = (vtkLightKit * ) SexpToVtk(obj);
    _obj->RemoveLightsFromRenderer(_renderer);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_renderer,"vtkRenderer"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".renderer",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLightKit_DeepCopy( SEXP obj, SEXP k){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkLightKit  *  _k = (vtkLightKit * )  SexpToVtk(k);
    vtkLightKit * _obj = (vtkLightKit * ) SexpToVtk(obj);
    _obj->DeepCopy(_k);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_k,"vtkLightKit"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".k",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLightKit_Modified( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkLightKit * _obj = (vtkLightKit * ) SexpToVtk(obj);
    _obj->Modified();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLightKit_Update( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkLightKit * _obj = (vtkLightKit * ) SexpToVtk(obj);
    _obj->Update();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkLightKit_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkLightKit * res= ( vtkLightKit * ) vtkLightKit::New();
    R_res=toRPointer(res,"vtkLightKit");
    return(R_res);
  }
}
