#include <vtk/vtkOpenGLPolyDataMapper2D.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
  SEXP R_vtkOpenGLPolyDataMapper2D_GetClassName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkOpenGLPolyDataMapper2D * _obj = (vtkOpenGLPolyDataMapper2D
 * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetClassName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOpenGLPolyDataMapper2D_IsTypeOf( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkOpenGLPolyDataMapper2D * _obj = (vtkOpenGLPolyDataMapper2D
 * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOpenGLPolyDataMapper2D_IsA( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkOpenGLPolyDataMapper2D * _obj = (vtkOpenGLPolyDataMapper2D
 * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOpenGLPolyDataMapper2D_SafeDownCast( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkOpenGLPolyDataMapper2D * _obj = (vtkOpenGLPolyDataMapper2D
 * ) SexpToVtk(obj);
    vtkOpenGLPolyDataMapper2D *  _res =( vtkOpenGLPolyDataMapper2D * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkOpenGLPolyDataMapper2D");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOpenGLPolyDataMapper2D_NewInstance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkOpenGLPolyDataMapper2D * _obj = (vtkOpenGLPolyDataMapper2D
 * ) SexpToVtk(obj);
    vtkOpenGLPolyDataMapper2D *  _res =( vtkOpenGLPolyDataMapper2D * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkOpenGLPolyDataMapper2D");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOpenGLPolyDataMapper2D_RenderOverlay( SEXP obj, SEXP viewport, SEXP actor){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkViewport  *  _viewport = (vtkViewport * )  SexpToVtk(viewport);
     vtkActor2D  *  _actor = (vtkActor2D * )  SexpToVtk(actor);
    vtkOpenGLPolyDataMapper2D * _obj = (vtkOpenGLPolyDataMapper2D
 * ) SexpToVtk(obj);
    _obj->RenderOverlay(_viewport, _actor);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_viewport,"vtkViewport"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".viewport",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_actor,"vtkActor2D"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".actor",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkOpenGLPolyDataMapper2D_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkOpenGLPolyDataMapper2D * res= ( vtkOpenGLPolyDataMapper2D * ) 
vtkOpenGLPolyDataMapper2D::New();
    R_res=toRPointer(res,"vtkOpenGLPolyDataMapper2D");
    return(R_res);
  }
}
