#include <vtk/vtkPicker.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
  SEXP R_vtkPicker_GetClassName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPicker * _obj = (vtkPicker * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetClassName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPicker_IsTypeOf( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkPicker * _obj = (vtkPicker * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPicker_IsA( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkPicker * _obj = (vtkPicker * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPicker_SafeDownCast( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkPicker * _obj = (vtkPicker * ) SexpToVtk(obj);
    vtkPicker *  _res =( vtkPicker * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkPicker");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPicker_NewInstance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPicker * _obj = (vtkPicker * ) SexpToVtk(obj);
    vtkPicker *  _res =( vtkPicker * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkPicker");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPicker_SetTolerance( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     double  *  __arg =  SexpTodouble(_arg);
    vtkPicker * _obj = (vtkPicker * ) SexpToVtk(obj);
    _obj->SetTolerance( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPicker_GetTolerance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPicker * _obj = (vtkPicker * ) SexpToVtk(obj);
    double _res =_obj->GetTolerance();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPicker_GetMapperPosition( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPicker * _obj = (vtkPicker * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetMapperPosition();
    res=doubleToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPicker_GetMapperPosition_v1( SEXP obj, SEXP data){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  _data =  SexpTodouble(data);
    vtkPicker * _obj = (vtkPicker * ) SexpToVtk(obj);
    _obj->GetMapperPosition(_data);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_data,LENGTH(data)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".data",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPicker_GetMapper( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPicker * _obj = (vtkPicker * ) SexpToVtk(obj);
    vtkAbstractMapper3D *  _res =( vtkAbstractMapper3D * )_obj->GetMapper();
    res=VtkToSexp(_res,"vtkAbstractMapper3D");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPicker_GetDataSet( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPicker * _obj = (vtkPicker * ) SexpToVtk(obj);
    vtkDataSet *  _res =( vtkDataSet * )_obj->GetDataSet();
    res=VtkToSexp(_res,"vtkDataSet");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPicker_GetProp3Ds( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPicker * _obj = (vtkPicker * ) SexpToVtk(obj);
    vtkProp3DCollection *  _res =( vtkProp3DCollection * )_obj->GetProp3Ds();
    res=VtkToSexp(_res,"vtkProp3DCollection");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPicker_GetActors( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPicker * _obj = (vtkPicker * ) SexpToVtk(obj);
    vtkActorCollection *  _res =( vtkActorCollection * )_obj->GetActors();
    res=VtkToSexp(_res,"vtkActorCollection");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPicker_GetPickedPositions( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPicker * _obj = (vtkPicker * ) SexpToVtk(obj);
    vtkPoints *  _res =( vtkPoints * )_obj->GetPickedPositions();
    res=VtkToSexp(_res,"vtkPoints");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPicker_Pick( SEXP obj, SEXP selectionX, SEXP selectionY, SEXP selectionZ, SEXP renderer){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(selectionX,1);
     double  *  _selectionX =  SexpTodouble(selectionX);
    SET_LENGTH(selectionY,1);
     double  *  _selectionY =  SexpTodouble(selectionY);
    SET_LENGTH(selectionZ,1);
     double  *  _selectionZ =  SexpTodouble(selectionZ);
     vtkRenderer  *  _renderer = (vtkRenderer * )  SexpToVtk(renderer);
    vtkPicker * _obj = (vtkPicker * ) SexpToVtk(obj);
    int _res =_obj->Pick( * _selectionX,  * _selectionY,  * _selectionZ, _renderer);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_renderer,"vtkRenderer"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".renderer",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPicker_Pick_v1( SEXP obj, SEXP selectionPt, SEXP ren){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(selectionPt,1);
     double  *  _selectionPt =  SexpTodouble(selectionPt);
     vtkRenderer  *  _ren = (vtkRenderer * )  SexpToVtk(ren);
    vtkPicker * _obj = (vtkPicker * ) SexpToVtk(obj);
    int _res =_obj->Pick(_selectionPt, _ren);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_selectionPt,1));
    SET_VECTOR_ELT(res_names,1,charToSexp(".selectionPt",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_ren,"vtkRenderer"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".ren",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPicker_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkPicker * res= ( vtkPicker * ) vtkPicker::New();
    R_res=toRPointer(res,"vtkPicker");
    return(R_res);
  }
}
