#include <vtk/vtkPolyDataMapper2D.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
  SEXP R_vtkPolyDataMapper2D_GetClassName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPolyDataMapper2D * _obj = (vtkPolyDataMapper2D * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetClassName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolyDataMapper2D_IsTypeOf( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkPolyDataMapper2D * _obj = (vtkPolyDataMapper2D * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolyDataMapper2D_IsA( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkPolyDataMapper2D * _obj = (vtkPolyDataMapper2D * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolyDataMapper2D_SafeDownCast( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkPolyDataMapper2D * _obj = (vtkPolyDataMapper2D * ) SexpToVtk(obj);
    vtkPolyDataMapper2D *  _res =( vtkPolyDataMapper2D * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkPolyDataMapper2D");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolyDataMapper2D_NewInstance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPolyDataMapper2D * _obj = (vtkPolyDataMapper2D * ) SexpToVtk(obj);
    vtkPolyDataMapper2D *  _res =( vtkPolyDataMapper2D * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkPolyDataMapper2D");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolyDataMapper2D_SetInput( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkPolyData  *  __arg = (vtkPolyData * )  SexpToVtk(_arg);
    vtkPolyDataMapper2D * _obj = (vtkPolyDataMapper2D * ) SexpToVtk(obj);
    _obj->SetInput(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(__arg,"vtkPolyData"));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolyDataMapper2D_GetInput( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPolyDataMapper2D * _obj = (vtkPolyDataMapper2D * ) SexpToVtk(obj);
    vtkPolyData *  _res =( vtkPolyData * )_obj->GetInput();
    res=VtkToSexp(_res,"vtkPolyData");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolyDataMapper2D_SetLookupTable( SEXP obj, SEXP lut){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkScalarsToColors  *  _lut = (vtkScalarsToColors * )  SexpToVtk(lut);
    vtkPolyDataMapper2D * _obj = (vtkPolyDataMapper2D * ) SexpToVtk(obj);
    _obj->SetLookupTable(_lut);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_lut,"vtkScalarsToColors"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".lut",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolyDataMapper2D_GetLookupTable( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPolyDataMapper2D * _obj = (vtkPolyDataMapper2D * ) SexpToVtk(obj);
    vtkScalarsToColors *  _res =( vtkScalarsToColors * )_obj->GetLookupTable();
    res=VtkToSexp(_res,"vtkScalarsToColors");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolyDataMapper2D_CreateDefaultLookupTable( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPolyDataMapper2D * _obj = (vtkPolyDataMapper2D * ) SexpToVtk(obj);
    _obj->CreateDefaultLookupTable();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolyDataMapper2D_SetScalarVisibility( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkPolyDataMapper2D * _obj = (vtkPolyDataMapper2D * ) SexpToVtk(obj);
    _obj->SetScalarVisibility( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolyDataMapper2D_GetScalarVisibility( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPolyDataMapper2D * _obj = (vtkPolyDataMapper2D * ) SexpToVtk(obj);
    int _res =_obj->GetScalarVisibility();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolyDataMapper2D_ScalarVisibilityOn( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPolyDataMapper2D * _obj = (vtkPolyDataMapper2D * ) SexpToVtk(obj);
    _obj->ScalarVisibilityOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolyDataMapper2D_ScalarVisibilityOff( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPolyDataMapper2D * _obj = (vtkPolyDataMapper2D * ) SexpToVtk(obj);
    _obj->ScalarVisibilityOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolyDataMapper2D_SetColorMode( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkPolyDataMapper2D * _obj = (vtkPolyDataMapper2D * ) SexpToVtk(obj);
    _obj->SetColorMode( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolyDataMapper2D_GetColorMode( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPolyDataMapper2D * _obj = (vtkPolyDataMapper2D * ) SexpToVtk(obj);
    int _res =_obj->GetColorMode();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolyDataMapper2D_SetColorModeToDefault( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPolyDataMapper2D * _obj = (vtkPolyDataMapper2D * ) SexpToVtk(obj);
    _obj->SetColorModeToDefault();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolyDataMapper2D_SetColorModeToMapScalars( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPolyDataMapper2D * _obj = (vtkPolyDataMapper2D * ) SexpToVtk(obj);
    _obj->SetColorModeToMapScalars();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolyDataMapper2D_GetColorModeAsString( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPolyDataMapper2D * _obj = (vtkPolyDataMapper2D * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetColorModeAsString();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolyDataMapper2D_SetUseLookupTableScalarRange( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkPolyDataMapper2D * _obj = (vtkPolyDataMapper2D * ) SexpToVtk(obj);
    _obj->SetUseLookupTableScalarRange( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolyDataMapper2D_GetUseLookupTableScalarRange( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPolyDataMapper2D * _obj = (vtkPolyDataMapper2D * ) SexpToVtk(obj);
    int _res =_obj->GetUseLookupTableScalarRange();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolyDataMapper2D_UseLookupTableScalarRangeOn( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPolyDataMapper2D * _obj = (vtkPolyDataMapper2D * ) SexpToVtk(obj);
    _obj->UseLookupTableScalarRangeOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolyDataMapper2D_UseLookupTableScalarRangeOff( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPolyDataMapper2D * _obj = (vtkPolyDataMapper2D * ) SexpToVtk(obj);
    _obj->UseLookupTableScalarRangeOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolyDataMapper2D_SetScalarRange( SEXP obj, SEXP _arg1, SEXP _arg2){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg1,1);
     double  *  __arg1 =  SexpTodouble(_arg1);
    SET_LENGTH(_arg2,1);
     double  *  __arg2 =  SexpTodouble(_arg2);
    vtkPolyDataMapper2D * _obj = (vtkPolyDataMapper2D * ) SexpToVtk(obj);
    _obj->SetScalarRange( * __arg1,  * __arg2);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolyDataMapper2D_SetScalarRange_v1( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  __arg =  SexpTodouble(_arg);
    vtkPolyDataMapper2D * _obj = (vtkPolyDataMapper2D * ) SexpToVtk(obj);
    _obj->SetScalarRange(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(__arg,LENGTH(_arg)));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolyDataMapper2D_GetScalarRange( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPolyDataMapper2D * _obj = (vtkPolyDataMapper2D * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetScalarRange();
    res=doubleToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolyDataMapper2D_GetScalarRange_v1( SEXP obj, SEXP data){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  _data =  SexpTodouble(data);
    vtkPolyDataMapper2D * _obj = (vtkPolyDataMapper2D * ) SexpToVtk(obj);
    _obj->GetScalarRange(_data);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_data,LENGTH(data)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".data",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolyDataMapper2D_SetScalarMode( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkPolyDataMapper2D * _obj = (vtkPolyDataMapper2D * ) SexpToVtk(obj);
    _obj->SetScalarMode( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolyDataMapper2D_GetScalarMode( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPolyDataMapper2D * _obj = (vtkPolyDataMapper2D * ) SexpToVtk(obj);
    int _res =_obj->GetScalarMode();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolyDataMapper2D_SetScalarModeToDefault( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPolyDataMapper2D * _obj = (vtkPolyDataMapper2D * ) SexpToVtk(obj);
    _obj->SetScalarModeToDefault();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolyDataMapper2D_SetScalarModeToUsePointData( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPolyDataMapper2D * _obj = (vtkPolyDataMapper2D * ) SexpToVtk(obj);
    _obj->SetScalarModeToUsePointData();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolyDataMapper2D_SetScalarModeToUseCellData( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPolyDataMapper2D * _obj = (vtkPolyDataMapper2D * ) SexpToVtk(obj);
    _obj->SetScalarModeToUseCellData();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolyDataMapper2D_SetScalarModeToUsePointFieldData( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPolyDataMapper2D * _obj = (vtkPolyDataMapper2D * ) SexpToVtk(obj);
    _obj->SetScalarModeToUsePointFieldData();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolyDataMapper2D_SetScalarModeToUseCellFieldData( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPolyDataMapper2D * _obj = (vtkPolyDataMapper2D * ) SexpToVtk(obj);
    _obj->SetScalarModeToUseCellFieldData();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolyDataMapper2D_ColorByArrayComponent( SEXP obj, SEXP arrayNum, SEXP component){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(arrayNum,1);
     int  *  _arrayNum =  SexpToint(arrayNum);
    SET_LENGTH(component,1);
     int  *  _component =  SexpToint(component);
    vtkPolyDataMapper2D * _obj = (vtkPolyDataMapper2D * ) SexpToVtk(obj);
    _obj->ColorByArrayComponent( * _arrayNum,  * _component);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolyDataMapper2D_ColorByArrayComponent_v1( SEXP obj, SEXP arrayName, SEXP component){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _arrayName =  SexpTochar(arrayName);
    SET_LENGTH(component,1);
     int  *  _component =  SexpToint(component);
    vtkPolyDataMapper2D * _obj = (vtkPolyDataMapper2D * ) SexpToVtk(obj);
    _obj->ColorByArrayComponent(_arrayName,  * _component);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,charToSexp(_arrayName,LENGTH(arrayName)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".arrayName",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolyDataMapper2D_GetArrayName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPolyDataMapper2D * _obj = (vtkPolyDataMapper2D * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetArrayName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolyDataMapper2D_GetArrayId( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPolyDataMapper2D * _obj = (vtkPolyDataMapper2D * ) SexpToVtk(obj);
    int _res =_obj->GetArrayId();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolyDataMapper2D_GetArrayAccessMode( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPolyDataMapper2D * _obj = (vtkPolyDataMapper2D * ) SexpToVtk(obj);
    int _res =_obj->GetArrayAccessMode();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolyDataMapper2D_GetArrayComponent( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPolyDataMapper2D * _obj = (vtkPolyDataMapper2D * ) SexpToVtk(obj);
    int _res =_obj->GetArrayComponent();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolyDataMapper2D_GetMTime( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPolyDataMapper2D * _obj = (vtkPolyDataMapper2D * ) SexpToVtk(obj);
    long unsigned int _res =_obj->GetMTime();
    res=long_unsigned_intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolyDataMapper2D_SetTransformCoordinate( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkCoordinate  *  __arg = (vtkCoordinate * )  SexpToVtk(_arg);
    vtkPolyDataMapper2D * _obj = (vtkPolyDataMapper2D * ) SexpToVtk(obj);
    _obj->SetTransformCoordinate(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(__arg,"vtkCoordinate"));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolyDataMapper2D_GetTransformCoordinate( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPolyDataMapper2D * _obj = (vtkPolyDataMapper2D * ) SexpToVtk(obj);
    vtkCoordinate *  _res =( vtkCoordinate * )_obj->GetTransformCoordinate();
    res=VtkToSexp(_res,"vtkCoordinate");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolyDataMapper2D_MapScalars( SEXP obj, SEXP alpha){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(alpha,1);
     double  *  _alpha =  SexpTodouble(alpha);
    vtkPolyDataMapper2D * _obj = (vtkPolyDataMapper2D * ) SexpToVtk(obj);
    vtkUnsignedCharArray *  _res =( vtkUnsignedCharArray * )_obj->MapScalars( * _alpha);
    res=VtkToSexp(_res,"vtkUnsignedCharArray");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolyDataMapper2D_ShallowCopy( SEXP obj, SEXP mapper){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkAbstractMapper  *  _mapper = (vtkAbstractMapper * )  SexpToVtk(mapper);
    vtkPolyDataMapper2D * _obj = (vtkPolyDataMapper2D * ) SexpToVtk(obj);
    _obj->ShallowCopy(_mapper);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_mapper,"vtkAbstractMapper"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".mapper",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPolyDataMapper2D_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkPolyDataMapper2D * res= ( vtkPolyDataMapper2D * ) vtkPolyDataMapper2D
::New();
    R_res=toRPointer(res,"vtkPolyDataMapper2D");
    return(R_res);
  }
}
