#include <vtk/vtkUnstructuredGridVolumeRayCastMapper.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
  SEXP R_vtkUnstructuredGridVolumeRayCastMapper_GetClassName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkUnstructuredGridVolumeRayCastMapper * _obj = (
vtkUnstructuredGridVolumeRayCastMapper * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetClassName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUnstructuredGridVolumeRayCastMapper_IsTypeOf( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkUnstructuredGridVolumeRayCastMapper * _obj = (
vtkUnstructuredGridVolumeRayCastMapper * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUnstructuredGridVolumeRayCastMapper_IsA( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkUnstructuredGridVolumeRayCastMapper * _obj = (
vtkUnstructuredGridVolumeRayCastMapper * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUnstructuredGridVolumeRayCastMapper_SafeDownCast( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkUnstructuredGridVolumeRayCastMapper * _obj = (
vtkUnstructuredGridVolumeRayCastMapper * ) SexpToVtk(obj);
    vtkUnstructuredGridVolumeRayCastMapper *  _res =( vtkUnstructuredGridVolumeRayCastMapper * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkUnstructuredGridVolumeRayCastMapper");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUnstructuredGridVolumeRayCastMapper_NewInstance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkUnstructuredGridVolumeRayCastMapper * _obj = (
vtkUnstructuredGridVolumeRayCastMapper * ) SexpToVtk(obj);
    vtkUnstructuredGridVolumeRayCastMapper *  _res =( vtkUnstructuredGridVolumeRayCastMapper * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkUnstructuredGridVolumeRayCastMapper");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUnstructuredGridVolumeRayCastMapper_SetImageSampleDistance( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     float  *  __arg =  SexpTofloat(_arg);
    vtkUnstructuredGridVolumeRayCastMapper * _obj = (
vtkUnstructuredGridVolumeRayCastMapper * ) SexpToVtk(obj);
    _obj->SetImageSampleDistance( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUnstructuredGridVolumeRayCastMapper_GetImageSampleDistanceMinValue( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkUnstructuredGridVolumeRayCastMapper * _obj = (
vtkUnstructuredGridVolumeRayCastMapper * ) SexpToVtk(obj);
    float _res =_obj->GetImageSampleDistanceMinValue();
    res=floatToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUnstructuredGridVolumeRayCastMapper_GetImageSampleDistanceMaxValue( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkUnstructuredGridVolumeRayCastMapper * _obj = (
vtkUnstructuredGridVolumeRayCastMapper * ) SexpToVtk(obj);
    float _res =_obj->GetImageSampleDistanceMaxValue();
    res=floatToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUnstructuredGridVolumeRayCastMapper_GetImageSampleDistance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkUnstructuredGridVolumeRayCastMapper * _obj = (
vtkUnstructuredGridVolumeRayCastMapper * ) SexpToVtk(obj);
    float _res =_obj->GetImageSampleDistance();
    res=floatToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUnstructuredGridVolumeRayCastMapper_SetMinimumImageSampleDistance( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     float  *  __arg =  SexpTofloat(_arg);
    vtkUnstructuredGridVolumeRayCastMapper * _obj = (
vtkUnstructuredGridVolumeRayCastMapper * ) SexpToVtk(obj);
    _obj->SetMinimumImageSampleDistance( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUnstructuredGridVolumeRayCastMapper_GetMinimumImageSampleDistanceMinValue( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkUnstructuredGridVolumeRayCastMapper * _obj = (
vtkUnstructuredGridVolumeRayCastMapper * ) SexpToVtk(obj);
    float _res =_obj->GetMinimumImageSampleDistanceMinValue();
    res=floatToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUnstructuredGridVolumeRayCastMapper_GetMinimumImageSampleDistanceMaxValue( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkUnstructuredGridVolumeRayCastMapper * _obj = (
vtkUnstructuredGridVolumeRayCastMapper * ) SexpToVtk(obj);
    float _res =_obj->GetMinimumImageSampleDistanceMaxValue();
    res=floatToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUnstructuredGridVolumeRayCastMapper_GetMinimumImageSampleDistance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkUnstructuredGridVolumeRayCastMapper * _obj = (
vtkUnstructuredGridVolumeRayCastMapper * ) SexpToVtk(obj);
    float _res =_obj->GetMinimumImageSampleDistance();
    res=floatToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUnstructuredGridVolumeRayCastMapper_SetMaximumImageSampleDistance( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     float  *  __arg =  SexpTofloat(_arg);
    vtkUnstructuredGridVolumeRayCastMapper * _obj = (
vtkUnstructuredGridVolumeRayCastMapper * ) SexpToVtk(obj);
    _obj->SetMaximumImageSampleDistance( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUnstructuredGridVolumeRayCastMapper_GetMaximumImageSampleDistanceMinValue( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkUnstructuredGridVolumeRayCastMapper * _obj = (
vtkUnstructuredGridVolumeRayCastMapper * ) SexpToVtk(obj);
    float _res =_obj->GetMaximumImageSampleDistanceMinValue();
    res=floatToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUnstructuredGridVolumeRayCastMapper_GetMaximumImageSampleDistanceMaxValue( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkUnstructuredGridVolumeRayCastMapper * _obj = (
vtkUnstructuredGridVolumeRayCastMapper * ) SexpToVtk(obj);
    float _res =_obj->GetMaximumImageSampleDistanceMaxValue();
    res=floatToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUnstructuredGridVolumeRayCastMapper_GetMaximumImageSampleDistance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkUnstructuredGridVolumeRayCastMapper * _obj = (
vtkUnstructuredGridVolumeRayCastMapper * ) SexpToVtk(obj);
    float _res =_obj->GetMaximumImageSampleDistance();
    res=floatToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUnstructuredGridVolumeRayCastMapper_SetAutoAdjustSampleDistances( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkUnstructuredGridVolumeRayCastMapper * _obj = (
vtkUnstructuredGridVolumeRayCastMapper * ) SexpToVtk(obj);
    _obj->SetAutoAdjustSampleDistances( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUnstructuredGridVolumeRayCastMapper_GetAutoAdjustSampleDistancesMinValue( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkUnstructuredGridVolumeRayCastMapper * _obj = (
vtkUnstructuredGridVolumeRayCastMapper * ) SexpToVtk(obj);
    int _res =_obj->GetAutoAdjustSampleDistancesMinValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUnstructuredGridVolumeRayCastMapper_GetAutoAdjustSampleDistancesMaxValue( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkUnstructuredGridVolumeRayCastMapper * _obj = (
vtkUnstructuredGridVolumeRayCastMapper * ) SexpToVtk(obj);
    int _res =_obj->GetAutoAdjustSampleDistancesMaxValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUnstructuredGridVolumeRayCastMapper_GetAutoAdjustSampleDistances( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkUnstructuredGridVolumeRayCastMapper * _obj = (
vtkUnstructuredGridVolumeRayCastMapper * ) SexpToVtk(obj);
    int _res =_obj->GetAutoAdjustSampleDistances();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUnstructuredGridVolumeRayCastMapper_AutoAdjustSampleDistancesOn( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkUnstructuredGridVolumeRayCastMapper * _obj = (
vtkUnstructuredGridVolumeRayCastMapper * ) SexpToVtk(obj);
    _obj->AutoAdjustSampleDistancesOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUnstructuredGridVolumeRayCastMapper_AutoAdjustSampleDistancesOff( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkUnstructuredGridVolumeRayCastMapper * _obj = (
vtkUnstructuredGridVolumeRayCastMapper * ) SexpToVtk(obj);
    _obj->AutoAdjustSampleDistancesOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUnstructuredGridVolumeRayCastMapper_SetNumberOfThreads( SEXP obj, SEXP num){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(num,1);
     int  *  _num =  SexpToint(num);
    vtkUnstructuredGridVolumeRayCastMapper * _obj = (
vtkUnstructuredGridVolumeRayCastMapper * ) SexpToVtk(obj);
    _obj->SetNumberOfThreads( * _num);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUnstructuredGridVolumeRayCastMapper_GetNumberOfThreads( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkUnstructuredGridVolumeRayCastMapper * _obj = (
vtkUnstructuredGridVolumeRayCastMapper * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfThreads();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUnstructuredGridVolumeRayCastMapper_SetIntermixIntersectingGeometry( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkUnstructuredGridVolumeRayCastMapper * _obj = (
vtkUnstructuredGridVolumeRayCastMapper * ) SexpToVtk(obj);
    _obj->SetIntermixIntersectingGeometry( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUnstructuredGridVolumeRayCastMapper_GetIntermixIntersectingGeometryMinValue( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkUnstructuredGridVolumeRayCastMapper * _obj = (
vtkUnstructuredGridVolumeRayCastMapper * ) SexpToVtk(obj);
    int _res =_obj->GetIntermixIntersectingGeometryMinValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUnstructuredGridVolumeRayCastMapper_GetIntermixIntersectingGeometryMaxValue( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkUnstructuredGridVolumeRayCastMapper * _obj = (
vtkUnstructuredGridVolumeRayCastMapper * ) SexpToVtk(obj);
    int _res =_obj->GetIntermixIntersectingGeometryMaxValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUnstructuredGridVolumeRayCastMapper_GetIntermixIntersectingGeometry( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkUnstructuredGridVolumeRayCastMapper * _obj = (
vtkUnstructuredGridVolumeRayCastMapper * ) SexpToVtk(obj);
    int _res =_obj->GetIntermixIntersectingGeometry();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUnstructuredGridVolumeRayCastMapper_IntermixIntersectingGeometryOn( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkUnstructuredGridVolumeRayCastMapper * _obj = (
vtkUnstructuredGridVolumeRayCastMapper * ) SexpToVtk(obj);
    _obj->IntermixIntersectingGeometryOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUnstructuredGridVolumeRayCastMapper_IntermixIntersectingGeometryOff( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkUnstructuredGridVolumeRayCastMapper * _obj = (
vtkUnstructuredGridVolumeRayCastMapper * ) SexpToVtk(obj);
    _obj->IntermixIntersectingGeometryOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUnstructuredGridVolumeRayCastMapper_Render( SEXP obj, SEXP ren, SEXP vol){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkRenderer  *  _ren = (vtkRenderer * )  SexpToVtk(ren);
     vtkVolume  *  _vol = (vtkVolume * )  SexpToVtk(vol);
    vtkUnstructuredGridVolumeRayCastMapper * _obj = (
vtkUnstructuredGridVolumeRayCastMapper * ) SexpToVtk(obj);
    _obj->Render(_ren, _vol);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_ren,"vtkRenderer"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".ren",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_vol,"vtkVolume"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".vol",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUnstructuredGridVolumeRayCastMapper_GetImageInUseSize( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkUnstructuredGridVolumeRayCastMapper * _obj = (
vtkUnstructuredGridVolumeRayCastMapper * ) SexpToVtk(obj);
    int *  _res =( int * )_obj->GetImageInUseSize();
    res=intToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUnstructuredGridVolumeRayCastMapper_GetImageInUseSize_v1( SEXP obj, SEXP data){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     int  *  _data =  SexpToint(data);
    vtkUnstructuredGridVolumeRayCastMapper * _obj = (
vtkUnstructuredGridVolumeRayCastMapper * ) SexpToVtk(obj);
    _obj->GetImageInUseSize(_data);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(_data,LENGTH(data)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".data",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUnstructuredGridVolumeRayCastMapper_GetImageOrigin( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkUnstructuredGridVolumeRayCastMapper * _obj = (
vtkUnstructuredGridVolumeRayCastMapper * ) SexpToVtk(obj);
    int *  _res =( int * )_obj->GetImageOrigin();
    res=intToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUnstructuredGridVolumeRayCastMapper_GetImageOrigin_v1( SEXP obj, SEXP data){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     int  *  _data =  SexpToint(data);
    vtkUnstructuredGridVolumeRayCastMapper * _obj = (
vtkUnstructuredGridVolumeRayCastMapper * ) SexpToVtk(obj);
    _obj->GetImageOrigin(_data);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(_data,LENGTH(data)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".data",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUnstructuredGridVolumeRayCastMapper_GetImageViewportSize( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkUnstructuredGridVolumeRayCastMapper * _obj = (
vtkUnstructuredGridVolumeRayCastMapper * ) SexpToVtk(obj);
    int *  _res =( int * )_obj->GetImageViewportSize();
    res=intToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUnstructuredGridVolumeRayCastMapper_GetImageViewportSize_v1( SEXP obj, SEXP data){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     int  *  _data =  SexpToint(data);
    vtkUnstructuredGridVolumeRayCastMapper * _obj = (
vtkUnstructuredGridVolumeRayCastMapper * ) SexpToVtk(obj);
    _obj->GetImageViewportSize(_data);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(_data,LENGTH(data)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".data",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUnstructuredGridVolumeRayCastMapper_CastRays( SEXP obj, SEXP threadID, SEXP threadCount){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(threadID,1);
     int  *  _threadID =  SexpToint(threadID);
    SET_LENGTH(threadCount,1);
     int  *  _threadCount =  SexpToint(threadCount);
    vtkUnstructuredGridVolumeRayCastMapper * _obj = (
vtkUnstructuredGridVolumeRayCastMapper * ) SexpToVtk(obj);
    _obj->CastRays( * _threadID,  * _threadCount);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkUnstructuredGridVolumeRayCastMapper_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkUnstructuredGridVolumeRayCastMapper * res= ( 
vtkUnstructuredGridVolumeRayCastMapper * ) 
vtkUnstructuredGridVolumeRayCastMapper::New();
    R_res=toRPointer(res,"vtkUnstructuredGridVolumeRayCastMapper");
    return(R_res);
  }
}
