#include <vtk/vtkVolumeRayCastMapper.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
  SEXP R_vtkVolumeRayCastMapper_GetClassName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVolumeRayCastMapper * _obj = (vtkVolumeRayCastMapper * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetClassName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeRayCastMapper_IsTypeOf( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkVolumeRayCastMapper * _obj = (vtkVolumeRayCastMapper * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeRayCastMapper_IsA( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkVolumeRayCastMapper * _obj = (vtkVolumeRayCastMapper * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeRayCastMapper_SafeDownCast( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkVolumeRayCastMapper * _obj = (vtkVolumeRayCastMapper * ) SexpToVtk(obj);
    vtkVolumeRayCastMapper *  _res =( vtkVolumeRayCastMapper * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkVolumeRayCastMapper");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeRayCastMapper_NewInstance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVolumeRayCastMapper * _obj = (vtkVolumeRayCastMapper * ) SexpToVtk(obj);
    vtkVolumeRayCastMapper *  _res =( vtkVolumeRayCastMapper * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkVolumeRayCastMapper");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeRayCastMapper_SetSampleDistance( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     double  *  __arg =  SexpTodouble(_arg);
    vtkVolumeRayCastMapper * _obj = (vtkVolumeRayCastMapper * ) SexpToVtk(obj);
    _obj->SetSampleDistance( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeRayCastMapper_GetSampleDistance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVolumeRayCastMapper * _obj = (vtkVolumeRayCastMapper * ) SexpToVtk(obj);
    double _res =_obj->GetSampleDistance();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeRayCastMapper_SetVolumeRayCastFunction( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkVolumeRayCastFunction  *  __arg = (vtkVolumeRayCastFunction * )  
SexpToVtk(_arg);
    vtkVolumeRayCastMapper * _obj = (vtkVolumeRayCastMapper * ) SexpToVtk(obj);
    _obj->SetVolumeRayCastFunction(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(__arg,"vtkVolumeRayCastFunction"));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeRayCastMapper_GetVolumeRayCastFunction( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVolumeRayCastMapper * _obj = (vtkVolumeRayCastMapper * ) SexpToVtk(obj);
    vtkVolumeRayCastFunction *  _res =( vtkVolumeRayCastFunction * )_obj->GetVolumeRayCastFunction();
    res=VtkToSexp(_res,"vtkVolumeRayCastFunction");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeRayCastMapper_SetGradientEstimator( SEXP obj, SEXP gradest){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkEncodedGradientEstimator  *  _gradest = 
(vtkEncodedGradientEstimator * )  SexpToVtk(gradest);
    vtkVolumeRayCastMapper * _obj = (vtkVolumeRayCastMapper * ) SexpToVtk(obj);
    _obj->SetGradientEstimator(_gradest);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_gradest,"vtkEncodedGradientEstimator"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".gradest",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeRayCastMapper_GetGradientEstimator( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVolumeRayCastMapper * _obj = (vtkVolumeRayCastMapper * ) SexpToVtk(obj);
    vtkEncodedGradientEstimator *  _res =( vtkEncodedGradientEstimator * )_obj->GetGradientEstimator();
    res=VtkToSexp(_res,"vtkEncodedGradientEstimator");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeRayCastMapper_GetGradientShader( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVolumeRayCastMapper * _obj = (vtkVolumeRayCastMapper * ) SexpToVtk(obj);
    vtkEncodedGradientShader *  _res =( vtkEncodedGradientShader * )_obj->GetGradientShader();
    res=VtkToSexp(_res,"vtkEncodedGradientShader");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeRayCastMapper_SetImageSampleDistance( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     double  *  __arg =  SexpTodouble(_arg);
    vtkVolumeRayCastMapper * _obj = (vtkVolumeRayCastMapper * ) SexpToVtk(obj);
    _obj->SetImageSampleDistance( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeRayCastMapper_GetImageSampleDistanceMinValue( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVolumeRayCastMapper * _obj = (vtkVolumeRayCastMapper * ) SexpToVtk(obj);
    double _res =_obj->GetImageSampleDistanceMinValue();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeRayCastMapper_GetImageSampleDistanceMaxValue( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVolumeRayCastMapper * _obj = (vtkVolumeRayCastMapper * ) SexpToVtk(obj);
    double _res =_obj->GetImageSampleDistanceMaxValue();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeRayCastMapper_GetImageSampleDistance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVolumeRayCastMapper * _obj = (vtkVolumeRayCastMapper * ) SexpToVtk(obj);
    double _res =_obj->GetImageSampleDistance();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeRayCastMapper_SetMinimumImageSampleDistance( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     double  *  __arg =  SexpTodouble(_arg);
    vtkVolumeRayCastMapper * _obj = (vtkVolumeRayCastMapper * ) SexpToVtk(obj);
    _obj->SetMinimumImageSampleDistance( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeRayCastMapper_GetMinimumImageSampleDistanceMinValue( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVolumeRayCastMapper * _obj = (vtkVolumeRayCastMapper * ) SexpToVtk(obj);
    double _res =_obj->GetMinimumImageSampleDistanceMinValue();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeRayCastMapper_GetMinimumImageSampleDistanceMaxValue( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVolumeRayCastMapper * _obj = (vtkVolumeRayCastMapper * ) SexpToVtk(obj);
    double _res =_obj->GetMinimumImageSampleDistanceMaxValue();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeRayCastMapper_GetMinimumImageSampleDistance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVolumeRayCastMapper * _obj = (vtkVolumeRayCastMapper * ) SexpToVtk(obj);
    double _res =_obj->GetMinimumImageSampleDistance();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeRayCastMapper_SetMaximumImageSampleDistance( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     double  *  __arg =  SexpTodouble(_arg);
    vtkVolumeRayCastMapper * _obj = (vtkVolumeRayCastMapper * ) SexpToVtk(obj);
    _obj->SetMaximumImageSampleDistance( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeRayCastMapper_GetMaximumImageSampleDistanceMinValue( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVolumeRayCastMapper * _obj = (vtkVolumeRayCastMapper * ) SexpToVtk(obj);
    double _res =_obj->GetMaximumImageSampleDistanceMinValue();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeRayCastMapper_GetMaximumImageSampleDistanceMaxValue( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVolumeRayCastMapper * _obj = (vtkVolumeRayCastMapper * ) SexpToVtk(obj);
    double _res =_obj->GetMaximumImageSampleDistanceMaxValue();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeRayCastMapper_GetMaximumImageSampleDistance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVolumeRayCastMapper * _obj = (vtkVolumeRayCastMapper * ) SexpToVtk(obj);
    double _res =_obj->GetMaximumImageSampleDistance();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeRayCastMapper_SetAutoAdjustSampleDistances( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkVolumeRayCastMapper * _obj = (vtkVolumeRayCastMapper * ) SexpToVtk(obj);
    _obj->SetAutoAdjustSampleDistances( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeRayCastMapper_GetAutoAdjustSampleDistancesMinValue( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVolumeRayCastMapper * _obj = (vtkVolumeRayCastMapper * ) SexpToVtk(obj);
    int _res =_obj->GetAutoAdjustSampleDistancesMinValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeRayCastMapper_GetAutoAdjustSampleDistancesMaxValue( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVolumeRayCastMapper * _obj = (vtkVolumeRayCastMapper * ) SexpToVtk(obj);
    int _res =_obj->GetAutoAdjustSampleDistancesMaxValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeRayCastMapper_GetAutoAdjustSampleDistances( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVolumeRayCastMapper * _obj = (vtkVolumeRayCastMapper * ) SexpToVtk(obj);
    int _res =_obj->GetAutoAdjustSampleDistances();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeRayCastMapper_AutoAdjustSampleDistancesOn( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVolumeRayCastMapper * _obj = (vtkVolumeRayCastMapper * ) SexpToVtk(obj);
    _obj->AutoAdjustSampleDistancesOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeRayCastMapper_AutoAdjustSampleDistancesOff( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVolumeRayCastMapper * _obj = (vtkVolumeRayCastMapper * ) SexpToVtk(obj);
    _obj->AutoAdjustSampleDistancesOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeRayCastMapper_SetNumberOfThreads( SEXP obj, SEXP num){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(num,1);
     int  *  _num =  SexpToint(num);
    vtkVolumeRayCastMapper * _obj = (vtkVolumeRayCastMapper * ) SexpToVtk(obj);
    _obj->SetNumberOfThreads( * _num);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeRayCastMapper_GetNumberOfThreads( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVolumeRayCastMapper * _obj = (vtkVolumeRayCastMapper * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfThreads();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeRayCastMapper_SetIntermixIntersectingGeometry( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkVolumeRayCastMapper * _obj = (vtkVolumeRayCastMapper * ) SexpToVtk(obj);
    _obj->SetIntermixIntersectingGeometry( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeRayCastMapper_GetIntermixIntersectingGeometryMinValue( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVolumeRayCastMapper * _obj = (vtkVolumeRayCastMapper * ) SexpToVtk(obj);
    int _res =_obj->GetIntermixIntersectingGeometryMinValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeRayCastMapper_GetIntermixIntersectingGeometryMaxValue( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVolumeRayCastMapper * _obj = (vtkVolumeRayCastMapper * ) SexpToVtk(obj);
    int _res =_obj->GetIntermixIntersectingGeometryMaxValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeRayCastMapper_GetIntermixIntersectingGeometry( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVolumeRayCastMapper * _obj = (vtkVolumeRayCastMapper * ) SexpToVtk(obj);
    int _res =_obj->GetIntermixIntersectingGeometry();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeRayCastMapper_IntermixIntersectingGeometryOn( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVolumeRayCastMapper * _obj = (vtkVolumeRayCastMapper * ) SexpToVtk(obj);
    _obj->IntermixIntersectingGeometryOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeRayCastMapper_IntermixIntersectingGeometryOff( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVolumeRayCastMapper * _obj = (vtkVolumeRayCastMapper * ) SexpToVtk(obj);
    _obj->IntermixIntersectingGeometryOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeRayCastMapper_Render( SEXP obj, SEXP ren, SEXP vol){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkRenderer  *  _ren = (vtkRenderer * )  SexpToVtk(ren);
     vtkVolume  *  _vol = (vtkVolume * )  SexpToVtk(vol);
    vtkVolumeRayCastMapper * _obj = (vtkVolumeRayCastMapper * ) SexpToVtk(obj);
    _obj->Render(_ren, _vol);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_ren,"vtkRenderer"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".ren",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_vol,"vtkVolume"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".vol",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeRayCastMapper_GetZeroOpacityThreshold( SEXP obj, SEXP vol){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkVolume  *  _vol = (vtkVolume * )  SexpToVtk(vol);
    vtkVolumeRayCastMapper * _obj = (vtkVolumeRayCastMapper * ) SexpToVtk(obj);
    float _res =_obj->GetZeroOpacityThreshold(_vol);
    res=floatToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_vol,"vtkVolume"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".vol",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeRayCastMapper_GetGradientMagnitudeScale( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVolumeRayCastMapper * _obj = (vtkVolumeRayCastMapper * ) SexpToVtk(obj);
    float _res =_obj->GetGradientMagnitudeScale();
    res=floatToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeRayCastMapper_GetGradientMagnitudeBias( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVolumeRayCastMapper * _obj = (vtkVolumeRayCastMapper * ) SexpToVtk(obj);
    float _res =_obj->GetGradientMagnitudeBias();
    res=floatToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVolumeRayCastMapper_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkVolumeRayCastMapper * res= ( vtkVolumeRayCastMapper * ) 
vtkVolumeRayCastMapper::New();
    R_res=toRPointer(res,"vtkVolumeRayCastMapper");
    return(R_res);
  }
}
