#include <vtk/vtkWorldPointPicker.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
  SEXP R_vtkWorldPointPicker_GetClassName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkWorldPointPicker * _obj = (vtkWorldPointPicker * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetClassName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWorldPointPicker_IsTypeOf( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkWorldPointPicker * _obj = (vtkWorldPointPicker * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWorldPointPicker_IsA( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkWorldPointPicker * _obj = (vtkWorldPointPicker * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWorldPointPicker_SafeDownCast( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkWorldPointPicker * _obj = (vtkWorldPointPicker * ) SexpToVtk(obj);
    vtkWorldPointPicker *  _res =( vtkWorldPointPicker * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkWorldPointPicker");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWorldPointPicker_NewInstance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkWorldPointPicker * _obj = (vtkWorldPointPicker * ) SexpToVtk(obj);
    vtkWorldPointPicker *  _res =( vtkWorldPointPicker * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkWorldPointPicker");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWorldPointPicker_Pick( SEXP obj, SEXP selectionX, SEXP selectionY, SEXP selectionZ, SEXP renderer){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(selectionX,1);
     double  *  _selectionX =  SexpTodouble(selectionX);
    SET_LENGTH(selectionY,1);
     double  *  _selectionY =  SexpTodouble(selectionY);
    SET_LENGTH(selectionZ,1);
     double  *  _selectionZ =  SexpTodouble(selectionZ);
     vtkRenderer  *  _renderer = (vtkRenderer * )  SexpToVtk(renderer);
    vtkWorldPointPicker * _obj = (vtkWorldPointPicker * ) SexpToVtk(obj);
    int _res =_obj->Pick( * _selectionX,  * _selectionY,  * _selectionZ, _renderer);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_renderer,"vtkRenderer"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".renderer",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWorldPointPicker_Pick_v1( SEXP obj, SEXP selectionPt, SEXP renderer){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  _selectionPt =  SexpTodouble(selectionPt);
     vtkRenderer  *  _renderer = (vtkRenderer * )  SexpToVtk(renderer);
    vtkWorldPointPicker * _obj = (vtkWorldPointPicker * ) SexpToVtk(obj);
    int _res =_obj->Pick(_selectionPt, _renderer);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_selectionPt,LENGTH(selectionPt)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".selectionPt",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_renderer,"vtkRenderer"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".renderer",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkWorldPointPicker_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkWorldPointPicker * res= ( vtkWorldPointPicker * ) vtkWorldPointPicker
::New();
    R_res=toRPointer(res,"vtkWorldPointPicker");
    return(R_res);
  }
}
